#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2787
#define LARGE_STATE_COUNT 593
#define SYMBOL_COUNT 431
#define ALIAS_COUNT 1
#define TOKEN_COUNT 195
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 219

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_clause_token1 = 14,
  aux_sym__namespace_use_type_token1 = 15,
  aux_sym__namespace_use_type_token2 = 16,
  anon_sym_BSLASH = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  anon_sym_EQ_GT = 33,
  sym_var_modifier = 34,
  aux_sym_use_instead_of_clause_token1 = 35,
  aux_sym_visibility_modifier_token1 = 36,
  aux_sym_visibility_modifier_token2 = 37,
  aux_sym_visibility_modifier_token3 = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  anon_sym_LPAREN2 = 41,
  anon_sym_RPAREN2 = 42,
  aux_sym__arrow_function_header_token1 = 43,
  anon_sym_DOT_DOT_DOT = 44,
  anon_sym_QMARK = 45,
  sym_bottom_type = 46,
  anon_sym_PIPE = 47,
  anon_sym_array = 48,
  aux_sym_primitive_type_token1 = 49,
  anon_sym_iterable = 50,
  anon_sym_bool = 51,
  anon_sym_float = 52,
  anon_sym_void = 53,
  anon_sym_mixed = 54,
  anon_sym_false = 55,
  anon_sym_null = 56,
  anon_sym_true = 57,
  aux_sym_cast_type_token1 = 58,
  aux_sym_cast_type_token2 = 59,
  aux_sym_cast_type_token3 = 60,
  aux_sym_cast_type_token4 = 61,
  aux_sym_cast_type_token5 = 62,
  aux_sym_cast_type_token6 = 63,
  aux_sym_cast_type_token7 = 64,
  aux_sym_cast_type_token8 = 65,
  aux_sym_cast_type_token9 = 66,
  aux_sym_cast_type_token10 = 67,
  aux_sym_cast_type_token11 = 68,
  aux_sym_cast_type_token12 = 69,
  aux_sym_echo_statement_token1 = 70,
  aux_sym_exit_statement_token1 = 71,
  anon_sym_unset = 72,
  aux_sym_declare_statement_token1 = 73,
  aux_sym_declare_statement_token2 = 74,
  anon_sym_ticks = 75,
  anon_sym_encoding = 76,
  anon_sym_strict_types = 77,
  sym_float = 78,
  aux_sym_try_statement_token1 = 79,
  aux_sym_catch_clause_token1 = 80,
  aux_sym_finally_clause_token1 = 81,
  aux_sym_goto_statement_token1 = 82,
  aux_sym_continue_statement_token1 = 83,
  aux_sym_break_statement_token1 = 84,
  sym_integer = 85,
  aux_sym_return_statement_token1 = 86,
  aux_sym_throw_expression_token1 = 87,
  aux_sym_while_statement_token1 = 88,
  aux_sym_while_statement_token2 = 89,
  aux_sym_do_statement_token1 = 90,
  aux_sym_for_statement_token1 = 91,
  aux_sym_for_statement_token2 = 92,
  aux_sym_foreach_statement_token1 = 93,
  aux_sym_foreach_statement_token2 = 94,
  aux_sym_if_statement_token1 = 95,
  aux_sym_if_statement_token2 = 96,
  aux_sym_else_if_clause_token1 = 97,
  aux_sym_else_clause_token1 = 98,
  aux_sym_match_expression_token1 = 99,
  aux_sym_match_default_expression_token1 = 100,
  aux_sym_switch_statement_token1 = 101,
  aux_sym_switch_block_token1 = 102,
  anon_sym_PLUS = 103,
  anon_sym_DASH = 104,
  anon_sym_TILDE = 105,
  anon_sym_BANG = 106,
  anon_sym_AT = 107,
  aux_sym_clone_expression_token1 = 108,
  anon_sym_COLON_COLON = 109,
  aux_sym_print_intrinsic_token1 = 110,
  aux_sym__new_non_dereferencable_expression_token1 = 111,
  anon_sym_DASH_DASH = 112,
  anon_sym_PLUS_PLUS = 113,
  anon_sym_STAR_STAR_EQ = 114,
  anon_sym_STAR_EQ = 115,
  anon_sym_SLASH_EQ = 116,
  anon_sym_PERCENT_EQ = 117,
  anon_sym_PLUS_EQ = 118,
  anon_sym_DASH_EQ = 119,
  anon_sym_DOT_EQ = 120,
  anon_sym_LT_LT_EQ = 121,
  anon_sym_GT_GT_EQ = 122,
  anon_sym_AMP_EQ = 123,
  anon_sym_CARET_EQ = 124,
  anon_sym_PIPE_EQ = 125,
  anon_sym_QMARK_QMARK_EQ = 126,
  anon_sym_DASH_GT = 127,
  anon_sym_QMARK_DASH_GT = 128,
  aux_sym__list_destructing_token1 = 129,
  anon_sym_LBRACK = 130,
  anon_sym_RBRACK = 131,
  anon_sym_self = 132,
  anon_sym_parent = 133,
  aux_sym__argument_name_token1 = 134,
  aux_sym__argument_name_token2 = 135,
  anon_sym_POUND_LBRACK = 136,
  sym_escape_sequence = 137,
  anon_sym_BSLASHu = 138,
  aux_sym_encapsed_string_token1 = 139,
  anon_sym_DQUOTE = 140,
  aux_sym_string_token1 = 141,
  anon_sym_SQUOTE = 142,
  aux_sym_string_token2 = 143,
  aux_sym_string_content_token1 = 144,
  anon_sym_LT_LT_LT = 145,
  anon_sym_DQUOTE2 = 146,
  sym__new_line = 147,
  anon_sym_SQUOTE2 = 148,
  anon_sym_BQUOTE = 149,
  anon_sym_DOLLAR = 150,
  aux_sym_yield_expression_token1 = 151,
  aux_sym_yield_expression_token2 = 152,
  aux_sym_binary_expression_token1 = 153,
  anon_sym_QMARK_QMARK = 154,
  anon_sym_STAR_STAR = 155,
  aux_sym_binary_expression_token2 = 156,
  aux_sym_binary_expression_token3 = 157,
  aux_sym_binary_expression_token4 = 158,
  anon_sym_PIPE_PIPE = 159,
  anon_sym_AMP_AMP = 160,
  anon_sym_CARET = 161,
  anon_sym_EQ_EQ = 162,
  anon_sym_BANG_EQ = 163,
  anon_sym_LT_GT = 164,
  anon_sym_EQ_EQ_EQ = 165,
  anon_sym_BANG_EQ_EQ = 166,
  anon_sym_LT = 167,
  anon_sym_GT = 168,
  anon_sym_LT_EQ = 169,
  anon_sym_GT_EQ = 170,
  anon_sym_LT_EQ_GT = 171,
  anon_sym_LT_LT = 172,
  anon_sym_GT_GT = 173,
  anon_sym_DOT = 174,
  anon_sym_STAR = 175,
  anon_sym_SLASH = 176,
  anon_sym_PERCENT = 177,
  aux_sym_include_expression_token1 = 178,
  aux_sym_include_once_expression_token1 = 179,
  aux_sym_require_expression_token1 = 180,
  aux_sym_require_once_expression_token1 = 181,
  sym_comment = 182,
  sym__automatic_semicolon = 183,
  sym_encapsed_string_chars = 184,
  sym_encapsed_string_chars_after_variable = 185,
  sym_execution_string_chars = 186,
  sym_execution_string_chars_after_variable = 187,
  sym_encapsed_string_chars_heredoc = 188,
  sym_encapsed_string_chars_after_variable_heredoc = 189,
  sym__eof = 190,
  sym_heredoc_start = 191,
  sym_heredoc_end = 192,
  sym_nowdoc_string = 193,
  sym_sentinel_error = 194,
  sym_program = 195,
  sym_text_interpolation = 196,
  sym_text = 197,
  sym_statement = 198,
  sym_empty_statement = 199,
  sym_reference_modifier = 200,
  sym_function_static_declaration = 201,
  sym_static_variable_declaration = 202,
  sym_global_declaration = 203,
  sym_namespace_definition = 204,
  sym_namespace_use_declaration = 205,
  sym_namespace_use_clause = 206,
  sym_qualified_name = 207,
  sym_relative_name = 208,
  sym__name = 209,
  sym_namespace_name = 210,
  sym__namespace_use_group = 211,
  sym_namespace_use_group = 212,
  sym_trait_declaration = 213,
  sym_interface_declaration = 214,
  sym_base_clause = 215,
  sym_enum_declaration = 216,
  sym_enum_declaration_list = 217,
  sym__enum_member_declaration = 218,
  sym_enum_case = 219,
  sym_class_declaration = 220,
  sym_declaration_list = 221,
  sym_final_modifier = 222,
  sym_abstract_modifier = 223,
  sym_readonly_modifier = 224,
  sym_class_interface_clause = 225,
  sym__member_declaration = 226,
  sym_const_declaration = 227,
  sym__class_const_declaration = 228,
  sym__const_declaration = 229,
  sym_property_declaration = 230,
  sym__modifier = 231,
  sym_property_element = 232,
  sym_property_hook_list = 233,
  sym_property_hook = 234,
  sym__property_hook_body = 235,
  sym_method_declaration = 236,
  sym_static_modifier = 237,
  sym_use_declaration = 238,
  sym_use_list = 239,
  sym_use_instead_of_clause = 240,
  sym_use_as_clause = 241,
  sym_visibility_modifier = 242,
  sym_function_definition = 243,
  sym__function_definition_header = 244,
  sym_anonymous_function = 245,
  sym_anonymous_function_use_clause = 246,
  sym__anonymous_function_header = 247,
  sym__arrow_function_header = 248,
  sym_arrow_function = 249,
  sym_formal_parameters = 250,
  sym_property_promotion_parameter = 251,
  sym_simple_parameter = 252,
  sym_variadic_parameter = 253,
  sym_type = 254,
  sym__types = 255,
  sym_named_type = 256,
  sym_optional_type = 257,
  sym_union_type = 258,
  sym_intersection_type = 259,
  sym_disjunctive_normal_form_type = 260,
  sym_primitive_type = 261,
  sym_cast_type = 262,
  sym__return_type = 263,
  sym_const_element = 264,
  sym_echo_statement = 265,
  sym_exit_statement = 266,
  sym_unset_statement = 267,
  sym_declare_statement = 268,
  sym_declare_directive = 269,
  sym_literal = 270,
  sym_try_statement = 271,
  sym_catch_clause = 272,
  sym_type_list = 273,
  sym_finally_clause = 274,
  sym_goto_statement = 275,
  sym_continue_statement = 276,
  sym_break_statement = 277,
  sym_return_statement = 278,
  sym_throw_expression = 279,
  sym_while_statement = 280,
  sym_do_statement = 281,
  sym_for_statement = 282,
  sym__expressions = 283,
  sym_sequence_expression = 284,
  sym_foreach_statement = 285,
  sym_foreach_pair = 286,
  sym__foreach_value = 287,
  sym_if_statement = 288,
  sym_colon_block = 289,
  sym_else_if_clause = 290,
  sym_else_clause = 291,
  sym_else_if_clause_2 = 292,
  sym_else_clause_2 = 293,
  sym_match_expression = 294,
  sym_match_block = 295,
  sym_match_condition_list = 296,
  sym_match_conditional_expression = 297,
  sym_match_default_expression = 298,
  sym_switch_statement = 299,
  sym_switch_block = 300,
  sym_case_statement = 301,
  sym_default_statement = 302,
  sym_compound_statement = 303,
  sym_named_label_statement = 304,
  sym_expression_statement = 305,
  sym_expression = 306,
  sym__unary_expression = 307,
  sym_unary_op_expression = 308,
  sym_error_suppression_expression = 309,
  sym_clone_expression = 310,
  sym_primary_expression = 311,
  sym_parenthesized_expression = 312,
  sym_class_constant_access_expression = 313,
  sym_print_intrinsic = 314,
  sym_object_creation_expression = 315,
  sym__new_non_dereferencable_expression = 316,
  sym__new_dereferencable_expression = 317,
  sym__class_name_reference = 318,
  sym_anonymous_class = 319,
  sym_update_expression = 320,
  sym_cast_expression = 321,
  sym_cast_variable = 322,
  sym_assignment_expression = 323,
  sym_reference_assignment_expression = 324,
  sym_conditional_expression = 325,
  sym_augmented_assignment_expression = 326,
  sym__variable_member_access_expression = 327,
  sym_member_access_expression = 328,
  sym__variable_nullsafe_member_access_expression = 329,
  sym_nullsafe_member_access_expression = 330,
  sym__variable_scoped_property_access_expression = 331,
  sym_scoped_property_access_expression = 332,
  sym_list_literal = 333,
  sym__list_destructing = 334,
  sym__array_destructing = 335,
  sym__array_destructing_element = 336,
  sym_function_call_expression = 337,
  sym__callable_expression = 338,
  sym_scoped_call_expression = 339,
  sym__scope_resolution_qualifier = 340,
  sym_relative_scope = 341,
  sym_variadic_placeholder = 342,
  sym_arguments = 343,
  sym_argument = 344,
  sym__argument_name = 345,
  sym_member_call_expression = 346,
  sym_nullsafe_member_call_expression = 347,
  sym_variadic_unpacking = 348,
  sym__member_name = 349,
  sym__variable_subscript_expression = 350,
  sym__dereferencable_subscript_expression = 351,
  sym__dereferencable_expression = 352,
  sym__dereferencable_scalar = 353,
  sym_array_creation_expression = 354,
  sym_attribute_group = 355,
  sym_attribute_list = 356,
  sym_attribute = 357,
  sym__complex_string_part = 358,
  sym__simple_string_member_access_expression = 359,
  sym__simple_string_subscript_unary_expression = 360,
  sym__simple_string_array_access_argument = 361,
  sym__simple_string_subscript_expression = 362,
  sym__simple_string_part = 363,
  aux_sym__interpolated_string_body = 364,
  aux_sym__interpolated_string_body_heredoc = 365,
  sym_encapsed_string = 366,
  sym_string = 367,
  sym_string_content = 368,
  sym_heredoc_body = 369,
  sym_heredoc = 370,
  sym_nowdoc_body = 371,
  sym_nowdoc = 372,
  aux_sym__interpolated_execution_operator_body = 373,
  sym_shell_command_expression = 374,
  sym_boolean = 375,
  sym_null = 376,
  sym__string = 377,
  sym_dynamic_variable_name = 378,
  sym__simple_variable = 379,
  sym__new_variable = 380,
  sym__callable_variable = 381,
  sym_variable_name = 382,
  sym_by_ref = 383,
  sym_yield_expression = 384,
  sym_array_element_initializer = 385,
  sym_binary_expression = 386,
  sym_include_expression = 387,
  sym_include_once_expression = 388,
  sym_require_expression = 389,
  sym_require_once_expression = 390,
  sym__reserved_identifier = 391,
  sym__identifier = 392,
  sym__semicolon = 393,
  aux_sym_program_repeat1 = 394,
  aux_sym_text_repeat1 = 395,
  aux_sym_function_static_declaration_repeat1 = 396,
  aux_sym_global_declaration_repeat1 = 397,
  aux_sym_namespace_use_declaration_repeat1 = 398,
  aux_sym_namespace_name_repeat1 = 399,
  aux_sym_base_clause_repeat1 = 400,
  aux_sym_enum_declaration_list_repeat1 = 401,
  aux_sym_class_declaration_repeat1 = 402,
  aux_sym_declaration_list_repeat1 = 403,
  aux_sym__const_declaration_repeat1 = 404,
  aux_sym_property_declaration_repeat1 = 405,
  aux_sym_property_hook_list_repeat1 = 406,
  aux_sym_use_list_repeat1 = 407,
  aux_sym_anonymous_function_use_clause_repeat1 = 408,
  aux_sym_formal_parameters_repeat1 = 409,
  aux_sym_union_type_repeat1 = 410,
  aux_sym_intersection_type_repeat1 = 411,
  aux_sym_disjunctive_normal_form_type_repeat1 = 412,
  aux_sym_unset_statement_repeat1 = 413,
  aux_sym_try_statement_repeat1 = 414,
  aux_sym_type_list_repeat1 = 415,
  aux_sym_if_statement_repeat1 = 416,
  aux_sym_if_statement_repeat2 = 417,
  aux_sym_match_block_repeat1 = 418,
  aux_sym_match_condition_list_repeat1 = 419,
  aux_sym_switch_block_repeat1 = 420,
  aux_sym__list_destructing_repeat1 = 421,
  aux_sym__array_destructing_repeat1 = 422,
  aux_sym_arguments_repeat1 = 423,
  aux_sym_array_creation_expression_repeat1 = 424,
  aux_sym_attribute_group_repeat1 = 425,
  aux_sym_attribute_list_repeat1 = 426,
  aux_sym_string_repeat1 = 427,
  aux_sym_string_content_repeat1 = 428,
  aux_sym_heredoc_body_repeat1 = 429,
  aux_sym_nowdoc_body_repeat1 = 430,
  alias_sym_operation = 431,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_relative_name] = "relative_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
  [alias_sym_operation] = "operation",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_relative_name] = sym_relative_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
  [alias_sym_operation] = alias_sym_operation,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_operation] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 2},
  [17] = {.index = 29, .length = 1},
  [18] = {.index = 30, .length = 1},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [22] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 3},
  [48] = {.index = 94, .length = 2},
  [49] = {.index = 96, .length = 2},
  [51] = {.index = 98, .length = 2},
  [52] = {.index = 100, .length = 1},
  [53] = {.index = 101, .length = 3},
  [54] = {.index = 104, .length = 3},
  [55] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 2},
  [60] = {.index = 113, .length = 3},
  [61] = {.index = 116, .length = 2},
  [62] = {.index = 5, .length = 1},
  [63] = {.index = 118, .length = 1},
  [64] = {.index = 119, .length = 1},
  [65] = {.index = 120, .length = 3},
  [66] = {.index = 123, .length = 3},
  [67] = {.index = 126, .length = 2},
  [68] = {.index = 128, .length = 2},
  [69] = {.index = 130, .length = 3},
  [70] = {.index = 133, .length = 3},
  [71] = {.index = 136, .length = 3},
  [72] = {.index = 139, .length = 3},
  [73] = {.index = 142, .length = 3},
  [74] = {.index = 145, .length = 3},
  [75] = {.index = 148, .length = 2},
  [76] = {.index = 150, .length = 4},
  [77] = {.index = 154, .length = 2},
  [78] = {.index = 156, .length = 2},
  [79] = {.index = 158, .length = 2},
  [80] = {.index = 160, .length = 3},
  [81] = {.index = 163, .length = 3},
  [82] = {.index = 166, .length = 2},
  [83] = {.index = 168, .length = 3},
  [84] = {.index = 171, .length = 2},
  [85] = {.index = 173, .length = 3},
  [86] = {.index = 176, .length = 3},
  [87] = {.index = 179, .length = 3},
  [88] = {.index = 182, .length = 2},
  [89] = {.index = 184, .length = 3},
  [90] = {.index = 187, .length = 3},
  [91] = {.index = 190, .length = 1},
  [92] = {.index = 191, .length = 3},
  [93] = {.index = 194, .length = 2},
  [94] = {.index = 196, .length = 2},
  [95] = {.index = 196, .length = 2},
  [96] = {.index = 198, .length = 2},
  [97] = {.index = 200, .length = 4},
  [98] = {.index = 204, .length = 2},
  [99] = {.index = 206, .length = 1},
  [100] = {.index = 207, .length = 2},
  [101] = {.index = 209, .length = 3},
  [102] = {.index = 212, .length = 3},
  [103] = {.index = 215, .length = 2},
  [104] = {.index = 217, .length = 3},
  [105] = {.index = 220, .length = 2},
  [106] = {.index = 222, .length = 4},
  [107] = {.index = 226, .length = 3},
  [108] = {.index = 229, .length = 3},
  [110] = {.index = 232, .length = 4},
  [111] = {.index = 236, .length = 3},
  [112] = {.index = 239, .length = 3},
  [113] = {.index = 242, .length = 4},
  [114] = {.index = 246, .length = 4},
  [115] = {.index = 250, .length = 3},
  [116] = {.index = 253, .length = 1},
  [117] = {.index = 254, .length = 2},
  [118] = {.index = 256, .length = 3},
  [119] = {.index = 259, .length = 4},
  [120] = {.index = 263, .length = 3},
  [121] = {.index = 266, .length = 3},
  [122] = {.index = 269, .length = 3},
  [123] = {.index = 272, .length = 3},
  [124] = {.index = 275, .length = 4},
  [125] = {.index = 279, .length = 4},
  [126] = {.index = 283, .length = 3},
  [127] = {.index = 286, .length = 4},
  [128] = {.index = 290, .length = 3},
  [129] = {.index = 293, .length = 2},
  [130] = {.index = 295, .length = 4},
  [131] = {.index = 299, .length = 4},
  [132] = {.index = 303, .length = 3},
  [133] = {.index = 306, .length = 2},
  [134] = {.index = 308, .length = 1},
  [135] = {.index = 309, .length = 1},
  [136] = {.index = 310, .length = 2},
  [137] = {.index = 312, .length = 1},
  [138] = {.index = 313, .length = 1},
  [139] = {.index = 314, .length = 2},
  [142] = {.index = 316, .length = 3},
  [143] = {.index = 319, .length = 3},
  [144] = {.index = 322, .length = 3},
  [145] = {.index = 325, .length = 4},
  [146] = {.index = 329, .length = 4},
  [147] = {.index = 333, .length = 3},
  [148] = {.index = 333, .length = 3},
  [149] = {.index = 336, .length = 5},
  [150] = {.index = 341, .length = 4},
  [151] = {.index = 345, .length = 3},
  [152] = {.index = 348, .length = 2},
  [153] = {.index = 350, .length = 4},
  [154] = {.index = 354, .length = 4},
  [155] = {.index = 358, .length = 1},
  [156] = {.index = 359, .length = 1},
  [157] = {.index = 360, .length = 4},
  [158] = {.index = 364, .length = 4},
  [159] = {.index = 368, .length = 5},
  [160] = {.index = 373, .length = 4},
  [161] = {.index = 377, .length = 4},
  [162] = {.index = 381, .length = 4},
  [163] = {.index = 385, .length = 1},
  [164] = {.index = 386, .length = 5},
  [165] = {.index = 391, .length = 4},
  [166] = {.index = 395, .length = 2},
  [167] = {.index = 397, .length = 2},
  [168] = {.index = 399, .length = 1},
  [169] = {.index = 400, .length = 2},
  [170] = {.index = 402, .length = 1},
  [171] = {.index = 403, .length = 2},
  [172] = {.index = 405, .length = 1},
  [173] = {.index = 406, .length = 1},
  [174] = {.index = 407, .length = 2},
  [175] = {.index = 409, .length = 3},
  [176] = {.index = 412, .length = 3},
  [177] = {.index = 415, .length = 5},
  [178] = {.index = 420, .length = 3},
  [179] = {.index = 423, .length = 5},
  [180] = {.index = 428, .length = 2},
  [181] = {.index = 430, .length = 2},
  [182] = {.index = 432, .length = 2},
  [183] = {.index = 434, .length = 2},
  [184] = {.index = 436, .length = 5},
  [185] = {.index = 441, .length = 5},
  [186] = {.index = 446, .length = 5},
  [187] = {.index = 451, .length = 2},
  [188] = {.index = 453, .length = 2},
  [189] = {.index = 455, .length = 3},
  [190] = {.index = 458, .length = 3},
  [191] = {.index = 461, .length = 2},
  [192] = {.index = 463, .length = 3},
  [193] = {.index = 466, .length = 2},
  [194] = {.index = 468, .length = 3},
  [195] = {.index = 471, .length = 2},
  [196] = {.index = 473, .length = 2},
  [197] = {.index = 475, .length = 3},
  [198] = {.index = 478, .length = 3},
  [199] = {.index = 481, .length = 3},
  [200] = {.index = 484, .length = 3},
  [201] = {.index = 487, .length = 3},
  [202] = {.index = 490, .length = 3},
  [203] = {.index = 493, .length = 6},
  [204] = {.index = 499, .length = 3},
  [205] = {.index = 502, .length = 4},
  [206] = {.index = 506, .length = 3},
  [207] = {.index = 509, .length = 4},
  [208] = {.index = 513, .length = 4},
  [209] = {.index = 517, .length = 4},
  [210] = {.index = 521, .length = 4},
  [211] = {.index = 525, .length = 2},
  [212] = {.index = 527, .length = 2},
  [213] = {.index = 529, .length = 2},
  [214] = {.index = 531, .length = 5},
  [215] = {.index = 536, .length = 3},
  [216] = {.index = 539, .length = 3},
  [217] = {.index = 542, .length = 3},
  [218] = {.index = 545, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_prefix, 0},
    {field_prefix, 1},
  [27] =
    {field_body, 2},
    {field_name, 1},
  [29] =
    {field_name, 1},
  [30] =
    {field_type, 0},
  [31] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [33] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [35] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [37] =
    {field_name, 1},
    {field_parameters, 2},
  [39] =
    {field_body, 2},
    {field_condition, 1},
  [41] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [43] =
    {field_name, 2},
    {field_scope, 0},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_prefix, 0},
    {field_prefix, 1},
    {field_prefix, 2},
  [94] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [96] =
    {field_body, 3},
    {field_name, 1},
  [98] =
    {field_type, 1},
    {field_value, 3},
  [100] =
    {field_alternative, 0},
  [101] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [107] =
    {field_attributes, 0},
    {field_body, 2},
  [109] =
    {field_name, 2},
    {field_object, 0},
  [111] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [116] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [118] =
    {field_reference_modifier, 0},
  [119] =
    {field_name, 0, .inherited = true},
  [120] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [123] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [126] =
    {field_alternative, 3},
    {field_condition, 0},
  [128] =
    {field_left, 0},
    {field_right, 3},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [133] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [136] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [139] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [142] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [145] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [148] =
    {field_body, 3},
    {field_name, 2},
  [150] =
    {field_prefix, 0},
    {field_prefix, 1},
    {field_prefix, 2},
    {field_prefix, 3},
  [154] =
    {field_alias, 3},
    {field_type, 0},
  [156] =
    {field_body, 3},
    {field_type, 0},
  [158] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [160] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [163] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [166] =
    {field_name, 2},
    {field_type, 0},
  [168] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [171] =
    {field_attributes, 0},
    {field_name, 2},
  [173] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [176] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [179] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [182] =
    {field_default_value, 2},
    {field_name, 0},
  [184] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [187] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [190] =
    {field_type, 1, .inherited = true},
  [191] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [194] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [196] =
    {field_body, 4},
    {field_name, 1},
  [198] =
    {field_body, 1},
    {field_condition, 3},
  [200] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [204] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [206] =
    {field_body, 3},
  [207] =
    {field_attributes, 0},
    {field_body, 3},
  [209] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [212] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [215] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [217] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [220] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [222] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [226] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [229] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [232] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [236] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [239] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [242] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [246] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [250] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [253] =
    {field_type, 2},
  [254] =
    {field_body, 4},
    {field_name, 2},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [259] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [263] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [266] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [269] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [275] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [283] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [286] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [290] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [293] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [295] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [303] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [306] =
    {field_body, 5},
    {field_name, 1},
  [308] =
    {field_body, 5},
  [309] =
    {field_return_expression, 2},
  [310] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [312] =
    {field_value, 1},
  [313] =
    {field_body, 4},
  [314] =
    {field_attributes, 0},
    {field_body, 4},
  [316] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [319] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [322] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [325] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [329] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [333] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [336] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [341] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [345] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [348] =
    {field_body, 5},
    {field_name, 2},
  [350] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [354] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [358] =
    {field_body, 1, .inherited = true},
  [359] =
    {field_body, 0},
  [360] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [364] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [368] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [373] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [377] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [381] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [385] =
    {field_attributes, 0},
  [386] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [391] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [395] =
    {field_body, 4},
    {field_type, 2},
  [397] =
    {field_body, 6},
    {field_update, 4},
  [399] =
    {field_update, 4},
  [400] =
    {field_body, 6},
    {field_condition, 3},
  [402] =
    {field_condition, 3},
  [403] =
    {field_body, 6},
    {field_initialize, 2},
  [405] =
    {field_initialize, 2},
  [406] =
    {field_body, 6},
  [407] =
    {field_attributes, 0},
    {field_body, 5},
  [409] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [412] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [415] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [420] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [423] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [428] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [430] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [432] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [434] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [436] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [441] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [446] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [451] =
    {field_attributes, 0},
    {field_type, 2},
  [453] =
    {field_name, 1},
    {field_value, 3},
  [455] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [458] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [461] =
    {field_condition, 3},
    {field_update, 5},
  [463] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [466] =
    {field_initialize, 2},
    {field_update, 5},
  [468] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [471] =
    {field_condition, 4},
    {field_initialize, 2},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
  [475] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [478] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [481] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [484] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [487] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [490] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [493] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [499] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [502] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [506] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [509] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [513] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [517] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [521] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [525] =
    {field_body, 7},
    {field_update, 4},
  [527] =
    {field_body, 7},
    {field_condition, 3},
  [529] =
    {field_body, 7},
    {field_initialize, 2},
  [531] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [536] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [539] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [542] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [545] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [23] = {
    [0] = anon_sym_array,
  },
  [50] = {
    [2] = alias_sym_operation,
  },
  [56] = {
    [1] = sym_list_literal,
  },
  [57] = {
    [2] = sym_list_literal,
  },
  [62] = {
    [0] = sym_name,
  },
  [94] = {
    [3] = sym_primitive_type,
  },
  [109] = {
    [3] = sym_name,
  },
  [133] = {
    [3] = sym_primitive_type,
  },
  [140] = {
    [3] = sym_list_literal,
  },
  [141] = {
    [4] = sym_list_literal,
  },
  [147] = {
    [4] = sym_primitive_type,
  },
  [176] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 7,
  [9] = 7,
  [10] = 10,
  [11] = 11,
  [12] = 2,
  [13] = 11,
  [14] = 10,
  [15] = 7,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 20,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 21,
  [28] = 24,
  [29] = 25,
  [30] = 17,
  [31] = 26,
  [32] = 22,
  [33] = 20,
  [34] = 21,
  [35] = 22,
  [36] = 19,
  [37] = 24,
  [38] = 25,
  [39] = 26,
  [40] = 16,
  [41] = 17,
  [42] = 19,
  [43] = 20,
  [44] = 21,
  [45] = 22,
  [46] = 16,
  [47] = 24,
  [48] = 25,
  [49] = 26,
  [50] = 16,
  [51] = 19,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 62,
  [76] = 63,
  [77] = 77,
  [78] = 78,
  [79] = 57,
  [80] = 63,
  [81] = 53,
  [82] = 54,
  [83] = 83,
  [84] = 58,
  [85] = 59,
  [86] = 60,
  [87] = 61,
  [88] = 64,
  [89] = 65,
  [90] = 66,
  [91] = 67,
  [92] = 68,
  [93] = 69,
  [94] = 70,
  [95] = 71,
  [96] = 72,
  [97] = 73,
  [98] = 74,
  [99] = 63,
  [100] = 78,
  [101] = 78,
  [102] = 57,
  [103] = 78,
  [104] = 57,
  [105] = 78,
  [106] = 57,
  [107] = 62,
  [108] = 62,
  [109] = 52,
  [110] = 110,
  [111] = 110,
  [112] = 112,
  [113] = 113,
  [114] = 113,
  [115] = 113,
  [116] = 113,
  [117] = 112,
  [118] = 118,
  [119] = 118,
  [120] = 118,
  [121] = 118,
  [122] = 122,
  [123] = 123,
  [124] = 122,
  [125] = 123,
  [126] = 122,
  [127] = 122,
  [128] = 123,
  [129] = 123,
  [130] = 123,
  [131] = 122,
  [132] = 122,
  [133] = 133,
  [134] = 133,
  [135] = 133,
  [136] = 133,
  [137] = 133,
  [138] = 138,
  [139] = 138,
  [140] = 138,
  [141] = 138,
  [142] = 138,
  [143] = 138,
  [144] = 144,
  [145] = 145,
  [146] = 145,
  [147] = 144,
  [148] = 148,
  [149] = 149,
  [150] = 148,
  [151] = 144,
  [152] = 148,
  [153] = 144,
  [154] = 148,
  [155] = 144,
  [156] = 148,
  [157] = 148,
  [158] = 149,
  [159] = 144,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 161,
  [166] = 160,
  [167] = 163,
  [168] = 162,
  [169] = 169,
  [170] = 169,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 171,
  [176] = 174,
  [177] = 177,
  [178] = 178,
  [179] = 172,
  [180] = 178,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 182,
  [185] = 182,
  [186] = 186,
  [187] = 182,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 191,
  [193] = 193,
  [194] = 188,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 193,
  [200] = 200,
  [201] = 190,
  [202] = 196,
  [203] = 195,
  [204] = 204,
  [205] = 204,
  [206] = 198,
  [207] = 190,
  [208] = 188,
  [209] = 195,
  [210] = 191,
  [211] = 193,
  [212] = 189,
  [213] = 204,
  [214] = 198,
  [215] = 190,
  [216] = 188,
  [217] = 195,
  [218] = 204,
  [219] = 198,
  [220] = 191,
  [221] = 193,
  [222] = 197,
  [223] = 223,
  [224] = 224,
  [225] = 224,
  [226] = 226,
  [227] = 224,
  [228] = 228,
  [229] = 224,
  [230] = 224,
  [231] = 224,
  [232] = 232,
  [233] = 232,
  [234] = 234,
  [235] = 235,
  [236] = 235,
  [237] = 237,
  [238] = 238,
  [239] = 238,
  [240] = 240,
  [241] = 234,
  [242] = 242,
  [243] = 238,
  [244] = 235,
  [245] = 245,
  [246] = 234,
  [247] = 247,
  [248] = 237,
  [249] = 247,
  [250] = 250,
  [251] = 235,
  [252] = 235,
  [253] = 238,
  [254] = 235,
  [255] = 245,
  [256] = 234,
  [257] = 257,
  [258] = 245,
  [259] = 247,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 260,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 269,
  [307] = 270,
  [308] = 308,
  [309] = 271,
  [310] = 274,
  [311] = 281,
  [312] = 282,
  [313] = 283,
  [314] = 284,
  [315] = 286,
  [316] = 260,
  [317] = 289,
  [318] = 290,
  [319] = 291,
  [320] = 292,
  [321] = 293,
  [322] = 294,
  [323] = 295,
  [324] = 296,
  [325] = 297,
  [326] = 298,
  [327] = 299,
  [328] = 308,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 301,
  [336] = 302,
  [337] = 329,
  [338] = 330,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 303,
  [343] = 343,
  [344] = 334,
  [345] = 271,
  [346] = 272,
  [347] = 273,
  [348] = 339,
  [349] = 340,
  [350] = 332,
  [351] = 300,
  [352] = 301,
  [353] = 353,
  [354] = 303,
  [355] = 304,
  [356] = 305,
  [357] = 269,
  [358] = 270,
  [359] = 274,
  [360] = 281,
  [361] = 282,
  [362] = 283,
  [363] = 284,
  [364] = 286,
  [365] = 260,
  [366] = 289,
  [367] = 290,
  [368] = 291,
  [369] = 292,
  [370] = 293,
  [371] = 294,
  [372] = 295,
  [373] = 296,
  [374] = 297,
  [375] = 298,
  [376] = 299,
  [377] = 308,
  [378] = 329,
  [379] = 330,
  [380] = 332,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 334,
  [386] = 271,
  [387] = 272,
  [388] = 273,
  [389] = 340,
  [390] = 300,
  [391] = 301,
  [392] = 302,
  [393] = 303,
  [394] = 334,
  [395] = 304,
  [396] = 305,
  [397] = 269,
  [398] = 270,
  [399] = 274,
  [400] = 281,
  [401] = 282,
  [402] = 283,
  [403] = 284,
  [404] = 286,
  [405] = 289,
  [406] = 290,
  [407] = 291,
  [408] = 292,
  [409] = 293,
  [410] = 294,
  [411] = 295,
  [412] = 296,
  [413] = 297,
  [414] = 298,
  [415] = 299,
  [416] = 300,
  [417] = 308,
  [418] = 353,
  [419] = 329,
  [420] = 330,
  [421] = 332,
  [422] = 334,
  [423] = 273,
  [424] = 340,
  [425] = 273,
  [426] = 340,
  [427] = 273,
  [428] = 340,
  [429] = 273,
  [430] = 273,
  [431] = 273,
  [432] = 432,
  [433] = 433,
  [434] = 304,
  [435] = 305,
  [436] = 353,
  [437] = 353,
  [438] = 302,
  [439] = 439,
  [440] = 439,
  [441] = 439,
  [442] = 439,
  [443] = 439,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 446,
  [449] = 447,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 455,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 453,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 511,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 511,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 511,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 593,
  [630] = 630,
  [631] = 594,
  [632] = 632,
  [633] = 630,
  [634] = 596,
  [635] = 604,
  [636] = 630,
  [637] = 590,
  [638] = 589,
  [639] = 610,
  [640] = 613,
  [641] = 619,
  [642] = 598,
  [643] = 600,
  [644] = 602,
  [645] = 603,
  [646] = 599,
  [647] = 601,
  [648] = 591,
  [649] = 606,
  [650] = 607,
  [651] = 621,
  [652] = 608,
  [653] = 653,
  [654] = 654,
  [655] = 605,
  [656] = 592,
  [657] = 612,
  [658] = 617,
  [659] = 659,
  [660] = 620,
  [661] = 597,
  [662] = 611,
  [663] = 623,
  [664] = 622,
  [665] = 665,
  [666] = 618,
  [667] = 609,
  [668] = 598,
  [669] = 665,
  [670] = 653,
  [671] = 595,
  [672] = 616,
  [673] = 614,
  [674] = 615,
  [675] = 630,
  [676] = 653,
  [677] = 654,
  [678] = 654,
  [679] = 659,
  [680] = 680,
  [681] = 681,
  [682] = 623,
  [683] = 622,
  [684] = 684,
  [685] = 685,
  [686] = 684,
  [687] = 687,
  [688] = 687,
  [689] = 687,
  [690] = 690,
  [691] = 690,
  [692] = 692,
  [693] = 693,
  [694] = 687,
  [695] = 692,
  [696] = 693,
  [697] = 697,
  [698] = 653,
  [699] = 654,
  [700] = 684,
  [701] = 701,
  [702] = 687,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 705,
  [709] = 703,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 599,
  [721] = 721,
  [722] = 593,
  [723] = 594,
  [724] = 502,
  [725] = 550,
  [726] = 612,
  [727] = 590,
  [728] = 610,
  [729] = 613,
  [730] = 604,
  [731] = 619,
  [732] = 591,
  [733] = 606,
  [734] = 607,
  [735] = 621,
  [736] = 608,
  [737] = 592,
  [738] = 589,
  [739] = 600,
  [740] = 740,
  [741] = 741,
  [742] = 596,
  [743] = 602,
  [744] = 603,
  [745] = 601,
  [746] = 599,
  [747] = 600,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 605,
  [752] = 740,
  [753] = 715,
  [754] = 617,
  [755] = 611,
  [756] = 756,
  [757] = 609,
  [758] = 758,
  [759] = 618,
  [760] = 616,
  [761] = 595,
  [762] = 758,
  [763] = 620,
  [764] = 756,
  [765] = 597,
  [766] = 593,
  [767] = 594,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 614,
  [772] = 772,
  [773] = 773,
  [774] = 615,
  [775] = 775,
  [776] = 776,
  [777] = 605,
  [778] = 590,
  [779] = 779,
  [780] = 595,
  [781] = 610,
  [782] = 782,
  [783] = 613,
  [784] = 784,
  [785] = 619,
  [786] = 620,
  [787] = 597,
  [788] = 611,
  [789] = 789,
  [790] = 591,
  [791] = 606,
  [792] = 607,
  [793] = 793,
  [794] = 453,
  [795] = 621,
  [796] = 608,
  [797] = 609,
  [798] = 592,
  [799] = 799,
  [800] = 612,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 589,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 596,
  [821] = 821,
  [822] = 822,
  [823] = 602,
  [824] = 603,
  [825] = 601,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 614,
  [832] = 830,
  [833] = 615,
  [834] = 834,
  [835] = 616,
  [836] = 836,
  [837] = 455,
  [838] = 617,
  [839] = 588,
  [840] = 840,
  [841] = 841,
  [842] = 618,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 721,
  [850] = 604,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 711,
  [862] = 593,
  [863] = 594,
  [864] = 712,
  [865] = 749,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 712,
  [871] = 750,
  [872] = 600,
  [873] = 873,
  [874] = 874,
  [875] = 741,
  [876] = 721,
  [877] = 711,
  [878] = 748,
  [879] = 617,
  [880] = 596,
  [881] = 604,
  [882] = 806,
  [883] = 602,
  [884] = 603,
  [885] = 605,
  [886] = 590,
  [887] = 613,
  [888] = 619,
  [889] = 601,
  [890] = 591,
  [891] = 606,
  [892] = 607,
  [893] = 621,
  [894] = 608,
  [895] = 592,
  [896] = 612,
  [897] = 589,
  [898] = 600,
  [899] = 599,
  [900] = 610,
  [901] = 749,
  [902] = 620,
  [903] = 597,
  [904] = 611,
  [905] = 905,
  [906] = 599,
  [907] = 907,
  [908] = 908,
  [909] = 614,
  [910] = 615,
  [911] = 609,
  [912] = 616,
  [913] = 716,
  [914] = 595,
  [915] = 593,
  [916] = 594,
  [917] = 806,
  [918] = 716,
  [919] = 714,
  [920] = 717,
  [921] = 618,
  [922] = 714,
  [923] = 769,
  [924] = 773,
  [925] = 750,
  [926] = 803,
  [927] = 804,
  [928] = 845,
  [929] = 929,
  [930] = 930,
  [931] = 843,
  [932] = 844,
  [933] = 853,
  [934] = 857,
  [935] = 768,
  [936] = 859,
  [937] = 502,
  [938] = 855,
  [939] = 856,
  [940] = 550,
  [941] = 721,
  [942] = 942,
  [943] = 782,
  [944] = 811,
  [945] = 815,
  [946] = 816,
  [947] = 826,
  [948] = 827,
  [949] = 828,
  [950] = 834,
  [951] = 770,
  [952] = 600,
  [953] = 818,
  [954] = 848,
  [955] = 819,
  [956] = 821,
  [957] = 836,
  [958] = 858,
  [959] = 814,
  [960] = 793,
  [961] = 801,
  [962] = 851,
  [963] = 810,
  [964] = 854,
  [965] = 784,
  [966] = 817,
  [967] = 829,
  [968] = 852,
  [969] = 776,
  [970] = 808,
  [971] = 614,
  [972] = 615,
  [973] = 616,
  [974] = 617,
  [975] = 618,
  [976] = 596,
  [977] = 604,
  [978] = 599,
  [979] = 772,
  [980] = 806,
  [981] = 602,
  [982] = 603,
  [983] = 605,
  [984] = 590,
  [985] = 595,
  [986] = 610,
  [987] = 812,
  [988] = 613,
  [989] = 619,
  [990] = 620,
  [991] = 597,
  [992] = 611,
  [993] = 601,
  [994] = 591,
  [995] = 606,
  [996] = 607,
  [997] = 621,
  [998] = 608,
  [999] = 609,
  [1000] = 592,
  [1001] = 612,
  [1002] = 589,
  [1003] = 588,
  [1004] = 930,
  [1005] = 847,
  [1006] = 846,
  [1007] = 840,
  [1008] = 809,
  [1009] = 822,
  [1010] = 799,
  [1011] = 779,
  [1012] = 588,
  [1013] = 841,
  [1014] = 802,
  [1015] = 717,
  [1016] = 807,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 749,
  [1026] = 1026,
  [1027] = 750,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 868,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 806,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 860,
  [1042] = 1042,
  [1043] = 712,
  [1044] = 789,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 873,
  [1048] = 711,
  [1049] = 1049,
  [1050] = 866,
  [1051] = 867,
  [1052] = 1052,
  [1053] = 905,
  [1054] = 717,
  [1055] = 1055,
  [1056] = 907,
  [1057] = 600,
  [1058] = 714,
  [1059] = 716,
  [1060] = 599,
  [1061] = 908,
  [1062] = 929,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 588,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1089,
  [1100] = 1082,
  [1101] = 1045,
  [1102] = 1034,
  [1103] = 1017,
  [1104] = 1038,
  [1105] = 1039,
  [1106] = 1096,
  [1107] = 1096,
  [1108] = 1040,
  [1109] = 1042,
  [1110] = 1024,
  [1111] = 1049,
  [1112] = 1028,
  [1113] = 1052,
  [1114] = 1097,
  [1115] = 1046,
  [1116] = 1084,
  [1117] = 1085,
  [1118] = 1090,
  [1119] = 1092,
  [1120] = 1095,
  [1121] = 1087,
  [1122] = 1072,
  [1123] = 1074,
  [1124] = 1076,
  [1125] = 1080,
  [1126] = 1081,
  [1127] = 453,
  [1128] = 1083,
  [1129] = 455,
  [1130] = 1086,
  [1131] = 1088,
  [1132] = 1029,
  [1133] = 1089,
  [1134] = 1093,
  [1135] = 1063,
  [1136] = 1064,
  [1137] = 1018,
  [1138] = 1066,
  [1139] = 1067,
  [1140] = 1068,
  [1141] = 1026,
  [1142] = 1020,
  [1143] = 1019,
  [1144] = 1070,
  [1145] = 1021,
  [1146] = 1073,
  [1147] = 1071,
  [1148] = 1037,
  [1149] = 1097,
  [1150] = 1030,
  [1151] = 1031,
  [1152] = 1023,
  [1153] = 1032,
  [1154] = 1022,
  [1155] = 1084,
  [1156] = 1085,
  [1157] = 1090,
  [1158] = 1092,
  [1159] = 1095,
  [1160] = 1087,
  [1161] = 1072,
  [1162] = 1074,
  [1163] = 1076,
  [1164] = 1080,
  [1165] = 1081,
  [1166] = 1083,
  [1167] = 1086,
  [1168] = 1088,
  [1169] = 1093,
  [1170] = 1063,
  [1171] = 1064,
  [1172] = 1069,
  [1173] = 1066,
  [1174] = 1067,
  [1175] = 1098,
  [1176] = 1079,
  [1177] = 1068,
  [1178] = 1098,
  [1179] = 1079,
  [1180] = 1094,
  [1181] = 1078,
  [1182] = 1070,
  [1183] = 1069,
  [1184] = 1073,
  [1185] = 1094,
  [1186] = 1078,
  [1187] = 1071,
  [1188] = 1082,
  [1189] = 1035,
  [1190] = 1074,
  [1191] = 1071,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1195,
  [1197] = 1194,
  [1198] = 1084,
  [1199] = 1085,
  [1200] = 1090,
  [1201] = 1092,
  [1202] = 1095,
  [1203] = 1087,
  [1204] = 1072,
  [1205] = 1076,
  [1206] = 1082,
  [1207] = 1081,
  [1208] = 1083,
  [1209] = 1086,
  [1210] = 1088,
  [1211] = 1089,
  [1212] = 1093,
  [1213] = 1063,
  [1214] = 1064,
  [1215] = 1066,
  [1216] = 1067,
  [1217] = 1098,
  [1218] = 1079,
  [1219] = 1068,
  [1220] = 1096,
  [1221] = 1097,
  [1222] = 1070,
  [1223] = 1069,
  [1224] = 1073,
  [1225] = 1094,
  [1226] = 1078,
  [1227] = 1080,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1073,
  [1247] = 1247,
  [1248] = 1073,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1239,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1242,
  [1257] = 1243,
  [1258] = 1258,
  [1259] = 1244,
  [1260] = 1260,
  [1261] = 1241,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1241,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1240,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1269,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1269,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1240,
  [1286] = 1286,
  [1287] = 1275,
  [1288] = 1275,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1293,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1294,
  [1301] = 1299,
  [1302] = 1289,
  [1303] = 1290,
  [1304] = 1292,
  [1305] = 1293,
  [1306] = 1306,
  [1307] = 1294,
  [1308] = 1308,
  [1309] = 1289,
  [1310] = 1310,
  [1311] = 1293,
  [1312] = 1297,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1313,
  [1316] = 1299,
  [1317] = 1310,
  [1318] = 1290,
  [1319] = 1292,
  [1320] = 1292,
  [1321] = 1293,
  [1322] = 1299,
  [1323] = 1290,
  [1324] = 1292,
  [1325] = 1294,
  [1326] = 1326,
  [1327] = 1293,
  [1328] = 1294,
  [1329] = 1299,
  [1330] = 1299,
  [1331] = 1297,
  [1332] = 1299,
  [1333] = 1299,
  [1334] = 1334,
  [1335] = 1314,
  [1336] = 1336,
  [1337] = 1289,
  [1338] = 1313,
  [1339] = 1299,
  [1340] = 1297,
  [1341] = 1290,
  [1342] = 1292,
  [1343] = 1290,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1345,
  [1349] = 1349,
  [1350] = 1346,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1352,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1360,
  [1365] = 1362,
  [1366] = 1357,
  [1367] = 1362,
  [1368] = 1363,
  [1369] = 1356,
  [1370] = 1370,
  [1371] = 1363,
  [1372] = 1357,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1374,
  [1376] = 1373,
  [1377] = 1374,
  [1378] = 1373,
  [1379] = 1379,
  [1380] = 1379,
  [1381] = 1354,
  [1382] = 1355,
  [1383] = 1383,
  [1384] = 1383,
  [1385] = 1385,
  [1386] = 1385,
  [1387] = 1383,
  [1388] = 513,
  [1389] = 1370,
  [1390] = 1361,
  [1391] = 1391,
  [1392] = 1358,
  [1393] = 1359,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1396,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1404,
  [1408] = 1408,
  [1409] = 1405,
  [1410] = 1406,
  [1411] = 1401,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1418,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1419,
  [1434] = 1431,
  [1435] = 1435,
  [1436] = 1426,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1428,
  [1441] = 1416,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1444,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1470,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1471,
  [1481] = 1473,
  [1482] = 1482,
  [1483] = 1472,
  [1484] = 1471,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1472,
  [1489] = 1477,
  [1490] = 1477,
  [1491] = 1479,
  [1492] = 1477,
  [1493] = 1473,
  [1494] = 1494,
  [1495] = 1477,
  [1496] = 1473,
  [1497] = 1472,
  [1498] = 1474,
  [1499] = 1477,
  [1500] = 1494,
  [1501] = 1473,
  [1502] = 1473,
  [1503] = 1472,
  [1504] = 1473,
  [1505] = 1472,
  [1506] = 1477,
  [1507] = 1472,
  [1508] = 1479,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 866,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 602,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 907,
  [1536] = 1536,
  [1537] = 602,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 602,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1549,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1554,
  [1563] = 1552,
  [1564] = 1485,
  [1565] = 1553,
  [1566] = 444,
  [1567] = 445,
  [1568] = 1568,
  [1569] = 1561,
  [1570] = 1558,
  [1571] = 1551,
  [1572] = 1572,
  [1573] = 602,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1581,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1485,
  [1589] = 1589,
  [1590] = 874,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1580,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1603,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1596,
  [1619] = 1616,
  [1620] = 1620,
  [1621] = 596,
  [1622] = 603,
  [1623] = 601,
  [1624] = 1579,
  [1625] = 1452,
  [1626] = 1626,
  [1627] = 1580,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 603,
  [1632] = 1632,
  [1633] = 447,
  [1634] = 1614,
  [1635] = 1600,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1584,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 712,
  [1644] = 711,
  [1645] = 446,
  [1646] = 1646,
  [1647] = 447,
  [1648] = 596,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 601,
  [1653] = 596,
  [1654] = 603,
  [1655] = 601,
  [1656] = 602,
  [1657] = 602,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1640,
  [1661] = 1650,
  [1662] = 1662,
  [1663] = 1641,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1649,
  [1670] = 1651,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1646,
  [1678] = 1584,
  [1679] = 1679,
  [1680] = 1640,
  [1681] = 1681,
  [1682] = 1659,
  [1683] = 1640,
  [1684] = 1671,
  [1685] = 1659,
  [1686] = 1640,
  [1687] = 1612,
  [1688] = 1587,
  [1689] = 1659,
  [1690] = 1640,
  [1691] = 1672,
  [1692] = 1673,
  [1693] = 1665,
  [1694] = 1694,
  [1695] = 1659,
  [1696] = 1659,
  [1697] = 1697,
  [1698] = 1659,
  [1699] = 1659,
  [1700] = 1659,
  [1701] = 1659,
  [1702] = 1702,
  [1703] = 1666,
  [1704] = 1667,
  [1705] = 1674,
  [1706] = 1675,
  [1707] = 1668,
  [1708] = 1612,
  [1709] = 1614,
  [1710] = 1600,
  [1711] = 1485,
  [1712] = 1712,
  [1713] = 1658,
  [1714] = 446,
  [1715] = 1676,
  [1716] = 1587,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1659,
  [1720] = 1720,
  [1721] = 1659,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 453,
  [1726] = 455,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1527,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 452,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1727,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1745,
  [1755] = 1755,
  [1756] = 1744,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1723,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 450,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1762,
  [1768] = 1702,
  [1769] = 451,
  [1770] = 1514,
  [1771] = 1512,
  [1772] = 1510,
  [1773] = 1742,
  [1774] = 1752,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 513,
  [1780] = 1780,
  [1781] = 1746,
  [1782] = 1747,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1748,
  [1786] = 1517,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1750,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1749,
  [1801] = 1801,
  [1802] = 456,
  [1803] = 1803,
  [1804] = 1523,
  [1805] = 1525,
  [1806] = 1527,
  [1807] = 1807,
  [1808] = 803,
  [1809] = 1761,
  [1810] = 1766,
  [1811] = 1642,
  [1812] = 1790,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1511,
  [1816] = 1734,
  [1817] = 1515,
  [1818] = 1518,
  [1819] = 1743,
  [1820] = 454,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1794,
  [1826] = 1724,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1515,
  [1840] = 1518,
  [1841] = 1519,
  [1842] = 1842,
  [1843] = 1729,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1519,
  [1847] = 1847,
  [1848] = 1739,
  [1849] = 1523,
  [1850] = 1524,
  [1851] = 1525,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1520,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1859,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1813,
  [1870] = 1868,
  [1871] = 1871,
  [1872] = 1522,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1875,
  [1887] = 716,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1524,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1758,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1876,
  [1903] = 1880,
  [1904] = 1529,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1878,
  [1908] = 1908,
  [1909] = 1517,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1893,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1913,
  [1919] = 1878,
  [1920] = 1881,
  [1921] = 1908,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1923,
  [1927] = 1911,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1896,
  [1931] = 1844,
  [1932] = 1932,
  [1933] = 1722,
  [1934] = 1863,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1874,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1881,
  [1941] = 1260,
  [1942] = 1942,
  [1943] = 1915,
  [1944] = 1878,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1878,
  [1948] = 1878,
  [1949] = 1888,
  [1950] = 1528,
  [1951] = 717,
  [1952] = 1952,
  [1953] = 1859,
  [1954] = 1885,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1757,
  [1959] = 1959,
  [1960] = 1884,
  [1961] = 1521,
  [1962] = 1878,
  [1963] = 1924,
  [1964] = 1925,
  [1965] = 1965,
  [1966] = 1881,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1883,
  [1970] = 1901,
  [1971] = 714,
  [1972] = 1972,
  [1973] = 504,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 586,
  [1977] = 512,
  [1978] = 516,
  [1979] = 585,
  [1980] = 474,
  [1981] = 1981,
  [1982] = 539,
  [1983] = 1983,
  [1984] = 579,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1295,
  [1992] = 479,
  [1993] = 1993,
  [1994] = 538,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 543,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 1845,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 580,
  [2015] = 460,
  [2016] = 468,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 1873,
  [2021] = 482,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 583,
  [2026] = 509,
  [2027] = 587,
  [2028] = 457,
  [2029] = 2029,
  [2030] = 518,
  [2031] = 530,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 544,
  [2035] = 560,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 566,
  [2044] = 567,
  [2045] = 1996,
  [2046] = 2011,
  [2047] = 2047,
  [2048] = 569,
  [2049] = 570,
  [2050] = 571,
  [2051] = 572,
  [2052] = 2052,
  [2053] = 573,
  [2054] = 559,
  [2055] = 1997,
  [2056] = 2056,
  [2057] = 574,
  [2058] = 577,
  [2059] = 578,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 581,
  [2064] = 2064,
  [2065] = 459,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 462,
  [2069] = 2069,
  [2070] = 1993,
  [2071] = 537,
  [2072] = 473,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 1998,
  [2077] = 2060,
  [2078] = 476,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 478,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 486,
  [2085] = 488,
  [2086] = 490,
  [2087] = 491,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 489,
  [2094] = 2094,
  [2095] = 493,
  [2096] = 1891,
  [2097] = 497,
  [2098] = 2098,
  [2099] = 499,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2052,
  [2106] = 510,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 519,
  [2111] = 520,
  [2112] = 521,
  [2113] = 2038,
  [2114] = 522,
  [2115] = 523,
  [2116] = 524,
  [2117] = 2079,
  [2118] = 1548,
  [2119] = 2007,
  [2120] = 2120,
  [2121] = 527,
  [2122] = 1974,
  [2123] = 2080,
  [2124] = 2047,
  [2125] = 2125,
  [2126] = 528,
  [2127] = 2010,
  [2128] = 529,
  [2129] = 525,
  [2130] = 2130,
  [2131] = 2130,
  [2132] = 2008,
  [2133] = 2017,
  [2134] = 2039,
  [2135] = 2018,
  [2136] = 2012,
  [2137] = 2013,
  [2138] = 532,
  [2139] = 526,
  [2140] = 554,
  [2141] = 558,
  [2142] = 1993,
  [2143] = 2143,
  [2144] = 533,
  [2145] = 2094,
  [2146] = 2017,
  [2147] = 2017,
  [2148] = 2148,
  [2149] = 534,
  [2150] = 535,
  [2151] = 2022,
  [2152] = 536,
  [2153] = 2153,
  [2154] = 1993,
  [2155] = 2155,
  [2156] = 545,
  [2157] = 2094,
  [2158] = 2158,
  [2159] = 2017,
  [2160] = 2160,
  [2161] = 2083,
  [2162] = 1993,
  [2163] = 546,
  [2164] = 547,
  [2165] = 2094,
  [2166] = 514,
  [2167] = 548,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 1993,
  [2171] = 515,
  [2172] = 2094,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 506,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 492,
  [2179] = 549,
  [2180] = 2148,
  [2181] = 2181,
  [2182] = 568,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2036,
  [2186] = 551,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2073,
  [2192] = 2074,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2003,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2041,
  [2200] = 541,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2075,
  [2205] = 552,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2082,
  [2211] = 458,
  [2212] = 553,
  [2213] = 461,
  [2214] = 463,
  [2215] = 2091,
  [2216] = 2092,
  [2217] = 464,
  [2218] = 1865,
  [2219] = 1517,
  [2220] = 465,
  [2221] = 517,
  [2222] = 466,
  [2223] = 2223,
  [2224] = 2094,
  [2225] = 555,
  [2226] = 2226,
  [2227] = 2056,
  [2228] = 2176,
  [2229] = 2229,
  [2230] = 467,
  [2231] = 2089,
  [2232] = 2029,
  [2233] = 470,
  [2234] = 471,
  [2235] = 472,
  [2236] = 475,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 477,
  [2240] = 2100,
  [2241] = 556,
  [2242] = 557,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 480,
  [2246] = 561,
  [2247] = 481,
  [2248] = 483,
  [2249] = 484,
  [2250] = 485,
  [2251] = 487,
  [2252] = 562,
  [2253] = 2253,
  [2254] = 563,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2169,
  [2258] = 2258,
  [2259] = 575,
  [2260] = 2260,
  [2261] = 576,
  [2262] = 2067,
  [2263] = 582,
  [2264] = 2181,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 584,
  [2274] = 2177,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2267,
  [2280] = 2098,
  [2281] = 2281,
  [2282] = 2101,
  [2283] = 2104,
  [2284] = 2040,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2064,
  [2290] = 2290,
  [2291] = 2207,
  [2292] = 2066,
  [2293] = 494,
  [2294] = 2107,
  [2295] = 2295,
  [2296] = 2108,
  [2297] = 495,
  [2298] = 496,
  [2299] = 2299,
  [2300] = 498,
  [2301] = 1905,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 500,
  [2305] = 2305,
  [2306] = 2109,
  [2307] = 2268,
  [2308] = 2308,
  [2309] = 1814,
  [2310] = 501,
  [2311] = 507,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 505,
  [2315] = 2120,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 503,
  [2319] = 542,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2302,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2345,
  [2357] = 2357,
  [2358] = 905,
  [2359] = 2335,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2363,
  [2366] = 2366,
  [2367] = 2320,
  [2368] = 2368,
  [2369] = 2333,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2342,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2323,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2328,
  [2380] = 2345,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2326,
  [2385] = 2385,
  [2386] = 2371,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2385,
  [2391] = 2389,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2363,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2387,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2385,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2352,
  [2410] = 2385,
  [2411] = 2387,
  [2412] = 2343,
  [2413] = 2413,
  [2414] = 2352,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2360,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2339,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 1832,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2368,
  [2427] = 2427,
  [2428] = 2363,
  [2429] = 2429,
  [2430] = 1796,
  [2431] = 2431,
  [2432] = 1460,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2406,
  [2437] = 2325,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2419,
  [2441] = 2441,
  [2442] = 2385,
  [2443] = 2443,
  [2444] = 2387,
  [2445] = 2445,
  [2446] = 2422,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2403,
  [2464] = 2433,
  [2465] = 2363,
  [2466] = 2466,
  [2467] = 2425,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 1468,
  [2471] = 2344,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2338,
  [2475] = 2431,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2438,
  [2479] = 2385,
  [2480] = 2480,
  [2481] = 2392,
  [2482] = 2482,
  [2483] = 2332,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2265,
  [2487] = 2472,
  [2488] = 2352,
  [2489] = 2489,
  [2490] = 2363,
  [2491] = 2405,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2341,
  [2497] = 2497,
  [2498] = 2381,
  [2499] = 2499,
  [2500] = 2460,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 1988,
  [2504] = 2434,
  [2505] = 1990,
  [2506] = 2445,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2364,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2353,
  [2513] = 2513,
  [2514] = 2408,
  [2515] = 2515,
  [2516] = 2401,
  [2517] = 2435,
  [2518] = 2518,
  [2519] = 2340,
  [2520] = 2345,
  [2521] = 2495,
  [2522] = 2346,
  [2523] = 2348,
  [2524] = 2458,
  [2525] = 2350,
  [2526] = 2351,
  [2527] = 2327,
  [2528] = 2528,
  [2529] = 2407,
  [2530] = 2530,
  [2531] = 2387,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2539,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 1936,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2550,
  [2571] = 2540,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2542,
  [2575] = 2303,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2552,
  [2579] = 2579,
  [2580] = 2552,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2556,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2587,
  [2590] = 2590,
  [2591] = 2542,
  [2592] = 2559,
  [2593] = 2558,
  [2594] = 2594,
  [2595] = 2552,
  [2596] = 2596,
  [2597] = 2551,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2539,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2598,
  [2605] = 2561,
  [2606] = 2606,
  [2607] = 2603,
  [2608] = 2608,
  [2609] = 2585,
  [2610] = 2540,
  [2611] = 2611,
  [2612] = 2543,
  [2613] = 2540,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2532,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2582,
  [2621] = 2542,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2560,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2532,
  [2628] = 2628,
  [2629] = 2587,
  [2630] = 2558,
  [2631] = 2631,
  [2632] = 2550,
  [2633] = 2596,
  [2634] = 2616,
  [2635] = 2596,
  [2636] = 2603,
  [2637] = 2540,
  [2638] = 2550,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2561,
  [2642] = 2581,
  [2643] = 2643,
  [2644] = 2606,
  [2645] = 2557,
  [2646] = 2646,
  [2647] = 2586,
  [2648] = 2552,
  [2649] = 2649,
  [2650] = 2584,
  [2651] = 2622,
  [2652] = 2614,
  [2653] = 2559,
  [2654] = 2548,
  [2655] = 2547,
  [2656] = 2541,
  [2657] = 2657,
  [2658] = 2565,
  [2659] = 2646,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2660,
  [2664] = 2543,
  [2665] = 2559,
  [2666] = 2587,
  [2667] = 2667,
  [2668] = 2567,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2562,
  [2673] = 2590,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2614,
  [2677] = 2540,
  [2678] = 2678,
  [2679] = 2576,
  [2680] = 2585,
  [2681] = 2586,
  [2682] = 2587,
  [2683] = 2683,
  [2684] = 2533,
  [2685] = 2545,
  [2686] = 2603,
  [2687] = 2687,
  [2688] = 2561,
  [2689] = 2606,
  [2690] = 2690,
  [2691] = 2631,
  [2692] = 2543,
  [2693] = 2614,
  [2694] = 2599,
  [2695] = 2569,
  [2696] = 2603,
  [2697] = 2606,
  [2698] = 2606,
  [2699] = 2699,
  [2700] = 2543,
  [2701] = 2614,
  [2702] = 2657,
  [2703] = 2678,
  [2704] = 2704,
  [2705] = 2174,
  [2706] = 2532,
  [2707] = 2707,
  [2708] = 2588,
  [2709] = 2709,
  [2710] = 2561,
  [2711] = 2640,
  [2712] = 2615,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2590,
  [2717] = 2564,
  [2718] = 2718,
  [2719] = 2540,
  [2720] = 2720,
  [2721] = 2626,
  [2722] = 2608,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 2558,
  [2726] = 2542,
  [2727] = 2582,
  [2728] = 2596,
  [2729] = 2551,
  [2730] = 2598,
  [2731] = 2731,
  [2732] = 2539,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2734,
  [2737] = 2737,
  [2738] = 2709,
  [2739] = 2628,
  [2740] = 2740,
  [2741] = 2625,
  [2742] = 2740,
  [2743] = 2550,
  [2744] = 2588,
  [2745] = 2537,
  [2746] = 2564,
  [2747] = 2718,
  [2748] = 2586,
  [2749] = 2552,
  [2750] = 2590,
  [2751] = 2551,
  [2752] = 2598,
  [2753] = 2581,
  [2754] = 2707,
  [2755] = 2601,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2559,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2714,
  [2763] = 2562,
  [2764] = 2764,
  [2765] = 2619,
  [2766] = 2687,
  [2767] = 2639,
  [2768] = 2757,
  [2769] = 2546,
  [2770] = 2770,
  [2771] = 2582,
  [2772] = 2714,
  [2773] = 2662,
  [2774] = 2588,
  [2775] = 2715,
  [2776] = 2585,
  [2777] = 2777,
  [2778] = 2564,
  [2779] = 2779,
  [2780] = 2715,
  [2781] = 2714,
  [2782] = 2619,
  [2783] = 2715,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 134,
        '"', 183,
        '#', 263,
        '$', 187,
        '%', 223,
        '&', 85,
        '\'', 185,
        '(', 94,
        ')', 95,
        '*', 218,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 216,
        '/', 221,
        '0', 116,
        ':', 92,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 205,
        '?', 99,
        '@', 135,
        '[', 154,
        '\\', 88,
        ']', 155,
        '^', 195,
        '_', 258,
        '`', 186,
        '{', 89,
        '|', 104,
        '}', 90,
        '~', 132,
        'A', 248,
        'a', 248,
        'B', 224,
        'b', 224,
        'E', 227,
        'e', 227,
        'F', 228,
        'f', 228,
        'I', 242,
        'i', 242,
        'N', 256,
        'n', 256,
        'S', 254,
        's', 254,
        'T', 247,
        't', 247,
        'U', 240,
        'u', 240,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(261);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(261);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(262);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 184,
        '\r', 184,
        '"', 183,
        '#', 264,
        '$', 187,
        '-', 31,
        '/', 20,
        '?', 33,
        '[', 154,
        '\\', 35,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 184,
        '\r', 184,
        '#', 264,
        '$', 187,
        '-', 31,
        '/', 20,
        '?', 33,
        '[', 154,
        '\\', 36,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 134,
        '"', 168,
        '#', 263,
        '$', 187,
        '%', 222,
        '&', 84,
        '\'', 170,
        '(', 96,
        ')', 97,
        '*', 219,
        '+', 125,
        ',', 86,
        '-', 128,
        '.', 216,
        '/', 220,
        '0', 116,
        ':', 91,
        ';', 82,
        '<', 201,
        '=', 30,
        '>', 206,
        '?', 102,
        '@', 135,
        '[', 154,
        '\\', 88,
        ']', 155,
        '^', 194,
        '_', 258,
        '`', 186,
        '{', 89,
        '|', 105,
        '}', 90,
        '~', 132,
        'A', 248,
        'a', 248,
        'B', 225,
        'b', 225,
        'E', 227,
        'e', 227,
        'F', 229,
        'f', 229,
        'N', 256,
        'n', 256,
        'T', 247,
        't', 247,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 133,
        '"', 168,
        '#', 263,
        '$', 187,
        '&', 83,
        '\'', 170,
        '(', 96,
        ')', 97,
        '+', 125,
        ',', 86,
        '-', 128,
        '.', 112,
        '/', 20,
        '0', 116,
        '<', 27,
        '?', 33,
        '@', 135,
        '[', 154,
        '\\', 88,
        ']', 155,
        '_', 258,
        '`', 186,
        '~', 132,
        'A', 248,
        'a', 248,
        'B', 225,
        'b', 225,
        'E', 227,
        'e', 227,
        'F', 229,
        'f', 229,
        'N', 256,
        'n', 256,
        'T', 247,
        't', 247,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 133,
        '"', 168,
        '#', 263,
        '$', 187,
        '\'', 170,
        '(', 96,
        '+', 125,
        '-', 128,
        '.', 113,
        '/', 20,
        '0', 116,
        '<', 27,
        '?', 33,
        '@', 135,
        '[', 154,
        '\\', 88,
        '_', 258,
        '`', 186,
        '~', 132,
        'A', 248,
        'a', 248,
        'B', 224,
        'b', 224,
        'E', 227,
        'e', 227,
        'F', 228,
        'f', 228,
        'I', 242,
        'i', 242,
        'N', 256,
        'n', 256,
        'S', 254,
        's', 254,
        'T', 247,
        't', 247,
        'U', 240,
        'u', 240,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 29,
        '"', 168,
        '#', 264,
        '$', 187,
        '%', 222,
        '&', 84,
        '(', 96,
        ')', 97,
        '*', 219,
        '+', 125,
        ',', 86,
        '-', 130,
        '.', 215,
        '/', 220,
        ':', 92,
        ';', 82,
        '<', 203,
        '=', 87,
        '>', 206,
        '?', 100,
        '[', 154,
        '\\', 35,
        ']', 155,
        '^', 194,
        '`', 186,
        '{', 89,
        '|', 105,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 29,
        '"', 168,
        '#', 264,
        '$', 187,
        '%', 222,
        '&', 84,
        '(', 96,
        ')', 97,
        '*', 219,
        '+', 125,
        ',', 86,
        '-', 130,
        '.', 215,
        '/', 220,
        ':', 92,
        ';', 82,
        '<', 203,
        '=', 87,
        '>', 206,
        '?', 100,
        '[', 154,
        '\\', 36,
        ']', 155,
        '^', 194,
        '`', 186,
        '{', 89,
        '|', 105,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 29,
        '#', 264,
        '$', 187,
        '%', 222,
        '&', 84,
        '\'', 185,
        '(', 96,
        ')', 97,
        '*', 219,
        '+', 124,
        ',', 86,
        '-', 131,
        '.', 215,
        '/', 220,
        '0', 121,
        ':', 92,
        ';', 82,
        '<', 203,
        '=', 87,
        '>', 206,
        '?', 100,
        '[', 154,
        '\\', 88,
        ']', 155,
        '^', 194,
        '{', 89,
        '|', 105,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 29,
        '#', 264,
        '$', 187,
        '%', 222,
        '&', 84,
        '(', 96,
        ')', 97,
        '*', 219,
        '+', 124,
        ',', 86,
        '-', 131,
        '.', 215,
        '/', 220,
        '0', 121,
        ':', 92,
        ';', 82,
        '<', 203,
        '=', 87,
        '>', 206,
        '?', 100,
        '[', 154,
        '\\', 88,
        ']', 155,
        '^', 194,
        '{', 89,
        '|', 105,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 29,
        '#', 264,
        '$', 187,
        '%', 222,
        '&', 84,
        '(', 96,
        ')', 97,
        '*', 219,
        '+', 124,
        ',', 86,
        '-', 127,
        '.', 215,
        '/', 220,
        ':', 92,
        ';', 82,
        '<', 203,
        '=', 87,
        '>', 206,
        '?', 102,
        '\\', 88,
        ']', 155,
        '^', 194,
        '{', 89,
        '|', 105,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '\'') ADVANCE(169);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 168,
        '#', 264,
        '\'', 170,
        '.', 113,
        '/', 20,
        '0', 116,
        '<', 27,
        '?', 33,
        '_', 56,
        'B', 13,
        'b', 13,
        'E', 39,
        'e', 39,
        'F', 40,
        'f', 40,
        'N', 50,
        'n', 50,
        'T', 47,
        't', 47,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '#', 263,
        '$', 187,
        '&', 83,
        '(', 96,
        ')', 97,
        ',', 86,
        '.', 23,
        '/', 20,
        '?', 101,
        '\\', 88,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 264,
        '$', 187,
        '&', 83,
        '(', 94,
        ')', 95,
        '/', 20,
        ';', 82,
        '?', 101,
        '\\', 88,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 264,
        '$', 187,
        '&', 83,
        '(', 96,
        ')', 97,
        '.', 23,
        '/', 20,
        '=', 32,
        '?', 101,
        '\\', 88,
        '{', 89,
        '|', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 264,
        '$', 187,
        '&', 83,
        '(', 96,
        '/', 20,
        ';', 82,
        '?', 101,
        '\\', 88,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(170);
      if (lookahead == '/') ADVANCE(175);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '\\') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(174);
      if (lookahead != 0) ADVANCE(181);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(262);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(261);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(25);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(98);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(182);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(26);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(166);
      if (lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(161);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(165);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(171);
      if (lookahead != 0) ADVANCE(181);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 40:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 42:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(46);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 47:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 48:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(41);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(119);
      END_STATE();
    case 52:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 62:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 134,
        '"', 168,
        '#', 263,
        '$', 187,
        '%', 223,
        '&', 85,
        '\'', 170,
        '(', 96,
        ')', 97,
        '*', 218,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 216,
        '/', 221,
        '0', 116,
        ':', 92,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 205,
        '?', 99,
        '@', 135,
        '[', 154,
        '\\', 88,
        ']', 155,
        '^', 195,
        '_', 258,
        '`', 186,
        '{', 89,
        '|', 104,
        '}', 90,
        '~', 132,
        'A', 248,
        'a', 248,
        'B', 224,
        'b', 224,
        'E', 227,
        'e', 227,
        'F', 228,
        'f', 228,
        'I', 242,
        'i', 242,
        'N', 256,
        'n', 256,
        'S', 254,
        's', 254,
        'T', 247,
        't', 247,
        'U', 240,
        'u', 240,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 63:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 133,
        '"', 168,
        '#', 263,
        '$', 187,
        '&', 83,
        '\'', 170,
        '(', 96,
        ')', 97,
        '+', 125,
        ',', 86,
        '-', 128,
        '.', 113,
        '/', 20,
        '0', 116,
        ':', 91,
        ';', 82,
        '<', 27,
        '=', 32,
        '?', 33,
        '@', 135,
        '[', 154,
        '\\', 88,
        ']', 155,
        '_', 258,
        '`', 186,
        '{', 89,
        '}', 90,
        '~', 132,
        'A', 248,
        'a', 248,
        'B', 225,
        'b', 225,
        'E', 227,
        'e', 227,
        'F', 229,
        'f', 229,
        'N', 256,
        'n', 256,
        'T', 247,
        't', 247,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 64:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 29,
        '"', 168,
        '#', 264,
        '$', 187,
        '%', 223,
        '&', 85,
        '\'', 170,
        '(', 96,
        ')', 97,
        '*', 218,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 217,
        '/', 221,
        '0', 121,
        ':', 92,
        ';', 82,
        '<', 202,
        '=', 87,
        '>', 205,
        '?', 99,
        '[', 154,
        '\\', 88,
        ']', 155,
        '^', 195,
        '{', 89,
        '|', 104,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 65:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '"', 168,
        '#', 264,
        '$', 187,
        '&', 83,
        '\'', 170,
        '(', 96,
        ')', 97,
        '.', 23,
        '/', 20,
        '<', 28,
        '?', 33,
        '[', 154,
        '\\', 88,
        '|', 103,
        '}', 90,
        'A', 248,
        'a', 248,
        'B', 225,
        'b', 225,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 66:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 80,
        '/', 75,
        '<', 71,
        '?', 78,
        0xa0, 74,
        0x200b, 74,
        0x2060, 74,
        0xfeff, 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(81);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(81);
      if (lookahead == '\r') ADVANCE(73);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(80);
      if (lookahead == '/') ADVANCE(75);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(74);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(72);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(193);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(136);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(189);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(188);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(70);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(188);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(150);
      if (lookahead == '|') ADVANCE(192);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(192);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 113,
        '_', 52,
        'B', 51,
        'b', 51,
        'E', 39,
        'e', 39,
        'O', 122,
        'o', 122,
        'X', 59,
        'x', 59,
        '8', 24,
        '9', 24,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(122);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(138);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(138);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(137);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '=') ADVANCE(144);
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(161);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(181);
      if (lookahead == '\r') ADVANCE(173);
      if (lookahead == '>') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(180);
      if (lookahead == '/') ADVANCE(175);
      if (lookahead == '?') ADVANCE(178);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '/') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '>') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(172);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(184);
      if (lookahead == '\r') ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(199);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(200);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(212);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(210);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(213);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(209);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(182);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(190);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(262);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '\'') ADVANCE(169);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(226);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(260);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(239);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(257);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(252);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(253);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(110);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(157);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(249);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(255);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(109);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(111);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(246);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(106);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(226);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(260);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(262);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(262);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 66},
  [2] = {.lex_state = 63},
  [3] = {.lex_state = 63},
  [4] = {.lex_state = 63},
  [5] = {.lex_state = 63},
  [6] = {.lex_state = 63},
  [7] = {.lex_state = 63, .external_lex_state = 2},
  [8] = {.lex_state = 63, .external_lex_state = 2},
  [9] = {.lex_state = 63, .external_lex_state = 2},
  [10] = {.lex_state = 63},
  [11] = {.lex_state = 63},
  [12] = {.lex_state = 63},
  [13] = {.lex_state = 63},
  [14] = {.lex_state = 63},
  [15] = {.lex_state = 63, .external_lex_state = 2},
  [16] = {.lex_state = 63, .external_lex_state = 2},
  [17] = {.lex_state = 63, .external_lex_state = 2},
  [18] = {.lex_state = 63, .external_lex_state = 2},
  [19] = {.lex_state = 63, .external_lex_state = 2},
  [20] = {.lex_state = 63, .external_lex_state = 2},
  [21] = {.lex_state = 63, .external_lex_state = 2},
  [22] = {.lex_state = 63, .external_lex_state = 2},
  [23] = {.lex_state = 63, .external_lex_state = 2},
  [24] = {.lex_state = 63, .external_lex_state = 2},
  [25] = {.lex_state = 63, .external_lex_state = 2},
  [26] = {.lex_state = 63, .external_lex_state = 2},
  [27] = {.lex_state = 63, .external_lex_state = 2},
  [28] = {.lex_state = 63, .external_lex_state = 2},
  [29] = {.lex_state = 63, .external_lex_state = 2},
  [30] = {.lex_state = 63, .external_lex_state = 2},
  [31] = {.lex_state = 63, .external_lex_state = 2},
  [32] = {.lex_state = 63, .external_lex_state = 2},
  [33] = {.lex_state = 63, .external_lex_state = 2},
  [34] = {.lex_state = 63, .external_lex_state = 2},
  [35] = {.lex_state = 63, .external_lex_state = 2},
  [36] = {.lex_state = 63, .external_lex_state = 2},
  [37] = {.lex_state = 63, .external_lex_state = 2},
  [38] = {.lex_state = 63, .external_lex_state = 2},
  [39] = {.lex_state = 63, .external_lex_state = 2},
  [40] = {.lex_state = 63, .external_lex_state = 2},
  [41] = {.lex_state = 63, .external_lex_state = 2},
  [42] = {.lex_state = 63, .external_lex_state = 2},
  [43] = {.lex_state = 63, .external_lex_state = 2},
  [44] = {.lex_state = 63, .external_lex_state = 2},
  [45] = {.lex_state = 63, .external_lex_state = 2},
  [46] = {.lex_state = 63, .external_lex_state = 2},
  [47] = {.lex_state = 63, .external_lex_state = 2},
  [48] = {.lex_state = 63, .external_lex_state = 2},
  [49] = {.lex_state = 63, .external_lex_state = 2},
  [50] = {.lex_state = 63, .external_lex_state = 2},
  [51] = {.lex_state = 63, .external_lex_state = 2},
  [52] = {.lex_state = 63},
  [53] = {.lex_state = 63},
  [54] = {.lex_state = 63},
  [55] = {.lex_state = 63},
  [56] = {.lex_state = 63},
  [57] = {.lex_state = 63},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63},
  [60] = {.lex_state = 63},
  [61] = {.lex_state = 63},
  [62] = {.lex_state = 63},
  [63] = {.lex_state = 63},
  [64] = {.lex_state = 63},
  [65] = {.lex_state = 63},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 63},
  [68] = {.lex_state = 63},
  [69] = {.lex_state = 63},
  [70] = {.lex_state = 63},
  [71] = {.lex_state = 63},
  [72] = {.lex_state = 63},
  [73] = {.lex_state = 63},
  [74] = {.lex_state = 63},
  [75] = {.lex_state = 63},
  [76] = {.lex_state = 63},
  [77] = {.lex_state = 63},
  [78] = {.lex_state = 63},
  [79] = {.lex_state = 63},
  [80] = {.lex_state = 63},
  [81] = {.lex_state = 63},
  [82] = {.lex_state = 63},
  [83] = {.lex_state = 63},
  [84] = {.lex_state = 63},
  [85] = {.lex_state = 63},
  [86] = {.lex_state = 63},
  [87] = {.lex_state = 63},
  [88] = {.lex_state = 63},
  [89] = {.lex_state = 63},
  [90] = {.lex_state = 63},
  [91] = {.lex_state = 63},
  [92] = {.lex_state = 63},
  [93] = {.lex_state = 63},
  [94] = {.lex_state = 63},
  [95] = {.lex_state = 63},
  [96] = {.lex_state = 63},
  [97] = {.lex_state = 63},
  [98] = {.lex_state = 63},
  [99] = {.lex_state = 63},
  [100] = {.lex_state = 63},
  [101] = {.lex_state = 63},
  [102] = {.lex_state = 63},
  [103] = {.lex_state = 63},
  [104] = {.lex_state = 63},
  [105] = {.lex_state = 63},
  [106] = {.lex_state = 63},
  [107] = {.lex_state = 63},
  [108] = {.lex_state = 63},
  [109] = {.lex_state = 63},
  [110] = {.lex_state = 63},
  [111] = {.lex_state = 63},
  [112] = {.lex_state = 63},
  [113] = {.lex_state = 63},
  [114] = {.lex_state = 63},
  [115] = {.lex_state = 63},
  [116] = {.lex_state = 63},
  [117] = {.lex_state = 63},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5},
  [120] = {.lex_state = 5, .external_lex_state = 2},
  [121] = {.lex_state = 5},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 63},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 63},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 6},
  [171] = {.lex_state = 63},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 63},
  [174] = {.lex_state = 63},
  [175] = {.lex_state = 63},
  [176] = {.lex_state = 63},
  [177] = {.lex_state = 63},
  [178] = {.lex_state = 63},
  [179] = {.lex_state = 6},
  [180] = {.lex_state = 63},
  [181] = {.lex_state = 63},
  [182] = {.lex_state = 63},
  [183] = {.lex_state = 6},
  [184] = {.lex_state = 63},
  [185] = {.lex_state = 63},
  [186] = {.lex_state = 63},
  [187] = {.lex_state = 63},
  [188] = {.lex_state = 63},
  [189] = {.lex_state = 63, .external_lex_state = 2},
  [190] = {.lex_state = 63},
  [191] = {.lex_state = 63},
  [192] = {.lex_state = 63},
  [193] = {.lex_state = 63},
  [194] = {.lex_state = 63},
  [195] = {.lex_state = 63},
  [196] = {.lex_state = 63, .external_lex_state = 2},
  [197] = {.lex_state = 63, .external_lex_state = 2},
  [198] = {.lex_state = 63},
  [199] = {.lex_state = 63},
  [200] = {.lex_state = 63},
  [201] = {.lex_state = 63},
  [202] = {.lex_state = 63, .external_lex_state = 2},
  [203] = {.lex_state = 63},
  [204] = {.lex_state = 63},
  [205] = {.lex_state = 63},
  [206] = {.lex_state = 63},
  [207] = {.lex_state = 63},
  [208] = {.lex_state = 63},
  [209] = {.lex_state = 63},
  [210] = {.lex_state = 63},
  [211] = {.lex_state = 63},
  [212] = {.lex_state = 63, .external_lex_state = 2},
  [213] = {.lex_state = 63},
  [214] = {.lex_state = 63},
  [215] = {.lex_state = 63},
  [216] = {.lex_state = 63},
  [217] = {.lex_state = 63},
  [218] = {.lex_state = 63},
  [219] = {.lex_state = 63},
  [220] = {.lex_state = 63},
  [221] = {.lex_state = 63},
  [222] = {.lex_state = 63, .external_lex_state = 2},
  [223] = {.lex_state = 6},
  [224] = {.lex_state = 63},
  [225] = {.lex_state = 63},
  [226] = {.lex_state = 6},
  [227] = {.lex_state = 63},
  [228] = {.lex_state = 63},
  [229] = {.lex_state = 63},
  [230] = {.lex_state = 63},
  [231] = {.lex_state = 63},
  [232] = {.lex_state = 63},
  [233] = {.lex_state = 63},
  [234] = {.lex_state = 63},
  [235] = {.lex_state = 63},
  [236] = {.lex_state = 63},
  [237] = {.lex_state = 63},
  [238] = {.lex_state = 63},
  [239] = {.lex_state = 63},
  [240] = {.lex_state = 63},
  [241] = {.lex_state = 63},
  [242] = {.lex_state = 63},
  [243] = {.lex_state = 63},
  [244] = {.lex_state = 63},
  [245] = {.lex_state = 63},
  [246] = {.lex_state = 63},
  [247] = {.lex_state = 63},
  [248] = {.lex_state = 63},
  [249] = {.lex_state = 63},
  [250] = {.lex_state = 63},
  [251] = {.lex_state = 63},
  [252] = {.lex_state = 63},
  [253] = {.lex_state = 63},
  [254] = {.lex_state = 63},
  [255] = {.lex_state = 63},
  [256] = {.lex_state = 63},
  [257] = {.lex_state = 63},
  [258] = {.lex_state = 63},
  [259] = {.lex_state = 63},
  [260] = {.lex_state = 63},
  [261] = {.lex_state = 63},
  [262] = {.lex_state = 63},
  [263] = {.lex_state = 63},
  [264] = {.lex_state = 63},
  [265] = {.lex_state = 63},
  [266] = {.lex_state = 63},
  [267] = {.lex_state = 63},
  [268] = {.lex_state = 63},
  [269] = {.lex_state = 63},
  [270] = {.lex_state = 63},
  [271] = {.lex_state = 63},
  [272] = {.lex_state = 63},
  [273] = {.lex_state = 63},
  [274] = {.lex_state = 63},
  [275] = {.lex_state = 63},
  [276] = {.lex_state = 63},
  [277] = {.lex_state = 63},
  [278] = {.lex_state = 63},
  [279] = {.lex_state = 63},
  [280] = {.lex_state = 63},
  [281] = {.lex_state = 63},
  [282] = {.lex_state = 63},
  [283] = {.lex_state = 63},
  [284] = {.lex_state = 63},
  [285] = {.lex_state = 63},
  [286] = {.lex_state = 63},
  [287] = {.lex_state = 63},
  [288] = {.lex_state = 63},
  [289] = {.lex_state = 63},
  [290] = {.lex_state = 63},
  [291] = {.lex_state = 63},
  [292] = {.lex_state = 63},
  [293] = {.lex_state = 63},
  [294] = {.lex_state = 63},
  [295] = {.lex_state = 63},
  [296] = {.lex_state = 63},
  [297] = {.lex_state = 63},
  [298] = {.lex_state = 63},
  [299] = {.lex_state = 63},
  [300] = {.lex_state = 63},
  [301] = {.lex_state = 63},
  [302] = {.lex_state = 63},
  [303] = {.lex_state = 63},
  [304] = {.lex_state = 63},
  [305] = {.lex_state = 63},
  [306] = {.lex_state = 63},
  [307] = {.lex_state = 63},
  [308] = {.lex_state = 63},
  [309] = {.lex_state = 63},
  [310] = {.lex_state = 63},
  [311] = {.lex_state = 63},
  [312] = {.lex_state = 63},
  [313] = {.lex_state = 63},
  [314] = {.lex_state = 63},
  [315] = {.lex_state = 63},
  [316] = {.lex_state = 63},
  [317] = {.lex_state = 63},
  [318] = {.lex_state = 63},
  [319] = {.lex_state = 63},
  [320] = {.lex_state = 63},
  [321] = {.lex_state = 63},
  [322] = {.lex_state = 63},
  [323] = {.lex_state = 63},
  [324] = {.lex_state = 63},
  [325] = {.lex_state = 63},
  [326] = {.lex_state = 63},
  [327] = {.lex_state = 63},
  [328] = {.lex_state = 63},
  [329] = {.lex_state = 63},
  [330] = {.lex_state = 63},
  [331] = {.lex_state = 63},
  [332] = {.lex_state = 63},
  [333] = {.lex_state = 63},
  [334] = {.lex_state = 63},
  [335] = {.lex_state = 63},
  [336] = {.lex_state = 63},
  [337] = {.lex_state = 63},
  [338] = {.lex_state = 63},
  [339] = {.lex_state = 63},
  [340] = {.lex_state = 63},
  [341] = {.lex_state = 63},
  [342] = {.lex_state = 63},
  [343] = {.lex_state = 63},
  [344] = {.lex_state = 63},
  [345] = {.lex_state = 63},
  [346] = {.lex_state = 63},
  [347] = {.lex_state = 63},
  [348] = {.lex_state = 63},
  [349] = {.lex_state = 63},
  [350] = {.lex_state = 63},
  [351] = {.lex_state = 63},
  [352] = {.lex_state = 63},
  [353] = {.lex_state = 63},
  [354] = {.lex_state = 63},
  [355] = {.lex_state = 63},
  [356] = {.lex_state = 63},
  [357] = {.lex_state = 63},
  [358] = {.lex_state = 63},
  [359] = {.lex_state = 63},
  [360] = {.lex_state = 63},
  [361] = {.lex_state = 63},
  [362] = {.lex_state = 63},
  [363] = {.lex_state = 63},
  [364] = {.lex_state = 63},
  [365] = {.lex_state = 63},
  [366] = {.lex_state = 63},
  [367] = {.lex_state = 63},
  [368] = {.lex_state = 63},
  [369] = {.lex_state = 63},
  [370] = {.lex_state = 63},
  [371] = {.lex_state = 63},
  [372] = {.lex_state = 63},
  [373] = {.lex_state = 63},
  [374] = {.lex_state = 63},
  [375] = {.lex_state = 63},
  [376] = {.lex_state = 63},
  [377] = {.lex_state = 63},
  [378] = {.lex_state = 63},
  [379] = {.lex_state = 63},
  [380] = {.lex_state = 63},
  [381] = {.lex_state = 63},
  [382] = {.lex_state = 63},
  [383] = {.lex_state = 63},
  [384] = {.lex_state = 63},
  [385] = {.lex_state = 63},
  [386] = {.lex_state = 63},
  [387] = {.lex_state = 63},
  [388] = {.lex_state = 63},
  [389] = {.lex_state = 63},
  [390] = {.lex_state = 63},
  [391] = {.lex_state = 63},
  [392] = {.lex_state = 63},
  [393] = {.lex_state = 63},
  [394] = {.lex_state = 63},
  [395] = {.lex_state = 63},
  [396] = {.lex_state = 63},
  [397] = {.lex_state = 63},
  [398] = {.lex_state = 63},
  [399] = {.lex_state = 63},
  [400] = {.lex_state = 63},
  [401] = {.lex_state = 63},
  [402] = {.lex_state = 63},
  [403] = {.lex_state = 63},
  [404] = {.lex_state = 63},
  [405] = {.lex_state = 63},
  [406] = {.lex_state = 63},
  [407] = {.lex_state = 63},
  [408] = {.lex_state = 63},
  [409] = {.lex_state = 63},
  [410] = {.lex_state = 63},
  [411] = {.lex_state = 63},
  [412] = {.lex_state = 63},
  [413] = {.lex_state = 63},
  [414] = {.lex_state = 63},
  [415] = {.lex_state = 63},
  [416] = {.lex_state = 63},
  [417] = {.lex_state = 63},
  [418] = {.lex_state = 63},
  [419] = {.lex_state = 63},
  [420] = {.lex_state = 63},
  [421] = {.lex_state = 63},
  [422] = {.lex_state = 63},
  [423] = {.lex_state = 63},
  [424] = {.lex_state = 63},
  [425] = {.lex_state = 63},
  [426] = {.lex_state = 63},
  [427] = {.lex_state = 63},
  [428] = {.lex_state = 63},
  [429] = {.lex_state = 63},
  [430] = {.lex_state = 63},
  [431] = {.lex_state = 63},
  [432] = {.lex_state = 63},
  [433] = {.lex_state = 63},
  [434] = {.lex_state = 63},
  [435] = {.lex_state = 63},
  [436] = {.lex_state = 63},
  [437] = {.lex_state = 63},
  [438] = {.lex_state = 63},
  [439] = {.lex_state = 63},
  [440] = {.lex_state = 63},
  [441] = {.lex_state = 63},
  [442] = {.lex_state = 63},
  [443] = {.lex_state = 63},
  [444] = {.lex_state = 63},
  [445] = {.lex_state = 63},
  [446] = {.lex_state = 63},
  [447] = {.lex_state = 63},
  [448] = {.lex_state = 63},
  [449] = {.lex_state = 63},
  [450] = {.lex_state = 63},
  [451] = {.lex_state = 63},
  [452] = {.lex_state = 63},
  [453] = {.lex_state = 63},
  [454] = {.lex_state = 63},
  [455] = {.lex_state = 63},
  [456] = {.lex_state = 63},
  [457] = {.lex_state = 63},
  [458] = {.lex_state = 63},
  [459] = {.lex_state = 63},
  [460] = {.lex_state = 63},
  [461] = {.lex_state = 63},
  [462] = {.lex_state = 63},
  [463] = {.lex_state = 63},
  [464] = {.lex_state = 63},
  [465] = {.lex_state = 63},
  [466] = {.lex_state = 63},
  [467] = {.lex_state = 63},
  [468] = {.lex_state = 63},
  [469] = {.lex_state = 63},
  [470] = {.lex_state = 63},
  [471] = {.lex_state = 63},
  [472] = {.lex_state = 63},
  [473] = {.lex_state = 63},
  [474] = {.lex_state = 63},
  [475] = {.lex_state = 63},
  [476] = {.lex_state = 63},
  [477] = {.lex_state = 63},
  [478] = {.lex_state = 63},
  [479] = {.lex_state = 63},
  [480] = {.lex_state = 63},
  [481] = {.lex_state = 63},
  [482] = {.lex_state = 63},
  [483] = {.lex_state = 63},
  [484] = {.lex_state = 63},
  [485] = {.lex_state = 63},
  [486] = {.lex_state = 63},
  [487] = {.lex_state = 63},
  [488] = {.lex_state = 63},
  [489] = {.lex_state = 63},
  [490] = {.lex_state = 63},
  [491] = {.lex_state = 63},
  [492] = {.lex_state = 63},
  [493] = {.lex_state = 63},
  [494] = {.lex_state = 63},
  [495] = {.lex_state = 63},
  [496] = {.lex_state = 63},
  [497] = {.lex_state = 63},
  [498] = {.lex_state = 63},
  [499] = {.lex_state = 63},
  [500] = {.lex_state = 63},
  [501] = {.lex_state = 63},
  [502] = {.lex_state = 63},
  [503] = {.lex_state = 63},
  [504] = {.lex_state = 63},
  [505] = {.lex_state = 63},
  [506] = {.lex_state = 63},
  [507] = {.lex_state = 63},
  [508] = {.lex_state = 63},
  [509] = {.lex_state = 63},
  [510] = {.lex_state = 63},
  [511] = {.lex_state = 63},
  [512] = {.lex_state = 63},
  [513] = {.lex_state = 63},
  [514] = {.lex_state = 63},
  [515] = {.lex_state = 63},
  [516] = {.lex_state = 63},
  [517] = {.lex_state = 63},
  [518] = {.lex_state = 63},
  [519] = {.lex_state = 63},
  [520] = {.lex_state = 63},
  [521] = {.lex_state = 63},
  [522] = {.lex_state = 63},
  [523] = {.lex_state = 63},
  [524] = {.lex_state = 63},
  [525] = {.lex_state = 63},
  [526] = {.lex_state = 63},
  [527] = {.lex_state = 63},
  [528] = {.lex_state = 63},
  [529] = {.lex_state = 63},
  [530] = {.lex_state = 63},
  [531] = {.lex_state = 63},
  [532] = {.lex_state = 63},
  [533] = {.lex_state = 63},
  [534] = {.lex_state = 63},
  [535] = {.lex_state = 63},
  [536] = {.lex_state = 63},
  [537] = {.lex_state = 63},
  [538] = {.lex_state = 63},
  [539] = {.lex_state = 63},
  [540] = {.lex_state = 63},
  [541] = {.lex_state = 63},
  [542] = {.lex_state = 63},
  [543] = {.lex_state = 63},
  [544] = {.lex_state = 63},
  [545] = {.lex_state = 63},
  [546] = {.lex_state = 63},
  [547] = {.lex_state = 63},
  [548] = {.lex_state = 63},
  [549] = {.lex_state = 63},
  [550] = {.lex_state = 63},
  [551] = {.lex_state = 63},
  [552] = {.lex_state = 63},
  [553] = {.lex_state = 63},
  [554] = {.lex_state = 63},
  [555] = {.lex_state = 63},
  [556] = {.lex_state = 63},
  [557] = {.lex_state = 63},
  [558] = {.lex_state = 63},
  [559] = {.lex_state = 63},
  [560] = {.lex_state = 63},
  [561] = {.lex_state = 63},
  [562] = {.lex_state = 63},
  [563] = {.lex_state = 63},
  [564] = {.lex_state = 63},
  [565] = {.lex_state = 63},
  [566] = {.lex_state = 63},
  [567] = {.lex_state = 63},
  [568] = {.lex_state = 63},
  [569] = {.lex_state = 63},
  [570] = {.lex_state = 63},
  [571] = {.lex_state = 63},
  [572] = {.lex_state = 63},
  [573] = {.lex_state = 63},
  [574] = {.lex_state = 63},
  [575] = {.lex_state = 63},
  [576] = {.lex_state = 63},
  [577] = {.lex_state = 63},
  [578] = {.lex_state = 63},
  [579] = {.lex_state = 63},
  [580] = {.lex_state = 63},
  [581] = {.lex_state = 63},
  [582] = {.lex_state = 63},
  [583] = {.lex_state = 63},
  [584] = {.lex_state = 63},
  [585] = {.lex_state = 63},
  [586] = {.lex_state = 63},
  [587] = {.lex_state = 63},
  [588] = {.lex_state = 63},
  [589] = {.lex_state = 64},
  [590] = {.lex_state = 64},
  [591] = {.lex_state = 64},
  [592] = {.lex_state = 64},
  [593] = {.lex_state = 64},
  [594] = {.lex_state = 64},
  [595] = {.lex_state = 64},
  [596] = {.lex_state = 64},
  [597] = {.lex_state = 64},
  [598] = {.lex_state = 64},
  [599] = {.lex_state = 64},
  [600] = {.lex_state = 64},
  [601] = {.lex_state = 64},
  [602] = {.lex_state = 64},
  [603] = {.lex_state = 64},
  [604] = {.lex_state = 64},
  [605] = {.lex_state = 64},
  [606] = {.lex_state = 64},
  [607] = {.lex_state = 64},
  [608] = {.lex_state = 64},
  [609] = {.lex_state = 64},
  [610] = {.lex_state = 64},
  [611] = {.lex_state = 64},
  [612] = {.lex_state = 64},
  [613] = {.lex_state = 64},
  [614] = {.lex_state = 64},
  [615] = {.lex_state = 64},
  [616] = {.lex_state = 64},
  [617] = {.lex_state = 64},
  [618] = {.lex_state = 64},
  [619] = {.lex_state = 64},
  [620] = {.lex_state = 64},
  [621] = {.lex_state = 64},
  [622] = {.lex_state = 64},
  [623] = {.lex_state = 64},
  [624] = {.lex_state = 65},
  [625] = {.lex_state = 65},
  [626] = {.lex_state = 65},
  [627] = {.lex_state = 65},
  [628] = {.lex_state = 65},
  [629] = {.lex_state = 64, .external_lex_state = 2},
  [630] = {.lex_state = 64},
  [631] = {.lex_state = 64, .external_lex_state = 2},
  [632] = {.lex_state = 65},
  [633] = {.lex_state = 64},
  [634] = {.lex_state = 64, .external_lex_state = 2},
  [635] = {.lex_state = 64, .external_lex_state = 2},
  [636] = {.lex_state = 64, .external_lex_state = 2},
  [637] = {.lex_state = 64, .external_lex_state = 2},
  [638] = {.lex_state = 64, .external_lex_state = 2},
  [639] = {.lex_state = 64, .external_lex_state = 2},
  [640] = {.lex_state = 64, .external_lex_state = 2},
  [641] = {.lex_state = 64, .external_lex_state = 2},
  [642] = {.lex_state = 64, .external_lex_state = 2},
  [643] = {.lex_state = 64, .external_lex_state = 2},
  [644] = {.lex_state = 64, .external_lex_state = 2},
  [645] = {.lex_state = 64, .external_lex_state = 2},
  [646] = {.lex_state = 64, .external_lex_state = 2},
  [647] = {.lex_state = 64, .external_lex_state = 2},
  [648] = {.lex_state = 64, .external_lex_state = 2},
  [649] = {.lex_state = 64, .external_lex_state = 2},
  [650] = {.lex_state = 64, .external_lex_state = 2},
  [651] = {.lex_state = 64, .external_lex_state = 2},
  [652] = {.lex_state = 64, .external_lex_state = 2},
  [653] = {.lex_state = 64},
  [654] = {.lex_state = 64},
  [655] = {.lex_state = 64, .external_lex_state = 2},
  [656] = {.lex_state = 64, .external_lex_state = 2},
  [657] = {.lex_state = 64, .external_lex_state = 2},
  [658] = {.lex_state = 64, .external_lex_state = 2},
  [659] = {.lex_state = 65},
  [660] = {.lex_state = 64, .external_lex_state = 2},
  [661] = {.lex_state = 64, .external_lex_state = 2},
  [662] = {.lex_state = 64, .external_lex_state = 2},
  [663] = {.lex_state = 64, .external_lex_state = 2},
  [664] = {.lex_state = 64, .external_lex_state = 2},
  [665] = {.lex_state = 65},
  [666] = {.lex_state = 64, .external_lex_state = 2},
  [667] = {.lex_state = 64, .external_lex_state = 2},
  [668] = {.lex_state = 64},
  [669] = {.lex_state = 65},
  [670] = {.lex_state = 64, .external_lex_state = 2},
  [671] = {.lex_state = 64, .external_lex_state = 2},
  [672] = {.lex_state = 64, .external_lex_state = 2},
  [673] = {.lex_state = 64, .external_lex_state = 2},
  [674] = {.lex_state = 64, .external_lex_state = 2},
  [675] = {.lex_state = 64},
  [676] = {.lex_state = 64},
  [677] = {.lex_state = 64},
  [678] = {.lex_state = 64, .external_lex_state = 2},
  [679] = {.lex_state = 65},
  [680] = {.lex_state = 64},
  [681] = {.lex_state = 64},
  [682] = {.lex_state = 64},
  [683] = {.lex_state = 64},
  [684] = {.lex_state = 65},
  [685] = {.lex_state = 65},
  [686] = {.lex_state = 65},
  [687] = {.lex_state = 65},
  [688] = {.lex_state = 65},
  [689] = {.lex_state = 65},
  [690] = {.lex_state = 65},
  [691] = {.lex_state = 65},
  [692] = {.lex_state = 64},
  [693] = {.lex_state = 65},
  [694] = {.lex_state = 65},
  [695] = {.lex_state = 64},
  [696] = {.lex_state = 65},
  [697] = {.lex_state = 64},
  [698] = {.lex_state = 64},
  [699] = {.lex_state = 64},
  [700] = {.lex_state = 65},
  [701] = {.lex_state = 64},
  [702] = {.lex_state = 65},
  [703] = {.lex_state = 64},
  [704] = {.lex_state = 64},
  [705] = {.lex_state = 64},
  [706] = {.lex_state = 64},
  [707] = {.lex_state = 64},
  [708] = {.lex_state = 64},
  [709] = {.lex_state = 64},
  [710] = {.lex_state = 64},
  [711] = {.lex_state = 10},
  [712] = {.lex_state = 10},
  [713] = {.lex_state = 64},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 12},
  [716] = {.lex_state = 10},
  [717] = {.lex_state = 10},
  [718] = {.lex_state = 12},
  [719] = {.lex_state = 12},
  [720] = {.lex_state = 10},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 10},
  [725] = {.lex_state = 10},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 10},
  [740] = {.lex_state = 15},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 8},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 15},
  [753] = {.lex_state = 12, .external_lex_state = 2},
  [754] = {.lex_state = 8},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 15},
  [757] = {.lex_state = 8},
  [758] = {.lex_state = 15},
  [759] = {.lex_state = 8},
  [760] = {.lex_state = 8},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 15},
  [763] = {.lex_state = 8},
  [764] = {.lex_state = 15},
  [765] = {.lex_state = 8},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 8},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 8},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 8},
  [774] = {.lex_state = 8},
  [775] = {.lex_state = 15},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 12},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 15},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 15},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 15},
  [833] = {.lex_state = 10},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 12},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 10},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 10},
  [844] = {.lex_state = 10},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 10},
  [847] = {.lex_state = 10},
  [848] = {.lex_state = 10},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 10},
  [851] = {.lex_state = 10},
  [852] = {.lex_state = 10},
  [853] = {.lex_state = 10},
  [854] = {.lex_state = 10},
  [855] = {.lex_state = 10},
  [856] = {.lex_state = 10},
  [857] = {.lex_state = 10},
  [858] = {.lex_state = 10},
  [859] = {.lex_state = 10},
  [860] = {.lex_state = 10},
  [861] = {.lex_state = 12},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 10, .external_lex_state = 2},
  [865] = {.lex_state = 10},
  [866] = {.lex_state = 12},
  [867] = {.lex_state = 10},
  [868] = {.lex_state = 10},
  [869] = {.lex_state = 6},
  [870] = {.lex_state = 12},
  [871] = {.lex_state = 10},
  [872] = {.lex_state = 12},
  [873] = {.lex_state = 10},
  [874] = {.lex_state = 6},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 10, .external_lex_state = 2},
  [878] = {.lex_state = 10, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 10},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 8, .external_lex_state = 2},
  [891] = {.lex_state = 8, .external_lex_state = 2},
  [892] = {.lex_state = 8, .external_lex_state = 2},
  [893] = {.lex_state = 8, .external_lex_state = 2},
  [894] = {.lex_state = 8, .external_lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 8, .external_lex_state = 2},
  [897] = {.lex_state = 8, .external_lex_state = 2},
  [898] = {.lex_state = 8, .external_lex_state = 2},
  [899] = {.lex_state = 8, .external_lex_state = 2},
  [900] = {.lex_state = 8, .external_lex_state = 2},
  [901] = {.lex_state = 8, .external_lex_state = 2},
  [902] = {.lex_state = 8, .external_lex_state = 2},
  [903] = {.lex_state = 8, .external_lex_state = 2},
  [904] = {.lex_state = 8, .external_lex_state = 2},
  [905] = {.lex_state = 12},
  [906] = {.lex_state = 12},
  [907] = {.lex_state = 12},
  [908] = {.lex_state = 12},
  [909] = {.lex_state = 8, .external_lex_state = 2},
  [910] = {.lex_state = 8, .external_lex_state = 2},
  [911] = {.lex_state = 8, .external_lex_state = 2},
  [912] = {.lex_state = 8, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 8, .external_lex_state = 2},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 12},
  [919] = {.lex_state = 12},
  [920] = {.lex_state = 12},
  [921] = {.lex_state = 8, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 8, .external_lex_state = 2},
  [924] = {.lex_state = 8, .external_lex_state = 2},
  [925] = {.lex_state = 8, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 12},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 10},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10, .external_lex_state = 2},
  [983] = {.lex_state = 10, .external_lex_state = 2},
  [984] = {.lex_state = 10, .external_lex_state = 2},
  [985] = {.lex_state = 10, .external_lex_state = 2},
  [986] = {.lex_state = 10, .external_lex_state = 2},
  [987] = {.lex_state = 10, .external_lex_state = 2},
  [988] = {.lex_state = 10, .external_lex_state = 2},
  [989] = {.lex_state = 10, .external_lex_state = 2},
  [990] = {.lex_state = 10, .external_lex_state = 2},
  [991] = {.lex_state = 10, .external_lex_state = 2},
  [992] = {.lex_state = 10, .external_lex_state = 2},
  [993] = {.lex_state = 10, .external_lex_state = 2},
  [994] = {.lex_state = 10, .external_lex_state = 2},
  [995] = {.lex_state = 10, .external_lex_state = 2},
  [996] = {.lex_state = 10, .external_lex_state = 2},
  [997] = {.lex_state = 10, .external_lex_state = 2},
  [998] = {.lex_state = 10, .external_lex_state = 2},
  [999] = {.lex_state = 10, .external_lex_state = 2},
  [1000] = {.lex_state = 10, .external_lex_state = 2},
  [1001] = {.lex_state = 10, .external_lex_state = 2},
  [1002] = {.lex_state = 10, .external_lex_state = 2},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 10, .external_lex_state = 2},
  [1005] = {.lex_state = 10, .external_lex_state = 2},
  [1006] = {.lex_state = 10, .external_lex_state = 2},
  [1007] = {.lex_state = 10, .external_lex_state = 2},
  [1008] = {.lex_state = 10, .external_lex_state = 2},
  [1009] = {.lex_state = 10, .external_lex_state = 2},
  [1010] = {.lex_state = 10, .external_lex_state = 2},
  [1011] = {.lex_state = 10, .external_lex_state = 2},
  [1012] = {.lex_state = 10, .external_lex_state = 2},
  [1013] = {.lex_state = 10, .external_lex_state = 2},
  [1014] = {.lex_state = 10, .external_lex_state = 2},
  [1015] = {.lex_state = 10, .external_lex_state = 2},
  [1016] = {.lex_state = 10, .external_lex_state = 2},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 10, .external_lex_state = 2},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 10, .external_lex_state = 2},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 10, .external_lex_state = 2},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 10},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 10, .external_lex_state = 2},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 10, .external_lex_state = 2},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 10, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 10, .external_lex_state = 2},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 17},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 12},
  [1085] = {.lex_state = 12},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 12},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 12},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 12},
  [1094] = {.lex_state = 12},
  [1095] = {.lex_state = 12},
  [1096] = {.lex_state = 12},
  [1097] = {.lex_state = 12},
  [1098] = {.lex_state = 12},
  [1099] = {.lex_state = 12},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12, .external_lex_state = 2},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12, .external_lex_state = 2},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 12},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12, .external_lex_state = 2},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12, .external_lex_state = 2},
  [1240] = {.lex_state = 12, .external_lex_state = 2},
  [1241] = {.lex_state = 12, .external_lex_state = 2},
  [1242] = {.lex_state = 12, .external_lex_state = 2},
  [1243] = {.lex_state = 12, .external_lex_state = 2},
  [1244] = {.lex_state = 12, .external_lex_state = 2},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12, .external_lex_state = 2},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12, .external_lex_state = 2},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12, .external_lex_state = 2},
  [1252] = {.lex_state = 12, .external_lex_state = 2},
  [1253] = {.lex_state = 12, .external_lex_state = 2},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12, .external_lex_state = 2},
  [1257] = {.lex_state = 12, .external_lex_state = 2},
  [1258] = {.lex_state = 12, .external_lex_state = 2},
  [1259] = {.lex_state = 12, .external_lex_state = 2},
  [1260] = {.lex_state = 16},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 15},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 15},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 15},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 15},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 15},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 15},
  [1288] = {.lex_state = 15},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 12},
  [1340] = {.lex_state = 12},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 12},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 15},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 15},
  [1351] = {.lex_state = 15},
  [1352] = {.lex_state = 15},
  [1353] = {.lex_state = 15},
  [1354] = {.lex_state = 15},
  [1355] = {.lex_state = 15},
  [1356] = {.lex_state = 12},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 15},
  [1359] = {.lex_state = 15},
  [1360] = {.lex_state = 64},
  [1361] = {.lex_state = 15},
  [1362] = {.lex_state = 12},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 64},
  [1365] = {.lex_state = 12},
  [1366] = {.lex_state = 12},
  [1367] = {.lex_state = 12},
  [1368] = {.lex_state = 12},
  [1369] = {.lex_state = 12},
  [1370] = {.lex_state = 15},
  [1371] = {.lex_state = 12},
  [1372] = {.lex_state = 12},
  [1373] = {.lex_state = 12},
  [1374] = {.lex_state = 12},
  [1375] = {.lex_state = 12},
  [1376] = {.lex_state = 12},
  [1377] = {.lex_state = 12},
  [1378] = {.lex_state = 12},
  [1379] = {.lex_state = 64},
  [1380] = {.lex_state = 64},
  [1381] = {.lex_state = 15},
  [1382] = {.lex_state = 15},
  [1383] = {.lex_state = 64},
  [1384] = {.lex_state = 64},
  [1385] = {.lex_state = 64},
  [1386] = {.lex_state = 64},
  [1387] = {.lex_state = 64},
  [1388] = {.lex_state = 65},
  [1389] = {.lex_state = 15},
  [1390] = {.lex_state = 15},
  [1391] = {.lex_state = 64},
  [1392] = {.lex_state = 15},
  [1393] = {.lex_state = 15},
  [1394] = {.lex_state = 64},
  [1395] = {.lex_state = 64},
  [1396] = {.lex_state = 64},
  [1397] = {.lex_state = 64},
  [1398] = {.lex_state = 14},
  [1399] = {.lex_state = 64},
  [1400] = {.lex_state = 65},
  [1401] = {.lex_state = 64},
  [1402] = {.lex_state = 3, .external_lex_state = 3},
  [1403] = {.lex_state = 64},
  [1404] = {.lex_state = 64},
  [1405] = {.lex_state = 64},
  [1406] = {.lex_state = 64},
  [1407] = {.lex_state = 64},
  [1408] = {.lex_state = 3, .external_lex_state = 3},
  [1409] = {.lex_state = 64},
  [1410] = {.lex_state = 64},
  [1411] = {.lex_state = 64},
  [1412] = {.lex_state = 3, .external_lex_state = 3},
  [1413] = {.lex_state = 3, .external_lex_state = 3},
  [1414] = {.lex_state = 3, .external_lex_state = 4},
  [1415] = {.lex_state = 3, .external_lex_state = 3},
  [1416] = {.lex_state = 8, .external_lex_state = 5},
  [1417] = {.lex_state = 15},
  [1418] = {.lex_state = 8, .external_lex_state = 6},
  [1419] = {.lex_state = 64},
  [1420] = {.lex_state = 15},
  [1421] = {.lex_state = 8, .external_lex_state = 6},
  [1422] = {.lex_state = 15},
  [1423] = {.lex_state = 15},
  [1424] = {.lex_state = 15},
  [1425] = {.lex_state = 15},
  [1426] = {.lex_state = 8, .external_lex_state = 5},
  [1427] = {.lex_state = 8, .external_lex_state = 5},
  [1428] = {.lex_state = 64},
  [1429] = {.lex_state = 15},
  [1430] = {.lex_state = 8, .external_lex_state = 6},
  [1431] = {.lex_state = 8, .external_lex_state = 6},
  [1432] = {.lex_state = 15},
  [1433] = {.lex_state = 64},
  [1434] = {.lex_state = 8, .external_lex_state = 6},
  [1435] = {.lex_state = 15},
  [1436] = {.lex_state = 8, .external_lex_state = 5},
  [1437] = {.lex_state = 15},
  [1438] = {.lex_state = 15},
  [1439] = {.lex_state = 15},
  [1440] = {.lex_state = 64},
  [1441] = {.lex_state = 8, .external_lex_state = 5},
  [1442] = {.lex_state = 15},
  [1443] = {.lex_state = 64},
  [1444] = {.lex_state = 64},
  [1445] = {.lex_state = 15},
  [1446] = {.lex_state = 15},
  [1447] = {.lex_state = 64},
  [1448] = {.lex_state = 15},
  [1449] = {.lex_state = 15},
  [1450] = {.lex_state = 8, .external_lex_state = 4},
  [1451] = {.lex_state = 15},
  [1452] = {.lex_state = 17},
  [1453] = {.lex_state = 15},
  [1454] = {.lex_state = 15},
  [1455] = {.lex_state = 15},
  [1456] = {.lex_state = 15},
  [1457] = {.lex_state = 15},
  [1458] = {.lex_state = 15},
  [1459] = {.lex_state = 15},
  [1460] = {.lex_state = 15},
  [1461] = {.lex_state = 15},
  [1462] = {.lex_state = 15},
  [1463] = {.lex_state = 15},
  [1464] = {.lex_state = 15},
  [1465] = {.lex_state = 15},
  [1466] = {.lex_state = 15},
  [1467] = {.lex_state = 15},
  [1468] = {.lex_state = 15},
  [1469] = {.lex_state = 15},
  [1470] = {.lex_state = 15},
  [1471] = {.lex_state = 64},
  [1472] = {.lex_state = 64},
  [1473] = {.lex_state = 64},
  [1474] = {.lex_state = 64},
  [1475] = {.lex_state = 64},
  [1476] = {.lex_state = 15},
  [1477] = {.lex_state = 64},
  [1478] = {.lex_state = 64},
  [1479] = {.lex_state = 64},
  [1480] = {.lex_state = 64},
  [1481] = {.lex_state = 64},
  [1482] = {.lex_state = 15},
  [1483] = {.lex_state = 64},
  [1484] = {.lex_state = 64},
  [1485] = {.lex_state = 64},
  [1486] = {.lex_state = 64},
  [1487] = {.lex_state = 64},
  [1488] = {.lex_state = 64},
  [1489] = {.lex_state = 64},
  [1490] = {.lex_state = 64},
  [1491] = {.lex_state = 64},
  [1492] = {.lex_state = 64},
  [1493] = {.lex_state = 64},
  [1494] = {.lex_state = 15},
  [1495] = {.lex_state = 64},
  [1496] = {.lex_state = 64},
  [1497] = {.lex_state = 64},
  [1498] = {.lex_state = 64},
  [1499] = {.lex_state = 64},
  [1500] = {.lex_state = 15},
  [1501] = {.lex_state = 64},
  [1502] = {.lex_state = 64},
  [1503] = {.lex_state = 64},
  [1504] = {.lex_state = 64},
  [1505] = {.lex_state = 64},
  [1506] = {.lex_state = 64},
  [1507] = {.lex_state = 64},
  [1508] = {.lex_state = 64},
  [1509] = {.lex_state = 64},
  [1510] = {.lex_state = 17},
  [1511] = {.lex_state = 17},
  [1512] = {.lex_state = 17},
  [1513] = {.lex_state = 64},
  [1514] = {.lex_state = 17},
  [1515] = {.lex_state = 64},
  [1516] = {.lex_state = 64},
  [1517] = {.lex_state = 64},
  [1518] = {.lex_state = 64},
  [1519] = {.lex_state = 64},
  [1520] = {.lex_state = 17},
  [1521] = {.lex_state = 17},
  [1522] = {.lex_state = 17},
  [1523] = {.lex_state = 64},
  [1524] = {.lex_state = 64},
  [1525] = {.lex_state = 64},
  [1526] = {.lex_state = 64},
  [1527] = {.lex_state = 64},
  [1528] = {.lex_state = 17},
  [1529] = {.lex_state = 17},
  [1530] = {.lex_state = 64},
  [1531] = {.lex_state = 3, .external_lex_state = 7},
  [1532] = {.lex_state = 3, .external_lex_state = 7},
  [1533] = {.lex_state = 64, .external_lex_state = 2},
  [1534] = {.lex_state = 8, .external_lex_state = 8},
  [1535] = {.lex_state = 64},
  [1536] = {.lex_state = 64},
  [1537] = {.lex_state = 8, .external_lex_state = 8},
  [1538] = {.lex_state = 64, .external_lex_state = 2},
  [1539] = {.lex_state = 64, .external_lex_state = 2},
  [1540] = {.lex_state = 64, .external_lex_state = 2},
  [1541] = {.lex_state = 8, .external_lex_state = 9},
  [1542] = {.lex_state = 64, .external_lex_state = 2},
  [1543] = {.lex_state = 64},
  [1544] = {.lex_state = 8, .external_lex_state = 9},
  [1545] = {.lex_state = 64, .external_lex_state = 2},
  [1546] = {.lex_state = 64, .external_lex_state = 2},
  [1547] = {.lex_state = 64, .external_lex_state = 2},
  [1548] = {.lex_state = 17},
  [1549] = {.lex_state = 64},
  [1550] = {.lex_state = 64},
  [1551] = {.lex_state = 64},
  [1552] = {.lex_state = 64},
  [1553] = {.lex_state = 64},
  [1554] = {.lex_state = 64},
  [1555] = {.lex_state = 64},
  [1556] = {.lex_state = 64},
  [1557] = {.lex_state = 64},
  [1558] = {.lex_state = 64},
  [1559] = {.lex_state = 64},
  [1560] = {.lex_state = 64},
  [1561] = {.lex_state = 64},
  [1562] = {.lex_state = 64},
  [1563] = {.lex_state = 64},
  [1564] = {.lex_state = 64, .external_lex_state = 2},
  [1565] = {.lex_state = 64},
  [1566] = {.lex_state = 64},
  [1567] = {.lex_state = 64},
  [1568] = {.lex_state = 64},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 64},
  [1571] = {.lex_state = 64},
  [1572] = {.lex_state = 64, .external_lex_state = 2},
  [1573] = {.lex_state = 3, .external_lex_state = 3},
  [1574] = {.lex_state = 64, .external_lex_state = 2},
  [1575] = {.lex_state = 64, .external_lex_state = 2},
  [1576] = {.lex_state = 64},
  [1577] = {.lex_state = 64},
  [1578] = {.lex_state = 64},
  [1579] = {.lex_state = 64},
  [1580] = {.lex_state = 10},
  [1581] = {.lex_state = 64},
  [1582] = {.lex_state = 64},
  [1583] = {.lex_state = 64},
  [1584] = {.lex_state = 3, .external_lex_state = 3},
  [1585] = {.lex_state = 64, .external_lex_state = 2},
  [1586] = {.lex_state = 64},
  [1587] = {.lex_state = 3, .external_lex_state = 3},
  [1588] = {.lex_state = 65},
  [1589] = {.lex_state = 64, .external_lex_state = 2},
  [1590] = {.lex_state = 17},
  [1591] = {.lex_state = 64},
  [1592] = {.lex_state = 64},
  [1593] = {.lex_state = 64, .external_lex_state = 2},
  [1594] = {.lex_state = 3, .external_lex_state = 3},
  [1595] = {.lex_state = 64, .external_lex_state = 2},
  [1596] = {.lex_state = 64},
  [1597] = {.lex_state = 64, .external_lex_state = 2},
  [1598] = {.lex_state = 64},
  [1599] = {.lex_state = 64, .external_lex_state = 2},
  [1600] = {.lex_state = 3, .external_lex_state = 3},
  [1601] = {.lex_state = 64, .external_lex_state = 2},
  [1602] = {.lex_state = 64, .external_lex_state = 2},
  [1603] = {.lex_state = 64},
  [1604] = {.lex_state = 64, .external_lex_state = 2},
  [1605] = {.lex_state = 10},
  [1606] = {.lex_state = 64, .external_lex_state = 2},
  [1607] = {.lex_state = 64},
  [1608] = {.lex_state = 3, .external_lex_state = 3},
  [1609] = {.lex_state = 64, .external_lex_state = 2},
  [1610] = {.lex_state = 64, .external_lex_state = 2},
  [1611] = {.lex_state = 64},
  [1612] = {.lex_state = 3, .external_lex_state = 3},
  [1613] = {.lex_state = 64},
  [1614] = {.lex_state = 3, .external_lex_state = 3},
  [1615] = {.lex_state = 64},
  [1616] = {.lex_state = 64},
  [1617] = {.lex_state = 64, .external_lex_state = 2},
  [1618] = {.lex_state = 64},
  [1619] = {.lex_state = 64},
  [1620] = {.lex_state = 64},
  [1621] = {.lex_state = 3, .external_lex_state = 3},
  [1622] = {.lex_state = 3, .external_lex_state = 3},
  [1623] = {.lex_state = 3, .external_lex_state = 3},
  [1624] = {.lex_state = 64},
  [1625] = {.lex_state = 64, .external_lex_state = 2},
  [1626] = {.lex_state = 64, .external_lex_state = 2},
  [1627] = {.lex_state = 10},
  [1628] = {.lex_state = 64},
  [1629] = {.lex_state = 64},
  [1630] = {.lex_state = 64, .external_lex_state = 2},
  [1631] = {.lex_state = 8, .external_lex_state = 6},
  [1632] = {.lex_state = 19},
  [1633] = {.lex_state = 64},
  [1634] = {.lex_state = 8, .external_lex_state = 5},
  [1635] = {.lex_state = 8, .external_lex_state = 5},
  [1636] = {.lex_state = 8, .external_lex_state = 5},
  [1637] = {.lex_state = 64},
  [1638] = {.lex_state = 64},
  [1639] = {.lex_state = 8, .external_lex_state = 5},
  [1640] = {.lex_state = 64},
  [1641] = {.lex_state = 19},
  [1642] = {.lex_state = 64, .external_lex_state = 2},
  [1643] = {.lex_state = 65},
  [1644] = {.lex_state = 65},
  [1645] = {.lex_state = 64},
  [1646] = {.lex_state = 64},
  [1647] = {.lex_state = 64},
  [1648] = {.lex_state = 8, .external_lex_state = 6},
  [1649] = {.lex_state = 64},
  [1650] = {.lex_state = 64},
  [1651] = {.lex_state = 64},
  [1652] = {.lex_state = 8, .external_lex_state = 6},
  [1653] = {.lex_state = 8, .external_lex_state = 5},
  [1654] = {.lex_state = 8, .external_lex_state = 5},
  [1655] = {.lex_state = 8, .external_lex_state = 5},
  [1656] = {.lex_state = 8, .external_lex_state = 6},
  [1657] = {.lex_state = 8, .external_lex_state = 5},
  [1658] = {.lex_state = 19},
  [1659] = {.lex_state = 64},
  [1660] = {.lex_state = 64},
  [1661] = {.lex_state = 64},
  [1662] = {.lex_state = 64},
  [1663] = {.lex_state = 19},
  [1664] = {.lex_state = 64},
  [1665] = {.lex_state = 64},
  [1666] = {.lex_state = 64},
  [1667] = {.lex_state = 64},
  [1668] = {.lex_state = 64},
  [1669] = {.lex_state = 64},
  [1670] = {.lex_state = 64},
  [1671] = {.lex_state = 64},
  [1672] = {.lex_state = 64},
  [1673] = {.lex_state = 64},
  [1674] = {.lex_state = 64},
  [1675] = {.lex_state = 64},
  [1676] = {.lex_state = 64},
  [1677] = {.lex_state = 64},
  [1678] = {.lex_state = 8, .external_lex_state = 6},
  [1679] = {.lex_state = 64},
  [1680] = {.lex_state = 64},
  [1681] = {.lex_state = 8, .external_lex_state = 6},
  [1682] = {.lex_state = 64},
  [1683] = {.lex_state = 64},
  [1684] = {.lex_state = 64},
  [1685] = {.lex_state = 64},
  [1686] = {.lex_state = 64},
  [1687] = {.lex_state = 8, .external_lex_state = 5},
  [1688] = {.lex_state = 8, .external_lex_state = 5},
  [1689] = {.lex_state = 64},
  [1690] = {.lex_state = 64},
  [1691] = {.lex_state = 64},
  [1692] = {.lex_state = 64},
  [1693] = {.lex_state = 64},
  [1694] = {.lex_state = 64},
  [1695] = {.lex_state = 64},
  [1696] = {.lex_state = 64},
  [1697] = {.lex_state = 64},
  [1698] = {.lex_state = 64},
  [1699] = {.lex_state = 64},
  [1700] = {.lex_state = 64},
  [1701] = {.lex_state = 64},
  [1702] = {.lex_state = 64, .external_lex_state = 2},
  [1703] = {.lex_state = 64},
  [1704] = {.lex_state = 64},
  [1705] = {.lex_state = 64},
  [1706] = {.lex_state = 64},
  [1707] = {.lex_state = 64},
  [1708] = {.lex_state = 8, .external_lex_state = 6},
  [1709] = {.lex_state = 8, .external_lex_state = 6},
  [1710] = {.lex_state = 8, .external_lex_state = 6},
  [1711] = {.lex_state = 64},
  [1712] = {.lex_state = 66, .external_lex_state = 10},
  [1713] = {.lex_state = 19},
  [1714] = {.lex_state = 64},
  [1715] = {.lex_state = 64},
  [1716] = {.lex_state = 8, .external_lex_state = 6},
  [1717] = {.lex_state = 8, .external_lex_state = 5},
  [1718] = {.lex_state = 64},
  [1719] = {.lex_state = 64},
  [1720] = {.lex_state = 8, .external_lex_state = 6},
  [1721] = {.lex_state = 64},
  [1722] = {.lex_state = 64, .external_lex_state = 2},
  [1723] = {.lex_state = 64},
  [1724] = {.lex_state = 64, .external_lex_state = 2},
  [1725] = {.lex_state = 15},
  [1726] = {.lex_state = 15},
  [1727] = {.lex_state = 64},
  [1728] = {.lex_state = 15},
  [1729] = {.lex_state = 64, .external_lex_state = 2},
  [1730] = {.lex_state = 64, .external_lex_state = 2},
  [1731] = {.lex_state = 15},
  [1732] = {.lex_state = 15},
  [1733] = {.lex_state = 15},
  [1734] = {.lex_state = 64, .external_lex_state = 2},
  [1735] = {.lex_state = 64},
  [1736] = {.lex_state = 64},
  [1737] = {.lex_state = 64},
  [1738] = {.lex_state = 65},
  [1739] = {.lex_state = 64, .external_lex_state = 2},
  [1740] = {.lex_state = 64},
  [1741] = {.lex_state = 15},
  [1742] = {.lex_state = 64},
  [1743] = {.lex_state = 64, .external_lex_state = 2},
  [1744] = {.lex_state = 64, .external_lex_state = 2},
  [1745] = {.lex_state = 66, .external_lex_state = 10},
  [1746] = {.lex_state = 64, .external_lex_state = 2},
  [1747] = {.lex_state = 64, .external_lex_state = 2},
  [1748] = {.lex_state = 64, .external_lex_state = 2},
  [1749] = {.lex_state = 64, .external_lex_state = 2},
  [1750] = {.lex_state = 64, .external_lex_state = 2},
  [1751] = {.lex_state = 64},
  [1752] = {.lex_state = 64},
  [1753] = {.lex_state = 64},
  [1754] = {.lex_state = 66},
  [1755] = {.lex_state = 64, .external_lex_state = 2},
  [1756] = {.lex_state = 64, .external_lex_state = 2},
  [1757] = {.lex_state = 64, .external_lex_state = 2},
  [1758] = {.lex_state = 64, .external_lex_state = 2},
  [1759] = {.lex_state = 64},
  [1760] = {.lex_state = 64},
  [1761] = {.lex_state = 64, .external_lex_state = 2},
  [1762] = {.lex_state = 66},
  [1763] = {.lex_state = 64},
  [1764] = {.lex_state = 64},
  [1765] = {.lex_state = 64},
  [1766] = {.lex_state = 64, .external_lex_state = 2},
  [1767] = {.lex_state = 66, .external_lex_state = 10},
  [1768] = {.lex_state = 64},
  [1769] = {.lex_state = 64},
  [1770] = {.lex_state = 64, .external_lex_state = 2},
  [1771] = {.lex_state = 64, .external_lex_state = 2},
  [1772] = {.lex_state = 64, .external_lex_state = 2},
  [1773] = {.lex_state = 64},
  [1774] = {.lex_state = 64},
  [1775] = {.lex_state = 15},
  [1776] = {.lex_state = 15},
  [1777] = {.lex_state = 15},
  [1778] = {.lex_state = 64},
  [1779] = {.lex_state = 15},
  [1780] = {.lex_state = 15},
  [1781] = {.lex_state = 64, .external_lex_state = 2},
  [1782] = {.lex_state = 64, .external_lex_state = 2},
  [1783] = {.lex_state = 64, .external_lex_state = 2},
  [1784] = {.lex_state = 15},
  [1785] = {.lex_state = 64, .external_lex_state = 2},
  [1786] = {.lex_state = 64, .external_lex_state = 2},
  [1787] = {.lex_state = 64},
  [1788] = {.lex_state = 64},
  [1789] = {.lex_state = 64},
  [1790] = {.lex_state = 64, .external_lex_state = 2},
  [1791] = {.lex_state = 64, .external_lex_state = 2},
  [1792] = {.lex_state = 64},
  [1793] = {.lex_state = 65},
  [1794] = {.lex_state = 64, .external_lex_state = 2},
  [1795] = {.lex_state = 15},
  [1796] = {.lex_state = 64, .external_lex_state = 2},
  [1797] = {.lex_state = 64, .external_lex_state = 2},
  [1798] = {.lex_state = 15},
  [1799] = {.lex_state = 15},
  [1800] = {.lex_state = 64, .external_lex_state = 2},
  [1801] = {.lex_state = 15},
  [1802] = {.lex_state = 64},
  [1803] = {.lex_state = 15},
  [1804] = {.lex_state = 65},
  [1805] = {.lex_state = 65},
  [1806] = {.lex_state = 65},
  [1807] = {.lex_state = 15},
  [1808] = {.lex_state = 64},
  [1809] = {.lex_state = 64, .external_lex_state = 2},
  [1810] = {.lex_state = 64, .external_lex_state = 2},
  [1811] = {.lex_state = 64},
  [1812] = {.lex_state = 64, .external_lex_state = 2},
  [1813] = {.lex_state = 64, .external_lex_state = 2},
  [1814] = {.lex_state = 64, .external_lex_state = 2},
  [1815] = {.lex_state = 64, .external_lex_state = 2},
  [1816] = {.lex_state = 64, .external_lex_state = 2},
  [1817] = {.lex_state = 64, .external_lex_state = 2},
  [1818] = {.lex_state = 64, .external_lex_state = 2},
  [1819] = {.lex_state = 64, .external_lex_state = 2},
  [1820] = {.lex_state = 64},
  [1821] = {.lex_state = 64},
  [1822] = {.lex_state = 64},
  [1823] = {.lex_state = 64},
  [1824] = {.lex_state = 64},
  [1825] = {.lex_state = 64, .external_lex_state = 2},
  [1826] = {.lex_state = 64, .external_lex_state = 2},
  [1827] = {.lex_state = 64},
  [1828] = {.lex_state = 64},
  [1829] = {.lex_state = 64},
  [1830] = {.lex_state = 15},
  [1831] = {.lex_state = 64},
  [1832] = {.lex_state = 64, .external_lex_state = 2},
  [1833] = {.lex_state = 15},
  [1834] = {.lex_state = 15},
  [1835] = {.lex_state = 64},
  [1836] = {.lex_state = 64},
  [1837] = {.lex_state = 64},
  [1838] = {.lex_state = 64},
  [1839] = {.lex_state = 65},
  [1840] = {.lex_state = 65},
  [1841] = {.lex_state = 65},
  [1842] = {.lex_state = 64},
  [1843] = {.lex_state = 64, .external_lex_state = 2},
  [1844] = {.lex_state = 64, .external_lex_state = 2},
  [1845] = {.lex_state = 64, .external_lex_state = 2},
  [1846] = {.lex_state = 64, .external_lex_state = 2},
  [1847] = {.lex_state = 64, .external_lex_state = 2},
  [1848] = {.lex_state = 64, .external_lex_state = 2},
  [1849] = {.lex_state = 64, .external_lex_state = 2},
  [1850] = {.lex_state = 64, .external_lex_state = 2},
  [1851] = {.lex_state = 64, .external_lex_state = 2},
  [1852] = {.lex_state = 64, .external_lex_state = 2},
  [1853] = {.lex_state = 64, .external_lex_state = 2},
  [1854] = {.lex_state = 64, .external_lex_state = 2},
  [1855] = {.lex_state = 64},
  [1856] = {.lex_state = 15},
  [1857] = {.lex_state = 64, .external_lex_state = 2},
  [1858] = {.lex_state = 64},
  [1859] = {.lex_state = 64},
  [1860] = {.lex_state = 64},
  [1861] = {.lex_state = 64},
  [1862] = {.lex_state = 64},
  [1863] = {.lex_state = 64},
  [1864] = {.lex_state = 64},
  [1865] = {.lex_state = 64, .external_lex_state = 2},
  [1866] = {.lex_state = 64, .external_lex_state = 2},
  [1867] = {.lex_state = 64},
  [1868] = {.lex_state = 64},
  [1869] = {.lex_state = 64},
  [1870] = {.lex_state = 64},
  [1871] = {.lex_state = 64},
  [1872] = {.lex_state = 64, .external_lex_state = 2},
  [1873] = {.lex_state = 64, .external_lex_state = 2},
  [1874] = {.lex_state = 64},
  [1875] = {.lex_state = 64},
  [1876] = {.lex_state = 64},
  [1877] = {.lex_state = 64, .external_lex_state = 2},
  [1878] = {.lex_state = 64},
  [1879] = {.lex_state = 64},
  [1880] = {.lex_state = 64},
  [1881] = {.lex_state = 64},
  [1882] = {.lex_state = 64},
  [1883] = {.lex_state = 3, .external_lex_state = 11},
  [1884] = {.lex_state = 64},
  [1885] = {.lex_state = 64},
  [1886] = {.lex_state = 64},
  [1887] = {.lex_state = 65},
  [1888] = {.lex_state = 64, .external_lex_state = 2},
  [1889] = {.lex_state = 64},
  [1890] = {.lex_state = 65},
  [1891] = {.lex_state = 64, .external_lex_state = 2},
  [1892] = {.lex_state = 64},
  [1893] = {.lex_state = 64},
  [1894] = {.lex_state = 3, .external_lex_state = 12},
  [1895] = {.lex_state = 64},
  [1896] = {.lex_state = 64},
  [1897] = {.lex_state = 64},
  [1898] = {.lex_state = 64},
  [1899] = {.lex_state = 64},
  [1900] = {.lex_state = 64},
  [1901] = {.lex_state = 66, .external_lex_state = 10},
  [1902] = {.lex_state = 64},
  [1903] = {.lex_state = 64},
  [1904] = {.lex_state = 64, .external_lex_state = 2},
  [1905] = {.lex_state = 64, .external_lex_state = 2},
  [1906] = {.lex_state = 64, .external_lex_state = 2},
  [1907] = {.lex_state = 64},
  [1908] = {.lex_state = 64},
  [1909] = {.lex_state = 65},
  [1910] = {.lex_state = 64},
  [1911] = {.lex_state = 64},
  [1912] = {.lex_state = 64},
  [1913] = {.lex_state = 64},
  [1914] = {.lex_state = 64},
  [1915] = {.lex_state = 64},
  [1916] = {.lex_state = 64},
  [1917] = {.lex_state = 64},
  [1918] = {.lex_state = 64},
  [1919] = {.lex_state = 64},
  [1920] = {.lex_state = 64},
  [1921] = {.lex_state = 64},
  [1922] = {.lex_state = 3, .external_lex_state = 12},
  [1923] = {.lex_state = 64},
  [1924] = {.lex_state = 3, .external_lex_state = 11},
  [1925] = {.lex_state = 64},
  [1926] = {.lex_state = 64},
  [1927] = {.lex_state = 64},
  [1928] = {.lex_state = 64},
  [1929] = {.lex_state = 64},
  [1930] = {.lex_state = 64},
  [1931] = {.lex_state = 64},
  [1932] = {.lex_state = 64},
  [1933] = {.lex_state = 64},
  [1934] = {.lex_state = 64},
  [1935] = {.lex_state = 19},
  [1936] = {.lex_state = 64, .external_lex_state = 2},
  [1937] = {.lex_state = 64},
  [1938] = {.lex_state = 64},
  [1939] = {.lex_state = 64, .external_lex_state = 2},
  [1940] = {.lex_state = 64},
  [1941] = {.lex_state = 16, .external_lex_state = 2},
  [1942] = {.lex_state = 64},
  [1943] = {.lex_state = 64},
  [1944] = {.lex_state = 64},
  [1945] = {.lex_state = 64},
  [1946] = {.lex_state = 64},
  [1947] = {.lex_state = 64},
  [1948] = {.lex_state = 64},
  [1949] = {.lex_state = 64, .external_lex_state = 2},
  [1950] = {.lex_state = 64, .external_lex_state = 2},
  [1951] = {.lex_state = 65},
  [1952] = {.lex_state = 64, .external_lex_state = 2},
  [1953] = {.lex_state = 64},
  [1954] = {.lex_state = 64},
  [1955] = {.lex_state = 64},
  [1956] = {.lex_state = 64, .external_lex_state = 2},
  [1957] = {.lex_state = 64, .external_lex_state = 2},
  [1958] = {.lex_state = 64},
  [1959] = {.lex_state = 64},
  [1960] = {.lex_state = 64},
  [1961] = {.lex_state = 64, .external_lex_state = 2},
  [1962] = {.lex_state = 64},
  [1963] = {.lex_state = 3, .external_lex_state = 11},
  [1964] = {.lex_state = 64},
  [1965] = {.lex_state = 19},
  [1966] = {.lex_state = 64},
  [1967] = {.lex_state = 64},
  [1968] = {.lex_state = 64},
  [1969] = {.lex_state = 3, .external_lex_state = 11},
  [1970] = {.lex_state = 66},
  [1971] = {.lex_state = 65},
  [1972] = {.lex_state = 64},
  [1973] = {.lex_state = 64},
  [1974] = {.lex_state = 64, .external_lex_state = 2},
  [1975] = {.lex_state = 64},
  [1976] = {.lex_state = 64},
  [1977] = {.lex_state = 64},
  [1978] = {.lex_state = 64},
  [1979] = {.lex_state = 64},
  [1980] = {.lex_state = 64},
  [1981] = {.lex_state = 64, .external_lex_state = 2},
  [1982] = {.lex_state = 64},
  [1983] = {.lex_state = 64, .external_lex_state = 2},
  [1984] = {.lex_state = 64},
  [1985] = {.lex_state = 64},
  [1986] = {.lex_state = 64},
  [1987] = {.lex_state = 64},
  [1988] = {.lex_state = 64, .external_lex_state = 2},
  [1989] = {.lex_state = 64},
  [1990] = {.lex_state = 64, .external_lex_state = 2},
  [1991] = {.lex_state = 64, .external_lex_state = 2},
  [1992] = {.lex_state = 64},
  [1993] = {.lex_state = 64},
  [1994] = {.lex_state = 64},
  [1995] = {.lex_state = 64},
  [1996] = {.lex_state = 64, .external_lex_state = 2},
  [1997] = {.lex_state = 64, .external_lex_state = 2},
  [1998] = {.lex_state = 64},
  [1999] = {.lex_state = 64},
  [2000] = {.lex_state = 65},
  [2001] = {.lex_state = 64},
  [2002] = {.lex_state = 65},
  [2003] = {.lex_state = 64},
  [2004] = {.lex_state = 64},
  [2005] = {.lex_state = 64},
  [2006] = {.lex_state = 64},
  [2007] = {.lex_state = 64, .external_lex_state = 2},
  [2008] = {.lex_state = 64, .external_lex_state = 2},
  [2009] = {.lex_state = 64},
  [2010] = {.lex_state = 64, .external_lex_state = 2},
  [2011] = {.lex_state = 64},
  [2012] = {.lex_state = 64, .external_lex_state = 2},
  [2013] = {.lex_state = 64, .external_lex_state = 2},
  [2014] = {.lex_state = 64},
  [2015] = {.lex_state = 64},
  [2016] = {.lex_state = 64},
  [2017] = {.lex_state = 64},
  [2018] = {.lex_state = 64, .external_lex_state = 2},
  [2019] = {.lex_state = 64},
  [2020] = {.lex_state = 64},
  [2021] = {.lex_state = 64},
  [2022] = {.lex_state = 64, .external_lex_state = 2},
  [2023] = {.lex_state = 64, .external_lex_state = 2},
  [2024] = {.lex_state = 64},
  [2025] = {.lex_state = 64},
  [2026] = {.lex_state = 64},
  [2027] = {.lex_state = 64},
  [2028] = {.lex_state = 64},
  [2029] = {.lex_state = 64, .external_lex_state = 2},
  [2030] = {.lex_state = 64},
  [2031] = {.lex_state = 64},
  [2032] = {.lex_state = 64},
  [2033] = {.lex_state = 64},
  [2034] = {.lex_state = 64},
  [2035] = {.lex_state = 64},
  [2036] = {.lex_state = 64, .external_lex_state = 2},
  [2037] = {.lex_state = 64},
  [2038] = {.lex_state = 64, .external_lex_state = 2},
  [2039] = {.lex_state = 64, .external_lex_state = 2},
  [2040] = {.lex_state = 64, .external_lex_state = 2},
  [2041] = {.lex_state = 64},
  [2042] = {.lex_state = 64},
  [2043] = {.lex_state = 64},
  [2044] = {.lex_state = 64},
  [2045] = {.lex_state = 64, .external_lex_state = 2},
  [2046] = {.lex_state = 64},
  [2047] = {.lex_state = 64},
  [2048] = {.lex_state = 64},
  [2049] = {.lex_state = 64},
  [2050] = {.lex_state = 64},
  [2051] = {.lex_state = 64},
  [2052] = {.lex_state = 64},
  [2053] = {.lex_state = 64},
  [2054] = {.lex_state = 64},
  [2055] = {.lex_state = 64, .external_lex_state = 2},
  [2056] = {.lex_state = 64},
  [2057] = {.lex_state = 64},
  [2058] = {.lex_state = 64},
  [2059] = {.lex_state = 64},
  [2060] = {.lex_state = 64},
  [2061] = {.lex_state = 19},
  [2062] = {.lex_state = 64},
  [2063] = {.lex_state = 64},
  [2064] = {.lex_state = 64},
  [2065] = {.lex_state = 64},
  [2066] = {.lex_state = 64},
  [2067] = {.lex_state = 3, .external_lex_state = 11},
  [2068] = {.lex_state = 64},
  [2069] = {.lex_state = 64},
  [2070] = {.lex_state = 64},
  [2071] = {.lex_state = 64},
  [2072] = {.lex_state = 64},
  [2073] = {.lex_state = 64, .external_lex_state = 2},
  [2074] = {.lex_state = 64, .external_lex_state = 2},
  [2075] = {.lex_state = 64, .external_lex_state = 2},
  [2076] = {.lex_state = 64},
  [2077] = {.lex_state = 64},
  [2078] = {.lex_state = 64},
  [2079] = {.lex_state = 64},
  [2080] = {.lex_state = 64},
  [2081] = {.lex_state = 64},
  [2082] = {.lex_state = 64, .external_lex_state = 2},
  [2083] = {.lex_state = 64},
  [2084] = {.lex_state = 64},
  [2085] = {.lex_state = 64},
  [2086] = {.lex_state = 64},
  [2087] = {.lex_state = 64},
  [2088] = {.lex_state = 64},
  [2089] = {.lex_state = 64, .external_lex_state = 2},
  [2090] = {.lex_state = 64},
  [2091] = {.lex_state = 3, .external_lex_state = 11},
  [2092] = {.lex_state = 3, .external_lex_state = 11},
  [2093] = {.lex_state = 64},
  [2094] = {.lex_state = 64},
  [2095] = {.lex_state = 64},
  [2096] = {.lex_state = 64},
  [2097] = {.lex_state = 64},
  [2098] = {.lex_state = 64, .external_lex_state = 2},
  [2099] = {.lex_state = 64},
  [2100] = {.lex_state = 64, .external_lex_state = 2},
  [2101] = {.lex_state = 64, .external_lex_state = 2},
  [2102] = {.lex_state = 64},
  [2103] = {.lex_state = 64},
  [2104] = {.lex_state = 64, .external_lex_state = 2},
  [2105] = {.lex_state = 64},
  [2106] = {.lex_state = 64},
  [2107] = {.lex_state = 64, .external_lex_state = 2},
  [2108] = {.lex_state = 64, .external_lex_state = 2},
  [2109] = {.lex_state = 64, .external_lex_state = 2},
  [2110] = {.lex_state = 64},
  [2111] = {.lex_state = 64},
  [2112] = {.lex_state = 64},
  [2113] = {.lex_state = 64, .external_lex_state = 2},
  [2114] = {.lex_state = 64},
  [2115] = {.lex_state = 64},
  [2116] = {.lex_state = 64},
  [2117] = {.lex_state = 64},
  [2118] = {.lex_state = 64, .external_lex_state = 2},
  [2119] = {.lex_state = 64, .external_lex_state = 2},
  [2120] = {.lex_state = 64, .external_lex_state = 2},
  [2121] = {.lex_state = 64},
  [2122] = {.lex_state = 64, .external_lex_state = 2},
  [2123] = {.lex_state = 64},
  [2124] = {.lex_state = 64},
  [2125] = {.lex_state = 64},
  [2126] = {.lex_state = 64},
  [2127] = {.lex_state = 64, .external_lex_state = 2},
  [2128] = {.lex_state = 64},
  [2129] = {.lex_state = 64},
  [2130] = {.lex_state = 64, .external_lex_state = 2},
  [2131] = {.lex_state = 64, .external_lex_state = 2},
  [2132] = {.lex_state = 64, .external_lex_state = 2},
  [2133] = {.lex_state = 64},
  [2134] = {.lex_state = 64, .external_lex_state = 2},
  [2135] = {.lex_state = 64, .external_lex_state = 2},
  [2136] = {.lex_state = 64, .external_lex_state = 2},
  [2137] = {.lex_state = 64, .external_lex_state = 2},
  [2138] = {.lex_state = 64},
  [2139] = {.lex_state = 64},
  [2140] = {.lex_state = 64},
  [2141] = {.lex_state = 64},
  [2142] = {.lex_state = 64},
  [2143] = {.lex_state = 64},
  [2144] = {.lex_state = 64},
  [2145] = {.lex_state = 64},
  [2146] = {.lex_state = 64},
  [2147] = {.lex_state = 64},
  [2148] = {.lex_state = 64, .external_lex_state = 2},
  [2149] = {.lex_state = 64},
  [2150] = {.lex_state = 64},
  [2151] = {.lex_state = 64, .external_lex_state = 2},
  [2152] = {.lex_state = 64},
  [2153] = {.lex_state = 64},
  [2154] = {.lex_state = 64},
  [2155] = {.lex_state = 64},
  [2156] = {.lex_state = 64},
  [2157] = {.lex_state = 64},
  [2158] = {.lex_state = 64},
  [2159] = {.lex_state = 64},
  [2160] = {.lex_state = 64},
  [2161] = {.lex_state = 64},
  [2162] = {.lex_state = 64},
  [2163] = {.lex_state = 64},
  [2164] = {.lex_state = 64},
  [2165] = {.lex_state = 64},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 64},
  [2168] = {.lex_state = 19},
  [2169] = {.lex_state = 64, .external_lex_state = 2},
  [2170] = {.lex_state = 64},
  [2171] = {.lex_state = 64},
  [2172] = {.lex_state = 64},
  [2173] = {.lex_state = 64},
  [2174] = {.lex_state = 64, .external_lex_state = 2},
  [2175] = {.lex_state = 64},
  [2176] = {.lex_state = 64, .external_lex_state = 2},
  [2177] = {.lex_state = 64, .external_lex_state = 2},
  [2178] = {.lex_state = 64},
  [2179] = {.lex_state = 64},
  [2180] = {.lex_state = 64, .external_lex_state = 2},
  [2181] = {.lex_state = 64, .external_lex_state = 13},
  [2182] = {.lex_state = 64},
  [2183] = {.lex_state = 64},
  [2184] = {.lex_state = 64},
  [2185] = {.lex_state = 64, .external_lex_state = 2},
  [2186] = {.lex_state = 64},
  [2187] = {.lex_state = 64},
  [2188] = {.lex_state = 64},
  [2189] = {.lex_state = 64},
  [2190] = {.lex_state = 64},
  [2191] = {.lex_state = 64, .external_lex_state = 2},
  [2192] = {.lex_state = 64, .external_lex_state = 2},
  [2193] = {.lex_state = 64},
  [2194] = {.lex_state = 64},
  [2195] = {.lex_state = 64},
  [2196] = {.lex_state = 64},
  [2197] = {.lex_state = 64},
  [2198] = {.lex_state = 64},
  [2199] = {.lex_state = 64},
  [2200] = {.lex_state = 64},
  [2201] = {.lex_state = 3, .external_lex_state = 12},
  [2202] = {.lex_state = 64},
  [2203] = {.lex_state = 64},
  [2204] = {.lex_state = 64, .external_lex_state = 2},
  [2205] = {.lex_state = 64},
  [2206] = {.lex_state = 64},
  [2207] = {.lex_state = 64},
  [2208] = {.lex_state = 64},
  [2209] = {.lex_state = 64},
  [2210] = {.lex_state = 64, .external_lex_state = 2},
  [2211] = {.lex_state = 64},
  [2212] = {.lex_state = 64},
  [2213] = {.lex_state = 64},
  [2214] = {.lex_state = 64},
  [2215] = {.lex_state = 3, .external_lex_state = 11},
  [2216] = {.lex_state = 3, .external_lex_state = 11},
  [2217] = {.lex_state = 64},
  [2218] = {.lex_state = 64},
  [2219] = {.lex_state = 64},
  [2220] = {.lex_state = 64},
  [2221] = {.lex_state = 64},
  [2222] = {.lex_state = 64},
  [2223] = {.lex_state = 64},
  [2224] = {.lex_state = 64},
  [2225] = {.lex_state = 64},
  [2226] = {.lex_state = 65},
  [2227] = {.lex_state = 64},
  [2228] = {.lex_state = 64, .external_lex_state = 2},
  [2229] = {.lex_state = 64},
  [2230] = {.lex_state = 64},
  [2231] = {.lex_state = 64, .external_lex_state = 2},
  [2232] = {.lex_state = 64, .external_lex_state = 2},
  [2233] = {.lex_state = 64},
  [2234] = {.lex_state = 64},
  [2235] = {.lex_state = 64},
  [2236] = {.lex_state = 64},
  [2237] = {.lex_state = 64},
  [2238] = {.lex_state = 64},
  [2239] = {.lex_state = 64},
  [2240] = {.lex_state = 64, .external_lex_state = 2},
  [2241] = {.lex_state = 64},
  [2242] = {.lex_state = 64},
  [2243] = {.lex_state = 64},
  [2244] = {.lex_state = 64},
  [2245] = {.lex_state = 64},
  [2246] = {.lex_state = 64},
  [2247] = {.lex_state = 64},
  [2248] = {.lex_state = 64},
  [2249] = {.lex_state = 64},
  [2250] = {.lex_state = 64},
  [2251] = {.lex_state = 64},
  [2252] = {.lex_state = 64},
  [2253] = {.lex_state = 64},
  [2254] = {.lex_state = 64},
  [2255] = {.lex_state = 64},
  [2256] = {.lex_state = 64},
  [2257] = {.lex_state = 64, .external_lex_state = 2},
  [2258] = {.lex_state = 64},
  [2259] = {.lex_state = 64},
  [2260] = {.lex_state = 64},
  [2261] = {.lex_state = 64},
  [2262] = {.lex_state = 3, .external_lex_state = 11},
  [2263] = {.lex_state = 64},
  [2264] = {.lex_state = 64, .external_lex_state = 13},
  [2265] = {.lex_state = 64, .external_lex_state = 2},
  [2266] = {.lex_state = 64},
  [2267] = {.lex_state = 64, .external_lex_state = 2},
  [2268] = {.lex_state = 64, .external_lex_state = 2},
  [2269] = {.lex_state = 64},
  [2270] = {.lex_state = 64, .external_lex_state = 2},
  [2271] = {.lex_state = 64},
  [2272] = {.lex_state = 64},
  [2273] = {.lex_state = 64},
  [2274] = {.lex_state = 64, .external_lex_state = 2},
  [2275] = {.lex_state = 64},
  [2276] = {.lex_state = 64},
  [2277] = {.lex_state = 64},
  [2278] = {.lex_state = 64},
  [2279] = {.lex_state = 64, .external_lex_state = 2},
  [2280] = {.lex_state = 64, .external_lex_state = 2},
  [2281] = {.lex_state = 64},
  [2282] = {.lex_state = 64, .external_lex_state = 2},
  [2283] = {.lex_state = 64, .external_lex_state = 2},
  [2284] = {.lex_state = 64, .external_lex_state = 2},
  [2285] = {.lex_state = 65},
  [2286] = {.lex_state = 64},
  [2287] = {.lex_state = 64},
  [2288] = {.lex_state = 64},
  [2289] = {.lex_state = 64},
  [2290] = {.lex_state = 64},
  [2291] = {.lex_state = 64},
  [2292] = {.lex_state = 64},
  [2293] = {.lex_state = 64},
  [2294] = {.lex_state = 64, .external_lex_state = 2},
  [2295] = {.lex_state = 64},
  [2296] = {.lex_state = 64, .external_lex_state = 2},
  [2297] = {.lex_state = 64},
  [2298] = {.lex_state = 64},
  [2299] = {.lex_state = 64},
  [2300] = {.lex_state = 64},
  [2301] = {.lex_state = 64},
  [2302] = {.lex_state = 64, .external_lex_state = 2},
  [2303] = {.lex_state = 64, .external_lex_state = 2},
  [2304] = {.lex_state = 64},
  [2305] = {.lex_state = 64},
  [2306] = {.lex_state = 64, .external_lex_state = 2},
  [2307] = {.lex_state = 64, .external_lex_state = 2},
  [2308] = {.lex_state = 64},
  [2309] = {.lex_state = 64},
  [2310] = {.lex_state = 64},
  [2311] = {.lex_state = 64},
  [2312] = {.lex_state = 64},
  [2313] = {.lex_state = 64},
  [2314] = {.lex_state = 64},
  [2315] = {.lex_state = 64, .external_lex_state = 2},
  [2316] = {.lex_state = 64},
  [2317] = {.lex_state = 64, .external_lex_state = 2},
  [2318] = {.lex_state = 64},
  [2319] = {.lex_state = 64},
  [2320] = {.lex_state = 64},
  [2321] = {.lex_state = 64},
  [2322] = {.lex_state = 64},
  [2323] = {.lex_state = 64},
  [2324] = {.lex_state = 64},
  [2325] = {.lex_state = 64},
  [2326] = {.lex_state = 64},
  [2327] = {.lex_state = 64},
  [2328] = {.lex_state = 64},
  [2329] = {.lex_state = 64},
  [2330] = {.lex_state = 64, .external_lex_state = 14},
  [2331] = {.lex_state = 64},
  [2332] = {.lex_state = 64},
  [2333] = {.lex_state = 64, .external_lex_state = 2},
  [2334] = {.lex_state = 64},
  [2335] = {.lex_state = 64},
  [2336] = {.lex_state = 64},
  [2337] = {.lex_state = 64},
  [2338] = {.lex_state = 64},
  [2339] = {.lex_state = 64},
  [2340] = {.lex_state = 64},
  [2341] = {.lex_state = 64},
  [2342] = {.lex_state = 64},
  [2343] = {.lex_state = 64},
  [2344] = {.lex_state = 64},
  [2345] = {.lex_state = 64},
  [2346] = {.lex_state = 64},
  [2347] = {.lex_state = 64},
  [2348] = {.lex_state = 64},
  [2349] = {.lex_state = 64},
  [2350] = {.lex_state = 64, .external_lex_state = 2},
  [2351] = {.lex_state = 3, .external_lex_state = 11},
  [2352] = {.lex_state = 64},
  [2353] = {.lex_state = 3, .external_lex_state = 11},
  [2354] = {.lex_state = 64},
  [2355] = {.lex_state = 64},
  [2356] = {.lex_state = 64},
  [2357] = {.lex_state = 64},
  [2358] = {.lex_state = 64},
  [2359] = {.lex_state = 64},
  [2360] = {.lex_state = 3, .external_lex_state = 11},
  [2361] = {.lex_state = 65},
  [2362] = {.lex_state = 64},
  [2363] = {.lex_state = 64},
  [2364] = {.lex_state = 64},
  [2365] = {.lex_state = 64},
  [2366] = {.lex_state = 64},
  [2367] = {.lex_state = 64},
  [2368] = {.lex_state = 3, .external_lex_state = 11},
  [2369] = {.lex_state = 64},
  [2370] = {.lex_state = 64},
  [2371] = {.lex_state = 64},
  [2372] = {.lex_state = 64},
  [2373] = {.lex_state = 64},
  [2374] = {.lex_state = 64},
  [2375] = {.lex_state = 64},
  [2376] = {.lex_state = 64},
  [2377] = {.lex_state = 64},
  [2378] = {.lex_state = 64},
  [2379] = {.lex_state = 64},
  [2380] = {.lex_state = 64},
  [2381] = {.lex_state = 64},
  [2382] = {.lex_state = 64},
  [2383] = {.lex_state = 64},
  [2384] = {.lex_state = 64},
  [2385] = {.lex_state = 64},
  [2386] = {.lex_state = 64},
  [2387] = {.lex_state = 64},
  [2388] = {.lex_state = 64, .external_lex_state = 2},
  [2389] = {.lex_state = 64},
  [2390] = {.lex_state = 64},
  [2391] = {.lex_state = 64},
  [2392] = {.lex_state = 64},
  [2393] = {.lex_state = 64},
  [2394] = {.lex_state = 64},
  [2395] = {.lex_state = 64},
  [2396] = {.lex_state = 64},
  [2397] = {.lex_state = 64},
  [2398] = {.lex_state = 64},
  [2399] = {.lex_state = 64},
  [2400] = {.lex_state = 64},
  [2401] = {.lex_state = 64},
  [2402] = {.lex_state = 64},
  [2403] = {.lex_state = 64},
  [2404] = {.lex_state = 64, .external_lex_state = 2},
  [2405] = {.lex_state = 64},
  [2406] = {.lex_state = 64},
  [2407] = {.lex_state = 64},
  [2408] = {.lex_state = 64},
  [2409] = {.lex_state = 64},
  [2410] = {.lex_state = 64},
  [2411] = {.lex_state = 64},
  [2412] = {.lex_state = 64},
  [2413] = {.lex_state = 64},
  [2414] = {.lex_state = 64},
  [2415] = {.lex_state = 64},
  [2416] = {.lex_state = 64},
  [2417] = {.lex_state = 3, .external_lex_state = 11},
  [2418] = {.lex_state = 64},
  [2419] = {.lex_state = 64},
  [2420] = {.lex_state = 64},
  [2421] = {.lex_state = 64, .external_lex_state = 2},
  [2422] = {.lex_state = 64},
  [2423] = {.lex_state = 64},
  [2424] = {.lex_state = 64},
  [2425] = {.lex_state = 64},
  [2426] = {.lex_state = 3, .external_lex_state = 11},
  [2427] = {.lex_state = 64},
  [2428] = {.lex_state = 64},
  [2429] = {.lex_state = 64},
  [2430] = {.lex_state = 64},
  [2431] = {.lex_state = 64},
  [2432] = {.lex_state = 64},
  [2433] = {.lex_state = 64},
  [2434] = {.lex_state = 64},
  [2435] = {.lex_state = 64},
  [2436] = {.lex_state = 64},
  [2437] = {.lex_state = 64},
  [2438] = {.lex_state = 64},
  [2439] = {.lex_state = 64},
  [2440] = {.lex_state = 64},
  [2441] = {.lex_state = 64, .external_lex_state = 2},
  [2442] = {.lex_state = 64},
  [2443] = {.lex_state = 64},
  [2444] = {.lex_state = 64},
  [2445] = {.lex_state = 64},
  [2446] = {.lex_state = 64},
  [2447] = {.lex_state = 64},
  [2448] = {.lex_state = 64},
  [2449] = {.lex_state = 64},
  [2450] = {.lex_state = 64},
  [2451] = {.lex_state = 64, .external_lex_state = 2},
  [2452] = {.lex_state = 64},
  [2453] = {.lex_state = 64},
  [2454] = {.lex_state = 64},
  [2455] = {.lex_state = 64},
  [2456] = {.lex_state = 64},
  [2457] = {.lex_state = 64},
  [2458] = {.lex_state = 3, .external_lex_state = 11},
  [2459] = {.lex_state = 64},
  [2460] = {.lex_state = 64},
  [2461] = {.lex_state = 64, .external_lex_state = 2},
  [2462] = {.lex_state = 65, .external_lex_state = 10},
  [2463] = {.lex_state = 64},
  [2464] = {.lex_state = 64},
  [2465] = {.lex_state = 64},
  [2466] = {.lex_state = 64},
  [2467] = {.lex_state = 64},
  [2468] = {.lex_state = 64},
  [2469] = {.lex_state = 64},
  [2470] = {.lex_state = 64},
  [2471] = {.lex_state = 64},
  [2472] = {.lex_state = 64},
  [2473] = {.lex_state = 64},
  [2474] = {.lex_state = 64},
  [2475] = {.lex_state = 64},
  [2476] = {.lex_state = 64},
  [2477] = {.lex_state = 64},
  [2478] = {.lex_state = 64},
  [2479] = {.lex_state = 64},
  [2480] = {.lex_state = 64, .external_lex_state = 2},
  [2481] = {.lex_state = 64},
  [2482] = {.lex_state = 64},
  [2483] = {.lex_state = 64},
  [2484] = {.lex_state = 64},
  [2485] = {.lex_state = 64},
  [2486] = {.lex_state = 64},
  [2487] = {.lex_state = 64},
  [2488] = {.lex_state = 64},
  [2489] = {.lex_state = 64},
  [2490] = {.lex_state = 64},
  [2491] = {.lex_state = 64},
  [2492] = {.lex_state = 64},
  [2493] = {.lex_state = 64},
  [2494] = {.lex_state = 64},
  [2495] = {.lex_state = 64},
  [2496] = {.lex_state = 64},
  [2497] = {.lex_state = 64},
  [2498] = {.lex_state = 64},
  [2499] = {.lex_state = 64},
  [2500] = {.lex_state = 64},
  [2501] = {.lex_state = 64},
  [2502] = {.lex_state = 64},
  [2503] = {.lex_state = 64},
  [2504] = {.lex_state = 64},
  [2505] = {.lex_state = 64},
  [2506] = {.lex_state = 64},
  [2507] = {.lex_state = 64},
  [2508] = {.lex_state = 64},
  [2509] = {.lex_state = 64},
  [2510] = {.lex_state = 64},
  [2511] = {.lex_state = 64},
  [2512] = {.lex_state = 3, .external_lex_state = 11},
  [2513] = {.lex_state = 64},
  [2514] = {.lex_state = 64},
  [2515] = {.lex_state = 64},
  [2516] = {.lex_state = 64},
  [2517] = {.lex_state = 64},
  [2518] = {.lex_state = 64},
  [2519] = {.lex_state = 64},
  [2520] = {.lex_state = 64},
  [2521] = {.lex_state = 64},
  [2522] = {.lex_state = 64},
  [2523] = {.lex_state = 64},
  [2524] = {.lex_state = 3, .external_lex_state = 11},
  [2525] = {.lex_state = 64},
  [2526] = {.lex_state = 3, .external_lex_state = 11},
  [2527] = {.lex_state = 64},
  [2528] = {.lex_state = 64},
  [2529] = {.lex_state = 64},
  [2530] = {.lex_state = 64},
  [2531] = {.lex_state = 64},
  [2532] = {.lex_state = 64},
  [2533] = {.lex_state = 64, .external_lex_state = 11},
  [2534] = {.lex_state = 64},
  [2535] = {.lex_state = 64},
  [2536] = {.lex_state = 64},
  [2537] = {.lex_state = 64, .external_lex_state = 11},
  [2538] = {.lex_state = 64},
  [2539] = {.lex_state = 64},
  [2540] = {.lex_state = 64},
  [2541] = {.lex_state = 64},
  [2542] = {.lex_state = 64},
  [2543] = {.lex_state = 64},
  [2544] = {.lex_state = 64},
  [2545] = {.lex_state = 64},
  [2546] = {.lex_state = 64},
  [2547] = {.lex_state = 64, .external_lex_state = 13},
  [2548] = {.lex_state = 64},
  [2549] = {.lex_state = 64},
  [2550] = {.lex_state = 64},
  [2551] = {.lex_state = 64},
  [2552] = {.lex_state = 64},
  [2553] = {.lex_state = 64},
  [2554] = {.lex_state = 64},
  [2555] = {.lex_state = 64},
  [2556] = {.lex_state = 64},
  [2557] = {.lex_state = 64},
  [2558] = {.lex_state = 64},
  [2559] = {.lex_state = 64},
  [2560] = {.lex_state = 64},
  [2561] = {.lex_state = 64},
  [2562] = {.lex_state = 64},
  [2563] = {.lex_state = 64},
  [2564] = {.lex_state = 64},
  [2565] = {.lex_state = 64},
  [2566] = {.lex_state = 64},
  [2567] = {.lex_state = 64, .external_lex_state = 11},
  [2568] = {.lex_state = 64},
  [2569] = {.lex_state = 64},
  [2570] = {.lex_state = 64},
  [2571] = {.lex_state = 64},
  [2572] = {.lex_state = 64},
  [2573] = {.lex_state = 64},
  [2574] = {.lex_state = 64},
  [2575] = {.lex_state = 64},
  [2576] = {.lex_state = 10},
  [2577] = {.lex_state = 64},
  [2578] = {.lex_state = 64},
  [2579] = {.lex_state = 64},
  [2580] = {.lex_state = 64},
  [2581] = {.lex_state = 64},
  [2582] = {.lex_state = 64},
  [2583] = {.lex_state = 64},
  [2584] = {.lex_state = 64},
  [2585] = {.lex_state = 64},
  [2586] = {.lex_state = 64},
  [2587] = {.lex_state = 64},
  [2588] = {.lex_state = 64},
  [2589] = {.lex_state = 64},
  [2590] = {.lex_state = 64},
  [2591] = {.lex_state = 64},
  [2592] = {.lex_state = 64},
  [2593] = {.lex_state = 64},
  [2594] = {.lex_state = 64},
  [2595] = {.lex_state = 64},
  [2596] = {.lex_state = 64},
  [2597] = {.lex_state = 64},
  [2598] = {.lex_state = 64},
  [2599] = {.lex_state = 64},
  [2600] = {.lex_state = 64},
  [2601] = {.lex_state = 64},
  [2602] = {.lex_state = 64},
  [2603] = {.lex_state = 64},
  [2604] = {.lex_state = 64},
  [2605] = {.lex_state = 64},
  [2606] = {.lex_state = 64},
  [2607] = {.lex_state = 64},
  [2608] = {.lex_state = 64},
  [2609] = {.lex_state = 64},
  [2610] = {.lex_state = 64},
  [2611] = {.lex_state = 64},
  [2612] = {.lex_state = 64},
  [2613] = {.lex_state = 64},
  [2614] = {.lex_state = 64},
  [2615] = {.lex_state = 64, .external_lex_state = 13},
  [2616] = {.lex_state = 64},
  [2617] = {.lex_state = 64},
  [2618] = {.lex_state = 64},
  [2619] = {.lex_state = 64},
  [2620] = {.lex_state = 64},
  [2621] = {.lex_state = 64},
  [2622] = {.lex_state = 64},
  [2623] = {.lex_state = 64},
  [2624] = {.lex_state = 64},
  [2625] = {.lex_state = 64},
  [2626] = {.lex_state = 64},
  [2627] = {.lex_state = 64},
  [2628] = {.lex_state = 64},
  [2629] = {.lex_state = 64},
  [2630] = {.lex_state = 64},
  [2631] = {.lex_state = 64, .external_lex_state = 11},
  [2632] = {.lex_state = 64},
  [2633] = {.lex_state = 64},
  [2634] = {.lex_state = 64},
  [2635] = {.lex_state = 64},
  [2636] = {.lex_state = 64},
  [2637] = {.lex_state = 64},
  [2638] = {.lex_state = 64},
  [2639] = {.lex_state = 64},
  [2640] = {.lex_state = 64},
  [2641] = {.lex_state = 64},
  [2642] = {.lex_state = 64},
  [2643] = {.lex_state = 64},
  [2644] = {.lex_state = 64},
  [2645] = {.lex_state = 64},
  [2646] = {.lex_state = 64},
  [2647] = {.lex_state = 64},
  [2648] = {.lex_state = 64},
  [2649] = {.lex_state = 64},
  [2650] = {.lex_state = 64},
  [2651] = {.lex_state = 64},
  [2652] = {.lex_state = 64},
  [2653] = {.lex_state = 64},
  [2654] = {.lex_state = 64},
  [2655] = {.lex_state = 64, .external_lex_state = 13},
  [2656] = {.lex_state = 64},
  [2657] = {.lex_state = 64},
  [2658] = {.lex_state = 64},
  [2659] = {.lex_state = 64},
  [2660] = {.lex_state = 64},
  [2661] = {.lex_state = 64},
  [2662] = {.lex_state = 64},
  [2663] = {.lex_state = 64},
  [2664] = {.lex_state = 64},
  [2665] = {.lex_state = 64},
  [2666] = {.lex_state = 64},
  [2667] = {.lex_state = 64},
  [2668] = {.lex_state = 64, .external_lex_state = 11},
  [2669] = {.lex_state = 64},
  [2670] = {.lex_state = 64},
  [2671] = {.lex_state = 64},
  [2672] = {.lex_state = 64},
  [2673] = {.lex_state = 64},
  [2674] = {.lex_state = 64},
  [2675] = {.lex_state = 64},
  [2676] = {.lex_state = 64},
  [2677] = {.lex_state = 64},
  [2678] = {.lex_state = 64, .external_lex_state = 11},
  [2679] = {.lex_state = 10},
  [2680] = {.lex_state = 64},
  [2681] = {.lex_state = 64},
  [2682] = {.lex_state = 64},
  [2683] = {.lex_state = 64},
  [2684] = {.lex_state = 64, .external_lex_state = 11},
  [2685] = {.lex_state = 64},
  [2686] = {.lex_state = 64},
  [2687] = {.lex_state = 64},
  [2688] = {.lex_state = 64},
  [2689] = {.lex_state = 64},
  [2690] = {.lex_state = 64},
  [2691] = {.lex_state = 64, .external_lex_state = 11},
  [2692] = {.lex_state = 64},
  [2693] = {.lex_state = 64},
  [2694] = {.lex_state = 64},
  [2695] = {.lex_state = 64},
  [2696] = {.lex_state = 64},
  [2697] = {.lex_state = 64},
  [2698] = {.lex_state = 64},
  [2699] = {.lex_state = 64},
  [2700] = {.lex_state = 64},
  [2701] = {.lex_state = 64},
  [2702] = {.lex_state = 64},
  [2703] = {.lex_state = 64, .external_lex_state = 11},
  [2704] = {.lex_state = 64},
  [2705] = {.lex_state = 64},
  [2706] = {.lex_state = 64},
  [2707] = {.lex_state = 64},
  [2708] = {.lex_state = 64},
  [2709] = {.lex_state = 16},
  [2710] = {.lex_state = 64},
  [2711] = {.lex_state = 64},
  [2712] = {.lex_state = 64, .external_lex_state = 13},
  [2713] = {.lex_state = 64},
  [2714] = {.lex_state = 64},
  [2715] = {.lex_state = 64},
  [2716] = {.lex_state = 64},
  [2717] = {.lex_state = 64},
  [2718] = {.lex_state = 64},
  [2719] = {.lex_state = 64},
  [2720] = {.lex_state = 64},
  [2721] = {.lex_state = 64},
  [2722] = {.lex_state = 64},
  [2723] = {.lex_state = 64},
  [2724] = {.lex_state = 64},
  [2725] = {.lex_state = 64},
  [2726] = {.lex_state = 64},
  [2727] = {.lex_state = 64},
  [2728] = {.lex_state = 64},
  [2729] = {.lex_state = 64},
  [2730] = {.lex_state = 64},
  [2731] = {.lex_state = 64},
  [2732] = {.lex_state = 64},
  [2733] = {.lex_state = 64},
  [2734] = {.lex_state = 64},
  [2735] = {.lex_state = 64},
  [2736] = {.lex_state = 64},
  [2737] = {.lex_state = 64},
  [2738] = {.lex_state = 16},
  [2739] = {.lex_state = 64},
  [2740] = {.lex_state = 64},
  [2741] = {.lex_state = 64},
  [2742] = {.lex_state = 64},
  [2743] = {.lex_state = 64},
  [2744] = {.lex_state = 64},
  [2745] = {.lex_state = 64, .external_lex_state = 11},
  [2746] = {.lex_state = 64},
  [2747] = {.lex_state = 64},
  [2748] = {.lex_state = 64},
  [2749] = {.lex_state = 64},
  [2750] = {.lex_state = 64},
  [2751] = {.lex_state = 64},
  [2752] = {.lex_state = 64},
  [2753] = {.lex_state = 64},
  [2754] = {.lex_state = 64},
  [2755] = {.lex_state = 64},
  [2756] = {.lex_state = 64},
  [2757] = {.lex_state = 64},
  [2758] = {.lex_state = 64},
  [2759] = {.lex_state = 64},
  [2760] = {.lex_state = 64},
  [2761] = {.lex_state = 64},
  [2762] = {.lex_state = 64},
  [2763] = {.lex_state = 64},
  [2764] = {.lex_state = 64},
  [2765] = {.lex_state = 64},
  [2766] = {.lex_state = 64},
  [2767] = {.lex_state = 64},
  [2768] = {.lex_state = 64},
  [2769] = {.lex_state = 64},
  [2770] = {.lex_state = 64},
  [2771] = {.lex_state = 64},
  [2772] = {.lex_state = 64},
  [2773] = {.lex_state = 64},
  [2774] = {.lex_state = 64},
  [2775] = {.lex_state = 64},
  [2776] = {.lex_state = 64},
  [2777] = {.lex_state = 64},
  [2778] = {.lex_state = 64},
  [2779] = {.lex_state = 64},
  [2780] = {.lex_state = 64},
  [2781] = {.lex_state = 64},
  [2782] = {.lex_state = 64},
  [2783] = {.lex_state = 64},
  [2784] = {.lex_state = 64},
  [2785] = {(TSStateId)(-1)},
  [2786] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2735),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2361),
    [aux_sym_text_repeat1] = STATE(1754),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN2] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(2057),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_colon_block] = STATE(2556),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2058),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(2057),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_colon_block] = STATE(2556),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2058),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(574),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(2583),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(577),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(424),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(424),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(424),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(426),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(426),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(426),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN2] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(428),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(434),
    [aux_sym_foreach_statement_token1] = ACTIONS(437),
    [aux_sym_if_statement_token1] = ACTIONS(440),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_if_statement_token2] = ACTIONS(426),
    [aux_sym_else_if_clause_token1] = ACTIONS(426),
    [aux_sym_else_clause_token1] = ACTIONS(426),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_if_statement_token2] = ACTIONS(424),
    [aux_sym_else_if_clause_token1] = ACTIONS(424),
    [aux_sym_else_clause_token1] = ACTIONS(424),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(574),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(2583),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(577),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(2110),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2111),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(561),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(561),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(2246),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2246),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(2319),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(1999),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(2043),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2044),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(2048),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2049),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(2050),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2051),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(566),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(567),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(2078),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2081),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(2084),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2085),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(2086),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2087),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(569),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(570),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(476),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(478),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(486),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(488),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(561),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(561),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(491),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(571),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(572),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(566),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(567),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(569),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(570),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(571),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(572),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(542),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(543),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(476),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(478),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(486),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(488),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(491),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(519),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(520),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(2246),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2246),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(2319),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(1999),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(2043),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2044),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(2048),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2049),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(2050),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2051),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(519),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(520),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(2078),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2081),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(2084),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2085),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(2086),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2087),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(2110),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2111),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(542),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(543),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(84),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(491),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(493),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(495),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(77),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(495),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(497),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(499),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(501),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(503),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(505),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(485),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(2546),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(446),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(1693),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(511),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(515),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(519),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(521),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(523),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(2250),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_colon_block] = STATE(2769),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(1714),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_colon_block] = STATE(1665),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(533),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(79),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(535),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(537),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(448),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(1693),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(82),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(539),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(541),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(543),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(88),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(547),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(89),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(549),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(91),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(96),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(98),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_statement] = STATE(1645),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_colon_block] = STATE(1665),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(102),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(575),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(577),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(579),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(104),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(581),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(583),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(106),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(585),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(587),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_statement] = STATE(485),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(2546),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_statement] = STATE(2250),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_colon_block] = STATE(2769),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_statement] = STATE(580),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_statement] = STATE(2014),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_statement] = STATE(2584),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_statement] = STATE(575),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_statement] = STATE(2259),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_statement] = STATE(2259),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_statement] = STATE(575),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(559),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2328),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1379),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1396),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_statement] = STATE(2650),
    [sym_empty_statement] = STATE(2053),
    [sym_function_static_declaration] = STATE(2053),
    [sym_global_declaration] = STATE(2053),
    [sym_namespace_definition] = STATE(2053),
    [sym_namespace_use_declaration] = STATE(2053),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_trait_declaration] = STATE(2053),
    [sym_interface_declaration] = STATE(2053),
    [sym_enum_declaration] = STATE(2053),
    [sym_class_declaration] = STATE(2053),
    [sym_final_modifier] = STATE(1344),
    [sym_abstract_modifier] = STATE(1344),
    [sym_readonly_modifier] = STATE(1344),
    [sym_const_declaration] = STATE(2053),
    [sym__const_declaration] = STATE(2054),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1487),
    [sym_visibility_modifier] = STATE(1344),
    [sym_function_definition] = STATE(2053),
    [sym__function_definition_header] = STATE(2379),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_echo_statement] = STATE(2053),
    [sym_exit_statement] = STATE(2053),
    [sym_unset_statement] = STATE(2053),
    [sym_declare_statement] = STATE(2053),
    [sym_literal] = STATE(1104),
    [sym_try_statement] = STATE(2053),
    [sym_goto_statement] = STATE(2053),
    [sym_continue_statement] = STATE(2053),
    [sym_break_statement] = STATE(2053),
    [sym_return_statement] = STATE(2053),
    [sym_throw_expression] = STATE(1104),
    [sym_while_statement] = STATE(2053),
    [sym_do_statement] = STATE(2053),
    [sym_for_statement] = STATE(2053),
    [sym_foreach_statement] = STATE(2053),
    [sym_if_statement] = STATE(2053),
    [sym_match_expression] = STATE(1105),
    [sym_switch_statement] = STATE(2053),
    [sym_compound_statement] = STATE(2053),
    [sym_named_label_statement] = STATE(2053),
    [sym_expression_statement] = STATE(2053),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1380),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(1399),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(352),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(356),
    [aux_sym_global_declaration_token1] = ACTIONS(358),
    [aux_sym_namespace_definition_token1] = ACTIONS(360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(364),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(366),
    [aux_sym_trait_declaration_token1] = ACTIONS(368),
    [aux_sym_interface_declaration_token1] = ACTIONS(370),
    [aux_sym_enum_declaration_token1] = ACTIONS(372),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(378),
    [aux_sym_exit_statement_token1] = ACTIONS(380),
    [anon_sym_unset] = ACTIONS(382),
    [aux_sym_declare_statement_token1] = ACTIONS(384),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(386),
    [aux_sym_goto_statement_token1] = ACTIONS(388),
    [aux_sym_continue_statement_token1] = ACTIONS(390),
    [aux_sym_break_statement_token1] = ACTIONS(392),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(394),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(396),
    [aux_sym_do_statement_token1] = ACTIONS(398),
    [aux_sym_for_statement_token1] = ACTIONS(400),
    [aux_sym_foreach_statement_token1] = ACTIONS(402),
    [aux_sym_if_statement_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(1023),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(601),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [anon_sym_RPAREN2] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(609),
    [anon_sym_QMARK] = ACTIONS(601),
    [anon_sym_PIPE] = ACTIONS(601),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_yield_expression_token2] = ACTIONS(651),
    [aux_sym_binary_expression_token1] = ACTIONS(601),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(601),
    [aux_sym_binary_expression_token3] = ACTIONS(601),
    [aux_sym_binary_expression_token4] = ACTIONS(601),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(601),
    [anon_sym_LT_EQ] = ACTIONS(601),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(601),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(1023),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(601),
    [anon_sym_PIPE] = ACTIONS(601),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(593),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_yield_expression_token2] = ACTIONS(681),
    [aux_sym_binary_expression_token1] = ACTIONS(601),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(601),
    [aux_sym_binary_expression_token3] = ACTIONS(601),
    [aux_sym_binary_expression_token4] = ACTIONS(601),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(601),
    [anon_sym_LT_EQ] = ACTIONS(601),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(601),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1101),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_by_ref] = STATE(1101),
    [sym_yield_expression] = STATE(1105),
    [sym_array_element_initializer] = STATE(1152),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(693),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(697),
    [anon_sym_QMARK] = ACTIONS(601),
    [anon_sym_PIPE] = ACTIONS(601),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(699),
    [aux_sym_binary_expression_token1] = ACTIONS(601),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(601),
    [aux_sym_binary_expression_token3] = ACTIONS(601),
    [aux_sym_binary_expression_token4] = ACTIONS(601),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(601),
    [anon_sym_LT_EQ] = ACTIONS(601),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(601),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(593),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(1023),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [anon_sym_QMARK] = ACTIONS(601),
    [anon_sym_PIPE] = ACTIONS(601),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_yield_expression_token2] = ACTIONS(721),
    [aux_sym_binary_expression_token1] = ACTIONS(601),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(601),
    [aux_sym_binary_expression_token3] = ACTIONS(601),
    [aux_sym_binary_expression_token4] = ACTIONS(601),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(601),
    [anon_sym_LT_EQ] = ACTIONS(601),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(601),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2652),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1328),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2666),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1328),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2701),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2589),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2676),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2652),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2587),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2682),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2629),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2614),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_cast_type] = STATE(2693),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(731),
    [aux_sym_cast_type_token2] = ACTIONS(733),
    [aux_sym_cast_type_token3] = ACTIONS(733),
    [aux_sym_cast_type_token4] = ACTIONS(733),
    [aux_sym_cast_type_token5] = ACTIONS(733),
    [aux_sym_cast_type_token6] = ACTIONS(733),
    [aux_sym_cast_type_token7] = ACTIONS(733),
    [aux_sym_cast_type_token8] = ACTIONS(733),
    [aux_sym_cast_type_token9] = ACTIONS(733),
    [aux_sym_cast_type_token10] = ACTIONS(733),
    [aux_sym_cast_type_token11] = ACTIONS(733),
    [aux_sym_cast_type_token12] = ACTIONS(733),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(708),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(708),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(708),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(708),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2032),
    [sym__array_destructing_element] = STATE(2158),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(709),
    [sym__callable_variable] = STATE(695),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2377),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2046),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym__array_destructing_repeat1] = STATE(2062),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(739),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(708),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(708),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(708),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(708),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2032),
    [sym__array_destructing_element] = STATE(2158),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(709),
    [sym__callable_variable] = STATE(695),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2377),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2011),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym__array_destructing_repeat1] = STATE(2062),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(708),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(708),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(708),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(708),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2032),
    [sym__array_destructing_element] = STATE(2158),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(709),
    [sym__callable_variable] = STATE(695),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2377),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2046),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym__array_destructing_repeat1] = STATE(2062),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(708),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(708),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(708),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(708),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2032),
    [sym__array_destructing_element] = STATE(2158),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(709),
    [sym__callable_variable] = STATE(695),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2377),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2046),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym__array_destructing_repeat1] = STATE(2062),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(708),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(708),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(708),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(708),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2032),
    [sym__array_destructing_element] = STATE(2158),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(709),
    [sym__callable_variable] = STATE(695),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2377),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2046),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym__array_destructing_repeat1] = STATE(2062),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(749),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_variadic_placeholder] = STATE(2552),
    [sym_argument] = STATE(2162),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(761),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_variadic_placeholder] = STATE(2595),
    [sym_argument] = STATE(2070),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(779),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_variadic_placeholder] = STATE(2580),
    [sym_argument] = STATE(1993),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(781),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_variadic_placeholder] = STATE(2648),
    [sym_argument] = STATE(2142),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(783),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_variadic_placeholder] = STATE(2749),
    [sym_argument] = STATE(2154),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(785),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_variadic_placeholder] = STATE(2578),
    [sym_argument] = STATE(2170),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(787),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(789),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2046),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(791),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(793),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2011),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(795),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(797),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(799),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(801),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2077),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(805),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(807),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(809),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(811),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(813),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(817),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(819),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(821),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2060),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(823),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(825),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(827),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_match_condition_list] = STATE(2535),
    [sym_match_conditional_expression] = STATE(2161),
    [sym_match_default_expression] = STATE(2161),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(829),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(835),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_reference_modifier] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_argument] = STATE(2418),
    [sym__argument_name] = STATE(183),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2530),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1582),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(751),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(755),
    [aux_sym_namespace_definition_token1] = ACTIONS(757),
    [aux_sym__namespace_use_type_token1] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(767),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(773),
    [anon_sym_parent] = ACTIONS(773),
    [aux_sym__argument_name_token1] = ACTIONS(775),
    [aux_sym__argument_name_token2] = ACTIONS(777),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(841),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_match_condition_list] = STATE(2535),
    [sym_match_conditional_expression] = STATE(2083),
    [sym_match_default_expression] = STATE(2083),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(843),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(847),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(851),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_match_condition_list] = STATE(2535),
    [sym_match_conditional_expression] = STATE(2393),
    [sym_match_default_expression] = STATE(2393),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(705),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(705),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(705),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(705),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2032),
    [sym__array_destructing_element] = STATE(2449),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(703),
    [sym__callable_variable] = STATE(692),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2453),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(857),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(859),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(861),
    [anon_sym_RBRACK] = ACTIONS(857),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_match_condition_list] = STATE(2535),
    [sym_match_conditional_expression] = STATE(2393),
    [sym_match_default_expression] = STATE(2393),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(863),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_match_condition_list] = STATE(2535),
    [sym_match_conditional_expression] = STATE(2393),
    [sym_match_default_expression] = STATE(2393),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(865),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_match_condition_list] = STATE(2535),
    [sym_match_conditional_expression] = STATE(2393),
    [sym_match_default_expression] = STATE(2393),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(1912),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(701),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2237),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym__list_destructing_repeat1] = STATE(2238),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(869),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(859),
    [anon_sym_RPAREN2] = ACTIONS(871),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(705),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(705),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(705),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(705),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2032),
    [sym__array_destructing_element] = STATE(2449),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(703),
    [sym__callable_variable] = STATE(692),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2453),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(857),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(859),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(861),
    [anon_sym_RBRACK] = ACTIONS(873),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(1045),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1039),
    [sym_array_element_initializer] = STATE(2206),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(705),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(705),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(705),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(705),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2032),
    [sym__array_destructing_element] = STATE(2449),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(703),
    [sym__callable_variable] = STATE(692),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2453),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(857),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(859),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(861),
    [anon_sym_RBRACK] = ACTIONS(876),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1334),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(704),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(704),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(704),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(704),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2189),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(706),
    [sym__callable_variable] = STATE(697),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2334),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(879),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(859),
    [anon_sym_RPAREN2] = ACTIONS(879),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_foreach_pair] = STATE(2635),
    [sym__foreach_value] = STATE(2635),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2394),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2661),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2397),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1598),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(753),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_foreach_pair] = STATE(2596),
    [sym__foreach_value] = STATE(2596),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2394),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2661),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_foreach_pair] = STATE(2633),
    [sym__foreach_value] = STATE(2633),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2394),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2661),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_match_condition_list] = STATE(2535),
    [sym_match_conditional_expression] = STATE(2393),
    [sym_match_default_expression] = STATE(2393),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_foreach_pair] = STATE(2728),
    [sym__foreach_value] = STATE(2728),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2394),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2661),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2604),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(881),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2141),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2751),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2627),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2706),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(887),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2727),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2752),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(891),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2555),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(893),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(526),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(554),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2558),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(895),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2582),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__foreach_value] = STATE(2724),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2394),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2661),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2551),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(899),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2139),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2539),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(901),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2778),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2564),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(905),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2593),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(907),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2597),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(909),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2598),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(911),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2600),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(913),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2617),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(915),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2620),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(558),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2717),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2725),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(921),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2729),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(923),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2730),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(925),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2732),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(927),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2746),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2630),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(931),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2532),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__expressions] = STATE(2771),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [sym__semicolon] = STATE(2140),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(408),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2456),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_by_ref] = STATE(1154),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2373),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(703),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(710),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(710),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(710),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(710),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2202),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(713),
    [sym__callable_variable] = STATE(707),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(2349),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym__expressions] = STATE(2038),
    [sym_sequence_expression] = STATE(2333),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym__expressions] = STATE(2113),
    [sym_sequence_expression] = STATE(2333),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(941),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1335),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [anon_sym_RPAREN2] = ACTIONS(947),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(949),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1340),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(951),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_EQ_GT] = ACTIONS(953),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(955),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(957),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1331),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(961),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1342),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(965),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_sequence_expression] = STATE(2525),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [anon_sym_RPAREN2] = ACTIONS(967),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_EQ_GT] = ACTIONS(969),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(971),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1343),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(973),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(977),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(979),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [anon_sym_RPAREN2] = ACTIONS(983),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1324),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_sequence_expression] = STATE(2525),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1125),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1328),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1338),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1339),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1333),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(698),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2681),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(699),
    [sym__callable_variable] = STATE(675),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(719),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [aux_sym_require_expression_token1] = ACTIONS(727),
    [aux_sym_require_once_expression_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1327),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1329),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1330),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1332),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_match_expression] = STATE(1105),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1108),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1105),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(1105),
    [sym_reference_assignment_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_augmented_assignment_expression] = STATE(1105),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2748),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(634),
    [sym_yield_expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_include_expression] = STATE(1105),
    [sym_include_once_expression] = STATE(1105),
    [sym_require_expression] = STATE(1105),
    [sym_require_once_expression] = STATE(1105),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1337),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2647),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(630),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(649),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [aux_sym_require_expression_token1] = ACTIONS(657),
    [aux_sym_require_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_match_expression] = STATE(1039),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1039),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1039),
    [sym_reference_assignment_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_augmented_assignment_expression] = STATE(1039),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2586),
    [sym__list_destructing] = STATE(2355),
    [sym__array_destructing] = STATE(2355),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(633),
    [sym_variable_name] = STATE(596),
    [sym_yield_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_include_expression] = STATE(1039),
    [sym_include_once_expression] = STATE(1039),
    [sym_require_expression] = STATE(1039),
    [sym_require_once_expression] = STATE(1039),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_match_expression_token1] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__unary_expression] = STATE(1019),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1019),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(623),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(623),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(622),
    [sym__callable_variable] = STATE(598),
    [sym_variable_name] = STATE(596),
    [sym_include_expression] = STATE(1019),
    [sym_include_once_expression] = STATE(1019),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(607),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__unary_expression] = STATE(1019),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1019),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(623),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(623),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(622),
    [sym__callable_variable] = STATE(598),
    [sym_variable_name] = STATE(596),
    [sym_include_expression] = STATE(1019),
    [sym_include_once_expression] = STATE(1019),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [aux_sym_clone_expression_token1] = ACTIONS(673),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1143),
    [sym_unary_op_expression] = STATE(1109),
    [sym_error_suppression_expression] = STATE(1143),
    [sym_clone_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1109),
    [sym_cast_variable] = STATE(663),
    [sym__variable_member_access_expression] = STATE(673),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(674),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(672),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2402),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2610),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1962),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(634),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(634),
    [sym_include_expression] = STATE(1143),
    [sym_include_once_expression] = STATE(1143),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__unary_expression] = STATE(1019),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1019),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(682),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(596),
    [sym_include_expression] = STATE(1019),
    [sym_include_once_expression] = STATE(1019),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(859),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(623),
    [aux_sym_clone_expression_token1] = ACTIONS(625),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(653),
    [aux_sym_include_once_expression_token1] = ACTIONS(655),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1660),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym__unary_expression] = STATE(1019),
    [sym_unary_op_expression] = STATE(1042),
    [sym_error_suppression_expression] = STATE(1019),
    [sym_clone_expression] = STATE(1042),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1042),
    [sym_cast_variable] = STATE(623),
    [sym__variable_member_access_expression] = STATE(614),
    [sym_member_access_expression] = STATE(623),
    [sym__variable_nullsafe_member_access_expression] = STATE(615),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym__variable_scoped_property_access_expression] = STATE(616),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2390),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2677),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(618),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1878),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(596),
    [sym__simple_variable] = STATE(604),
    [sym__new_variable] = STATE(622),
    [sym__callable_variable] = STATE(598),
    [sym_variable_name] = STATE(596),
    [sym_include_expression] = STATE(1019),
    [sym_include_once_expression] = STATE(1019),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(701),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(711),
    [aux_sym_clone_expression_token1] = ACTIONS(713),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(723),
    [aux_sym_include_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [sym_catch_clause] = STATE(454),
    [sym_finally_clause] = STATE(454),
    [aux_sym_try_statement_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_name] = ACTIONS(993),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(991),
    [aux_sym_function_static_declaration_token1] = ACTIONS(993),
    [aux_sym_global_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_definition_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(993),
    [aux_sym__namespace_use_type_token1] = ACTIONS(993),
    [aux_sym__namespace_use_type_token2] = ACTIONS(993),
    [anon_sym_BSLASH] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [aux_sym_trait_declaration_token1] = ACTIONS(993),
    [aux_sym_interface_declaration_token1] = ACTIONS(993),
    [aux_sym_enum_declaration_token1] = ACTIONS(993),
    [aux_sym_enum_case_token1] = ACTIONS(993),
    [aux_sym_class_declaration_token1] = ACTIONS(993),
    [aux_sym_final_modifier_token1] = ACTIONS(993),
    [aux_sym_abstract_modifier_token1] = ACTIONS(993),
    [aux_sym_readonly_modifier_token1] = ACTIONS(993),
    [sym_var_modifier] = ACTIONS(993),
    [aux_sym_visibility_modifier_token1] = ACTIONS(993),
    [aux_sym_visibility_modifier_token2] = ACTIONS(993),
    [aux_sym_visibility_modifier_token3] = ACTIONS(993),
    [anon_sym_LPAREN2] = ACTIONS(991),
    [aux_sym__arrow_function_header_token1] = ACTIONS(993),
    [aux_sym_cast_type_token1] = ACTIONS(993),
    [aux_sym_echo_statement_token1] = ACTIONS(993),
    [aux_sym_exit_statement_token1] = ACTIONS(993),
    [anon_sym_unset] = ACTIONS(993),
    [aux_sym_declare_statement_token1] = ACTIONS(993),
    [aux_sym_declare_statement_token2] = ACTIONS(993),
    [sym_float] = ACTIONS(993),
    [aux_sym_try_statement_token1] = ACTIONS(993),
    [aux_sym_catch_clause_token1] = ACTIONS(995),
    [aux_sym_finally_clause_token1] = ACTIONS(997),
    [aux_sym_goto_statement_token1] = ACTIONS(993),
    [aux_sym_continue_statement_token1] = ACTIONS(993),
    [aux_sym_break_statement_token1] = ACTIONS(993),
    [sym_integer] = ACTIONS(993),
    [aux_sym_return_statement_token1] = ACTIONS(993),
    [aux_sym_throw_expression_token1] = ACTIONS(993),
    [aux_sym_while_statement_token1] = ACTIONS(993),
    [aux_sym_while_statement_token2] = ACTIONS(993),
    [aux_sym_do_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token2] = ACTIONS(993),
    [aux_sym_foreach_statement_token1] = ACTIONS(993),
    [aux_sym_foreach_statement_token2] = ACTIONS(993),
    [aux_sym_if_statement_token1] = ACTIONS(993),
    [aux_sym_if_statement_token2] = ACTIONS(993),
    [aux_sym_else_if_clause_token1] = ACTIONS(993),
    [aux_sym_else_clause_token1] = ACTIONS(993),
    [aux_sym_match_expression_token1] = ACTIONS(993),
    [aux_sym_match_default_expression_token1] = ACTIONS(993),
    [aux_sym_switch_statement_token1] = ACTIONS(993),
    [aux_sym_switch_block_token1] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(991),
    [aux_sym_clone_expression_token1] = ACTIONS(993),
    [aux_sym_print_intrinsic_token1] = ACTIONS(993),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(993),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [aux_sym__list_destructing_token1] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_self] = ACTIONS(993),
    [anon_sym_parent] = ACTIONS(993),
    [aux_sym__argument_name_token1] = ACTIONS(993),
    [aux_sym__argument_name_token2] = ACTIONS(993),
    [anon_sym_POUND_LBRACK] = ACTIONS(991),
    [aux_sym_encapsed_string_token1] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [aux_sym_string_token1] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [anon_sym_LT_LT_LT] = ACTIONS(991),
    [anon_sym_BQUOTE] = ACTIONS(991),
    [anon_sym_DOLLAR] = ACTIONS(991),
    [aux_sym_yield_expression_token1] = ACTIONS(993),
    [aux_sym_include_expression_token1] = ACTIONS(993),
    [aux_sym_include_once_expression_token1] = ACTIONS(993),
    [aux_sym_require_expression_token1] = ACTIONS(993),
    [aux_sym_require_once_expression_token1] = ACTIONS(993),
    [sym_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [sym_catch_clause] = STATE(454),
    [sym_finally_clause] = STATE(454),
    [aux_sym_try_statement_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_name] = ACTIONS(1001),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1001),
    [aux_sym_global_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_definition_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1001),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1001),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1001),
    [anon_sym_BSLASH] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [aux_sym_trait_declaration_token1] = ACTIONS(1001),
    [aux_sym_interface_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_case_token1] = ACTIONS(1001),
    [aux_sym_class_declaration_token1] = ACTIONS(1001),
    [aux_sym_final_modifier_token1] = ACTIONS(1001),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1001),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1001),
    [sym_var_modifier] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1001),
    [anon_sym_LPAREN2] = ACTIONS(999),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1001),
    [aux_sym_cast_type_token1] = ACTIONS(1001),
    [aux_sym_echo_statement_token1] = ACTIONS(1001),
    [aux_sym_exit_statement_token1] = ACTIONS(1001),
    [anon_sym_unset] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [aux_sym_declare_statement_token2] = ACTIONS(1001),
    [sym_float] = ACTIONS(1001),
    [aux_sym_try_statement_token1] = ACTIONS(1001),
    [aux_sym_catch_clause_token1] = ACTIONS(1003),
    [aux_sym_finally_clause_token1] = ACTIONS(1006),
    [aux_sym_goto_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [aux_sym_return_statement_token1] = ACTIONS(1001),
    [aux_sym_throw_expression_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token2] = ACTIONS(1001),
    [aux_sym_do_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token2] = ACTIONS(1001),
    [aux_sym_foreach_statement_token1] = ACTIONS(1001),
    [aux_sym_foreach_statement_token2] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token2] = ACTIONS(1001),
    [aux_sym_else_if_clause_token1] = ACTIONS(1001),
    [aux_sym_else_clause_token1] = ACTIONS(1001),
    [aux_sym_match_expression_token1] = ACTIONS(1001),
    [aux_sym_match_default_expression_token1] = ACTIONS(1001),
    [aux_sym_switch_statement_token1] = ACTIONS(1001),
    [aux_sym_switch_block_token1] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(999),
    [aux_sym_clone_expression_token1] = ACTIONS(1001),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1001),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [aux_sym__list_destructing_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(1001),
    [anon_sym_parent] = ACTIONS(1001),
    [aux_sym__argument_name_token1] = ACTIONS(1001),
    [aux_sym__argument_name_token2] = ACTIONS(1001),
    [anon_sym_POUND_LBRACK] = ACTIONS(999),
    [aux_sym_encapsed_string_token1] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_string_token1] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [anon_sym_LT_LT_LT] = ACTIONS(999),
    [anon_sym_BQUOTE] = ACTIONS(999),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [aux_sym_yield_expression_token1] = ACTIONS(1001),
    [aux_sym_include_expression_token1] = ACTIONS(1001),
    [aux_sym_include_once_expression_token1] = ACTIONS(1001),
    [aux_sym_require_expression_token1] = ACTIONS(1001),
    [aux_sym_require_once_expression_token1] = ACTIONS(1001),
    [sym_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [sym_else_if_clause] = STATE(514),
    [sym_else_clause] = STATE(515),
    [aux_sym_if_statement_repeat1] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym_name] = ACTIONS(1011),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1009),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1011),
    [aux_sym_global_declaration_token1] = ACTIONS(1011),
    [aux_sym_namespace_definition_token1] = ACTIONS(1011),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1011),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1011),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1011),
    [anon_sym_BSLASH] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [aux_sym_trait_declaration_token1] = ACTIONS(1011),
    [aux_sym_interface_declaration_token1] = ACTIONS(1011),
    [aux_sym_enum_declaration_token1] = ACTIONS(1011),
    [aux_sym_enum_case_token1] = ACTIONS(1011),
    [aux_sym_class_declaration_token1] = ACTIONS(1011),
    [aux_sym_final_modifier_token1] = ACTIONS(1011),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1011),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1011),
    [sym_var_modifier] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1011),
    [anon_sym_LPAREN2] = ACTIONS(1009),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1011),
    [aux_sym_cast_type_token1] = ACTIONS(1011),
    [aux_sym_echo_statement_token1] = ACTIONS(1011),
    [aux_sym_exit_statement_token1] = ACTIONS(1011),
    [anon_sym_unset] = ACTIONS(1011),
    [aux_sym_declare_statement_token1] = ACTIONS(1011),
    [aux_sym_declare_statement_token2] = ACTIONS(1011),
    [sym_float] = ACTIONS(1011),
    [aux_sym_try_statement_token1] = ACTIONS(1011),
    [aux_sym_goto_statement_token1] = ACTIONS(1011),
    [aux_sym_continue_statement_token1] = ACTIONS(1011),
    [aux_sym_break_statement_token1] = ACTIONS(1011),
    [sym_integer] = ACTIONS(1011),
    [aux_sym_return_statement_token1] = ACTIONS(1011),
    [aux_sym_throw_expression_token1] = ACTIONS(1011),
    [aux_sym_while_statement_token1] = ACTIONS(1011),
    [aux_sym_while_statement_token2] = ACTIONS(1011),
    [aux_sym_do_statement_token1] = ACTIONS(1011),
    [aux_sym_for_statement_token1] = ACTIONS(1011),
    [aux_sym_for_statement_token2] = ACTIONS(1011),
    [aux_sym_foreach_statement_token1] = ACTIONS(1011),
    [aux_sym_foreach_statement_token2] = ACTIONS(1011),
    [aux_sym_if_statement_token1] = ACTIONS(1011),
    [aux_sym_if_statement_token2] = ACTIONS(1011),
    [aux_sym_else_if_clause_token1] = ACTIONS(1013),
    [aux_sym_else_clause_token1] = ACTIONS(1015),
    [aux_sym_match_expression_token1] = ACTIONS(1011),
    [aux_sym_match_default_expression_token1] = ACTIONS(1011),
    [aux_sym_switch_statement_token1] = ACTIONS(1011),
    [aux_sym_switch_block_token1] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1011),
    [anon_sym_DASH] = ACTIONS(1011),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1009),
    [aux_sym_clone_expression_token1] = ACTIONS(1011),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1011),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1009),
    [anon_sym_PLUS_PLUS] = ACTIONS(1009),
    [aux_sym__list_destructing_token1] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_self] = ACTIONS(1011),
    [anon_sym_parent] = ACTIONS(1011),
    [aux_sym__argument_name_token1] = ACTIONS(1011),
    [aux_sym__argument_name_token2] = ACTIONS(1011),
    [anon_sym_POUND_LBRACK] = ACTIONS(1009),
    [aux_sym_encapsed_string_token1] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [aux_sym_string_token1] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [anon_sym_LT_LT_LT] = ACTIONS(1009),
    [anon_sym_BQUOTE] = ACTIONS(1009),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [aux_sym_yield_expression_token1] = ACTIONS(1011),
    [aux_sym_include_expression_token1] = ACTIONS(1011),
    [aux_sym_include_once_expression_token1] = ACTIONS(1011),
    [aux_sym_require_expression_token1] = ACTIONS(1011),
    [aux_sym_require_once_expression_token1] = ACTIONS(1011),
    [sym_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [sym_else_if_clause] = STATE(514),
    [sym_else_clause] = STATE(576),
    [aux_sym_if_statement_repeat1] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym_name] = ACTIONS(1019),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1017),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1019),
    [aux_sym_global_declaration_token1] = ACTIONS(1019),
    [aux_sym_namespace_definition_token1] = ACTIONS(1019),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1019),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1019),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1019),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [aux_sym_trait_declaration_token1] = ACTIONS(1019),
    [aux_sym_interface_declaration_token1] = ACTIONS(1019),
    [aux_sym_enum_declaration_token1] = ACTIONS(1019),
    [aux_sym_enum_case_token1] = ACTIONS(1019),
    [aux_sym_class_declaration_token1] = ACTIONS(1019),
    [aux_sym_final_modifier_token1] = ACTIONS(1019),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1019),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1019),
    [sym_var_modifier] = ACTIONS(1019),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1019),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1019),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1019),
    [anon_sym_LPAREN2] = ACTIONS(1017),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1019),
    [aux_sym_cast_type_token1] = ACTIONS(1019),
    [aux_sym_echo_statement_token1] = ACTIONS(1019),
    [aux_sym_exit_statement_token1] = ACTIONS(1019),
    [anon_sym_unset] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [aux_sym_declare_statement_token2] = ACTIONS(1019),
    [sym_float] = ACTIONS(1019),
    [aux_sym_try_statement_token1] = ACTIONS(1019),
    [aux_sym_goto_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [sym_integer] = ACTIONS(1019),
    [aux_sym_return_statement_token1] = ACTIONS(1019),
    [aux_sym_throw_expression_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token2] = ACTIONS(1019),
    [aux_sym_do_statement_token1] = ACTIONS(1019),
    [aux_sym_for_statement_token1] = ACTIONS(1019),
    [aux_sym_for_statement_token2] = ACTIONS(1019),
    [aux_sym_foreach_statement_token1] = ACTIONS(1019),
    [aux_sym_foreach_statement_token2] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token2] = ACTIONS(1019),
    [aux_sym_else_if_clause_token1] = ACTIONS(1021),
    [aux_sym_else_clause_token1] = ACTIONS(1024),
    [aux_sym_match_expression_token1] = ACTIONS(1019),
    [aux_sym_match_default_expression_token1] = ACTIONS(1019),
    [aux_sym_switch_statement_token1] = ACTIONS(1019),
    [aux_sym_switch_block_token1] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1017),
    [aux_sym_clone_expression_token1] = ACTIONS(1019),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1019),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1017),
    [anon_sym_PLUS_PLUS] = ACTIONS(1017),
    [aux_sym__list_destructing_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_self] = ACTIONS(1019),
    [anon_sym_parent] = ACTIONS(1019),
    [aux_sym__argument_name_token1] = ACTIONS(1019),
    [aux_sym__argument_name_token2] = ACTIONS(1019),
    [anon_sym_POUND_LBRACK] = ACTIONS(1017),
    [aux_sym_encapsed_string_token1] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [aux_sym_string_token1] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1017),
    [anon_sym_LT_LT_LT] = ACTIONS(1017),
    [anon_sym_BQUOTE] = ACTIONS(1017),
    [anon_sym_DOLLAR] = ACTIONS(1017),
    [aux_sym_yield_expression_token1] = ACTIONS(1019),
    [aux_sym_include_expression_token1] = ACTIONS(1019),
    [aux_sym_include_once_expression_token1] = ACTIONS(1019),
    [aux_sym_require_expression_token1] = ACTIONS(1019),
    [aux_sym_require_once_expression_token1] = ACTIONS(1019),
    [sym_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [sym_else_if_clause] = STATE(514),
    [sym_else_clause] = STATE(515),
    [aux_sym_if_statement_repeat1] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym_name] = ACTIONS(1011),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1009),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1011),
    [aux_sym_global_declaration_token1] = ACTIONS(1011),
    [aux_sym_namespace_definition_token1] = ACTIONS(1011),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1011),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1011),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1011),
    [anon_sym_BSLASH] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [aux_sym_trait_declaration_token1] = ACTIONS(1011),
    [aux_sym_interface_declaration_token1] = ACTIONS(1011),
    [aux_sym_enum_declaration_token1] = ACTIONS(1011),
    [aux_sym_enum_case_token1] = ACTIONS(1011),
    [aux_sym_class_declaration_token1] = ACTIONS(1011),
    [aux_sym_final_modifier_token1] = ACTIONS(1011),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1011),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1011),
    [sym_var_modifier] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1011),
    [anon_sym_LPAREN2] = ACTIONS(1009),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1011),
    [aux_sym_cast_type_token1] = ACTIONS(1011),
    [aux_sym_echo_statement_token1] = ACTIONS(1011),
    [aux_sym_exit_statement_token1] = ACTIONS(1011),
    [anon_sym_unset] = ACTIONS(1011),
    [aux_sym_declare_statement_token1] = ACTIONS(1011),
    [aux_sym_declare_statement_token2] = ACTIONS(1011),
    [sym_float] = ACTIONS(1011),
    [aux_sym_try_statement_token1] = ACTIONS(1011),
    [aux_sym_goto_statement_token1] = ACTIONS(1011),
    [aux_sym_continue_statement_token1] = ACTIONS(1011),
    [aux_sym_break_statement_token1] = ACTIONS(1011),
    [sym_integer] = ACTIONS(1011),
    [aux_sym_return_statement_token1] = ACTIONS(1011),
    [aux_sym_throw_expression_token1] = ACTIONS(1011),
    [aux_sym_while_statement_token1] = ACTIONS(1011),
    [aux_sym_while_statement_token2] = ACTIONS(1011),
    [aux_sym_do_statement_token1] = ACTIONS(1011),
    [aux_sym_for_statement_token1] = ACTIONS(1011),
    [aux_sym_for_statement_token2] = ACTIONS(1011),
    [aux_sym_foreach_statement_token1] = ACTIONS(1011),
    [aux_sym_foreach_statement_token2] = ACTIONS(1011),
    [aux_sym_if_statement_token1] = ACTIONS(1011),
    [aux_sym_if_statement_token2] = ACTIONS(1011),
    [aux_sym_else_if_clause_token1] = ACTIONS(1027),
    [aux_sym_else_clause_token1] = ACTIONS(1030),
    [aux_sym_match_expression_token1] = ACTIONS(1011),
    [aux_sym_match_default_expression_token1] = ACTIONS(1011),
    [aux_sym_switch_statement_token1] = ACTIONS(1011),
    [aux_sym_switch_block_token1] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1011),
    [anon_sym_DASH] = ACTIONS(1011),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1009),
    [aux_sym_clone_expression_token1] = ACTIONS(1011),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1011),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1009),
    [anon_sym_PLUS_PLUS] = ACTIONS(1009),
    [aux_sym__list_destructing_token1] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_self] = ACTIONS(1011),
    [anon_sym_parent] = ACTIONS(1011),
    [aux_sym__argument_name_token1] = ACTIONS(1011),
    [aux_sym__argument_name_token2] = ACTIONS(1011),
    [anon_sym_POUND_LBRACK] = ACTIONS(1009),
    [aux_sym_encapsed_string_token1] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [aux_sym_string_token1] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [anon_sym_LT_LT_LT] = ACTIONS(1009),
    [anon_sym_BQUOTE] = ACTIONS(1009),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [aux_sym_yield_expression_token1] = ACTIONS(1011),
    [aux_sym_include_expression_token1] = ACTIONS(1011),
    [aux_sym_include_once_expression_token1] = ACTIONS(1011),
    [aux_sym_require_expression_token1] = ACTIONS(1011),
    [aux_sym_require_once_expression_token1] = ACTIONS(1011),
    [sym_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [sym_else_if_clause] = STATE(514),
    [sym_else_clause] = STATE(576),
    [aux_sym_if_statement_repeat1] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym_name] = ACTIONS(1019),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1017),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1019),
    [aux_sym_global_declaration_token1] = ACTIONS(1019),
    [aux_sym_namespace_definition_token1] = ACTIONS(1019),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1019),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1019),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1019),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [aux_sym_trait_declaration_token1] = ACTIONS(1019),
    [aux_sym_interface_declaration_token1] = ACTIONS(1019),
    [aux_sym_enum_declaration_token1] = ACTIONS(1019),
    [aux_sym_enum_case_token1] = ACTIONS(1019),
    [aux_sym_class_declaration_token1] = ACTIONS(1019),
    [aux_sym_final_modifier_token1] = ACTIONS(1019),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1019),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1019),
    [sym_var_modifier] = ACTIONS(1019),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1019),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1019),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1019),
    [anon_sym_LPAREN2] = ACTIONS(1017),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1019),
    [aux_sym_cast_type_token1] = ACTIONS(1019),
    [aux_sym_echo_statement_token1] = ACTIONS(1019),
    [aux_sym_exit_statement_token1] = ACTIONS(1019),
    [anon_sym_unset] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [aux_sym_declare_statement_token2] = ACTIONS(1019),
    [sym_float] = ACTIONS(1019),
    [aux_sym_try_statement_token1] = ACTIONS(1019),
    [aux_sym_goto_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [sym_integer] = ACTIONS(1019),
    [aux_sym_return_statement_token1] = ACTIONS(1019),
    [aux_sym_throw_expression_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token2] = ACTIONS(1019),
    [aux_sym_do_statement_token1] = ACTIONS(1019),
    [aux_sym_for_statement_token1] = ACTIONS(1019),
    [aux_sym_for_statement_token2] = ACTIONS(1019),
    [aux_sym_foreach_statement_token1] = ACTIONS(1019),
    [aux_sym_foreach_statement_token2] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token2] = ACTIONS(1019),
    [aux_sym_else_if_clause_token1] = ACTIONS(1013),
    [aux_sym_else_clause_token1] = ACTIONS(1015),
    [aux_sym_match_expression_token1] = ACTIONS(1019),
    [aux_sym_match_default_expression_token1] = ACTIONS(1019),
    [aux_sym_switch_statement_token1] = ACTIONS(1019),
    [aux_sym_switch_block_token1] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1017),
    [aux_sym_clone_expression_token1] = ACTIONS(1019),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1019),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1017),
    [anon_sym_PLUS_PLUS] = ACTIONS(1017),
    [aux_sym__list_destructing_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_self] = ACTIONS(1019),
    [anon_sym_parent] = ACTIONS(1019),
    [aux_sym__argument_name_token1] = ACTIONS(1019),
    [aux_sym__argument_name_token2] = ACTIONS(1019),
    [anon_sym_POUND_LBRACK] = ACTIONS(1017),
    [aux_sym_encapsed_string_token1] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [aux_sym_string_token1] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1017),
    [anon_sym_LT_LT_LT] = ACTIONS(1017),
    [anon_sym_BQUOTE] = ACTIONS(1017),
    [anon_sym_DOLLAR] = ACTIONS(1017),
    [aux_sym_yield_expression_token1] = ACTIONS(1019),
    [aux_sym_include_expression_token1] = ACTIONS(1019),
    [aux_sym_include_once_expression_token1] = ACTIONS(1019),
    [aux_sym_require_expression_token1] = ACTIONS(1019),
    [aux_sym_require_once_expression_token1] = ACTIONS(1019),
    [sym_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym_name] = ACTIONS(1035),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1035),
    [aux_sym_global_declaration_token1] = ACTIONS(1035),
    [aux_sym_namespace_definition_token1] = ACTIONS(1035),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1035),
    [anon_sym_BSLASH] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [aux_sym_trait_declaration_token1] = ACTIONS(1035),
    [aux_sym_interface_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_case_token1] = ACTIONS(1035),
    [aux_sym_class_declaration_token1] = ACTIONS(1035),
    [aux_sym_final_modifier_token1] = ACTIONS(1035),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1035),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1035),
    [sym_var_modifier] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1035),
    [anon_sym_LPAREN2] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1035),
    [aux_sym_echo_statement_token1] = ACTIONS(1035),
    [aux_sym_exit_statement_token1] = ACTIONS(1035),
    [anon_sym_unset] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_declare_statement_token2] = ACTIONS(1035),
    [sym_float] = ACTIONS(1035),
    [aux_sym_try_statement_token1] = ACTIONS(1035),
    [aux_sym_catch_clause_token1] = ACTIONS(1035),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [sym_integer] = ACTIONS(1035),
    [aux_sym_return_statement_token1] = ACTIONS(1035),
    [aux_sym_throw_expression_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token2] = ACTIONS(1035),
    [aux_sym_do_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token2] = ACTIONS(1035),
    [aux_sym_foreach_statement_token1] = ACTIONS(1035),
    [aux_sym_foreach_statement_token2] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token2] = ACTIONS(1035),
    [aux_sym_else_if_clause_token1] = ACTIONS(1035),
    [aux_sym_else_clause_token1] = ACTIONS(1035),
    [aux_sym_match_expression_token1] = ACTIONS(1035),
    [aux_sym_match_default_expression_token1] = ACTIONS(1035),
    [aux_sym_switch_statement_token1] = ACTIONS(1035),
    [aux_sym_switch_block_token1] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [aux_sym_clone_expression_token1] = ACTIONS(1035),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1035),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [aux_sym__list_destructing_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_self] = ACTIONS(1035),
    [anon_sym_parent] = ACTIONS(1035),
    [aux_sym__argument_name_token1] = ACTIONS(1035),
    [aux_sym__argument_name_token2] = ACTIONS(1035),
    [anon_sym_POUND_LBRACK] = ACTIONS(1033),
    [aux_sym_encapsed_string_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_LT_LT_LT] = ACTIONS(1033),
    [anon_sym_BQUOTE] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1033),
    [aux_sym_yield_expression_token1] = ACTIONS(1035),
    [aux_sym_include_expression_token1] = ACTIONS(1035),
    [aux_sym_include_once_expression_token1] = ACTIONS(1035),
    [aux_sym_require_expression_token1] = ACTIONS(1035),
    [aux_sym_require_once_expression_token1] = ACTIONS(1035),
    [sym_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_catch_clause_token1] = ACTIONS(1039),
    [aux_sym_finally_clause_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [sym_else_if_clause] = STATE(514),
    [aux_sym_if_statement_repeat1] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_name] = ACTIONS(1043),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1043),
    [aux_sym_global_declaration_token1] = ACTIONS(1043),
    [aux_sym_namespace_definition_token1] = ACTIONS(1043),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1043),
    [anon_sym_BSLASH] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [aux_sym_trait_declaration_token1] = ACTIONS(1043),
    [aux_sym_interface_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_case_token1] = ACTIONS(1043),
    [aux_sym_class_declaration_token1] = ACTIONS(1043),
    [aux_sym_final_modifier_token1] = ACTIONS(1043),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1043),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1043),
    [sym_var_modifier] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(1041),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1043),
    [aux_sym_cast_type_token1] = ACTIONS(1043),
    [aux_sym_echo_statement_token1] = ACTIONS(1043),
    [aux_sym_exit_statement_token1] = ACTIONS(1043),
    [anon_sym_unset] = ACTIONS(1043),
    [aux_sym_declare_statement_token1] = ACTIONS(1043),
    [aux_sym_declare_statement_token2] = ACTIONS(1043),
    [sym_float] = ACTIONS(1043),
    [aux_sym_try_statement_token1] = ACTIONS(1043),
    [aux_sym_goto_statement_token1] = ACTIONS(1043),
    [aux_sym_continue_statement_token1] = ACTIONS(1043),
    [aux_sym_break_statement_token1] = ACTIONS(1043),
    [sym_integer] = ACTIONS(1043),
    [aux_sym_return_statement_token1] = ACTIONS(1043),
    [aux_sym_throw_expression_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token2] = ACTIONS(1043),
    [aux_sym_do_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token2] = ACTIONS(1043),
    [aux_sym_foreach_statement_token1] = ACTIONS(1043),
    [aux_sym_foreach_statement_token2] = ACTIONS(1043),
    [aux_sym_if_statement_token1] = ACTIONS(1043),
    [aux_sym_if_statement_token2] = ACTIONS(1043),
    [aux_sym_else_if_clause_token1] = ACTIONS(1045),
    [aux_sym_else_clause_token1] = ACTIONS(1043),
    [aux_sym_match_expression_token1] = ACTIONS(1043),
    [aux_sym_match_default_expression_token1] = ACTIONS(1043),
    [aux_sym_switch_statement_token1] = ACTIONS(1043),
    [aux_sym_switch_block_token1] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1043),
    [anon_sym_DASH] = ACTIONS(1043),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1041),
    [aux_sym_clone_expression_token1] = ACTIONS(1043),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1043),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1041),
    [anon_sym_PLUS_PLUS] = ACTIONS(1041),
    [aux_sym__list_destructing_token1] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [anon_sym_self] = ACTIONS(1043),
    [anon_sym_parent] = ACTIONS(1043),
    [aux_sym__argument_name_token1] = ACTIONS(1043),
    [aux_sym__argument_name_token2] = ACTIONS(1043),
    [anon_sym_POUND_LBRACK] = ACTIONS(1041),
    [aux_sym_encapsed_string_token1] = ACTIONS(1041),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_string_token1] = ACTIONS(1041),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [anon_sym_LT_LT_LT] = ACTIONS(1041),
    [anon_sym_BQUOTE] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(1041),
    [aux_sym_yield_expression_token1] = ACTIONS(1043),
    [aux_sym_include_expression_token1] = ACTIONS(1043),
    [aux_sym_include_once_expression_token1] = ACTIONS(1043),
    [aux_sym_require_expression_token1] = ACTIONS(1043),
    [aux_sym_require_once_expression_token1] = ACTIONS(1043),
    [sym_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_name] = ACTIONS(1050),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1048),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1050),
    [aux_sym_global_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_definition_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1050),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1050),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1050),
    [anon_sym_BSLASH] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [aux_sym_trait_declaration_token1] = ACTIONS(1050),
    [aux_sym_interface_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_case_token1] = ACTIONS(1050),
    [aux_sym_class_declaration_token1] = ACTIONS(1050),
    [aux_sym_final_modifier_token1] = ACTIONS(1050),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1050),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1050),
    [sym_var_modifier] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(1048),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1050),
    [aux_sym_cast_type_token1] = ACTIONS(1050),
    [aux_sym_echo_statement_token1] = ACTIONS(1050),
    [aux_sym_exit_statement_token1] = ACTIONS(1050),
    [anon_sym_unset] = ACTIONS(1050),
    [aux_sym_declare_statement_token1] = ACTIONS(1050),
    [aux_sym_declare_statement_token2] = ACTIONS(1050),
    [sym_float] = ACTIONS(1050),
    [aux_sym_try_statement_token1] = ACTIONS(1050),
    [aux_sym_catch_clause_token1] = ACTIONS(1050),
    [aux_sym_finally_clause_token1] = ACTIONS(1050),
    [aux_sym_goto_statement_token1] = ACTIONS(1050),
    [aux_sym_continue_statement_token1] = ACTIONS(1050),
    [aux_sym_break_statement_token1] = ACTIONS(1050),
    [sym_integer] = ACTIONS(1050),
    [aux_sym_return_statement_token1] = ACTIONS(1050),
    [aux_sym_throw_expression_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token2] = ACTIONS(1050),
    [aux_sym_do_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token2] = ACTIONS(1050),
    [aux_sym_foreach_statement_token1] = ACTIONS(1050),
    [aux_sym_foreach_statement_token2] = ACTIONS(1050),
    [aux_sym_if_statement_token1] = ACTIONS(1050),
    [aux_sym_if_statement_token2] = ACTIONS(1050),
    [aux_sym_else_if_clause_token1] = ACTIONS(1050),
    [aux_sym_else_clause_token1] = ACTIONS(1050),
    [aux_sym_match_expression_token1] = ACTIONS(1050),
    [aux_sym_match_default_expression_token1] = ACTIONS(1050),
    [aux_sym_switch_statement_token1] = ACTIONS(1050),
    [aux_sym_switch_block_token1] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [aux_sym_clone_expression_token1] = ACTIONS(1050),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1050),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1048),
    [aux_sym__list_destructing_token1] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_self] = ACTIONS(1050),
    [anon_sym_parent] = ACTIONS(1050),
    [aux_sym__argument_name_token1] = ACTIONS(1050),
    [aux_sym__argument_name_token2] = ACTIONS(1050),
    [anon_sym_POUND_LBRACK] = ACTIONS(1048),
    [aux_sym_encapsed_string_token1] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [aux_sym_string_token1] = ACTIONS(1048),
    [anon_sym_SQUOTE] = ACTIONS(1048),
    [anon_sym_LT_LT_LT] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [aux_sym_yield_expression_token1] = ACTIONS(1050),
    [aux_sym_include_expression_token1] = ACTIONS(1050),
    [aux_sym_include_once_expression_token1] = ACTIONS(1050),
    [aux_sym_require_expression_token1] = ACTIONS(1050),
    [aux_sym_require_once_expression_token1] = ACTIONS(1050),
    [sym_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_name] = ACTIONS(1054),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1052),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1054),
    [aux_sym_global_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_definition_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1054),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1054),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1054),
    [anon_sym_BSLASH] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [aux_sym_trait_declaration_token1] = ACTIONS(1054),
    [aux_sym_interface_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_case_token1] = ACTIONS(1054),
    [aux_sym_class_declaration_token1] = ACTIONS(1054),
    [aux_sym_final_modifier_token1] = ACTIONS(1054),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1054),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1054),
    [sym_var_modifier] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1054),
    [anon_sym_LPAREN2] = ACTIONS(1052),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1054),
    [aux_sym_cast_type_token1] = ACTIONS(1054),
    [aux_sym_echo_statement_token1] = ACTIONS(1054),
    [aux_sym_exit_statement_token1] = ACTIONS(1054),
    [anon_sym_unset] = ACTIONS(1054),
    [aux_sym_declare_statement_token1] = ACTIONS(1054),
    [aux_sym_declare_statement_token2] = ACTIONS(1054),
    [sym_float] = ACTIONS(1054),
    [aux_sym_try_statement_token1] = ACTIONS(1054),
    [aux_sym_catch_clause_token1] = ACTIONS(1054),
    [aux_sym_finally_clause_token1] = ACTIONS(1054),
    [aux_sym_goto_statement_token1] = ACTIONS(1054),
    [aux_sym_continue_statement_token1] = ACTIONS(1054),
    [aux_sym_break_statement_token1] = ACTIONS(1054),
    [sym_integer] = ACTIONS(1054),
    [aux_sym_return_statement_token1] = ACTIONS(1054),
    [aux_sym_throw_expression_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token2] = ACTIONS(1054),
    [aux_sym_do_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token2] = ACTIONS(1054),
    [aux_sym_foreach_statement_token1] = ACTIONS(1054),
    [aux_sym_foreach_statement_token2] = ACTIONS(1054),
    [aux_sym_if_statement_token1] = ACTIONS(1054),
    [aux_sym_if_statement_token2] = ACTIONS(1054),
    [aux_sym_else_if_clause_token1] = ACTIONS(1054),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1054),
    [aux_sym_match_default_expression_token1] = ACTIONS(1054),
    [aux_sym_switch_statement_token1] = ACTIONS(1054),
    [aux_sym_switch_block_token1] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_AT] = ACTIONS(1052),
    [aux_sym_clone_expression_token1] = ACTIONS(1054),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1054),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1054),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [aux_sym__list_destructing_token1] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_self] = ACTIONS(1054),
    [anon_sym_parent] = ACTIONS(1054),
    [aux_sym__argument_name_token1] = ACTIONS(1054),
    [aux_sym__argument_name_token2] = ACTIONS(1054),
    [anon_sym_POUND_LBRACK] = ACTIONS(1052),
    [aux_sym_encapsed_string_token1] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1052),
    [aux_sym_string_token1] = ACTIONS(1052),
    [anon_sym_SQUOTE] = ACTIONS(1052),
    [anon_sym_LT_LT_LT] = ACTIONS(1052),
    [anon_sym_BQUOTE] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1052),
    [aux_sym_yield_expression_token1] = ACTIONS(1054),
    [aux_sym_include_expression_token1] = ACTIONS(1054),
    [aux_sym_include_once_expression_token1] = ACTIONS(1054),
    [aux_sym_require_expression_token1] = ACTIONS(1054),
    [aux_sym_require_once_expression_token1] = ACTIONS(1054),
    [sym_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_name] = ACTIONS(1058),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1056),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1058),
    [aux_sym_global_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_definition_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1058),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1058),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym_trait_declaration_token1] = ACTIONS(1058),
    [aux_sym_interface_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_case_token1] = ACTIONS(1058),
    [aux_sym_class_declaration_token1] = ACTIONS(1058),
    [aux_sym_final_modifier_token1] = ACTIONS(1058),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1058),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1058),
    [sym_var_modifier] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1058),
    [anon_sym_LPAREN2] = ACTIONS(1056),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1058),
    [aux_sym_cast_type_token1] = ACTIONS(1058),
    [aux_sym_echo_statement_token1] = ACTIONS(1058),
    [aux_sym_exit_statement_token1] = ACTIONS(1058),
    [anon_sym_unset] = ACTIONS(1058),
    [aux_sym_declare_statement_token1] = ACTIONS(1058),
    [aux_sym_declare_statement_token2] = ACTIONS(1058),
    [sym_float] = ACTIONS(1058),
    [aux_sym_try_statement_token1] = ACTIONS(1058),
    [aux_sym_catch_clause_token1] = ACTIONS(1058),
    [aux_sym_finally_clause_token1] = ACTIONS(1058),
    [aux_sym_goto_statement_token1] = ACTIONS(1058),
    [aux_sym_continue_statement_token1] = ACTIONS(1058),
    [aux_sym_break_statement_token1] = ACTIONS(1058),
    [sym_integer] = ACTIONS(1058),
    [aux_sym_return_statement_token1] = ACTIONS(1058),
    [aux_sym_throw_expression_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token2] = ACTIONS(1058),
    [aux_sym_do_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token2] = ACTIONS(1058),
    [aux_sym_foreach_statement_token1] = ACTIONS(1058),
    [aux_sym_foreach_statement_token2] = ACTIONS(1058),
    [aux_sym_if_statement_token1] = ACTIONS(1058),
    [aux_sym_if_statement_token2] = ACTIONS(1058),
    [aux_sym_else_if_clause_token1] = ACTIONS(1058),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1058),
    [aux_sym_match_default_expression_token1] = ACTIONS(1058),
    [aux_sym_switch_statement_token1] = ACTIONS(1058),
    [aux_sym_switch_block_token1] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1056),
    [aux_sym_clone_expression_token1] = ACTIONS(1058),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1058),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [aux_sym__list_destructing_token1] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(1058),
    [anon_sym_parent] = ACTIONS(1058),
    [aux_sym__argument_name_token1] = ACTIONS(1058),
    [aux_sym__argument_name_token2] = ACTIONS(1058),
    [anon_sym_POUND_LBRACK] = ACTIONS(1056),
    [aux_sym_encapsed_string_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_string_token1] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [anon_sym_LT_LT_LT] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1056),
    [aux_sym_yield_expression_token1] = ACTIONS(1058),
    [aux_sym_include_expression_token1] = ACTIONS(1058),
    [aux_sym_include_once_expression_token1] = ACTIONS(1058),
    [aux_sym_require_expression_token1] = ACTIONS(1058),
    [aux_sym_require_once_expression_token1] = ACTIONS(1058),
    [sym_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_name] = ACTIONS(1062),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1062),
    [aux_sym_global_declaration_token1] = ACTIONS(1062),
    [aux_sym_namespace_definition_token1] = ACTIONS(1062),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1062),
    [anon_sym_BSLASH] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [aux_sym_trait_declaration_token1] = ACTIONS(1062),
    [aux_sym_interface_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_case_token1] = ACTIONS(1062),
    [aux_sym_class_declaration_token1] = ACTIONS(1062),
    [aux_sym_final_modifier_token1] = ACTIONS(1062),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1062),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1062),
    [sym_var_modifier] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1062),
    [anon_sym_LPAREN2] = ACTIONS(1060),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1062),
    [aux_sym_echo_statement_token1] = ACTIONS(1062),
    [aux_sym_exit_statement_token1] = ACTIONS(1062),
    [anon_sym_unset] = ACTIONS(1062),
    [aux_sym_declare_statement_token1] = ACTIONS(1062),
    [aux_sym_declare_statement_token2] = ACTIONS(1062),
    [sym_float] = ACTIONS(1062),
    [aux_sym_try_statement_token1] = ACTIONS(1062),
    [aux_sym_catch_clause_token1] = ACTIONS(1062),
    [aux_sym_finally_clause_token1] = ACTIONS(1062),
    [aux_sym_goto_statement_token1] = ACTIONS(1062),
    [aux_sym_continue_statement_token1] = ACTIONS(1062),
    [aux_sym_break_statement_token1] = ACTIONS(1062),
    [sym_integer] = ACTIONS(1062),
    [aux_sym_return_statement_token1] = ACTIONS(1062),
    [aux_sym_throw_expression_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token2] = ACTIONS(1062),
    [aux_sym_do_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token2] = ACTIONS(1062),
    [aux_sym_foreach_statement_token1] = ACTIONS(1062),
    [aux_sym_foreach_statement_token2] = ACTIONS(1062),
    [aux_sym_if_statement_token1] = ACTIONS(1062),
    [aux_sym_if_statement_token2] = ACTIONS(1062),
    [aux_sym_else_if_clause_token1] = ACTIONS(1062),
    [aux_sym_else_clause_token1] = ACTIONS(1062),
    [aux_sym_match_expression_token1] = ACTIONS(1062),
    [aux_sym_match_default_expression_token1] = ACTIONS(1062),
    [aux_sym_switch_statement_token1] = ACTIONS(1062),
    [aux_sym_switch_block_token1] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [aux_sym_clone_expression_token1] = ACTIONS(1062),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1062),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1062),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [aux_sym__list_destructing_token1] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_self] = ACTIONS(1062),
    [anon_sym_parent] = ACTIONS(1062),
    [aux_sym__argument_name_token1] = ACTIONS(1062),
    [aux_sym__argument_name_token2] = ACTIONS(1062),
    [anon_sym_POUND_LBRACK] = ACTIONS(1060),
    [aux_sym_encapsed_string_token1] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [aux_sym_string_token1] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [anon_sym_LT_LT_LT] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1060),
    [aux_sym_yield_expression_token1] = ACTIONS(1062),
    [aux_sym_include_expression_token1] = ACTIONS(1062),
    [aux_sym_include_once_expression_token1] = ACTIONS(1062),
    [aux_sym_require_expression_token1] = ACTIONS(1062),
    [aux_sym_require_once_expression_token1] = ACTIONS(1062),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1064),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [sym_var_modifier] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [anon_sym_LPAREN2] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [aux_sym_exit_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [aux_sym__argument_name_token1] = ACTIONS(1066),
    [aux_sym__argument_name_token2] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_name] = ACTIONS(1070),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1068),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1070),
    [aux_sym_global_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_definition_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1070),
    [anon_sym_BSLASH] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [aux_sym_trait_declaration_token1] = ACTIONS(1070),
    [aux_sym_interface_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_case_token1] = ACTIONS(1070),
    [aux_sym_class_declaration_token1] = ACTIONS(1070),
    [aux_sym_final_modifier_token1] = ACTIONS(1070),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1070),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1070),
    [sym_var_modifier] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1070),
    [anon_sym_LPAREN2] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1070),
    [aux_sym_echo_statement_token1] = ACTIONS(1070),
    [aux_sym_exit_statement_token1] = ACTIONS(1070),
    [anon_sym_unset] = ACTIONS(1070),
    [aux_sym_declare_statement_token1] = ACTIONS(1070),
    [aux_sym_declare_statement_token2] = ACTIONS(1070),
    [sym_float] = ACTIONS(1070),
    [aux_sym_try_statement_token1] = ACTIONS(1070),
    [aux_sym_goto_statement_token1] = ACTIONS(1070),
    [aux_sym_continue_statement_token1] = ACTIONS(1070),
    [aux_sym_break_statement_token1] = ACTIONS(1070),
    [sym_integer] = ACTIONS(1070),
    [aux_sym_return_statement_token1] = ACTIONS(1070),
    [aux_sym_throw_expression_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token2] = ACTIONS(1070),
    [aux_sym_do_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token2] = ACTIONS(1070),
    [aux_sym_foreach_statement_token1] = ACTIONS(1070),
    [aux_sym_foreach_statement_token2] = ACTIONS(1070),
    [aux_sym_if_statement_token1] = ACTIONS(1070),
    [aux_sym_if_statement_token2] = ACTIONS(1070),
    [aux_sym_else_if_clause_token1] = ACTIONS(1070),
    [aux_sym_else_clause_token1] = ACTIONS(1070),
    [aux_sym_match_expression_token1] = ACTIONS(1070),
    [aux_sym_match_default_expression_token1] = ACTIONS(1070),
    [aux_sym_switch_statement_token1] = ACTIONS(1070),
    [aux_sym_switch_block_token1] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1068),
    [aux_sym_clone_expression_token1] = ACTIONS(1070),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1070),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [aux_sym__list_destructing_token1] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_self] = ACTIONS(1070),
    [anon_sym_parent] = ACTIONS(1070),
    [aux_sym__argument_name_token1] = ACTIONS(1070),
    [aux_sym__argument_name_token2] = ACTIONS(1070),
    [anon_sym_POUND_LBRACK] = ACTIONS(1068),
    [aux_sym_encapsed_string_token1] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_string_token1] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [anon_sym_LT_LT_LT] = ACTIONS(1068),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [anon_sym_DOLLAR] = ACTIONS(1068),
    [aux_sym_yield_expression_token1] = ACTIONS(1070),
    [aux_sym_include_expression_token1] = ACTIONS(1070),
    [aux_sym_include_once_expression_token1] = ACTIONS(1070),
    [aux_sym_require_expression_token1] = ACTIONS(1070),
    [aux_sym_require_once_expression_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_name] = ACTIONS(1074),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1074),
    [aux_sym_global_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_definition_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1074),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [aux_sym_trait_declaration_token1] = ACTIONS(1074),
    [aux_sym_interface_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_case_token1] = ACTIONS(1074),
    [aux_sym_class_declaration_token1] = ACTIONS(1074),
    [aux_sym_final_modifier_token1] = ACTIONS(1074),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1074),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1074),
    [sym_var_modifier] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1074),
    [anon_sym_LPAREN2] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1074),
    [aux_sym_cast_type_token1] = ACTIONS(1074),
    [aux_sym_echo_statement_token1] = ACTIONS(1074),
    [aux_sym_exit_statement_token1] = ACTIONS(1074),
    [anon_sym_unset] = ACTIONS(1074),
    [aux_sym_declare_statement_token1] = ACTIONS(1074),
    [aux_sym_declare_statement_token2] = ACTIONS(1074),
    [sym_float] = ACTIONS(1074),
    [aux_sym_try_statement_token1] = ACTIONS(1074),
    [aux_sym_goto_statement_token1] = ACTIONS(1074),
    [aux_sym_continue_statement_token1] = ACTIONS(1074),
    [aux_sym_break_statement_token1] = ACTIONS(1074),
    [sym_integer] = ACTIONS(1074),
    [aux_sym_return_statement_token1] = ACTIONS(1074),
    [aux_sym_throw_expression_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token2] = ACTIONS(1074),
    [aux_sym_do_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token2] = ACTIONS(1074),
    [aux_sym_foreach_statement_token1] = ACTIONS(1074),
    [aux_sym_foreach_statement_token2] = ACTIONS(1074),
    [aux_sym_if_statement_token1] = ACTIONS(1074),
    [aux_sym_if_statement_token2] = ACTIONS(1074),
    [aux_sym_else_if_clause_token1] = ACTIONS(1074),
    [aux_sym_else_clause_token1] = ACTIONS(1074),
    [aux_sym_match_expression_token1] = ACTIONS(1074),
    [aux_sym_match_default_expression_token1] = ACTIONS(1074),
    [aux_sym_switch_statement_token1] = ACTIONS(1074),
    [aux_sym_switch_block_token1] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [aux_sym_clone_expression_token1] = ACTIONS(1074),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1074),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [aux_sym__list_destructing_token1] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_self] = ACTIONS(1074),
    [anon_sym_parent] = ACTIONS(1074),
    [aux_sym__argument_name_token1] = ACTIONS(1074),
    [aux_sym__argument_name_token2] = ACTIONS(1074),
    [anon_sym_POUND_LBRACK] = ACTIONS(1072),
    [aux_sym_encapsed_string_token1] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_LT_LT_LT] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [aux_sym_yield_expression_token1] = ACTIONS(1074),
    [aux_sym_include_expression_token1] = ACTIONS(1074),
    [aux_sym_include_once_expression_token1] = ACTIONS(1074),
    [aux_sym_require_expression_token1] = ACTIONS(1074),
    [aux_sym_require_once_expression_token1] = ACTIONS(1074),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_name] = ACTIONS(1078),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1076),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1078),
    [aux_sym_global_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_definition_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1078),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [aux_sym_trait_declaration_token1] = ACTIONS(1078),
    [aux_sym_interface_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_case_token1] = ACTIONS(1078),
    [aux_sym_class_declaration_token1] = ACTIONS(1078),
    [aux_sym_final_modifier_token1] = ACTIONS(1078),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1078),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1078),
    [sym_var_modifier] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1078),
    [anon_sym_LPAREN2] = ACTIONS(1076),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1078),
    [aux_sym_echo_statement_token1] = ACTIONS(1078),
    [aux_sym_exit_statement_token1] = ACTIONS(1078),
    [anon_sym_unset] = ACTIONS(1078),
    [aux_sym_declare_statement_token1] = ACTIONS(1078),
    [aux_sym_declare_statement_token2] = ACTIONS(1078),
    [sym_float] = ACTIONS(1078),
    [aux_sym_try_statement_token1] = ACTIONS(1078),
    [aux_sym_goto_statement_token1] = ACTIONS(1078),
    [aux_sym_continue_statement_token1] = ACTIONS(1078),
    [aux_sym_break_statement_token1] = ACTIONS(1078),
    [sym_integer] = ACTIONS(1078),
    [aux_sym_return_statement_token1] = ACTIONS(1078),
    [aux_sym_throw_expression_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token2] = ACTIONS(1078),
    [aux_sym_do_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token2] = ACTIONS(1078),
    [aux_sym_foreach_statement_token1] = ACTIONS(1078),
    [aux_sym_foreach_statement_token2] = ACTIONS(1078),
    [aux_sym_if_statement_token1] = ACTIONS(1078),
    [aux_sym_if_statement_token2] = ACTIONS(1078),
    [aux_sym_else_if_clause_token1] = ACTIONS(1078),
    [aux_sym_else_clause_token1] = ACTIONS(1078),
    [aux_sym_match_expression_token1] = ACTIONS(1078),
    [aux_sym_match_default_expression_token1] = ACTIONS(1078),
    [aux_sym_switch_statement_token1] = ACTIONS(1078),
    [aux_sym_switch_block_token1] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [aux_sym_clone_expression_token1] = ACTIONS(1078),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1078),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [aux_sym__list_destructing_token1] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(1078),
    [anon_sym_parent] = ACTIONS(1078),
    [aux_sym__argument_name_token1] = ACTIONS(1078),
    [aux_sym__argument_name_token2] = ACTIONS(1078),
    [anon_sym_POUND_LBRACK] = ACTIONS(1076),
    [aux_sym_encapsed_string_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_string_token1] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_LT_LT_LT] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [aux_sym_yield_expression_token1] = ACTIONS(1078),
    [aux_sym_include_expression_token1] = ACTIONS(1078),
    [aux_sym_include_once_expression_token1] = ACTIONS(1078),
    [aux_sym_require_expression_token1] = ACTIONS(1078),
    [aux_sym_require_once_expression_token1] = ACTIONS(1078),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_name] = ACTIONS(1082),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1080),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1082),
    [aux_sym_global_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_definition_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1082),
    [anon_sym_BSLASH] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [aux_sym_trait_declaration_token1] = ACTIONS(1082),
    [aux_sym_interface_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_case_token1] = ACTIONS(1082),
    [aux_sym_class_declaration_token1] = ACTIONS(1082),
    [aux_sym_final_modifier_token1] = ACTIONS(1082),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1082),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1082),
    [sym_var_modifier] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1082),
    [anon_sym_LPAREN2] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1082),
    [aux_sym_echo_statement_token1] = ACTIONS(1082),
    [aux_sym_exit_statement_token1] = ACTIONS(1082),
    [anon_sym_unset] = ACTIONS(1082),
    [aux_sym_declare_statement_token1] = ACTIONS(1082),
    [aux_sym_declare_statement_token2] = ACTIONS(1082),
    [sym_float] = ACTIONS(1082),
    [aux_sym_try_statement_token1] = ACTIONS(1082),
    [aux_sym_goto_statement_token1] = ACTIONS(1082),
    [aux_sym_continue_statement_token1] = ACTIONS(1082),
    [aux_sym_break_statement_token1] = ACTIONS(1082),
    [sym_integer] = ACTIONS(1082),
    [aux_sym_return_statement_token1] = ACTIONS(1082),
    [aux_sym_throw_expression_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token2] = ACTIONS(1082),
    [aux_sym_do_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token2] = ACTIONS(1082),
    [aux_sym_foreach_statement_token1] = ACTIONS(1082),
    [aux_sym_foreach_statement_token2] = ACTIONS(1082),
    [aux_sym_if_statement_token1] = ACTIONS(1082),
    [aux_sym_if_statement_token2] = ACTIONS(1082),
    [aux_sym_else_if_clause_token1] = ACTIONS(1082),
    [aux_sym_else_clause_token1] = ACTIONS(1082),
    [aux_sym_match_expression_token1] = ACTIONS(1082),
    [aux_sym_match_default_expression_token1] = ACTIONS(1082),
    [aux_sym_switch_statement_token1] = ACTIONS(1082),
    [aux_sym_switch_block_token1] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1080),
    [aux_sym_clone_expression_token1] = ACTIONS(1082),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1082),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [aux_sym__list_destructing_token1] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(1082),
    [anon_sym_parent] = ACTIONS(1082),
    [aux_sym__argument_name_token1] = ACTIONS(1082),
    [aux_sym__argument_name_token2] = ACTIONS(1082),
    [anon_sym_POUND_LBRACK] = ACTIONS(1080),
    [aux_sym_encapsed_string_token1] = ACTIONS(1080),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_string_token1] = ACTIONS(1080),
    [anon_sym_SQUOTE] = ACTIONS(1080),
    [anon_sym_LT_LT_LT] = ACTIONS(1080),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [anon_sym_DOLLAR] = ACTIONS(1080),
    [aux_sym_yield_expression_token1] = ACTIONS(1082),
    [aux_sym_include_expression_token1] = ACTIONS(1082),
    [aux_sym_include_once_expression_token1] = ACTIONS(1082),
    [aux_sym_require_expression_token1] = ACTIONS(1082),
    [aux_sym_require_once_expression_token1] = ACTIONS(1082),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_name] = ACTIONS(1086),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1084),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1086),
    [aux_sym_global_declaration_token1] = ACTIONS(1086),
    [aux_sym_namespace_definition_token1] = ACTIONS(1086),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1086),
    [anon_sym_BSLASH] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [aux_sym_trait_declaration_token1] = ACTIONS(1086),
    [aux_sym_interface_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_case_token1] = ACTIONS(1086),
    [aux_sym_class_declaration_token1] = ACTIONS(1086),
    [aux_sym_final_modifier_token1] = ACTIONS(1086),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1086),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1086),
    [sym_var_modifier] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1086),
    [aux_sym_echo_statement_token1] = ACTIONS(1086),
    [aux_sym_exit_statement_token1] = ACTIONS(1086),
    [anon_sym_unset] = ACTIONS(1086),
    [aux_sym_declare_statement_token1] = ACTIONS(1086),
    [aux_sym_declare_statement_token2] = ACTIONS(1086),
    [sym_float] = ACTIONS(1086),
    [aux_sym_try_statement_token1] = ACTIONS(1086),
    [aux_sym_goto_statement_token1] = ACTIONS(1086),
    [aux_sym_continue_statement_token1] = ACTIONS(1086),
    [aux_sym_break_statement_token1] = ACTIONS(1086),
    [sym_integer] = ACTIONS(1086),
    [aux_sym_return_statement_token1] = ACTIONS(1086),
    [aux_sym_throw_expression_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token2] = ACTIONS(1086),
    [aux_sym_do_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token2] = ACTIONS(1086),
    [aux_sym_foreach_statement_token1] = ACTIONS(1086),
    [aux_sym_foreach_statement_token2] = ACTIONS(1086),
    [aux_sym_if_statement_token1] = ACTIONS(1086),
    [aux_sym_if_statement_token2] = ACTIONS(1086),
    [aux_sym_else_if_clause_token1] = ACTIONS(1086),
    [aux_sym_else_clause_token1] = ACTIONS(1086),
    [aux_sym_match_expression_token1] = ACTIONS(1086),
    [aux_sym_match_default_expression_token1] = ACTIONS(1086),
    [aux_sym_switch_statement_token1] = ACTIONS(1086),
    [aux_sym_switch_block_token1] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [aux_sym_clone_expression_token1] = ACTIONS(1086),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1086),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1084),
    [aux_sym__list_destructing_token1] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1084),
    [anon_sym_self] = ACTIONS(1086),
    [anon_sym_parent] = ACTIONS(1086),
    [aux_sym__argument_name_token1] = ACTIONS(1086),
    [aux_sym__argument_name_token2] = ACTIONS(1086),
    [anon_sym_POUND_LBRACK] = ACTIONS(1084),
    [aux_sym_encapsed_string_token1] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [aux_sym_string_token1] = ACTIONS(1084),
    [anon_sym_SQUOTE] = ACTIONS(1084),
    [anon_sym_LT_LT_LT] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1084),
    [aux_sym_yield_expression_token1] = ACTIONS(1086),
    [aux_sym_include_expression_token1] = ACTIONS(1086),
    [aux_sym_include_once_expression_token1] = ACTIONS(1086),
    [aux_sym_require_expression_token1] = ACTIONS(1086),
    [aux_sym_require_once_expression_token1] = ACTIONS(1086),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1088),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [sym_var_modifier] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [anon_sym_LPAREN2] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [aux_sym_exit_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [aux_sym__argument_name_token1] = ACTIONS(1090),
    [aux_sym__argument_name_token2] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [sym_var_modifier] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [anon_sym_LPAREN2] = ACTIONS(1092),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [aux_sym_exit_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [aux_sym__argument_name_token1] = ACTIONS(1094),
    [aux_sym__argument_name_token2] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_name] = ACTIONS(1098),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1098),
    [aux_sym_global_declaration_token1] = ACTIONS(1098),
    [aux_sym_namespace_definition_token1] = ACTIONS(1098),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1098),
    [anon_sym_BSLASH] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [aux_sym_trait_declaration_token1] = ACTIONS(1098),
    [aux_sym_interface_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_case_token1] = ACTIONS(1098),
    [aux_sym_class_declaration_token1] = ACTIONS(1098),
    [aux_sym_final_modifier_token1] = ACTIONS(1098),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1098),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1098),
    [sym_var_modifier] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1098),
    [anon_sym_LPAREN2] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1098),
    [aux_sym_cast_type_token1] = ACTIONS(1098),
    [aux_sym_echo_statement_token1] = ACTIONS(1098),
    [aux_sym_exit_statement_token1] = ACTIONS(1098),
    [anon_sym_unset] = ACTIONS(1098),
    [aux_sym_declare_statement_token1] = ACTIONS(1098),
    [aux_sym_declare_statement_token2] = ACTIONS(1098),
    [sym_float] = ACTIONS(1098),
    [aux_sym_try_statement_token1] = ACTIONS(1098),
    [aux_sym_goto_statement_token1] = ACTIONS(1098),
    [aux_sym_continue_statement_token1] = ACTIONS(1098),
    [aux_sym_break_statement_token1] = ACTIONS(1098),
    [sym_integer] = ACTIONS(1098),
    [aux_sym_return_statement_token1] = ACTIONS(1098),
    [aux_sym_throw_expression_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token2] = ACTIONS(1098),
    [aux_sym_do_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token2] = ACTIONS(1098),
    [aux_sym_foreach_statement_token1] = ACTIONS(1098),
    [aux_sym_foreach_statement_token2] = ACTIONS(1098),
    [aux_sym_if_statement_token1] = ACTIONS(1098),
    [aux_sym_if_statement_token2] = ACTIONS(1098),
    [aux_sym_else_if_clause_token1] = ACTIONS(1098),
    [aux_sym_else_clause_token1] = ACTIONS(1098),
    [aux_sym_match_expression_token1] = ACTIONS(1098),
    [aux_sym_match_default_expression_token1] = ACTIONS(1098),
    [aux_sym_switch_statement_token1] = ACTIONS(1098),
    [aux_sym_switch_block_token1] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1096),
    [aux_sym_clone_expression_token1] = ACTIONS(1098),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1098),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [aux_sym__list_destructing_token1] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1096),
    [anon_sym_self] = ACTIONS(1098),
    [anon_sym_parent] = ACTIONS(1098),
    [aux_sym__argument_name_token1] = ACTIONS(1098),
    [aux_sym__argument_name_token2] = ACTIONS(1098),
    [anon_sym_POUND_LBRACK] = ACTIONS(1096),
    [aux_sym_encapsed_string_token1] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(1096),
    [aux_sym_string_token1] = ACTIONS(1096),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [anon_sym_LT_LT_LT] = ACTIONS(1096),
    [anon_sym_BQUOTE] = ACTIONS(1096),
    [anon_sym_DOLLAR] = ACTIONS(1096),
    [aux_sym_yield_expression_token1] = ACTIONS(1098),
    [aux_sym_include_expression_token1] = ACTIONS(1098),
    [aux_sym_include_once_expression_token1] = ACTIONS(1098),
    [aux_sym_require_expression_token1] = ACTIONS(1098),
    [aux_sym_require_once_expression_token1] = ACTIONS(1098),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1100),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [sym_var_modifier] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [anon_sym_LPAREN2] = ACTIONS(1100),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [aux_sym_exit_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [aux_sym__argument_name_token1] = ACTIONS(1102),
    [aux_sym__argument_name_token2] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [sym_var_modifier] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1104),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [aux_sym_exit_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [aux_sym__argument_name_token1] = ACTIONS(1106),
    [aux_sym__argument_name_token2] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_name] = ACTIONS(1110),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1108),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1110),
    [aux_sym_global_declaration_token1] = ACTIONS(1110),
    [aux_sym_namespace_definition_token1] = ACTIONS(1110),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1110),
    [anon_sym_BSLASH] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [aux_sym_trait_declaration_token1] = ACTIONS(1110),
    [aux_sym_interface_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_case_token1] = ACTIONS(1110),
    [aux_sym_class_declaration_token1] = ACTIONS(1110),
    [aux_sym_final_modifier_token1] = ACTIONS(1110),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1110),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1110),
    [sym_var_modifier] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1110),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1110),
    [aux_sym_echo_statement_token1] = ACTIONS(1110),
    [aux_sym_exit_statement_token1] = ACTIONS(1110),
    [anon_sym_unset] = ACTIONS(1110),
    [aux_sym_declare_statement_token1] = ACTIONS(1110),
    [aux_sym_declare_statement_token2] = ACTIONS(1110),
    [sym_float] = ACTIONS(1110),
    [aux_sym_try_statement_token1] = ACTIONS(1110),
    [aux_sym_goto_statement_token1] = ACTIONS(1110),
    [aux_sym_continue_statement_token1] = ACTIONS(1110),
    [aux_sym_break_statement_token1] = ACTIONS(1110),
    [sym_integer] = ACTIONS(1110),
    [aux_sym_return_statement_token1] = ACTIONS(1110),
    [aux_sym_throw_expression_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token2] = ACTIONS(1110),
    [aux_sym_do_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token2] = ACTIONS(1110),
    [aux_sym_foreach_statement_token1] = ACTIONS(1110),
    [aux_sym_foreach_statement_token2] = ACTIONS(1110),
    [aux_sym_if_statement_token1] = ACTIONS(1110),
    [aux_sym_if_statement_token2] = ACTIONS(1110),
    [aux_sym_else_if_clause_token1] = ACTIONS(1110),
    [aux_sym_else_clause_token1] = ACTIONS(1110),
    [aux_sym_match_expression_token1] = ACTIONS(1110),
    [aux_sym_match_default_expression_token1] = ACTIONS(1110),
    [aux_sym_switch_statement_token1] = ACTIONS(1110),
    [aux_sym_switch_block_token1] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [aux_sym_clone_expression_token1] = ACTIONS(1110),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1110),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [aux_sym__list_destructing_token1] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_self] = ACTIONS(1110),
    [anon_sym_parent] = ACTIONS(1110),
    [aux_sym__argument_name_token1] = ACTIONS(1110),
    [aux_sym__argument_name_token2] = ACTIONS(1110),
    [anon_sym_POUND_LBRACK] = ACTIONS(1108),
    [aux_sym_encapsed_string_token1] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [aux_sym_string_token1] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_LT_LT_LT] = ACTIONS(1108),
    [anon_sym_BQUOTE] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [aux_sym_yield_expression_token1] = ACTIONS(1110),
    [aux_sym_include_expression_token1] = ACTIONS(1110),
    [aux_sym_include_once_expression_token1] = ACTIONS(1110),
    [aux_sym_require_expression_token1] = ACTIONS(1110),
    [aux_sym_require_once_expression_token1] = ACTIONS(1110),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_name] = ACTIONS(1058),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1056),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1058),
    [aux_sym_global_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_definition_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1058),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1058),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym_trait_declaration_token1] = ACTIONS(1058),
    [aux_sym_interface_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_case_token1] = ACTIONS(1058),
    [aux_sym_class_declaration_token1] = ACTIONS(1058),
    [aux_sym_final_modifier_token1] = ACTIONS(1058),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1058),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1058),
    [sym_var_modifier] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1058),
    [anon_sym_LPAREN2] = ACTIONS(1056),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1058),
    [aux_sym_cast_type_token1] = ACTIONS(1058),
    [aux_sym_echo_statement_token1] = ACTIONS(1058),
    [aux_sym_exit_statement_token1] = ACTIONS(1058),
    [anon_sym_unset] = ACTIONS(1058),
    [aux_sym_declare_statement_token1] = ACTIONS(1058),
    [aux_sym_declare_statement_token2] = ACTIONS(1058),
    [sym_float] = ACTIONS(1058),
    [aux_sym_try_statement_token1] = ACTIONS(1058),
    [aux_sym_goto_statement_token1] = ACTIONS(1058),
    [aux_sym_continue_statement_token1] = ACTIONS(1058),
    [aux_sym_break_statement_token1] = ACTIONS(1058),
    [sym_integer] = ACTIONS(1058),
    [aux_sym_return_statement_token1] = ACTIONS(1058),
    [aux_sym_throw_expression_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token2] = ACTIONS(1058),
    [aux_sym_do_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token2] = ACTIONS(1058),
    [aux_sym_foreach_statement_token1] = ACTIONS(1058),
    [aux_sym_foreach_statement_token2] = ACTIONS(1058),
    [aux_sym_if_statement_token1] = ACTIONS(1058),
    [aux_sym_if_statement_token2] = ACTIONS(1058),
    [aux_sym_else_if_clause_token1] = ACTIONS(1058),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1058),
    [aux_sym_match_default_expression_token1] = ACTIONS(1058),
    [aux_sym_switch_statement_token1] = ACTIONS(1058),
    [aux_sym_switch_block_token1] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1056),
    [aux_sym_clone_expression_token1] = ACTIONS(1058),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1058),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [aux_sym__list_destructing_token1] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(1058),
    [anon_sym_parent] = ACTIONS(1058),
    [aux_sym__argument_name_token1] = ACTIONS(1058),
    [aux_sym__argument_name_token2] = ACTIONS(1058),
    [anon_sym_POUND_LBRACK] = ACTIONS(1056),
    [aux_sym_encapsed_string_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_string_token1] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [anon_sym_LT_LT_LT] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1056),
    [aux_sym_yield_expression_token1] = ACTIONS(1058),
    [aux_sym_include_expression_token1] = ACTIONS(1058),
    [aux_sym_include_once_expression_token1] = ACTIONS(1058),
    [aux_sym_require_expression_token1] = ACTIONS(1058),
    [aux_sym_require_once_expression_token1] = ACTIONS(1058),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1112),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [sym_var_modifier] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [anon_sym_LPAREN2] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [aux_sym_exit_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [aux_sym__argument_name_token1] = ACTIONS(1114),
    [aux_sym__argument_name_token2] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_name] = ACTIONS(1118),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1118),
    [aux_sym_global_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_definition_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1118),
    [anon_sym_BSLASH] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym_trait_declaration_token1] = ACTIONS(1118),
    [aux_sym_interface_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_case_token1] = ACTIONS(1118),
    [aux_sym_class_declaration_token1] = ACTIONS(1118),
    [aux_sym_final_modifier_token1] = ACTIONS(1118),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1118),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1118),
    [sym_var_modifier] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1118),
    [anon_sym_LPAREN2] = ACTIONS(1116),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1118),
    [aux_sym_echo_statement_token1] = ACTIONS(1118),
    [aux_sym_exit_statement_token1] = ACTIONS(1118),
    [anon_sym_unset] = ACTIONS(1118),
    [aux_sym_declare_statement_token1] = ACTIONS(1118),
    [aux_sym_declare_statement_token2] = ACTIONS(1118),
    [sym_float] = ACTIONS(1118),
    [aux_sym_try_statement_token1] = ACTIONS(1118),
    [aux_sym_goto_statement_token1] = ACTIONS(1118),
    [aux_sym_continue_statement_token1] = ACTIONS(1118),
    [aux_sym_break_statement_token1] = ACTIONS(1118),
    [sym_integer] = ACTIONS(1118),
    [aux_sym_return_statement_token1] = ACTIONS(1118),
    [aux_sym_throw_expression_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token2] = ACTIONS(1118),
    [aux_sym_do_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token2] = ACTIONS(1118),
    [aux_sym_foreach_statement_token1] = ACTIONS(1118),
    [aux_sym_foreach_statement_token2] = ACTIONS(1118),
    [aux_sym_if_statement_token1] = ACTIONS(1118),
    [aux_sym_if_statement_token2] = ACTIONS(1118),
    [aux_sym_else_if_clause_token1] = ACTIONS(1118),
    [aux_sym_else_clause_token1] = ACTIONS(1118),
    [aux_sym_match_expression_token1] = ACTIONS(1118),
    [aux_sym_match_default_expression_token1] = ACTIONS(1118),
    [aux_sym_switch_statement_token1] = ACTIONS(1118),
    [aux_sym_switch_block_token1] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1116),
    [aux_sym_clone_expression_token1] = ACTIONS(1118),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1118),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [aux_sym__list_destructing_token1] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_self] = ACTIONS(1118),
    [anon_sym_parent] = ACTIONS(1118),
    [aux_sym__argument_name_token1] = ACTIONS(1118),
    [aux_sym__argument_name_token2] = ACTIONS(1118),
    [anon_sym_POUND_LBRACK] = ACTIONS(1116),
    [aux_sym_encapsed_string_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [aux_sym_string_token1] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [anon_sym_LT_LT_LT] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1116),
    [aux_sym_yield_expression_token1] = ACTIONS(1118),
    [aux_sym_include_expression_token1] = ACTIONS(1118),
    [aux_sym_include_once_expression_token1] = ACTIONS(1118),
    [aux_sym_require_expression_token1] = ACTIONS(1118),
    [aux_sym_require_once_expression_token1] = ACTIONS(1118),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_name] = ACTIONS(1122),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1120),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1122),
    [aux_sym_global_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_definition_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1122),
    [anon_sym_BSLASH] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym_trait_declaration_token1] = ACTIONS(1122),
    [aux_sym_interface_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_case_token1] = ACTIONS(1122),
    [aux_sym_class_declaration_token1] = ACTIONS(1122),
    [aux_sym_final_modifier_token1] = ACTIONS(1122),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1122),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1122),
    [sym_var_modifier] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1122),
    [aux_sym_echo_statement_token1] = ACTIONS(1122),
    [aux_sym_exit_statement_token1] = ACTIONS(1122),
    [anon_sym_unset] = ACTIONS(1122),
    [aux_sym_declare_statement_token1] = ACTIONS(1122),
    [aux_sym_declare_statement_token2] = ACTIONS(1122),
    [sym_float] = ACTIONS(1122),
    [aux_sym_try_statement_token1] = ACTIONS(1122),
    [aux_sym_goto_statement_token1] = ACTIONS(1122),
    [aux_sym_continue_statement_token1] = ACTIONS(1122),
    [aux_sym_break_statement_token1] = ACTIONS(1122),
    [sym_integer] = ACTIONS(1122),
    [aux_sym_return_statement_token1] = ACTIONS(1122),
    [aux_sym_throw_expression_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token2] = ACTIONS(1122),
    [aux_sym_do_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token2] = ACTIONS(1122),
    [aux_sym_foreach_statement_token1] = ACTIONS(1122),
    [aux_sym_foreach_statement_token2] = ACTIONS(1122),
    [aux_sym_if_statement_token1] = ACTIONS(1122),
    [aux_sym_if_statement_token2] = ACTIONS(1122),
    [aux_sym_else_if_clause_token1] = ACTIONS(1122),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1122),
    [aux_sym_match_default_expression_token1] = ACTIONS(1122),
    [aux_sym_switch_statement_token1] = ACTIONS(1122),
    [aux_sym_switch_block_token1] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [aux_sym_clone_expression_token1] = ACTIONS(1122),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1122),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [aux_sym__list_destructing_token1] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_self] = ACTIONS(1122),
    [anon_sym_parent] = ACTIONS(1122),
    [aux_sym__argument_name_token1] = ACTIONS(1122),
    [aux_sym__argument_name_token2] = ACTIONS(1122),
    [anon_sym_POUND_LBRACK] = ACTIONS(1120),
    [aux_sym_encapsed_string_token1] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_string_token1] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_LT_LT_LT] = ACTIONS(1120),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [aux_sym_yield_expression_token1] = ACTIONS(1122),
    [aux_sym_include_expression_token1] = ACTIONS(1122),
    [aux_sym_include_once_expression_token1] = ACTIONS(1122),
    [aux_sym_require_expression_token1] = ACTIONS(1122),
    [aux_sym_require_once_expression_token1] = ACTIONS(1122),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1124),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [anon_sym_LPAREN2] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_name] = ACTIONS(1130),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1130),
    [aux_sym_global_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_definition_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1130),
    [anon_sym_BSLASH] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym_trait_declaration_token1] = ACTIONS(1130),
    [aux_sym_interface_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_case_token1] = ACTIONS(1130),
    [aux_sym_class_declaration_token1] = ACTIONS(1130),
    [aux_sym_final_modifier_token1] = ACTIONS(1130),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1130),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1130),
    [sym_var_modifier] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1130),
    [anon_sym_LPAREN2] = ACTIONS(1128),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1130),
    [aux_sym_cast_type_token1] = ACTIONS(1130),
    [aux_sym_echo_statement_token1] = ACTIONS(1130),
    [aux_sym_exit_statement_token1] = ACTIONS(1130),
    [anon_sym_unset] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token2] = ACTIONS(1130),
    [sym_float] = ACTIONS(1130),
    [aux_sym_try_statement_token1] = ACTIONS(1130),
    [aux_sym_goto_statement_token1] = ACTIONS(1130),
    [aux_sym_continue_statement_token1] = ACTIONS(1130),
    [aux_sym_break_statement_token1] = ACTIONS(1130),
    [sym_integer] = ACTIONS(1130),
    [aux_sym_return_statement_token1] = ACTIONS(1130),
    [aux_sym_throw_expression_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token2] = ACTIONS(1130),
    [aux_sym_do_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token2] = ACTIONS(1130),
    [aux_sym_foreach_statement_token1] = ACTIONS(1130),
    [aux_sym_foreach_statement_token2] = ACTIONS(1130),
    [aux_sym_if_statement_token1] = ACTIONS(1130),
    [aux_sym_if_statement_token2] = ACTIONS(1130),
    [aux_sym_else_if_clause_token1] = ACTIONS(1130),
    [aux_sym_else_clause_token1] = ACTIONS(1130),
    [aux_sym_match_expression_token1] = ACTIONS(1130),
    [aux_sym_match_default_expression_token1] = ACTIONS(1130),
    [aux_sym_switch_statement_token1] = ACTIONS(1130),
    [aux_sym_switch_block_token1] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [aux_sym_clone_expression_token1] = ACTIONS(1130),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1130),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [aux_sym__list_destructing_token1] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_self] = ACTIONS(1130),
    [anon_sym_parent] = ACTIONS(1130),
    [aux_sym__argument_name_token1] = ACTIONS(1130),
    [aux_sym__argument_name_token2] = ACTIONS(1130),
    [anon_sym_POUND_LBRACK] = ACTIONS(1128),
    [aux_sym_encapsed_string_token1] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_string_token1] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_LT_LT_LT] = ACTIONS(1128),
    [anon_sym_BQUOTE] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [aux_sym_yield_expression_token1] = ACTIONS(1130),
    [aux_sym_include_expression_token1] = ACTIONS(1130),
    [aux_sym_include_once_expression_token1] = ACTIONS(1130),
    [aux_sym_require_expression_token1] = ACTIONS(1130),
    [aux_sym_require_once_expression_token1] = ACTIONS(1130),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [sym_var_modifier] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [anon_sym_LPAREN2] = ACTIONS(1132),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [aux_sym_exit_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [aux_sym__argument_name_token1] = ACTIONS(1134),
    [aux_sym__argument_name_token2] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [sym_var_modifier] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [anon_sym_LPAREN2] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [aux_sym_exit_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [aux_sym__argument_name_token1] = ACTIONS(1138),
    [aux_sym__argument_name_token2] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [anon_sym_LPAREN2] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [anon_sym_LPAREN2] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [anon_sym_LPAREN2] = ACTIONS(1160),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [anon_sym_LPAREN2] = ACTIONS(1164),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [anon_sym_LPAREN2] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [sym_var_modifier] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [anon_sym_LPAREN2] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [aux_sym_exit_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [aux_sym__argument_name_token1] = ACTIONS(1174),
    [aux_sym__argument_name_token2] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [anon_sym_LPAREN2] = ACTIONS(1176),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [anon_sym_LPAREN2] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [anon_sym_LPAREN2] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1188),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [anon_sym_LPAREN2] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [anon_sym_LPAREN2] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [anon_sym_LPAREN2] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1220),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [anon_sym_LPAREN2] = ACTIONS(1232),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [anon_sym_LPAREN2] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1248),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [anon_sym_LPAREN2] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [anon_sym_LPAREN2] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_name] = ACTIONS(1050),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1048),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1050),
    [aux_sym_global_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_definition_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1050),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1050),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1050),
    [anon_sym_BSLASH] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [aux_sym_trait_declaration_token1] = ACTIONS(1050),
    [aux_sym_interface_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_case_token1] = ACTIONS(1050),
    [aux_sym_class_declaration_token1] = ACTIONS(1050),
    [aux_sym_final_modifier_token1] = ACTIONS(1050),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1050),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1050),
    [sym_var_modifier] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(1048),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1050),
    [aux_sym_cast_type_token1] = ACTIONS(1050),
    [aux_sym_echo_statement_token1] = ACTIONS(1050),
    [aux_sym_exit_statement_token1] = ACTIONS(1050),
    [anon_sym_unset] = ACTIONS(1050),
    [aux_sym_declare_statement_token1] = ACTIONS(1050),
    [aux_sym_declare_statement_token2] = ACTIONS(1050),
    [sym_float] = ACTIONS(1050),
    [aux_sym_try_statement_token1] = ACTIONS(1050),
    [aux_sym_goto_statement_token1] = ACTIONS(1050),
    [aux_sym_continue_statement_token1] = ACTIONS(1050),
    [aux_sym_break_statement_token1] = ACTIONS(1050),
    [sym_integer] = ACTIONS(1050),
    [aux_sym_return_statement_token1] = ACTIONS(1050),
    [aux_sym_throw_expression_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token2] = ACTIONS(1050),
    [aux_sym_do_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token2] = ACTIONS(1050),
    [aux_sym_foreach_statement_token1] = ACTIONS(1050),
    [aux_sym_foreach_statement_token2] = ACTIONS(1050),
    [aux_sym_if_statement_token1] = ACTIONS(1050),
    [aux_sym_if_statement_token2] = ACTIONS(1050),
    [aux_sym_else_if_clause_token1] = ACTIONS(1050),
    [aux_sym_else_clause_token1] = ACTIONS(1050),
    [aux_sym_match_expression_token1] = ACTIONS(1050),
    [aux_sym_match_default_expression_token1] = ACTIONS(1050),
    [aux_sym_switch_statement_token1] = ACTIONS(1050),
    [aux_sym_switch_block_token1] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [aux_sym_clone_expression_token1] = ACTIONS(1050),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1050),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1048),
    [aux_sym__list_destructing_token1] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_self] = ACTIONS(1050),
    [anon_sym_parent] = ACTIONS(1050),
    [aux_sym__argument_name_token1] = ACTIONS(1050),
    [aux_sym__argument_name_token2] = ACTIONS(1050),
    [anon_sym_POUND_LBRACK] = ACTIONS(1048),
    [aux_sym_encapsed_string_token1] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [aux_sym_string_token1] = ACTIONS(1048),
    [anon_sym_SQUOTE] = ACTIONS(1048),
    [anon_sym_LT_LT_LT] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [aux_sym_yield_expression_token1] = ACTIONS(1050),
    [aux_sym_include_expression_token1] = ACTIONS(1050),
    [aux_sym_include_once_expression_token1] = ACTIONS(1050),
    [aux_sym_require_expression_token1] = ACTIONS(1050),
    [aux_sym_require_once_expression_token1] = ACTIONS(1050),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [anon_sym_LPAREN2] = ACTIONS(1268),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1680),
    [sym_namespace_name] = STATE(2607),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1104),
    [sym__anonymous_function_header] = STATE(2371),
    [sym__arrow_function_header] = STATE(2776),
    [sym_arrow_function] = STATE(1104),
    [sym_literal] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_primary_expression] = STATE(1153),
    [sym_parenthesized_expression] = STATE(955),
    [sym_class_constant_access_expression] = STATE(1047),
    [sym_print_intrinsic] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym__new_non_dereferencable_expression] = STATE(1111),
    [sym__new_dereferencable_expression] = STATE(956),
    [sym_update_expression] = STATE(1104),
    [sym_cast_variable] = STATE(923),
    [sym__variable_member_access_expression] = STATE(909),
    [sym_member_access_expression] = STATE(923),
    [sym__variable_nullsafe_member_access_expression] = STATE(910),
    [sym_nullsafe_member_access_expression] = STATE(923),
    [sym__variable_scoped_property_access_expression] = STATE(912),
    [sym_scoped_property_access_expression] = STATE(923),
    [sym_function_call_expression] = STATE(879),
    [sym__callable_expression] = STATE(2385),
    [sym_scoped_call_expression] = STATE(879),
    [sym__scope_resolution_qualifier] = STATE(2637),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(879),
    [sym_nullsafe_member_call_expression] = STATE(879),
    [sym__variable_subscript_expression] = STATE(921),
    [sym__dereferencable_subscript_expression] = STATE(879),
    [sym__dereferencable_expression] = STATE(1919),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(962),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(968),
    [sym_string] = STATE(968),
    [sym_heredoc] = STATE(968),
    [sym_nowdoc] = STATE(968),
    [sym_shell_command_expression] = STATE(1104),
    [sym_boolean] = STATE(1141),
    [sym_null] = STATE(1141),
    [sym__string] = STATE(969),
    [sym_dynamic_variable_name] = STATE(880),
    [sym__simple_variable] = STATE(881),
    [sym__new_variable] = STATE(924),
    [sym__callable_variable] = STATE(875),
    [sym_variable_name] = STATE(880),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(691),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(695),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [anon_sym_LPAREN2] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [anon_sym_LPAREN2] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1686),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_variable] = STATE(769),
    [sym__variable_member_access_expression] = STATE(771),
    [sym_member_access_expression] = STATE(769),
    [sym__variable_nullsafe_member_access_expression] = STATE(774),
    [sym_nullsafe_member_access_expression] = STATE(769),
    [sym__variable_scoped_property_access_expression] = STATE(760),
    [sym_scoped_property_access_expression] = STATE(769),
    [sym_function_call_expression] = STATE(754),
    [sym__callable_expression] = STATE(2442),
    [sym_scoped_call_expression] = STATE(754),
    [sym__scope_resolution_qualifier] = STATE(2719),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(754),
    [sym_nullsafe_member_call_expression] = STATE(754),
    [sym__variable_subscript_expression] = STATE(759),
    [sym__dereferencable_subscript_expression] = STATE(754),
    [sym__dereferencable_expression] = STATE(1947),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(742),
    [sym__simple_variable] = STATE(730),
    [sym__new_variable] = STATE(773),
    [sym__callable_variable] = STATE(741),
    [sym_variable_name] = STATE(742),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(675),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1686),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2609),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_variable] = STATE(769),
    [sym__variable_member_access_expression] = STATE(771),
    [sym_member_access_expression] = STATE(769),
    [sym__variable_nullsafe_member_access_expression] = STATE(774),
    [sym_nullsafe_member_access_expression] = STATE(769),
    [sym__variable_scoped_property_access_expression] = STATE(760),
    [sym_scoped_property_access_expression] = STATE(769),
    [sym_function_call_expression] = STATE(754),
    [sym__callable_expression] = STATE(2442),
    [sym_scoped_call_expression] = STATE(754),
    [sym__scope_resolution_qualifier] = STATE(2719),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(754),
    [sym_nullsafe_member_call_expression] = STATE(754),
    [sym__variable_subscript_expression] = STATE(759),
    [sym__dereferencable_subscript_expression] = STATE(754),
    [sym__dereferencable_expression] = STATE(1947),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(742),
    [sym__simple_variable] = STATE(730),
    [sym__new_variable] = STATE(773),
    [sym__callable_variable] = STATE(741),
    [sym_variable_name] = STATE(742),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_print_intrinsic_token1] = ACTIONS(627),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [sym_qualified_name] = STATE(818),
    [sym_relative_name] = STATE(818),
    [sym__name] = STATE(1686),
    [sym_namespace_name] = STATE(2636),
    [sym_static_modifier] = STATE(2370),
    [sym_anonymous_function] = STATE(1038),
    [sym__anonymous_function_header] = STATE(2386),
    [sym__arrow_function_header] = STATE(2680),
    [sym_arrow_function] = STATE(1038),
    [sym_literal] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(819),
    [sym_class_constant_access_expression] = STATE(873),
    [sym_print_intrinsic] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(821),
    [sym_update_expression] = STATE(1038),
    [sym_cast_variable] = STATE(769),
    [sym__variable_member_access_expression] = STATE(771),
    [sym_member_access_expression] = STATE(769),
    [sym__variable_nullsafe_member_access_expression] = STATE(774),
    [sym_nullsafe_member_access_expression] = STATE(769),
    [sym__variable_scoped_property_access_expression] = STATE(760),
    [sym_scoped_property_access_expression] = STATE(769),
    [sym_function_call_expression] = STATE(754),
    [sym__callable_expression] = STATE(2442),
    [sym_scoped_call_expression] = STATE(754),
    [sym__scope_resolution_qualifier] = STATE(2719),
    [sym_relative_scope] = STATE(2690),
    [sym_member_call_expression] = STATE(754),
    [sym_nullsafe_member_call_expression] = STATE(754),
    [sym__variable_subscript_expression] = STATE(759),
    [sym__dereferencable_subscript_expression] = STATE(754),
    [sym__dereferencable_expression] = STATE(1947),
    [sym__dereferencable_scalar] = STATE(1760),
    [sym_array_creation_expression] = STATE(851),
    [sym_attribute_group] = STATE(1392),
    [sym_attribute_list] = STATE(1892),
    [sym_encapsed_string] = STATE(852),
    [sym_string] = STATE(852),
    [sym_heredoc] = STATE(852),
    [sym_nowdoc] = STATE(852),
    [sym_shell_command_expression] = STATE(1038),
    [sym_boolean] = STATE(1026),
    [sym_null] = STATE(1026),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(742),
    [sym__simple_variable] = STATE(730),
    [sym__new_variable] = STATE(773),
    [sym__callable_variable] = STATE(741),
    [sym_variable_name] = STATE(742),
    [sym__reserved_identifier] = STATE(720),
    [sym__identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1382),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_definition_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(611),
    [sym_float] = ACTIONS(613),
    [sym_integer] = ACTIONS(613),
    [aux_sym_throw_expression_token1] = ACTIONS(705),
    [aux_sym_print_intrinsic_token1] = ACTIONS(715),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(635),
    [aux_sym__argument_name_token2] = ACTIONS(637),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(641),
    [anon_sym_LT_LT_LT] = ACTIONS(643),
    [anon_sym_BQUOTE] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [anon_sym_LPAREN2] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [anon_sym_LPAREN2] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [anon_sym_LPAREN2] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [anon_sym_LPAREN2] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [anon_sym_LPAREN2] = ACTIONS(1508),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [anon_sym_LPAREN2] = ACTIONS(1512),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [sym_var_modifier] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1520),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [aux_sym_exit_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [sym_var_modifier] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [anon_sym_LPAREN2] = ACTIONS(1524),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [aux_sym_exit_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_text_interpolation] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [sym_var_modifier] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [anon_sym_LPAREN2] = ACTIONS(1528),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [aux_sym_exit_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_text_interpolation] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(1532),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_text_interpolation] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [sym_var_modifier] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(1536),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [aux_sym_exit_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_text_interpolation] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [sym_var_modifier] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1540),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [aux_sym_exit_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_text_interpolation] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(1544),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_text_interpolation] = STATE(583),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_name] = ACTIONS(1550),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1548),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1550),
    [aux_sym_global_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_definition_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1550),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [aux_sym_trait_declaration_token1] = ACTIONS(1550),
    [aux_sym_interface_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_case_token1] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1550),
    [aux_sym_final_modifier_token1] = ACTIONS(1550),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1550),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1550),
    [sym_var_modifier] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(1548),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1550),
    [aux_sym_cast_type_token1] = ACTIONS(1550),
    [aux_sym_echo_statement_token1] = ACTIONS(1550),
    [aux_sym_exit_statement_token1] = ACTIONS(1550),
    [anon_sym_unset] = ACTIONS(1550),
    [aux_sym_declare_statement_token1] = ACTIONS(1550),
    [aux_sym_declare_statement_token2] = ACTIONS(1550),
    [sym_float] = ACTIONS(1550),
    [aux_sym_try_statement_token1] = ACTIONS(1550),
    [aux_sym_goto_statement_token1] = ACTIONS(1550),
    [aux_sym_continue_statement_token1] = ACTIONS(1550),
    [aux_sym_break_statement_token1] = ACTIONS(1550),
    [sym_integer] = ACTIONS(1550),
    [aux_sym_return_statement_token1] = ACTIONS(1550),
    [aux_sym_throw_expression_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token2] = ACTIONS(1550),
    [aux_sym_do_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token2] = ACTIONS(1550),
    [aux_sym_foreach_statement_token1] = ACTIONS(1550),
    [aux_sym_foreach_statement_token2] = ACTIONS(1550),
    [aux_sym_if_statement_token1] = ACTIONS(1550),
    [aux_sym_if_statement_token2] = ACTIONS(1550),
    [aux_sym_else_if_clause_token1] = ACTIONS(1550),
    [aux_sym_else_clause_token1] = ACTIONS(1550),
    [aux_sym_match_expression_token1] = ACTIONS(1550),
    [aux_sym_match_default_expression_token1] = ACTIONS(1550),
    [aux_sym_switch_statement_token1] = ACTIONS(1550),
    [aux_sym_switch_block_token1] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [aux_sym_clone_expression_token1] = ACTIONS(1550),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1550),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [aux_sym__list_destructing_token1] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_self] = ACTIONS(1550),
    [anon_sym_parent] = ACTIONS(1550),
    [aux_sym__argument_name_token1] = ACTIONS(1550),
    [aux_sym__argument_name_token2] = ACTIONS(1550),
    [anon_sym_POUND_LBRACK] = ACTIONS(1548),
    [aux_sym_encapsed_string_token1] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_LT_LT_LT] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [aux_sym_yield_expression_token1] = ACTIONS(1550),
    [aux_sym_include_expression_token1] = ACTIONS(1550),
    [aux_sym_include_once_expression_token1] = ACTIONS(1550),
    [aux_sym_require_expression_token1] = ACTIONS(1550),
    [aux_sym_require_once_expression_token1] = ACTIONS(1550),
    [sym_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_text_interpolation] = STATE(584),
    [ts_builtin_sym_end] = ACTIONS(1552),
    [sym_name] = ACTIONS(1554),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1552),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1554),
    [aux_sym_global_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_definition_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [aux_sym_trait_declaration_token1] = ACTIONS(1554),
    [aux_sym_interface_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_case_token1] = ACTIONS(1554),
    [aux_sym_class_declaration_token1] = ACTIONS(1554),
    [aux_sym_final_modifier_token1] = ACTIONS(1554),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1554),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1554),
    [sym_var_modifier] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1554),
    [anon_sym_LPAREN2] = ACTIONS(1552),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(1554),
    [aux_sym_echo_statement_token1] = ACTIONS(1554),
    [aux_sym_exit_statement_token1] = ACTIONS(1554),
    [anon_sym_unset] = ACTIONS(1554),
    [aux_sym_declare_statement_token1] = ACTIONS(1554),
    [aux_sym_declare_statement_token2] = ACTIONS(1554),
    [sym_float] = ACTIONS(1554),
    [aux_sym_try_statement_token1] = ACTIONS(1554),
    [aux_sym_goto_statement_token1] = ACTIONS(1554),
    [aux_sym_continue_statement_token1] = ACTIONS(1554),
    [aux_sym_break_statement_token1] = ACTIONS(1554),
    [sym_integer] = ACTIONS(1554),
    [aux_sym_return_statement_token1] = ACTIONS(1554),
    [aux_sym_throw_expression_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token2] = ACTIONS(1554),
    [aux_sym_do_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token2] = ACTIONS(1554),
    [aux_sym_foreach_statement_token1] = ACTIONS(1554),
    [aux_sym_foreach_statement_token2] = ACTIONS(1554),
    [aux_sym_if_statement_token1] = ACTIONS(1554),
    [aux_sym_if_statement_token2] = ACTIONS(1554),
    [aux_sym_else_if_clause_token1] = ACTIONS(1554),
    [aux_sym_else_clause_token1] = ACTIONS(1554),
    [aux_sym_match_expression_token1] = ACTIONS(1554),
    [aux_sym_match_default_expression_token1] = ACTIONS(1554),
    [aux_sym_switch_statement_token1] = ACTIONS(1554),
    [aux_sym_switch_block_token1] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [aux_sym_clone_expression_token1] = ACTIONS(1554),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1554),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [aux_sym__list_destructing_token1] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_self] = ACTIONS(1554),
    [anon_sym_parent] = ACTIONS(1554),
    [aux_sym__argument_name_token1] = ACTIONS(1554),
    [aux_sym__argument_name_token2] = ACTIONS(1554),
    [anon_sym_POUND_LBRACK] = ACTIONS(1552),
    [aux_sym_encapsed_string_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_LT_LT_LT] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [aux_sym_yield_expression_token1] = ACTIONS(1554),
    [aux_sym_include_expression_token1] = ACTIONS(1554),
    [aux_sym_include_once_expression_token1] = ACTIONS(1554),
    [aux_sym_require_expression_token1] = ACTIONS(1554),
    [aux_sym_require_once_expression_token1] = ACTIONS(1554),
    [sym_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_text_interpolation] = STATE(585),
    [ts_builtin_sym_end] = ACTIONS(1556),
    [sym_name] = ACTIONS(1558),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1556),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1558),
    [aux_sym_global_declaration_token1] = ACTIONS(1558),
    [aux_sym_namespace_definition_token1] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1558),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1558),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1558),
    [anon_sym_BSLASH] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_RBRACE] = ACTIONS(1556),
    [aux_sym_trait_declaration_token1] = ACTIONS(1558),
    [aux_sym_interface_declaration_token1] = ACTIONS(1558),
    [aux_sym_enum_declaration_token1] = ACTIONS(1558),
    [aux_sym_enum_case_token1] = ACTIONS(1558),
    [aux_sym_class_declaration_token1] = ACTIONS(1558),
    [aux_sym_final_modifier_token1] = ACTIONS(1558),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1558),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1558),
    [sym_var_modifier] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1558),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1558),
    [aux_sym_cast_type_token1] = ACTIONS(1558),
    [aux_sym_echo_statement_token1] = ACTIONS(1558),
    [aux_sym_exit_statement_token1] = ACTIONS(1558),
    [anon_sym_unset] = ACTIONS(1558),
    [aux_sym_declare_statement_token1] = ACTIONS(1558),
    [aux_sym_declare_statement_token2] = ACTIONS(1558),
    [sym_float] = ACTIONS(1558),
    [aux_sym_try_statement_token1] = ACTIONS(1558),
    [aux_sym_goto_statement_token1] = ACTIONS(1558),
    [aux_sym_continue_statement_token1] = ACTIONS(1558),
    [aux_sym_break_statement_token1] = ACTIONS(1558),
    [sym_integer] = ACTIONS(1558),
    [aux_sym_return_statement_token1] = ACTIONS(1558),
    [aux_sym_throw_expression_token1] = ACTIONS(1558),
    [aux_sym_while_statement_token1] = ACTIONS(1558),
    [aux_sym_while_statement_token2] = ACTIONS(1558),
    [aux_sym_do_statement_token1] = ACTIONS(1558),
    [aux_sym_for_statement_token1] = ACTIONS(1558),
    [aux_sym_for_statement_token2] = ACTIONS(1558),
    [aux_sym_foreach_statement_token1] = ACTIONS(1558),
    [aux_sym_foreach_statement_token2] = ACTIONS(1558),
    [aux_sym_if_statement_token1] = ACTIONS(1558),
    [aux_sym_if_statement_token2] = ACTIONS(1558),
    [aux_sym_else_if_clause_token1] = ACTIONS(1558),
    [aux_sym_else_clause_token1] = ACTIONS(1558),
    [aux_sym_match_expression_token1] = ACTIONS(1558),
    [aux_sym_match_default_expression_token1] = ACTIONS(1558),
    [aux_sym_switch_statement_token1] = ACTIONS(1558),
    [aux_sym_switch_block_token1] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [aux_sym_clone_expression_token1] = ACTIONS(1558),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1558),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1558),
    [anon_sym_DASH_DASH] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [aux_sym__list_destructing_token1] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_self] = ACTIONS(1558),
    [anon_sym_parent] = ACTIONS(1558),
    [aux_sym__argument_name_token1] = ACTIONS(1558),
    [aux_sym__argument_name_token2] = ACTIONS(1558),
    [anon_sym_POUND_LBRACK] = ACTIONS(1556),
    [aux_sym_encapsed_string_token1] = ACTIONS(1556),
    [anon_sym_DQUOTE] = ACTIONS(1556),
    [aux_sym_string_token1] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1556),
    [anon_sym_LT_LT_LT] = ACTIONS(1556),
    [anon_sym_BQUOTE] = ACTIONS(1556),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [aux_sym_yield_expression_token1] = ACTIONS(1558),
    [aux_sym_include_expression_token1] = ACTIONS(1558),
    [aux_sym_include_once_expression_token1] = ACTIONS(1558),
    [aux_sym_require_expression_token1] = ACTIONS(1558),
    [aux_sym_require_once_expression_token1] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_text_interpolation] = STATE(586),
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_name] = ACTIONS(1562),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1560),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1562),
    [aux_sym_global_declaration_token1] = ACTIONS(1562),
    [aux_sym_namespace_definition_token1] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1562),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1562),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1562),
    [anon_sym_BSLASH] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [aux_sym_trait_declaration_token1] = ACTIONS(1562),
    [aux_sym_interface_declaration_token1] = ACTIONS(1562),
    [aux_sym_enum_declaration_token1] = ACTIONS(1562),
    [aux_sym_enum_case_token1] = ACTIONS(1562),
    [aux_sym_class_declaration_token1] = ACTIONS(1562),
    [aux_sym_final_modifier_token1] = ACTIONS(1562),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1562),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1562),
    [sym_var_modifier] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1562),
    [anon_sym_LPAREN2] = ACTIONS(1560),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1562),
    [aux_sym_cast_type_token1] = ACTIONS(1562),
    [aux_sym_echo_statement_token1] = ACTIONS(1562),
    [aux_sym_exit_statement_token1] = ACTIONS(1562),
    [anon_sym_unset] = ACTIONS(1562),
    [aux_sym_declare_statement_token1] = ACTIONS(1562),
    [aux_sym_declare_statement_token2] = ACTIONS(1562),
    [sym_float] = ACTIONS(1562),
    [aux_sym_try_statement_token1] = ACTIONS(1562),
    [aux_sym_goto_statement_token1] = ACTIONS(1562),
    [aux_sym_continue_statement_token1] = ACTIONS(1562),
    [aux_sym_break_statement_token1] = ACTIONS(1562),
    [sym_integer] = ACTIONS(1562),
    [aux_sym_return_statement_token1] = ACTIONS(1562),
    [aux_sym_throw_expression_token1] = ACTIONS(1562),
    [aux_sym_while_statement_token1] = ACTIONS(1562),
    [aux_sym_while_statement_token2] = ACTIONS(1562),
    [aux_sym_do_statement_token1] = ACTIONS(1562),
    [aux_sym_for_statement_token1] = ACTIONS(1562),
    [aux_sym_for_statement_token2] = ACTIONS(1562),
    [aux_sym_foreach_statement_token1] = ACTIONS(1562),
    [aux_sym_foreach_statement_token2] = ACTIONS(1562),
    [aux_sym_if_statement_token1] = ACTIONS(1562),
    [aux_sym_if_statement_token2] = ACTIONS(1562),
    [aux_sym_else_if_clause_token1] = ACTIONS(1562),
    [aux_sym_else_clause_token1] = ACTIONS(1562),
    [aux_sym_match_expression_token1] = ACTIONS(1562),
    [aux_sym_match_default_expression_token1] = ACTIONS(1562),
    [aux_sym_switch_statement_token1] = ACTIONS(1562),
    [aux_sym_switch_block_token1] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_AT] = ACTIONS(1560),
    [aux_sym_clone_expression_token1] = ACTIONS(1562),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1562),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [aux_sym__list_destructing_token1] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_self] = ACTIONS(1562),
    [anon_sym_parent] = ACTIONS(1562),
    [aux_sym__argument_name_token1] = ACTIONS(1562),
    [aux_sym__argument_name_token2] = ACTIONS(1562),
    [anon_sym_POUND_LBRACK] = ACTIONS(1560),
    [aux_sym_encapsed_string_token1] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [aux_sym_string_token1] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [anon_sym_LT_LT_LT] = ACTIONS(1560),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1560),
    [aux_sym_yield_expression_token1] = ACTIONS(1562),
    [aux_sym_include_expression_token1] = ACTIONS(1562),
    [aux_sym_include_once_expression_token1] = ACTIONS(1562),
    [aux_sym_require_expression_token1] = ACTIONS(1562),
    [aux_sym_require_once_expression_token1] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_text_interpolation] = STATE(587),
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_name] = ACTIONS(1566),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1564),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1566),
    [aux_sym_global_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_definition_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1566),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1566),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1566),
    [anon_sym_BSLASH] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [aux_sym_trait_declaration_token1] = ACTIONS(1566),
    [aux_sym_interface_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_case_token1] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1566),
    [aux_sym_final_modifier_token1] = ACTIONS(1566),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1566),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1566),
    [sym_var_modifier] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1566),
    [anon_sym_LPAREN2] = ACTIONS(1564),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1566),
    [aux_sym_cast_type_token1] = ACTIONS(1566),
    [aux_sym_echo_statement_token1] = ACTIONS(1566),
    [aux_sym_exit_statement_token1] = ACTIONS(1566),
    [anon_sym_unset] = ACTIONS(1566),
    [aux_sym_declare_statement_token1] = ACTIONS(1566),
    [aux_sym_declare_statement_token2] = ACTIONS(1566),
    [sym_float] = ACTIONS(1566),
    [aux_sym_try_statement_token1] = ACTIONS(1566),
    [aux_sym_goto_statement_token1] = ACTIONS(1566),
    [aux_sym_continue_statement_token1] = ACTIONS(1566),
    [aux_sym_break_statement_token1] = ACTIONS(1566),
    [sym_integer] = ACTIONS(1566),
    [aux_sym_return_statement_token1] = ACTIONS(1566),
    [aux_sym_throw_expression_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token2] = ACTIONS(1566),
    [aux_sym_do_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token2] = ACTIONS(1566),
    [aux_sym_foreach_statement_token1] = ACTIONS(1566),
    [aux_sym_foreach_statement_token2] = ACTIONS(1566),
    [aux_sym_if_statement_token1] = ACTIONS(1566),
    [aux_sym_if_statement_token2] = ACTIONS(1566),
    [aux_sym_else_if_clause_token1] = ACTIONS(1566),
    [aux_sym_else_clause_token1] = ACTIONS(1566),
    [aux_sym_match_expression_token1] = ACTIONS(1566),
    [aux_sym_match_default_expression_token1] = ACTIONS(1566),
    [aux_sym_switch_statement_token1] = ACTIONS(1566),
    [aux_sym_switch_block_token1] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1564),
    [aux_sym_clone_expression_token1] = ACTIONS(1566),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1566),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1566),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [aux_sym__list_destructing_token1] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_self] = ACTIONS(1566),
    [anon_sym_parent] = ACTIONS(1566),
    [aux_sym__argument_name_token1] = ACTIONS(1566),
    [aux_sym__argument_name_token2] = ACTIONS(1566),
    [anon_sym_POUND_LBRACK] = ACTIONS(1564),
    [aux_sym_encapsed_string_token1] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [aux_sym_string_token1] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_LT_LT_LT] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [aux_sym_yield_expression_token1] = ACTIONS(1566),
    [aux_sym_include_expression_token1] = ACTIONS(1566),
    [aux_sym_include_once_expression_token1] = ACTIONS(1566),
    [aux_sym_require_expression_token1] = ACTIONS(1566),
    [aux_sym_require_once_expression_token1] = ACTIONS(1566),
    [sym_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_text_interpolation] = STATE(588),
    [sym_name] = ACTIONS(1568),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1570),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1568),
    [aux_sym_global_declaration_token1] = ACTIONS(1568),
    [aux_sym_namespace_definition_token1] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [aux_sym_trait_declaration_token1] = ACTIONS(1568),
    [aux_sym_interface_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_declaration_token1] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1570),
    [aux_sym_class_declaration_token1] = ACTIONS(1568),
    [aux_sym_final_modifier_token1] = ACTIONS(1568),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1568),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1568),
    [sym_var_modifier] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1568),
    [anon_sym_LPAREN2] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1568),
    [aux_sym_echo_statement_token1] = ACTIONS(1568),
    [aux_sym_exit_statement_token1] = ACTIONS(1568),
    [anon_sym_unset] = ACTIONS(1568),
    [aux_sym_declare_statement_token1] = ACTIONS(1568),
    [sym_float] = ACTIONS(1568),
    [aux_sym_try_statement_token1] = ACTIONS(1568),
    [aux_sym_goto_statement_token1] = ACTIONS(1568),
    [aux_sym_continue_statement_token1] = ACTIONS(1568),
    [aux_sym_break_statement_token1] = ACTIONS(1568),
    [sym_integer] = ACTIONS(1568),
    [aux_sym_return_statement_token1] = ACTIONS(1568),
    [aux_sym_throw_expression_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token1] = ACTIONS(1568),
    [aux_sym_do_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token1] = ACTIONS(1568),
    [aux_sym_foreach_statement_token1] = ACTIONS(1568),
    [aux_sym_if_statement_token1] = ACTIONS(1568),
    [aux_sym_match_expression_token1] = ACTIONS(1568),
    [aux_sym_switch_statement_token1] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [aux_sym_clone_expression_token1] = ACTIONS(1568),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1568),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [aux_sym__list_destructing_token1] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_self] = ACTIONS(1568),
    [anon_sym_parent] = ACTIONS(1568),
    [aux_sym__argument_name_token1] = ACTIONS(1568),
    [aux_sym__argument_name_token2] = ACTIONS(1568),
    [anon_sym_POUND_LBRACK] = ACTIONS(1570),
    [aux_sym_encapsed_string_token1] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [anon_sym_LT_LT_LT] = ACTIONS(1570),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [aux_sym_yield_expression_token1] = ACTIONS(1568),
    [aux_sym_include_expression_token1] = ACTIONS(1568),
    [aux_sym_include_once_expression_token1] = ACTIONS(1568),
    [aux_sym_require_expression_token1] = ACTIONS(1568),
    [aux_sym_require_once_expression_token1] = ACTIONS(1568),
    [sym_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_text_interpolation] = STATE(589),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_EQ] = ACTIONS(1574),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1572),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [aux_sym_base_clause_token1] = ACTIONS(1572),
    [anon_sym_COLON] = ACTIONS(1574),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1572),
    [anon_sym_EQ_GT] = ACTIONS(1572),
    [anon_sym_LPAREN2] = ACTIONS(1572),
    [anon_sym_RPAREN2] = ACTIONS(1572),
    [anon_sym_QMARK] = ACTIONS(1574),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1572),
    [anon_sym_STAR_EQ] = ACTIONS(1572),
    [anon_sym_SLASH_EQ] = ACTIONS(1572),
    [anon_sym_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_EQ] = ACTIONS(1572),
    [anon_sym_DASH_EQ] = ACTIONS(1572),
    [anon_sym_DOT_EQ] = ACTIONS(1572),
    [anon_sym_LT_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT_GT_EQ] = ACTIONS(1572),
    [anon_sym_AMP_EQ] = ACTIONS(1572),
    [anon_sym_CARET_EQ] = ACTIONS(1572),
    [anon_sym_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1572),
    [anon_sym_DASH_GT] = ACTIONS(1572),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [aux_sym_binary_expression_token1] = ACTIONS(1572),
    [anon_sym_QMARK_QMARK] = ACTIONS(1574),
    [anon_sym_STAR_STAR] = ACTIONS(1574),
    [aux_sym_binary_expression_token2] = ACTIONS(1572),
    [aux_sym_binary_expression_token3] = ACTIONS(1572),
    [aux_sym_binary_expression_token4] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ] = ACTIONS(1574),
    [anon_sym_LT_GT] = ACTIONS(1572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_LT_EQ_GT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1574),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_DOT] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_PERCENT] = ACTIONS(1574),
    [sym_comment] = ACTIONS(1576),
  },
  [590] = {
    [sym_text_interpolation] = STATE(590),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1580),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_base_clause_token1] = ACTIONS(1578),
    [anon_sym_COLON] = ACTIONS(1580),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1578),
    [anon_sym_EQ_GT] = ACTIONS(1578),
    [anon_sym_LPAREN2] = ACTIONS(1578),
    [anon_sym_RPAREN2] = ACTIONS(1578),
    [anon_sym_QMARK] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_COLON_COLON] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1578),
    [anon_sym_SLASH_EQ] = ACTIONS(1578),
    [anon_sym_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_EQ] = ACTIONS(1578),
    [anon_sym_DASH_EQ] = ACTIONS(1578),
    [anon_sym_DOT_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_AMP_EQ] = ACTIONS(1578),
    [anon_sym_CARET_EQ] = ACTIONS(1578),
    [anon_sym_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1578),
    [anon_sym_DASH_GT] = ACTIONS(1578),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [aux_sym_binary_expression_token1] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK] = ACTIONS(1580),
    [anon_sym_STAR_STAR] = ACTIONS(1580),
    [aux_sym_binary_expression_token2] = ACTIONS(1578),
    [aux_sym_binary_expression_token3] = ACTIONS(1578),
    [aux_sym_binary_expression_token4] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_LT_EQ_GT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [sym_comment] = ACTIONS(1576),
  },
  [591] = {
    [sym_text_interpolation] = STATE(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1584),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_base_clause_token1] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1584),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1582),
    [anon_sym_EQ_GT] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1582),
    [anon_sym_RPAREN2] = ACTIONS(1582),
    [anon_sym_QMARK] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_COLON_COLON] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1582),
    [anon_sym_STAR_EQ] = ACTIONS(1582),
    [anon_sym_SLASH_EQ] = ACTIONS(1582),
    [anon_sym_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_EQ] = ACTIONS(1582),
    [anon_sym_DASH_EQ] = ACTIONS(1582),
    [anon_sym_DOT_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_AMP_EQ] = ACTIONS(1582),
    [anon_sym_CARET_EQ] = ACTIONS(1582),
    [anon_sym_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1582),
    [anon_sym_DASH_GT] = ACTIONS(1582),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [aux_sym_binary_expression_token1] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [aux_sym_binary_expression_token2] = ACTIONS(1582),
    [aux_sym_binary_expression_token3] = ACTIONS(1582),
    [aux_sym_binary_expression_token4] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1584),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_LT_EQ_GT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [sym_comment] = ACTIONS(1576),
  },
  [592] = {
    [sym_text_interpolation] = STATE(592),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1588),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [aux_sym_base_clause_token1] = ACTIONS(1586),
    [anon_sym_COLON] = ACTIONS(1588),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1586),
    [anon_sym_EQ_GT] = ACTIONS(1586),
    [anon_sym_LPAREN2] = ACTIONS(1586),
    [anon_sym_RPAREN2] = ACTIONS(1586),
    [anon_sym_QMARK] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_COLON_COLON] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1586),
    [anon_sym_STAR_EQ] = ACTIONS(1586),
    [anon_sym_SLASH_EQ] = ACTIONS(1586),
    [anon_sym_PERCENT_EQ] = ACTIONS(1586),
    [anon_sym_PLUS_EQ] = ACTIONS(1586),
    [anon_sym_DASH_EQ] = ACTIONS(1586),
    [anon_sym_DOT_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT_EQ] = ACTIONS(1586),
    [anon_sym_GT_GT_EQ] = ACTIONS(1586),
    [anon_sym_AMP_EQ] = ACTIONS(1586),
    [anon_sym_CARET_EQ] = ACTIONS(1586),
    [anon_sym_PIPE_EQ] = ACTIONS(1586),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1586),
    [anon_sym_DASH_GT] = ACTIONS(1586),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_RBRACK] = ACTIONS(1586),
    [aux_sym_binary_expression_token1] = ACTIONS(1586),
    [anon_sym_QMARK_QMARK] = ACTIONS(1588),
    [anon_sym_STAR_STAR] = ACTIONS(1588),
    [aux_sym_binary_expression_token2] = ACTIONS(1586),
    [aux_sym_binary_expression_token3] = ACTIONS(1586),
    [aux_sym_binary_expression_token4] = ACTIONS(1586),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1588),
    [anon_sym_BANG_EQ] = ACTIONS(1588),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_LT_EQ_GT] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1588),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1588),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PERCENT] = ACTIONS(1588),
    [sym_comment] = ACTIONS(1576),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    STATE(593), 1,
      sym_text_interpolation,
    STATE(607), 1,
      sym_arguments,
    ACTIONS(1592), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    STATE(594), 1,
      sym_text_interpolation,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [380] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [464] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(600), 1,
      sym_text_interpolation,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [612] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(601), 1,
      sym_text_interpolation,
    ACTIONS(1636), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [686] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1640), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1644), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [834] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LPAREN2,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1648), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [910] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1654), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(606), 1,
      sym_text_interpolation,
    ACTIONS(1658), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1058] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1662), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1132] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1666), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1670), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1280] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LPAREN2,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1674), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1356] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1680), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1678), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1430] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1684), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1686), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1690), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1688), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1690), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1688), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1726] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1694), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1692), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1696), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1874] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1648), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1700), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1704), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2096] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1708), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1706), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2170] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2251] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2332] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1710), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1719), 1,
      anon_sym_BSLASH,
    ACTIONS(1722), 1,
      anon_sym_RBRACE,
    ACTIONS(1724), 1,
      anon_sym_LPAREN2,
    ACTIONS(1727), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1730), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1733), 1,
      anon_sym_LBRACK,
    ACTIONS(1742), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1660), 1,
      sym__name,
    STATE(1679), 1,
      sym_class_constant_access_expression,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1916), 1,
      sym__new_variable,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(1736), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1739), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(624), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(2317), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1713), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(1760), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1928), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [2472] = 42,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(625), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1550), 1,
      sym__callable_variable,
    STATE(1613), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2009), 1,
      sym__list_destructing,
    STATE(2033), 1,
      sym_by_ref,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1592), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [2618] = 40,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1754), 1,
      sym_name,
    ACTIONS(1756), 1,
      anon_sym_RBRACE,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(624), 1,
      aux_sym_use_list_repeat1,
    STATE(626), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1660), 1,
      sym__name,
    STATE(1679), 1,
      sym_class_constant_access_expression,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1916), 1,
      sym__new_variable,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(2317), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(1760), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1928), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [2760] = 42,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(627), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1620), 1,
      sym__callable_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1697), 1,
      sym__new_variable,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2499), 1,
      sym__list_destructing,
    STATE(2511), 1,
      sym_by_ref,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1694), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [2906] = 40,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1754), 1,
      sym_name,
    ACTIONS(1758), 1,
      anon_sym_RBRACE,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(626), 1,
      aux_sym_use_list_repeat1,
    STATE(628), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1660), 1,
      sym__name,
    STATE(1679), 1,
      sym_class_constant_access_expression,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1916), 1,
      sym__new_variable,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(2317), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(1760), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1928), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3048] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1760), 1,
      anon_sym_LPAREN2,
    STATE(629), 1,
      sym_text_interpolation,
    STATE(650), 1,
      sym_arguments,
    ACTIONS(1592), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3123] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3204] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1760), 1,
      anon_sym_LPAREN2,
    STATE(631), 1,
      sym_text_interpolation,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3279] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(861), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(632), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1628), 1,
      sym__callable_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1664), 1,
      sym__new_variable,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2362), 1,
      sym_by_ref,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2416), 1,
      sym__array_destructing,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1662), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3422] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3502] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LPAREN2,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1648), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3644] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1774), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(637), 1,
      sym_text_interpolation,
    ACTIONS(1580), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3794] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1574), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1572), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3864] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LPAREN2,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1674), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3936] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1686), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4006] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(641), 1,
      sym_text_interpolation,
    ACTIONS(1700), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4076] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4156] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4226] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1640), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1644), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(647), 1,
      sym_text_interpolation,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4506] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1584), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4576] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(650), 1,
      sym_text_interpolation,
    ACTIONS(1662), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4716] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1708), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1706), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4786] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1666), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4856] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4934] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5012] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1654), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5082] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5152] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1684), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1696), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5292] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1776), 1,
      anon_sym_RPAREN2,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(659), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1586), 1,
      sym__callable_variable,
    STATE(1638), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1637), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [5429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(660), 1,
      sym_text_interpolation,
    ACTIONS(1704), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1680), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1678), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5636] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5713] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5790] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1778), 1,
      anon_sym_RPAREN2,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(665), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1586), 1,
      sym__callable_variable,
    STATE(1638), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1637), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [5927] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1648), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5996] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1670), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6065] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(668), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6144] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1780), 1,
      anon_sym_RPAREN2,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(669), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1586), 1,
      sym__callable_variable,
    STATE(1638), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1637), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [6281] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1774), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6358] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1692), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6496] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1690), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1688), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6565] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1690), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1688), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6634] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6713] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6790] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6867] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1774), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6944] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1786), 1,
      anon_sym_RPAREN2,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(679), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1586), 1,
      sym__callable_variable,
    STATE(1638), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1637), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7081] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    STATE(680), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7166] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    STATE(681), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7248] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7324] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7400] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1790), 1,
      anon_sym_LPAREN2,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    STATE(684), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(768), 1,
      sym__callable_variable,
    STATE(789), 1,
      sym__new_variable,
    STATE(831), 1,
      sym__variable_member_access_expression,
    STATE(833), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(835), 1,
      sym__variable_scoped_property_access_expression,
    STATE(842), 1,
      sym__variable_subscript_expression,
    STATE(850), 1,
      sym__simple_variable,
    STATE(1690), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1907), 1,
      sym__dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(2479), 1,
      sym__callable_expression,
    STATE(2540), 1,
      sym__scope_resolution_qualifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(860), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(838), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7534] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(685), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1586), 1,
      sym__callable_variable,
    STATE(1638), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1637), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7668] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(686), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(768), 1,
      sym__callable_variable,
    STATE(789), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(860), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7802] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(687), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(721), 1,
      sym__callable_variable,
    STATE(750), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(749), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7936] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1352), 1,
      anon_sym_LPAREN2,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(688), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(721), 1,
      sym__callable_variable,
    STATE(730), 1,
      sym__simple_variable,
    STATE(750), 1,
      sym__new_variable,
    STATE(759), 1,
      sym__variable_subscript_expression,
    STATE(760), 1,
      sym__variable_scoped_property_access_expression,
    STATE(771), 1,
      sym__variable_member_access_expression,
    STATE(774), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1686), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1947), 1,
      sym__dereferencable_expression,
    STATE(2442), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2690), 1,
      sym_relative_scope,
    STATE(2719), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(742), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(749), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(754), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8070] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1794), 1,
      anon_sym_LPAREN2,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    STATE(689), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(941), 1,
      sym__callable_variable,
    STATE(971), 1,
      sym__variable_member_access_expression,
    STATE(972), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(973), 1,
      sym__variable_scoped_property_access_expression,
    STATE(975), 1,
      sym__variable_subscript_expression,
    STATE(977), 1,
      sym__simple_variable,
    STATE(1027), 1,
      sym__new_variable,
    STATE(1683), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1944), 1,
      sym__dereferencable_expression,
    STATE(2410), 1,
      sym__callable_expression,
    STATE(2613), 1,
      sym__scope_resolution_qualifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1025), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(974), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8204] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(690), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1549), 1,
      sym__callable_variable,
    STATE(1619), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1618), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8338] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1750), 1,
      anon_sym_LPAREN2,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(604), 1,
      sym__simple_variable,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      sym__variable_subscript_expression,
    STATE(691), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1557), 1,
      sym__callable_variable,
    STATE(1616), 1,
      sym__new_variable,
    STATE(1660), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1948), 1,
      sym__dereferencable_expression,
    STATE(2390), 1,
      sym__callable_expression,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1596), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(617), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8472] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8552] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1794), 1,
      anon_sym_LPAREN2,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    STATE(693), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(927), 1,
      sym__callable_variable,
    STATE(971), 1,
      sym__variable_member_access_expression,
    STATE(972), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(973), 1,
      sym__variable_scoped_property_access_expression,
    STATE(975), 1,
      sym__variable_subscript_expression,
    STATE(977), 1,
      sym__simple_variable,
    STATE(1033), 1,
      sym__new_variable,
    STATE(1683), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1944), 1,
      sym__dereferencable_expression,
    STATE(2410), 1,
      sym__callable_expression,
    STATE(2613), 1,
      sym__scope_resolution_qualifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1051), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(974), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8686] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1274), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1800), 1,
      anon_sym_LPAREN2,
    STATE(694), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(876), 1,
      sym__callable_variable,
    STATE(881), 1,
      sym__simple_variable,
    STATE(909), 1,
      sym__variable_member_access_expression,
    STATE(910), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(912), 1,
      sym__variable_scoped_property_access_expression,
    STATE(921), 1,
      sym__variable_subscript_expression,
    STATE(925), 1,
      sym__new_variable,
    STATE(1680), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1919), 1,
      sym__dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(2385), 1,
      sym__callable_expression,
    STATE(2571), 1,
      sym__scope_resolution_qualifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(880), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(901), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(879), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8820] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8900] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1790), 1,
      anon_sym_LPAREN2,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(804), 1,
      sym__callable_variable,
    STATE(831), 1,
      sym__variable_member_access_expression,
    STATE(833), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(835), 1,
      sym__variable_scoped_property_access_expression,
    STATE(842), 1,
      sym__variable_subscript_expression,
    STATE(850), 1,
      sym__simple_variable,
    STATE(868), 1,
      sym__new_variable,
    STATE(1690), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1907), 1,
      sym__dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(2479), 1,
      sym__callable_expression,
    STATE(2540), 1,
      sym__scope_resolution_qualifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(867), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(838), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9034] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(697), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9114] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    STATE(698), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9190] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    STATE(699), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1612), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9266] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1794), 1,
      anon_sym_LPAREN2,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    STATE(700), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(935), 1,
      sym__callable_variable,
    STATE(971), 1,
      sym__variable_member_access_expression,
    STATE(972), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(973), 1,
      sym__variable_scoped_property_access_expression,
    STATE(975), 1,
      sym__variable_subscript_expression,
    STATE(977), 1,
      sym__simple_variable,
    STATE(1044), 1,
      sym__new_variable,
    STATE(1683), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(1944), 1,
      sym__dereferencable_expression,
    STATE(2410), 1,
      sym__callable_expression,
    STATE(2613), 1,
      sym__scope_resolution_qualifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1041), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(974), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9400] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    STATE(701), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9482] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(611), 1,
      aux_sym_cast_type_token1,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1752), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1790), 1,
      anon_sym_LPAREN2,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    STATE(702), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(831), 1,
      sym__variable_member_access_expression,
    STATE(833), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(835), 1,
      sym__variable_scoped_property_access_expression,
    STATE(842), 1,
      sym__variable_subscript_expression,
    STATE(849), 1,
      sym__callable_variable,
    STATE(850), 1,
      sym__simple_variable,
    STATE(871), 1,
      sym__new_variable,
    STATE(1690), 1,
      sym__name,
    STATE(1829), 1,
      sym__new_dereferencable_expression,
    STATE(1907), 1,
      sym__dereferencable_expression,
    STATE(1928), 1,
      sym_class_constant_access_expression,
    STATE(2479), 1,
      sym__callable_expression,
    STATE(2540), 1,
      sym__scope_resolution_qualifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2690), 1,
      sym_relative_scope,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1760), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1835), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(865), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(838), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9616] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(703), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9693] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(704), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9770] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(705), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9847] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1764), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9924] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(707), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10003] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(708), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10080] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(709), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10157] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(710), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10233] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(711), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1810), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1812), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10303] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(712), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1817), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1819), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10373] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_EQ,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1612), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1614), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1821), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1823), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10513] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(715), 1,
      sym_text_interpolation,
    ACTIONS(1825), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10579] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1827), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1829), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1831), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1833), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10707] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1837), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1839), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1841), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR,
    STATE(718), 1,
      sym_text_interpolation,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1485), 1,
      sym__types,
    STATE(1601), 1,
      sym_property_element,
    STATE(1853), 1,
      sym_variable_name,
    STATE(1854), 1,
      sym__function_definition_header,
    STATE(1975), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10820] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1837), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1839), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1841), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR,
    STATE(719), 1,
      sym_text_interpolation,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1485), 1,
      sym__types,
    STATE(1626), 1,
      sym_property_element,
    STATE(1852), 1,
      sym__function_definition_header,
    STATE(1853), 1,
      sym_variable_name,
    STATE(2313), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10994] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11059] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LPAREN2,
    STATE(722), 1,
      sym_text_interpolation,
    STATE(734), 1,
      sym_arguments,
    ACTIONS(1592), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11124] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_text_interpolation,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1242), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1240), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11250] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1426), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1424), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1684), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11371] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1580), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11431] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LPAREN2,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1674), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1686), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11553] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LPAREN2,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1648), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1700), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11675] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1584), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11735] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1662), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1708), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11915] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1666), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11975] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1588), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1574), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12095] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12155] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_COMMA,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    ACTIONS(1863), 1,
      anon_sym_RPAREN2,
    ACTIONS(1865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(740), 1,
      sym_text_interpolation,
    STATE(1055), 1,
      sym_attribute_list,
    STATE(1192), 1,
      sym_visibility_modifier,
    STATE(1355), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1358), 1,
      sym_attribute_group,
    STATE(1588), 1,
      sym__types,
    STATE(1793), 1,
      sym_type,
    STATE(2226), 1,
      sym_reference_modifier,
    STATE(2275), 1,
      sym_variable_name,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2227), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [12263] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1640), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1644), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1636), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12569] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12689] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(748), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12755] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12817] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1654), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12939] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(1873), 1,
      anon_sym_COMMA,
    ACTIONS(1875), 1,
      anon_sym_RPAREN2,
    STATE(752), 1,
      sym_text_interpolation,
    STATE(1055), 1,
      sym_attribute_list,
    STATE(1192), 1,
      sym_visibility_modifier,
    STATE(1355), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1358), 1,
      sym_attribute_group,
    STATE(1588), 1,
      sym__types,
    STATE(1793), 1,
      sym_type,
    STATE(2226), 1,
      sym_reference_modifier,
    STATE(2275), 1,
      sym_variable_name,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2056), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13047] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1825), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1632), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1696), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1680), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13228] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(1877), 1,
      anon_sym_RPAREN2,
    STATE(756), 1,
      sym_text_interpolation,
    STATE(1055), 1,
      sym_attribute_list,
    STATE(1192), 1,
      sym_visibility_modifier,
    STATE(1355), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1358), 1,
      sym_attribute_group,
    STATE(1588), 1,
      sym__types,
    STATE(1793), 1,
      sym_type,
    STATE(2226), 1,
      sym_reference_modifier,
    STATE(2275), 1,
      sym_variable_name,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2452), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13333] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1670), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13392] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(1879), 1,
      anon_sym_RPAREN2,
    STATE(758), 1,
      sym_text_interpolation,
    STATE(1055), 1,
      sym_attribute_list,
    STATE(1192), 1,
      sym_visibility_modifier,
    STATE(1355), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1358), 1,
      sym_attribute_group,
    STATE(1588), 1,
      sym__types,
    STATE(1793), 1,
      sym_type,
    STATE(2226), 1,
      sym_reference_modifier,
    STATE(2275), 1,
      sym_variable_name,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2452), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1648), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1694), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13674] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(1881), 1,
      anon_sym_RPAREN2,
    STATE(762), 1,
      sym_text_interpolation,
    STATE(1055), 1,
      sym_attribute_list,
    STATE(1192), 1,
      sym_visibility_modifier,
    STATE(1355), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1358), 1,
      sym_attribute_group,
    STATE(1588), 1,
      sym__types,
    STATE(1793), 1,
      sym_type,
    STATE(2226), 1,
      sym_reference_modifier,
    STATE(2275), 1,
      sym_variable_name,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2452), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1704), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13838] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(1883), 1,
      anon_sym_RPAREN2,
    STATE(764), 1,
      sym_text_interpolation,
    STATE(1055), 1,
      sym_attribute_list,
    STATE(1192), 1,
      sym_visibility_modifier,
    STATE(1355), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1358), 1,
      sym_attribute_group,
    STATE(1588), 1,
      sym__types,
    STATE(1793), 1,
      sym_type,
    STATE(2226), 1,
      sym_reference_modifier,
    STATE(2275), 1,
      sym_variable_name,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2452), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13943] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14002] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_LPAREN2,
    STATE(766), 1,
      sym_text_interpolation,
    STATE(792), 1,
      sym_arguments,
    ACTIONS(1592), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14065] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_LPAREN2,
    STATE(767), 1,
      sym_text_interpolation,
    STATE(795), 1,
      sym_arguments,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14128] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1889), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14191] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14254] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN2,
    STATE(770), 1,
      sym_text_interpolation,
    ACTIONS(1893), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1690), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14374] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LPAREN2,
    STATE(772), 1,
      sym_text_interpolation,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14435] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(773), 1,
      sym_text_interpolation,
    ACTIONS(1622), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1690), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14557] = 36,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(1899), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1901), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1903), 1,
      anon_sym_LPAREN2,
    STATE(614), 1,
      sym__variable_member_access_expression,
    STATE(615), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      sym__variable_scoped_property_access_expression,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(775), 1,
      sym_text_interpolation,
    STATE(802), 1,
      sym_anonymous_class,
    STATE(929), 1,
      sym_parenthesized_expression,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1404), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym_attribute_list,
    STATE(1808), 1,
      sym__new_variable,
    STATE(2331), 1,
      sym__class_name_reference,
    STATE(2358), 1,
      sym__name,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(618), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [14677] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1911), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1909), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14737] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1915), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14969] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LPAREN2,
    STATE(781), 1,
      sym_text_interpolation,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1919), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1917), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(783), 1,
      sym_text_interpolation,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15145] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(1923), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15435] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1889), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15669] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1927), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1050), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1048), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1708), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15901] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15959] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1931), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1929), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(1935), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1939), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16249] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1947), 1,
      anon_sym_DASH_GT,
    ACTIONS(1949), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(1951), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1943), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16315] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16377] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(805), 1,
      sym_text_interpolation,
    STATE(1055), 1,
      sym_attribute_list,
    STATE(1192), 1,
      sym_visibility_modifier,
    STATE(1355), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1358), 1,
      sym_attribute_group,
    STATE(1588), 1,
      sym__types,
    STATE(1793), 1,
      sym_type,
    STATE(2226), 1,
      sym_reference_modifier,
    STATE(2275), 1,
      sym_variable_name,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2452), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16479] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1961), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1959), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16541] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1968), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1966), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16599] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1972), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16657] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1976), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1974), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1980), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1978), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1984), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1982), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16831] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1988), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1986), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1574), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(1992), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1990), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1996), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17063] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(2000), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(2004), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17179] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(2006), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17239] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17301] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17359] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2012), 1,
      anon_sym_LPAREN2,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(2014), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2010), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2008), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(2018), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2016), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17479] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17537] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(2022), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2020), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(2026), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2024), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(2030), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(2034), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2032), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17885] = 36,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    ACTIONS(1899), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1901), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2036), 1,
      sym_name,
    ACTIONS(2038), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(2040), 1,
      anon_sym_BSLASH,
    ACTIONS(2042), 1,
      anon_sym_LPAREN2,
    STATE(802), 1,
      sym_anonymous_class,
    STATE(803), 1,
      sym__new_variable,
    STATE(830), 1,
      sym_text_interpolation,
    STATE(831), 1,
      sym__variable_member_access_expression,
    STATE(833), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(835), 1,
      sym__variable_scoped_property_access_expression,
    STATE(905), 1,
      sym__name,
    STATE(906), 1,
      sym__reserved_identifier,
    STATE(908), 1,
      sym__class_name_reference,
    STATE(929), 1,
      sym_parenthesized_expression,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1404), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym_attribute_list,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(1905), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(842), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(907), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [18005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(1690), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18063] = 36,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    ACTIONS(2044), 1,
      sym_name,
    ACTIONS(2046), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2048), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(2050), 1,
      anon_sym_BSLASH,
    ACTIONS(2052), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2054), 1,
      anon_sym_LPAREN2,
    STATE(832), 1,
      sym_text_interpolation,
    STATE(926), 1,
      sym__new_variable,
    STATE(971), 1,
      sym__variable_member_access_expression,
    STATE(972), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(973), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1014), 1,
      sym_anonymous_class,
    STATE(1053), 1,
      sym__name,
    STATE(1060), 1,
      sym__reserved_identifier,
    STATE(1061), 1,
      sym__class_name_reference,
    STATE(1062), 1,
      sym_parenthesized_expression,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1407), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1410), 1,
      sym_attribute_list,
    STATE(2603), 1,
      sym_namespace_name,
    ACTIONS(2056), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(975), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1056), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [18183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1690), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18241] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18299] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(1058), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1056), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18473] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(838), 1,
      sym_text_interpolation,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18531] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(1568), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(2068), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18647] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(2072), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18705] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18763] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(843), 1,
      sym_text_interpolation,
    ACTIONS(1959), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18821] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(2076), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(2080), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18937] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(2084), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18995] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(2088), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19053] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(848), 1,
      sym_text_interpolation,
    ACTIONS(2092), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2090), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19111] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19173] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LPAREN2,
    STATE(850), 1,
      sym_text_interpolation,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19233] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(851), 1,
      sym_text_interpolation,
    ACTIONS(1911), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19293] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(852), 1,
      sym_text_interpolation,
    ACTIONS(2096), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2094), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19351] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(853), 1,
      sym_text_interpolation,
    ACTIONS(2100), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2098), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(854), 1,
      sym_text_interpolation,
    ACTIONS(2104), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2102), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19467] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(2108), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2106), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(2112), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2110), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(2116), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2114), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19641] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(2120), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(2124), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2122), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19757] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(860), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1889), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19817] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(861), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1810), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19878] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_text_interpolation,
    STATE(892), 1,
      sym_arguments,
    ACTIONS(1592), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19939] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_LPAREN2,
    STATE(863), 1,
      sym_text_interpolation,
    STATE(893), 1,
      sym_arguments,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20000] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(864), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1817), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1819), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20061] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20120] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(866), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20181] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20240] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20299] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(2130), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2128), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [20356] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(870), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1817), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1819), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20417] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20476] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20533] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20592] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(2134), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2132), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [20648] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20710] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20770] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(877), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1810), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20830] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(878), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20892] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21004] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LPAREN2,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21062] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_RPAREN2,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21178] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21234] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21290] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21346] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21402] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21458] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21514] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21570] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21682] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1708), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21738] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21794] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21906] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1574), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21962] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22074] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LPAREN2,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22132] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22244] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22299] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22354] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_COLON_COLON,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1943), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22466] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(2136), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22521] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_LPAREN2,
    STATE(853), 1,
      sym_arguments,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(2140), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2138), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22580] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1690), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22635] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1690), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22910] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_LPAREN2,
    STATE(915), 1,
      sym_text_interpolation,
    STATE(996), 1,
      sym_arguments,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22969] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_LPAREN2,
    STATE(916), 1,
      sym_text_interpolation,
    STATE(997), 1,
      sym_arguments,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23028] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23140] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1821), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1823), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23250] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23305] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1821), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1823), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23360] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23419] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23478] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23535] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2144), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2146), 1,
      anon_sym_DASH_GT,
    ACTIONS(2148), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2150), 1,
      anon_sym_LBRACK,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1943), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23597] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(2080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23709] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(1943), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23763] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    STATE(930), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(2076), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2100), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2098), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(2116), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2114), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24041] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24099] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2124), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2122), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(1242), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1240), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24207] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(2108), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2106), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(2112), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2110), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(1426), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1424), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24369] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24427] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    ACTIONS(2154), 1,
      anon_sym_COLON,
    STATE(942), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24489] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(1919), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1917), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24543] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(1984), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1982), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(1996), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24651] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2000), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24705] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(2022), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2020), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24759] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2026), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2024), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24813] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2030), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24921] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN2,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(1893), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25031] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(2006), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(2092), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2090), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25141] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25199] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2012), 1,
      anon_sym_LPAREN2,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(2014), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2010), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2008), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25257] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(2120), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25365] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(1992), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1990), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25419] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(1927), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25473] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(1935), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25527] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(1911), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(1980), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1978), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25637] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2104), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2102), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25691] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(1923), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2004), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25799] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2034), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2032), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(2096), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2094), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25907] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(1911), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1909), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(1972), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(1690), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1690), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26179] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(1648), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26287] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26341] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LPAREN2,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(1648), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26451] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LPAREN2,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26507] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(1640), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(1644), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(1654), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26833] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LPAREN2,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(1674), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1988), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1986), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26943] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(1686), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26997] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(1700), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(1704), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27105] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27321] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27375] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(1708), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27483] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27537] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27645] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(1574), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27753] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(1568), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27807] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    ACTIONS(2156), 1,
      anon_sym_COLON,
    STATE(1004), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27869] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2088), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27923] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2084), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28031] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(1976), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1974), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2018), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2016), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(1931), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1929), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(1915), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28247] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(1568), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28301] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2072), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28355] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(1939), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(1968), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1966), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2160), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2158), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28570] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2168), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28782] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28835] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28941] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28996] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(1909), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29049] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29157] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29210] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29316] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29369] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29424] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29477] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29530] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2218), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29587] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29640] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(1614), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2226), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29746] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2228), 1,
      aux_sym_binary_expression_token1,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2226), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29801] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2232), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2230), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29909] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1043), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1817), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1819), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29966] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(2236), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2240), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30127] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30182] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1048), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1810), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30239] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2010), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2008), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30292] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1050), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1628), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30349] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30404] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2244), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30457] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2144), 1,
      anon_sym_COLON_COLON,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(1943), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30510] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(1831), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30561] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(2246), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1055), 1,
      sym_text_interpolation,
    STATE(1193), 1,
      sym_visibility_modifier,
    STATE(1588), 1,
      sym__types,
    STATE(1738), 1,
      sym_type,
    STATE(2002), 1,
      sym_reference_modifier,
    STATE(2004), 1,
      sym_variable_name,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [30646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(2136), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(1632), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(1821), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1823), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30799] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(1827), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(1628), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30901] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_LPAREN2,
    STATE(933), 1,
      sym_arguments,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2140), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2138), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30956] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(1943), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31006] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [31066] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31118] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2260), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2265), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2268), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2271), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2274), 1,
      sym_var_modifier,
    STATE(1349), 1,
      sym__modifier,
    STATE(1065), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2263), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2277), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2258), 18,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [31184] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31266] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31348] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2310), 1,
      anon_sym_QMARK,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31430] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31518] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2320), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31606] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2322), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31746] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2324), 1,
      anon_sym_EQ_GT,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31836] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31918] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1075), 1,
      sym_text_interpolation,
    STATE(1349), 1,
      sym__modifier,
    STATE(1403), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1466), 1,
      sym__const_declaration,
    ACTIONS(2328), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2326), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [31976] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [32062] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(1568), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32112] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2330), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32200] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2332), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32282] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32366] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [32444] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2334), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32532] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32608] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2336), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32696] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2338), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32784] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2164), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32856] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32938] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2164), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2162), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33004] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [33066] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2164), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33136] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1091), 1,
      sym_text_interpolation,
    STATE(1349), 1,
      sym__modifier,
    STATE(1403), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1457), 1,
      sym__const_declaration,
    ACTIONS(2328), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2326), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [33194] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2164), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33268] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33326] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2340), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33414] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33470] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2342), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33558] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2178), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33646] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2344), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33728] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [33789] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2334), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33876] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2236), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33974] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2160), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2158), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34023] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(1614), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34072] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2226), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34121] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2342), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34208] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2342), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34295] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token1,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2226), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34346] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2232), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2230), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34395] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34444] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2010), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2008), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34542] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2244), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34591] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2178), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34678] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2240), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34727] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2336), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34814] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2338), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34901] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34970] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2164), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35043] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35098] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35179] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35230] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35311] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [35396] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35479] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(1050), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1048), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35605] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35680] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(1058), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1056), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35729] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2164), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35800] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2164), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2162), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35865] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35914] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35975] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36032] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [36091] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36142] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36191] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36272] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36353] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36434] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(1909), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36483] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36532] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2168), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36581] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2320), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36717] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_EQ_GT,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [36806] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2322), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36893] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36942] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2178), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [37029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37078] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37225] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37274] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2336), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [37361] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2338), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [37448] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2164), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [37517] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2164), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [37590] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [37645] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37726] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37777] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37858] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [37943] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38026] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [38103] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [38178] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2164), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38249] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2164), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2162), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38314] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38371] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [38430] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38481] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [38568] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38649] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38730] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2344), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38811] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2332), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38892] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38973] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2344), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39054] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2332), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39135] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2340), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [39222] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2330), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [39309] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2320), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39396] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39483] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2432), 1,
      anon_sym_EQ_GT,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39572] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2340), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39659] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2330), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39746] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2322), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39833] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2334), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39969] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40049] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2322), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40135] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1192), 1,
      sym_text_interpolation,
    STATE(1250), 1,
      sym_readonly_modifier,
    STATE(1711), 1,
      sym__types,
    STATE(1942), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1736), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40213] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1193), 1,
      sym_text_interpolation,
    STATE(1255), 1,
      sym_readonly_modifier,
    STATE(1711), 1,
      sym__types,
    STATE(1945), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1838), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40291] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1194), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1579), 1,
      sym_type,
    STATE(1843), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40367] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1195), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1581), 1,
      sym_type,
    STATE(1791), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40443] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1196), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1583), 1,
      sym_type,
    STATE(1750), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40519] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1197), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1624), 1,
      sym_type,
    STATE(1729), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40595] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2336), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40681] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2338), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40767] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [40835] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2164), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [40907] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [40961] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41041] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [41091] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [41175] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2334), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [41261] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [41337] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [41411] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2164), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [41481] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2164), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2162), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41545] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [41605] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1212), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [41661] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1213), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2162), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [41719] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [41769] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41849] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41929] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2344), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [42009] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2332), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [42089] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [42169] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2342), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [42255] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2178), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [42341] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2320), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [42427] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [42513] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2476), 1,
      anon_sym_EQ_GT,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2234), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42601] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2340), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [42687] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1226), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2330), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [42773] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    STATE(1227), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2162), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [42855] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    STATE(1228), 1,
      sym_text_interpolation,
    STATE(2447), 1,
      sym_property_hook_list,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2478), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42944] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    STATE(1229), 1,
      sym_text_interpolation,
    STATE(2454), 1,
      sym_property_hook_list,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43033] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    STATE(1230), 1,
      sym_text_interpolation,
    STATE(2466), 1,
      sym_property_hook_list,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43122] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2486), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [43207] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    STATE(1232), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym_property_hook_list,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2488), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43296] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    STATE(1233), 1,
      sym_text_interpolation,
    STATE(2400), 1,
      sym_property_hook_list,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2490), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43385] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    STATE(1234), 1,
      sym_text_interpolation,
    STATE(2510), 1,
      sym_property_hook_list,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2492), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43474] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    STATE(1235), 1,
      sym_text_interpolation,
    STATE(2439), 1,
      sym_property_hook_list,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2494), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43563] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [43612] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [43661] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    STATE(1238), 1,
      sym_text_interpolation,
    STATE(2398), 1,
      sym_property_hook_list,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2496), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43750] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(541), 1,
      sym__semicolon,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43836] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2500), 1,
      anon_sym_COMMA,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43922] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2500), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44008] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(481), 1,
      sym__semicolon,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44094] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(483), 1,
      sym__semicolon,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44180] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(484), 1,
      sym__semicolon,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44266] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    ACTIONS(2506), 1,
      anon_sym_EQ_GT,
    STATE(1245), 1,
      sym_text_interpolation,
    STATE(2155), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44354] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2508), 1,
      anon_sym_EQ_GT,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2234), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44440] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1247), 1,
      sym_text_interpolation,
    STATE(1449), 1,
      sym__semicolon,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44526] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2510), 1,
      anon_sym_EQ_GT,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2234), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44612] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2512), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44696] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1250), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      sym__types,
    STATE(1929), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1827), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44768] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1251), 1,
      sym_text_interpolation,
    STATE(1454), 1,
      sym__semicolon,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44854] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1252), 1,
      sym_text_interpolation,
    STATE(2200), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44940] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2514), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45024] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2516), 1,
      anon_sym_EQ_GT,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2234), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45110] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1255), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      sym__types,
    STATE(1860), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1788), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45182] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1256), 1,
      sym_text_interpolation,
    STATE(2247), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45268] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1257), 1,
      sym_text_interpolation,
    STATE(2248), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45354] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1258), 1,
      sym_text_interpolation,
    STATE(1856), 1,
      sym__semicolon,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45440] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    STATE(1259), 1,
      sym_text_interpolation,
    STATE(2249), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45526] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2522), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2520), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45573] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2502), 1,
      anon_sym_SEMI,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45658] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45741] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2530), 1,
      anon_sym_EQ_GT,
    ACTIONS(2532), 1,
      anon_sym_RPAREN2,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45826] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2537), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2543), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      anon_sym_RBRACE,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2551), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2554), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2557), 1,
      sym_var_modifier,
    ACTIONS(2563), 1,
      anon_sym_POUND_LBRACK,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1075), 1,
      sym_final_modifier,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1391), 1,
      sym_attribute_list,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1461), 1,
      sym__member_declaration,
    STATE(1463), 1,
      sym__class_const_declaration,
    STATE(1464), 1,
      sym__const_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    STATE(1264), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2560), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1467), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45913] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2502), 1,
      anon_sym_RPAREN2,
    ACTIONS(2566), 1,
      anon_sym_COMMA,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45998] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46081] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2570), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46164] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2498), 1,
      anon_sym_SEMI,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46249] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2578), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2580), 1,
      anon_sym_RBRACE,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1075), 1,
      sym_final_modifier,
    STATE(1269), 1,
      sym_text_interpolation,
    STATE(1287), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1391), 1,
      sym_attribute_list,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1461), 1,
      sym__member_declaration,
    STATE(1463), 1,
      sym__class_const_declaration,
    STATE(1464), 1,
      sym__const_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1467), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46338] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2592), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46421] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2578), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2594), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1075), 1,
      sym_final_modifier,
    STATE(1271), 1,
      sym_text_interpolation,
    STATE(1275), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1391), 1,
      sym_attribute_list,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1461), 1,
      sym__member_declaration,
    STATE(1463), 1,
      sym__class_const_declaration,
    STATE(1464), 1,
      sym__const_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1467), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46510] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46593] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46676] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46759] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2578), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2602), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1075), 1,
      sym_final_modifier,
    STATE(1264), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1275), 1,
      sym_text_interpolation,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1391), 1,
      sym_attribute_list,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1461), 1,
      sym__member_declaration,
    STATE(1463), 1,
      sym__class_const_declaration,
    STATE(1464), 1,
      sym__const_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1467), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46848] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46931] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2578), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2606), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1075), 1,
      sym_final_modifier,
    STATE(1277), 1,
      sym_text_interpolation,
    STATE(1288), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1391), 1,
      sym_attribute_list,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1461), 1,
      sym__member_declaration,
    STATE(1463), 1,
      sym__class_const_declaration,
    STATE(1464), 1,
      sym__const_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1467), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [47020] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2608), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47103] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2610), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47186] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47269] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47352] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2616), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47435] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2618), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47518] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47601] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AMP,
    ACTIONS(2436), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2442), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2470), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2472), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_RPAREN2,
    ACTIONS(2566), 1,
      anon_sym_COMMA,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2440), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47686] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47769] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2578), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2624), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1075), 1,
      sym_final_modifier,
    STATE(1264), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1287), 1,
      sym_text_interpolation,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1391), 1,
      sym_attribute_list,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1461), 1,
      sym__member_declaration,
    STATE(1463), 1,
      sym__class_const_declaration,
    STATE(1464), 1,
      sym__const_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1467), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [47858] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2578), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1075), 1,
      sym_final_modifier,
    STATE(1264), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1288), 1,
      sym_text_interpolation,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1391), 1,
      sym_attribute_list,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1461), 1,
      sym__member_declaration,
    STATE(1463), 1,
      sym__class_const_declaration,
    STATE(1464), 1,
      sym__const_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1467), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [47947] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2628), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48029] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2630), 1,
      anon_sym_RBRACK,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48111] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(1825), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2632), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [48155] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2634), 1,
      anon_sym_RBRACK,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48237] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48319] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2638), 1,
      anon_sym_RPAREN2,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2642), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2640), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [48445] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48527] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2646), 1,
      anon_sym_COLON,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48609] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2648), 1,
      anon_sym_EQ_GT,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48691] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48773] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2652), 1,
      anon_sym_RPAREN2,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48855] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48937] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2656), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49019] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2658), 1,
      anon_sym_RBRACK,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49101] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2660), 1,
      anon_sym_RBRACK,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49183] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2662), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49265] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2664), 1,
      anon_sym_EQ_GT,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49347] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2666), 1,
      anon_sym_RPAREN2,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49429] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_RPAREN2,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49511] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2668), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49593] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49675] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49757] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2674), 1,
      anon_sym_COLON,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49839] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49921] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2678), 1,
      anon_sym_RPAREN2,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50003] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50085] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50167] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50249] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2686), 1,
      anon_sym_RBRACK,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50331] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2688), 1,
      anon_sym_RBRACK,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50413] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2690), 1,
      anon_sym_RBRACK,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50495] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50577] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50659] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2696), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50741] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2698), 1,
      anon_sym_RBRACK,
    STATE(1324), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50823] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2700), 1,
      anon_sym_RPAREN2,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2704), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2702), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50949] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51031] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2708), 1,
      anon_sym_RPAREN2,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51113] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51195] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51277] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2714), 1,
      anon_sym_COLON,
    STATE(1331), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51359] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51441] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51523] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    STATE(1334), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51605] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2722), 1,
      anon_sym_RPAREN2,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1336), 1,
      sym_text_interpolation,
    ACTIONS(2726), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2724), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51731] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2728), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1337), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51813] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    STATE(1338), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51895] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    STATE(1339), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51977] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2290), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2292), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2302), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2734), 1,
      anon_sym_COLON,
    STATE(1340), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2298), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [52059] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2736), 1,
      anon_sym_RBRACK,
    STATE(1341), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [52141] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    STATE(1342), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [52223] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_PIPE,
    ACTIONS(2406), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2412), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2418), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_GT_EQ,
    ACTIONS(2740), 1,
      anon_sym_RBRACK,
    STATE(1343), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2356), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2420), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2422), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [52305] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1344), 1,
      sym_text_interpolation,
    ACTIONS(2328), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2326), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52348] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1845), 1,
      anon_sym_LPAREN2,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(2742), 1,
      sym_bottom_type,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(2329), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1548), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52413] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    ACTIONS(2746), 1,
      aux_sym_enum_case_token1,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1349), 1,
      sym__modifier,
    STATE(1353), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1394), 1,
      sym_attribute_list,
    STATE(1397), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1455), 1,
      sym__enum_member_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1459), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52494] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1347), 1,
      sym_text_interpolation,
    ACTIONS(2750), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2748), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52537] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(695), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2752), 1,
      sym_name,
    ACTIONS(2756), 1,
      anon_sym_LPAREN2,
    ACTIONS(2758), 1,
      anon_sym_QMARK,
    ACTIONS(2760), 1,
      sym_bottom_type,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1564), 1,
      sym__types,
    STATE(2302), 1,
      sym_type,
    STATE(2607), 1,
      sym_namespace_name,
    STATE(1771), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2118), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2754), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52602] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1349), 1,
      sym_text_interpolation,
    ACTIONS(2764), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2762), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52645] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2746), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2766), 1,
      anon_sym_RBRACE,
    STATE(1349), 1,
      sym__modifier,
    STATE(1350), 1,
      sym_text_interpolation,
    STATE(1352), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1394), 1,
      sym_attribute_list,
    STATE(1397), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1455), 1,
      sym__enum_member_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1459), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52726] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2768), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2771), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2774), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2777), 1,
      anon_sym_RBRACE,
    ACTIONS(2779), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2782), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2785), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2788), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2791), 1,
      sym_var_modifier,
    ACTIONS(2797), 1,
      anon_sym_POUND_LBRACK,
    STATE(1349), 1,
      sym__modifier,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1394), 1,
      sym_attribute_list,
    STATE(1397), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1455), 1,
      sym__enum_member_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    STATE(1351), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2794), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1459), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52805] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2746), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2800), 1,
      anon_sym_RBRACE,
    STATE(1349), 1,
      sym__modifier,
    STATE(1351), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1394), 1,
      sym_attribute_list,
    STATE(1397), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1455), 1,
      sym__enum_member_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1459), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52886] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2746), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2802), 1,
      anon_sym_RBRACE,
    STATE(1349), 1,
      sym__modifier,
    STATE(1351), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1353), 1,
      sym_text_interpolation,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1394), 1,
      sym_attribute_list,
    STATE(1397), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1455), 1,
      sym__enum_member_declaration,
    STATE(1755), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1459), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52967] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_POUND_LBRACK,
    STATE(1358), 1,
      sym_attribute_group,
    STATE(1354), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2806), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2804), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [53011] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_POUND_LBRACK,
    STATE(1354), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1358), 1,
      sym_attribute_group,
    ACTIONS(2813), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2811), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [53057] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym__types,
    STATE(2608), 1,
      sym_intersection_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53111] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(2815), 1,
      anon_sym_LPAREN2,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym__types,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1358), 1,
      sym_text_interpolation,
    ACTIONS(2819), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2817), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [53203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1359), 1,
      sym_text_interpolation,
    ACTIONS(2823), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2821), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [53241] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    ACTIONS(2044), 1,
      sym_name,
    ACTIONS(2048), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(2050), 1,
      anon_sym_BSLASH,
    ACTIONS(2054), 1,
      anon_sym_LPAREN2,
    STATE(926), 1,
      sym__new_variable,
    STATE(971), 1,
      sym__variable_member_access_expression,
    STATE(972), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(973), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1053), 1,
      sym__name,
    STATE(1060), 1,
      sym__reserved_identifier,
    STATE(1062), 1,
      sym_parenthesized_expression,
    STATE(1137), 1,
      sym__class_name_reference,
    STATE(1360), 1,
      sym_text_interpolation,
    STATE(2603), 1,
      sym_namespace_name,
    STATE(975), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2056), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1056), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [53311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1361), 1,
      sym_text_interpolation,
    ACTIONS(2827), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2825), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [53349] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(695), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2752), 1,
      sym_name,
    ACTIONS(2758), 1,
      anon_sym_QMARK,
    ACTIONS(2829), 1,
      anon_sym_LPAREN2,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(1961), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name,
    STATE(1771), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2754), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53403] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    STATE(1363), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym__types,
    STATE(2619), 1,
      sym_intersection_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53457] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      sym_name,
    ACTIONS(2038), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(2040), 1,
      anon_sym_BSLASH,
    ACTIONS(2042), 1,
      anon_sym_LPAREN2,
    STATE(803), 1,
      sym__new_variable,
    STATE(831), 1,
      sym__variable_member_access_expression,
    STATE(833), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(835), 1,
      sym__variable_scoped_property_access_expression,
    STATE(905), 1,
      sym__name,
    STATE(906), 1,
      sym__reserved_identifier,
    STATE(929), 1,
      sym_parenthesized_expression,
    STATE(1018), 1,
      sym__class_name_reference,
    STATE(1364), 1,
      sym_text_interpolation,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(842), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(907), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [53527] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(2815), 1,
      anon_sym_LPAREN2,
    STATE(1365), 1,
      sym_text_interpolation,
    STATE(1521), 1,
      sym__types,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53581] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(695), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2752), 1,
      sym_name,
    ACTIONS(2758), 1,
      anon_sym_QMARK,
    ACTIONS(2829), 1,
      anon_sym_LPAREN2,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1904), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name,
    STATE(1771), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2754), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53635] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(2815), 1,
      anon_sym_LPAREN2,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1521), 1,
      sym__types,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53689] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    STATE(1368), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym__types,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2765), 1,
      sym_intersection_type,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53743] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    STATE(1369), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym__types,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_intersection_type,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53797] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(2833), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2831), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [53835] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    STATE(1371), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym__types,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(2782), 1,
      sym_intersection_type,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53889] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    ACTIONS(2815), 1,
      anon_sym_LPAREN2,
    STATE(1372), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym__types,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53943] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    STATE(1373), 1,
      sym_text_interpolation,
    STATE(1520), 1,
      sym__types,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53994] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(695), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2752), 1,
      sym_name,
    ACTIONS(2758), 1,
      anon_sym_QMARK,
    STATE(1374), 1,
      sym_text_interpolation,
    STATE(1950), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name,
    STATE(1771), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2754), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [54045] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    ACTIONS(1867), 1,
      anon_sym_QMARK,
    STATE(1375), 1,
      sym_text_interpolation,
    STATE(1528), 1,
      sym__types,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [54096] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    STATE(1376), 1,
      sym_text_interpolation,
    STATE(1520), 1,
      sym__types,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [54147] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    STATE(1377), 1,
      sym_text_interpolation,
    STATE(1528), 1,
      sym__types,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1510), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [54198] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(695), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2752), 1,
      sym_name,
    ACTIONS(2758), 1,
      anon_sym_QMARK,
    STATE(1378), 1,
      sym_text_interpolation,
    STATE(1857), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name,
    STATE(1771), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2754), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [54249] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2835), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2837), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2839), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2841), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2843), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2845), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1379), 1,
      sym_text_interpolation,
    STATE(1401), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1509), 1,
      sym_static_modifier,
    STATE(2514), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [54315] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2835), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2845), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2847), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2849), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2851), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2853), 1,
      aux_sym_class_declaration_token1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1380), 1,
      sym_text_interpolation,
    STATE(1411), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1509), 1,
      sym_static_modifier,
    STATE(2408), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [54381] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_AMP,
    ACTIONS(2855), 1,
      anon_sym_POUND_LBRACK,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1381), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2804), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [54420] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2813), 1,
      anon_sym_AMP,
    STATE(1381), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1382), 1,
      sym_text_interpolation,
    STATE(1392), 1,
      sym_attribute_group,
    ACTIONS(2811), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [54461] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    STATE(1383), 1,
      sym_text_interpolation,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1511), 2,
      sym_named_type,
      sym_primitive_type,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [54505] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    ACTIONS(1857), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1859), 1,
      anon_sym_BSLASH,
    STATE(1384), 1,
      sym_text_interpolation,
    STATE(2686), 1,
      sym_namespace_name,
    STATE(1511), 2,
      sym_named_type,
      sym_primitive_type,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(1843), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [54549] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR,
    ACTIONS(2858), 1,
      anon_sym_COLON_COLON,
    STATE(1385), 1,
      sym_text_interpolation,
    STATE(1746), 1,
      sym_static_variable_declaration,
    STATE(1957), 1,
      sym_variable_name,
    ACTIONS(1630), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1825), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [54591] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR,
    ACTIONS(2858), 1,
      anon_sym_COLON_COLON,
    STATE(1386), 1,
      sym_text_interpolation,
    STATE(1781), 1,
      sym_static_variable_declaration,
    STATE(1957), 1,
      sym_variable_name,
    ACTIONS(1630), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1825), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [54633] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(695), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2752), 1,
      sym_name,
    STATE(1387), 1,
      sym_text_interpolation,
    STATE(2607), 1,
      sym_namespace_name,
    STATE(1771), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1815), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2754), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [54677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(1280), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
    ACTIONS(1282), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [54711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2833), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2831), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [54744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2827), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2825), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [54777] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2578), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    STATE(718), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1091), 1,
      sym_final_modifier,
    STATE(1349), 1,
      sym__modifier,
    STATE(1391), 1,
      sym_text_interpolation,
    STATE(1469), 1,
      sym__const_declaration,
    STATE(1847), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54834] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2819), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2817), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [54867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2823), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2821), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [54900] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2860), 1,
      aux_sym_enum_case_token1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1394), 1,
      sym_text_interpolation,
    STATE(1395), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1847), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54952] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1395), 1,
      sym_text_interpolation,
    STATE(1854), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55001] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2862), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2864), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1396), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55050] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1852), 1,
      sym__function_definition_header,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55099] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(613), 1,
      sym_integer,
    ACTIONS(643), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2866), 1,
      sym_float,
    ACTIONS(2868), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2870), 1,
      aux_sym__argument_name_token2,
    STATE(1398), 1,
      sym_text_interpolation,
    STATE(2618), 1,
      sym_literal,
    ACTIONS(639), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(641), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1026), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(852), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [55146] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2872), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2874), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1399), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1400), 1,
      sym_text_interpolation,
    ACTIONS(2876), 7,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1722), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [55226] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2878), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1401), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55272] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2880), 1,
      anon_sym_LBRACE,
    ACTIONS(2886), 1,
      anon_sym_BSLASHu,
    ACTIONS(2889), 1,
      sym__new_line,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    ACTIONS(2895), 1,
      sym_heredoc_end,
    STATE(1415), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1531), 1,
      sym_variable_name,
    STATE(1612), 1,
      sym__simple_string_member_access_expression,
    STATE(1621), 1,
      sym_dynamic_variable_name,
    ACTIONS(2883), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1402), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1587), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1608), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55322] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2862), 1,
      aux_sym__namespace_use_type_token2,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55368] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2897), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55414] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2899), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55460] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2901), 1,
      aux_sym_class_declaration_token1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1405), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55506] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2903), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1407), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55552] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2905), 1,
      anon_sym_LBRACE,
    ACTIONS(2909), 1,
      anon_sym_BSLASHu,
    ACTIONS(2911), 1,
      sym__new_line,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR,
    ACTIONS(2916), 1,
      sym_heredoc_end,
    STATE(1402), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1408), 1,
      sym_text_interpolation,
    STATE(1415), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1531), 1,
      sym_variable_name,
    STATE(1612), 1,
      sym__simple_string_member_access_expression,
    STATE(1621), 1,
      sym_dynamic_variable_name,
    ACTIONS(2907), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1587), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1608), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55604] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2918), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1409), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55650] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2920), 1,
      aux_sym_class_declaration_token1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1409), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55696] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2586), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2588), 1,
      sym_var_modifier,
    ACTIONS(2922), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1349), 1,
      sym__modifier,
    STATE(1411), 1,
      sym_text_interpolation,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [55742] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2924), 1,
      anon_sym_LBRACE,
    ACTIONS(2930), 1,
      anon_sym_BSLASHu,
    ACTIONS(2935), 1,
      anon_sym_DOLLAR,
    STATE(1531), 1,
      sym_variable_name,
    STATE(1612), 1,
      sym__simple_string_member_access_expression,
    STATE(1621), 1,
      sym_dynamic_variable_name,
    ACTIONS(2927), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2933), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1412), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1587), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1608), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55787] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2905), 1,
      anon_sym_LBRACE,
    ACTIONS(2909), 1,
      anon_sym_BSLASHu,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR,
    STATE(1412), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(1531), 1,
      sym_variable_name,
    STATE(1612), 1,
      sym__simple_string_member_access_expression,
    STATE(1621), 1,
      sym_dynamic_variable_name,
    ACTIONS(2895), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2907), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1587), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1608), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55834] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2905), 1,
      anon_sym_LBRACE,
    ACTIONS(2909), 1,
      anon_sym_BSLASHu,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR,
    ACTIONS(2938), 1,
      sym__new_line,
    STATE(1408), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1414), 1,
      sym_text_interpolation,
    STATE(1415), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1531), 1,
      sym_variable_name,
    STATE(1612), 1,
      sym__simple_string_member_access_expression,
    STATE(1621), 1,
      sym_dynamic_variable_name,
    ACTIONS(2907), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1587), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1608), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55883] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2905), 1,
      anon_sym_LBRACE,
    ACTIONS(2909), 1,
      anon_sym_BSLASHu,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR,
    STATE(1412), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1415), 1,
      sym_text_interpolation,
    STATE(1531), 1,
      sym_variable_name,
    STATE(1612), 1,
      sym__simple_string_member_access_expression,
    STATE(1621), 1,
      sym_dynamic_variable_name,
    ACTIONS(2907), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2940), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1587), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1608), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55930] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_LBRACE,
    ACTIONS(2946), 1,
      anon_sym_BSLASHu,
    ACTIONS(2948), 1,
      anon_sym_BQUOTE,
    ACTIONS(2950), 1,
      anon_sym_DOLLAR,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1653), 1,
      sym_dynamic_variable_name,
    STATE(1687), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2944), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1688), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1717), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55976] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(2952), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56002] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    ACTIONS(2960), 1,
      anon_sym_DQUOTE,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(1431), 1,
      aux_sym__interpolated_string_body,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1648), 1,
      sym_dynamic_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2956), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1681), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1716), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [56048] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(2964), 1,
      anon_sym_RBRACK,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1419), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2354), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [56092] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1420), 1,
      sym_text_interpolation,
    ACTIONS(2966), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56118] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym_BSLASHu,
    ACTIONS(2977), 1,
      anon_sym_DQUOTE,
    ACTIONS(2979), 1,
      anon_sym_DOLLAR,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1648), 1,
      sym_dynamic_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2971), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1421), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1681), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1716), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [56162] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1422), 1,
      sym_text_interpolation,
    ACTIONS(2982), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56188] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1423), 1,
      sym_text_interpolation,
    ACTIONS(2984), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56214] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1424), 1,
      sym_text_interpolation,
    ACTIONS(2986), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56240] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(2988), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56266] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_LBRACE,
    ACTIONS(2946), 1,
      anon_sym_BSLASHu,
    ACTIONS(2950), 1,
      anon_sym_DOLLAR,
    ACTIONS(2990), 1,
      anon_sym_BQUOTE,
    STATE(1426), 1,
      sym_text_interpolation,
    STATE(1427), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1653), 1,
      sym_dynamic_variable_name,
    STATE(1687), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2944), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1688), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1717), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [56312] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2992), 1,
      anon_sym_LBRACE,
    ACTIONS(2998), 1,
      anon_sym_BSLASHu,
    ACTIONS(3001), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      anon_sym_DOLLAR,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1653), 1,
      sym_dynamic_variable_name,
    STATE(1687), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2995), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1427), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1688), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1717), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [56356] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(3006), 1,
      anon_sym_RBRACK,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1428), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2354), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [56400] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(3008), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56426] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR,
    ACTIONS(3010), 1,
      anon_sym_DQUOTE,
    STATE(1430), 1,
      sym_text_interpolation,
    STATE(1434), 1,
      aux_sym__interpolated_string_body,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1648), 1,
      sym_dynamic_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2956), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1681), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1716), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [56472] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR,
    ACTIONS(3012), 1,
      anon_sym_DQUOTE,
    STATE(1421), 1,
      aux_sym__interpolated_string_body,
    STATE(1431), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1648), 1,
      sym_dynamic_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2956), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1681), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1716), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [56518] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(3014), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56544] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(3016), 1,
      anon_sym_RBRACK,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1433), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2354), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [56588] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR,
    ACTIONS(3018), 1,
      anon_sym_DQUOTE,
    STATE(1421), 1,
      aux_sym__interpolated_string_body,
    STATE(1434), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1648), 1,
      sym_dynamic_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2956), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1681), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1716), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [56634] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(3020), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56660] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_LBRACE,
    ACTIONS(2946), 1,
      anon_sym_BSLASHu,
    ACTIONS(2950), 1,
      anon_sym_DOLLAR,
    ACTIONS(3022), 1,
      anon_sym_BQUOTE,
    STATE(1427), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1436), 1,
      sym_text_interpolation,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1653), 1,
      sym_dynamic_variable_name,
    STATE(1687), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2944), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1688), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1717), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [56706] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1437), 1,
      sym_text_interpolation,
    ACTIONS(3024), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56732] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1438), 1,
      sym_text_interpolation,
    ACTIONS(3026), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56758] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(3028), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56784] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    ACTIONS(3030), 1,
      anon_sym_RBRACK,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1440), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2354), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [56828] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_LBRACE,
    ACTIONS(2946), 1,
      anon_sym_BSLASHu,
    ACTIONS(2950), 1,
      anon_sym_DOLLAR,
    ACTIONS(3032), 1,
      anon_sym_BQUOTE,
    STATE(1426), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1441), 1,
      sym_text_interpolation,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1653), 1,
      sym_dynamic_variable_name,
    STATE(1687), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2944), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1688), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1717), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [56874] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(3034), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56899] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1443), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2354), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [56940] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1444), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2047), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [56981] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1445), 1,
      sym_text_interpolation,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57006] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1446), 1,
      sym_text_interpolation,
    ACTIONS(3038), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57031] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1447), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2124), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [57072] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3040), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57097] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1449), 1,
      sym_text_interpolation,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57122] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_BSLASHu,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3046), 1,
      anon_sym_DOLLAR,
    STATE(1413), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1450), 1,
      sym_text_interpolation,
    STATE(1531), 1,
      sym_variable_name,
    STATE(1612), 1,
      sym__simple_string_member_access_expression,
    STATE(1621), 1,
      sym_dynamic_variable_name,
    ACTIONS(2907), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1587), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1608), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [57165] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(3048), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57190] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1452), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3050), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3052), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57221] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1453), 1,
      sym_text_interpolation,
    ACTIONS(3054), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57246] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1454), 1,
      sym_text_interpolation,
    ACTIONS(3056), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57271] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1455), 1,
      sym_text_interpolation,
    ACTIONS(3058), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57296] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1456), 1,
      sym_text_interpolation,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57321] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1457), 1,
      sym_text_interpolation,
    ACTIONS(3062), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57346] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1458), 1,
      sym_text_interpolation,
    ACTIONS(3064), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57371] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1459), 1,
      sym_text_interpolation,
    ACTIONS(3066), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57396] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1460), 1,
      sym_text_interpolation,
    ACTIONS(3068), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57421] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1461), 1,
      sym_text_interpolation,
    ACTIONS(3070), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57446] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1462), 1,
      sym_text_interpolation,
    ACTIONS(3072), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57471] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1463), 1,
      sym_text_interpolation,
    ACTIONS(3074), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57496] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1464), 1,
      sym_text_interpolation,
    ACTIONS(3076), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57521] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1465), 1,
      sym_text_interpolation,
    ACTIONS(3078), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57546] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1466), 1,
      sym_text_interpolation,
    ACTIONS(3080), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57571] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1467), 1,
      sym_text_interpolation,
    ACTIONS(3082), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57596] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1468), 1,
      sym_text_interpolation,
    ACTIONS(3084), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57621] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1469), 1,
      sym_text_interpolation,
    ACTIONS(3086), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [57646] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3090), 1,
      anon_sym_RBRACE,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1470), 1,
      sym_text_interpolation,
    STATE(1494), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1775), 1,
      sym_property_hook,
    STATE(1778), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2536), 1,
      sym_reference_modifier,
  [57692] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(620), 1,
      sym__member_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1471), 1,
      sym_text_interpolation,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(613), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57730] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3098), 1,
      sym_name,
    ACTIONS(3102), 1,
      anon_sym_LBRACE,
    STATE(631), 1,
      sym__member_name,
    STATE(646), 1,
      sym__reserved_identifier,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(634), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(640), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3100), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57768] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym__member_name,
    STATE(899), 1,
      sym__reserved_identifier,
    STATE(1473), 1,
      sym_text_interpolation,
    STATE(880), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(887), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57806] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1474), 1,
      sym_text_interpolation,
    STATE(2020), 1,
      sym__name,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [57844] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1475), 1,
      sym_text_interpolation,
    STATE(1879), 1,
      sym__name,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [57882] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3110), 1,
      anon_sym_RBRACE,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1476), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1775), 1,
      sym_property_hook,
    STATE(1778), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2536), 1,
      sym_reference_modifier,
  [57928] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(728), 1,
      sym__simple_variable,
    STATE(772), 1,
      sym__identifier,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(2465), 1,
      sym__member_name,
    STATE(742), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57968] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1748), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1478), 1,
      sym_text_interpolation,
    STATE(2102), 1,
      sym__name,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [58006] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(597), 1,
      sym__member_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1479), 1,
      sym_text_interpolation,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(613), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58044] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3114), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(786), 1,
      sym__member_name,
    STATE(1480), 1,
      sym_text_interpolation,
    STATE(783), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58082] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    ACTIONS(3116), 1,
      sym_name,
    ACTIONS(3120), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym__member_name,
    STATE(978), 1,
      sym__reserved_identifier,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(988), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3118), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58120] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3122), 1,
      sym_name,
    ACTIONS(3125), 1,
      anon_sym_AMP,
    ACTIONS(3128), 1,
      anon_sym_RBRACE,
    ACTIONS(3130), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3133), 1,
      anon_sym_POUND_LBRACK,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1775), 1,
      sym_property_hook,
    STATE(1778), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2536), 1,
      sym_reference_modifier,
    STATE(1482), 2,
      sym_text_interpolation,
      aux_sym_property_hook_list_repeat1,
  [58164] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    ACTIONS(3116), 1,
      sym_name,
    ACTIONS(3120), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym__member_name,
    STATE(978), 1,
      sym__reserved_identifier,
    STATE(1483), 1,
      sym_text_interpolation,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(988), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3118), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58202] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    ACTIONS(3116), 1,
      sym_name,
    ACTIONS(3120), 1,
      anon_sym_LBRACE,
    STATE(978), 1,
      sym__reserved_identifier,
    STATE(990), 1,
      sym__member_name,
    STATE(1484), 1,
      sym_text_interpolation,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(988), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3118), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58240] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_PIPE,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(1515), 1,
      aux_sym_union_type_repeat1,
    STATE(1517), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1518), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3143), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3136), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58276] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(695), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2044), 1,
      sym_name,
    STATE(1060), 1,
      sym__reserved_identifier,
    STATE(1486), 1,
      sym_text_interpolation,
    STATE(1630), 1,
      sym__name,
    STATE(2607), 1,
      sym_namespace_name,
    ACTIONS(2056), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1056), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [58314] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3150), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3152), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1487), 1,
      sym_text_interpolation,
    ACTIONS(2328), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [58342] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_LBRACE,
    STATE(863), 1,
      sym__member_name,
    STATE(899), 1,
      sym__reserved_identifier,
    STATE(1488), 1,
      sym_text_interpolation,
    STATE(880), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(887), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58380] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(772), 1,
      sym__identifier,
    STATE(986), 1,
      sym__simple_variable,
    STATE(1489), 1,
      sym_text_interpolation,
    STATE(2428), 1,
      sym__member_name,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58420] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3116), 1,
      sym_name,
    ACTIONS(3154), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym__simple_variable,
    STATE(978), 1,
      sym__reserved_identifier,
    STATE(979), 1,
      sym__identifier,
    STATE(1490), 1,
      sym_text_interpolation,
    STATE(2365), 1,
      sym__member_name,
    STATE(634), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3118), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58460] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3114), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(787), 1,
      sym__member_name,
    STATE(1491), 1,
      sym_text_interpolation,
    STATE(783), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58498] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(772), 1,
      sym__identifier,
    STATE(781), 1,
      sym__simple_variable,
    STATE(1492), 1,
      sym_text_interpolation,
    STATE(2490), 1,
      sym__member_name,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58538] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3098), 1,
      sym_name,
    ACTIONS(3102), 1,
      anon_sym_LBRACE,
    STATE(629), 1,
      sym__member_name,
    STATE(646), 1,
      sym__reserved_identifier,
    STATE(1493), 1,
      sym_text_interpolation,
    STATE(634), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(640), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3100), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58576] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_RBRACE,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1482), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1494), 1,
      sym_text_interpolation,
    STATE(1775), 1,
      sym_property_hook,
    STATE(1778), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2536), 1,
      sym_reference_modifier,
  [58622] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3116), 1,
      sym_name,
    ACTIONS(3154), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym__simple_variable,
    STATE(978), 1,
      sym__reserved_identifier,
    STATE(979), 1,
      sym__identifier,
    STATE(1495), 1,
      sym_text_interpolation,
    STATE(2396), 1,
      sym__member_name,
    STATE(880), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3118), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58662] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    ACTIONS(3158), 1,
      sym_name,
    STATE(593), 1,
      sym__member_name,
    STATE(599), 1,
      sym__reserved_identifier,
    STATE(1496), 1,
      sym_text_interpolation,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(613), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3160), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58700] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    ACTIONS(3158), 1,
      sym_name,
    STATE(594), 1,
      sym__member_name,
    STATE(599), 1,
      sym__reserved_identifier,
    STATE(1497), 1,
      sym_text_interpolation,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(613), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3160), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58738] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(695), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2044), 1,
      sym_name,
    STATE(1060), 1,
      sym__reserved_identifier,
    STATE(1498), 1,
      sym_text_interpolation,
    STATE(1873), 1,
      sym__name,
    STATE(2607), 1,
      sym_namespace_name,
    ACTIONS(2056), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1056), 3,
      sym_qualified_name,
      sym_relative_name,
      sym__identifier,
  [58776] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(610), 1,
      sym__simple_variable,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(772), 1,
      sym__identifier,
    STATE(1499), 1,
      sym_text_interpolation,
    STATE(2363), 1,
      sym__member_name,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58816] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3162), 1,
      anon_sym_RBRACE,
    STATE(1382), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1392), 1,
      sym_attribute_group,
    STATE(1482), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1500), 1,
      sym_text_interpolation,
    STATE(1775), 1,
      sym_property_hook,
    STATE(1778), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2536), 1,
      sym_reference_modifier,
  [58862] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3164), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym__member_name,
    STATE(746), 1,
      sym__reserved_identifier,
    STATE(1501), 1,
      sym_text_interpolation,
    STATE(729), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(742), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3166), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58900] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3114), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(766), 1,
      sym__member_name,
    STATE(1502), 1,
      sym_text_interpolation,
    STATE(783), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58938] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3164), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym__member_name,
    STATE(746), 1,
      sym__reserved_identifier,
    STATE(1503), 1,
      sym_text_interpolation,
    STATE(729), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(742), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3166), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58976] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(593), 1,
      sym__member_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(613), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59014] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3114), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(767), 1,
      sym__member_name,
    STATE(1505), 1,
      sym_text_interpolation,
    STATE(783), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59052] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(772), 1,
      sym__identifier,
    STATE(900), 1,
      sym__simple_variable,
    STATE(1506), 1,
      sym_text_interpolation,
    STATE(2396), 1,
      sym__member_name,
    STATE(880), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59092] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(594), 1,
      sym__member_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1507), 1,
      sym_text_interpolation,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(613), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59130] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    ACTIONS(3116), 1,
      sym_name,
    ACTIONS(3120), 1,
      anon_sym_LBRACE,
    STATE(978), 1,
      sym__reserved_identifier,
    STATE(991), 1,
      sym__member_name,
    STATE(1508), 1,
      sym_text_interpolation,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(988), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3118), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59168] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3170), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3172), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1509), 1,
      sym_text_interpolation,
    ACTIONS(2328), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [59195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1510), 1,
      sym_text_interpolation,
    ACTIONS(3174), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3176), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59220] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1511), 1,
      sym_text_interpolation,
    ACTIONS(3178), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3180), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1512), 1,
      sym_text_interpolation,
    ACTIONS(3050), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3052), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59270] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1513), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1626), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [59297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(3182), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3184), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59322] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3190), 1,
      anon_sym_PIPE,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(1523), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3186), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3188), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [59350] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_COLON,
    ACTIONS(2858), 1,
      anon_sym_COLON_COLON,
    STATE(1516), 1,
      sym_text_interpolation,
    ACTIONS(1825), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1630), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59378] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_AMP,
    STATE(1517), 1,
      sym_text_interpolation,
    STATE(1524), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3192), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3194), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [59406] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_PIPE,
    STATE(1518), 1,
      sym_text_interpolation,
    STATE(1525), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3196), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3198), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [59434] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_PIPE,
    STATE(1519), 1,
      sym_text_interpolation,
    STATE(1527), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3202), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3204), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [59462] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1520), 1,
      sym_text_interpolation,
    ACTIONS(3206), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3208), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1521), 1,
      sym_text_interpolation,
    ACTIONS(3210), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3213), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59510] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1522), 1,
      sym_text_interpolation,
    ACTIONS(3216), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3218), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59534] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3224), 1,
      anon_sym_PIPE,
    STATE(1523), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [59560] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_AMP,
    STATE(1524), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3206), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3208), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [59586] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_PIPE,
    STATE(1525), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3230), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3232), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [59612] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1526), 1,
      sym_text_interpolation,
    STATE(1560), 1,
      sym_reference_modifier,
    STATE(1855), 1,
      sym_formal_parameters,
    STATE(2464), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59648] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_PIPE,
    STATE(1525), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1527), 1,
      sym_text_interpolation,
    ACTIONS(3239), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3241), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [59676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1528), 1,
      sym_text_interpolation,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59700] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1529), 1,
      sym_text_interpolation,
    ACTIONS(3230), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3232), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59724] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1530), 1,
      sym_text_interpolation,
    STATE(1555), 1,
      sym_reference_modifier,
    STATE(1831), 1,
      sym_formal_parameters,
    STATE(2464), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59760] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3243), 1,
      anon_sym_DASH_GT,
    ACTIONS(3245), 1,
      anon_sym_LBRACK,
    ACTIONS(3247), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1531), 1,
      sym_text_interpolation,
    ACTIONS(1606), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1604), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59790] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(1638), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1640), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [59814] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1533), 1,
      sym_text_interpolation,
    STATE(1575), 1,
      sym_formal_parameters,
    STATE(1799), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59849] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    ACTIONS(3255), 1,
      anon_sym_DASH_GT,
    ACTIONS(3257), 1,
      anon_sym_LBRACK,
    ACTIONS(3259), 1,
      sym_execution_string_chars_after_variable,
    STATE(1534), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59878] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1535), 1,
      sym_text_interpolation,
    ACTIONS(2006), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [59899] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_COLON_COLON,
    STATE(1536), 1,
      sym_text_interpolation,
    ACTIONS(1825), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1630), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59924] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_BSLASHu,
    STATE(1537), 1,
      sym_text_interpolation,
    ACTIONS(1638), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59947] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1538), 1,
      sym_text_interpolation,
    STATE(1610), 1,
      sym_formal_parameters,
    STATE(1807), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59982] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1539), 1,
      sym_text_interpolation,
    STATE(1593), 1,
      sym_formal_parameters,
    STATE(1784), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60017] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1540), 1,
      sym_text_interpolation,
    STATE(1589), 1,
      sym_formal_parameters,
    STATE(1803), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60052] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    ACTIONS(3261), 1,
      anon_sym_DASH_GT,
    ACTIONS(3263), 1,
      anon_sym_LBRACK,
    ACTIONS(3265), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60081] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(1602), 1,
      sym_formal_parameters,
    STATE(1733), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60116] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1543), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3052), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3050), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [60145] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_BSLASHu,
    STATE(1544), 1,
      sym_text_interpolation,
    ACTIONS(1638), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60168] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(1606), 1,
      sym_formal_parameters,
    STATE(1830), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60203] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1546), 1,
      sym_text_interpolation,
    STATE(1597), 1,
      sym_formal_parameters,
    STATE(1777), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60238] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1547), 1,
      sym_text_interpolation,
    STATE(1599), 1,
      sym_formal_parameters,
    STATE(1780), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60273] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1548), 1,
      sym_text_interpolation,
    ACTIONS(3267), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3269), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [60296] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(3271), 1,
      anon_sym_COMMA,
    ACTIONS(3273), 1,
      anon_sym_RPAREN2,
    STATE(1549), 1,
      sym_text_interpolation,
    STATE(2080), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60324] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(3275), 1,
      anon_sym_RPAREN2,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(2184), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60352] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1006), 1,
      sym_declaration_list,
    STATE(1551), 1,
      sym_text_interpolation,
    STATE(1706), 1,
      sym_arguments,
    STATE(1876), 1,
      sym_base_clause,
    STATE(2516), 1,
      sym_class_interface_clause,
  [60386] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    STATE(1552), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      sym_named_type,
    STATE(2003), 1,
      sym_type_list,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
  [60418] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(944), 1,
      sym_declaration_list,
    STATE(1553), 1,
      sym_text_interpolation,
    STATE(1646), 1,
      sym_arguments,
    STATE(1913), 1,
      sym_base_clause,
    STATE(2445), 1,
      sym_class_interface_clause,
  [60452] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3283), 1,
      sym_name,
    STATE(1554), 1,
      sym_text_interpolation,
    STATE(1749), 1,
      sym_namespace_use_clause,
    STATE(1891), 1,
      sym_qualified_name,
    STATE(2029), 1,
      sym__namespace_use_group,
    STATE(2779), 1,
      sym_namespace_name,
    ACTIONS(3285), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [60484] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1555), 1,
      sym_text_interpolation,
    STATE(1837), 1,
      sym_formal_parameters,
    STATE(2475), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60514] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    ACTIONS(3287), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1556), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60540] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    ACTIONS(3291), 1,
      anon_sym_RPAREN2,
    STATE(1557), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60568] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1007), 1,
      sym_declaration_list,
    STATE(1558), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_arguments,
    STATE(1880), 1,
      sym_base_clause,
    STATE(2436), 1,
      sym_class_interface_clause,
  [60602] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3092), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1559), 1,
      sym_text_interpolation,
    STATE(1718), 1,
      sym_reference_modifier,
    STATE(2433), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60632] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1560), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      sym_formal_parameters,
    STATE(2475), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60662] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(844), 1,
      sym_declaration_list,
    STATE(1561), 1,
      sym_text_interpolation,
    STATE(1668), 1,
      sym_arguments,
    STATE(1875), 1,
      sym_base_clause,
    STATE(2527), 1,
      sym_class_interface_clause,
  [60696] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3283), 1,
      sym_name,
    STATE(1562), 1,
      sym_text_interpolation,
    STATE(1800), 1,
      sym_namespace_use_clause,
    STATE(1891), 1,
      sym_qualified_name,
    STATE(2232), 1,
      sym__namespace_use_group,
    STATE(2779), 1,
      sym_namespace_name,
    ACTIONS(3285), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [60728] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    STATE(1563), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      sym_named_type,
    STATE(2196), 1,
      sym_type_list,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
  [60760] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3295), 1,
      anon_sym_AMP,
    ACTIONS(3297), 1,
      anon_sym_PIPE,
    STATE(1564), 1,
      sym_text_interpolation,
    STATE(1786), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1817), 1,
      aux_sym_union_type_repeat1,
    STATE(1818), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3143), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60790] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_declaration_list,
    STATE(1565), 1,
      sym_text_interpolation,
    STATE(1677), 1,
      sym_arguments,
    STATE(1918), 1,
      sym_base_clause,
    STATE(2506), 1,
      sym_class_interface_clause,
  [60824] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(993), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3299), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3301), 1,
      aux_sym_finally_clause_token1,
    STATE(1566), 1,
      sym_text_interpolation,
    STATE(1567), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(991), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1820), 2,
      sym_catch_clause,
      sym_finally_clause,
  [60854] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1001), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3303), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3306), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(999), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1567), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1820), 2,
      sym_catch_clause,
      sym_finally_clause,
  [60882] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_COLON,
    ACTIONS(2858), 1,
      anon_sym_COLON_COLON,
    STATE(1568), 1,
      sym_text_interpolation,
    ACTIONS(1630), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60906] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(932), 1,
      sym_declaration_list,
    STATE(1569), 1,
      sym_text_interpolation,
    STATE(1707), 1,
      sym_arguments,
    STATE(1886), 1,
      sym_base_clause,
    STATE(2327), 1,
      sym_class_interface_clause,
  [60940] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(840), 1,
      sym_declaration_list,
    STATE(1570), 1,
      sym_text_interpolation,
    STATE(1674), 1,
      sym_arguments,
    STATE(1903), 1,
      sym_base_clause,
    STATE(2406), 1,
      sym_class_interface_clause,
  [60974] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_declaration_list,
    STATE(1571), 1,
      sym_text_interpolation,
    STATE(1675), 1,
      sym_arguments,
    STATE(1902), 1,
      sym_base_clause,
    STATE(2401), 1,
      sym_class_interface_clause,
  [61008] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_text_interpolation,
    STATE(1797), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1458), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61035] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1573), 1,
      sym_text_interpolation,
    ACTIONS(1640), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1638), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61056] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(1585), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1462), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61083] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(1728), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61112] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1576), 1,
      sym_text_interpolation,
    STATE(2023), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_text_interpolation,
    ACTIONS(1630), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61160] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(599), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_name,
    STATE(1578), 1,
      sym_text_interpolation,
    STATE(2255), 1,
      sym_named_type,
    STATE(2636), 1,
      sym_namespace_name,
    STATE(1512), 2,
      sym_qualified_name,
      sym_relative_name,
  [61189] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1579), 1,
      sym_text_interpolation,
    STATE(1794), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61216] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3315), 1,
      anon_sym_DASH,
    STATE(1580), 1,
      sym_text_interpolation,
    STATE(2562), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3313), 2,
      sym_integer,
      sym_name,
    STATE(2756), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61243] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1581), 1,
      sym_text_interpolation,
    STATE(1734), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61270] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1582), 1,
      sym_text_interpolation,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61291] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(1816), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61318] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1584), 1,
      sym_text_interpolation,
    ACTIONS(3317), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3319), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61339] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_text_interpolation,
    STATE(1797), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1442), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61366] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(3321), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61389] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(3323), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3325), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61410] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_AMP,
    ACTIONS(3333), 1,
      anon_sym_PIPE,
    STATE(1588), 1,
      sym_text_interpolation,
    STATE(1839), 1,
      aux_sym_union_type_repeat1,
    STATE(1840), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1909), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3143), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [61439] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(1731), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61468] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1590), 1,
      sym_text_interpolation,
    ACTIONS(2134), 3,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2132), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [61489] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3335), 1,
      sym_name,
    STATE(1591), 1,
      sym_text_interpolation,
    STATE(2096), 1,
      sym_qualified_name,
    STATE(2266), 1,
      sym_namespace_use_clause,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(3337), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [61518] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_RPAREN2,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(2184), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61543] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1593), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61572] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1594), 1,
      sym_text_interpolation,
    ACTIONS(3339), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2933), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61593] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_text_interpolation,
    STATE(1797), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1446), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61620] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    ACTIONS(3291), 1,
      anon_sym_RPAREN2,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61645] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1597), 1,
      sym_text_interpolation,
    STATE(1795), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61674] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1598), 1,
      sym_text_interpolation,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61695] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1599), 1,
      sym_text_interpolation,
    STATE(1798), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61724] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1600), 1,
      sym_text_interpolation,
    ACTIONS(3341), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3343), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61745] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1601), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1451), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61772] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1602), 1,
      sym_text_interpolation,
    STATE(1741), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61801] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3335), 1,
      sym_name,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(2096), 1,
      sym_qualified_name,
    STATE(2505), 1,
      sym_namespace_use_clause,
    STATE(2636), 1,
      sym_namespace_name,
    ACTIONS(3337), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [61830] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_text_interpolation,
    STATE(1797), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1453), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61857] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3315), 1,
      anon_sym_DASH,
    STATE(1605), 1,
      sym_text_interpolation,
    STATE(2763), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3313), 2,
      sym_integer,
      sym_name,
    STATE(2756), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61884] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(1776), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61913] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3347), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3350), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3345), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1607), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [61938] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1608), 1,
      sym_text_interpolation,
    ACTIONS(3353), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3355), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61959] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1448), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61986] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1610), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      sym__property_hook_body,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym__semicolon,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62015] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1611), 1,
      sym_text_interpolation,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62036] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1612), 1,
      sym_text_interpolation,
    ACTIONS(3357), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3359), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [62057] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_RPAREN2,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(2184), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62082] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1614), 1,
      sym_text_interpolation,
    ACTIONS(3361), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3363), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [62103] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3283), 1,
      sym_name,
    STATE(1615), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      sym_qualified_name,
    STATE(1990), 1,
      sym_namespace_use_clause,
    STATE(2607), 1,
      sym_namespace_name,
    ACTIONS(3365), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [62132] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    ACTIONS(3291), 1,
      anon_sym_RPAREN2,
    STATE(1616), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62157] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_LBRACE,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1758), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1439), 2,
      sym_use_list,
      sym__semicolon,
  [62184] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3271), 1,
      anon_sym_COMMA,
    ACTIONS(3273), 1,
      anon_sym_RPAREN2,
    STATE(1618), 1,
      sym_text_interpolation,
    STATE(2080), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62209] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3271), 1,
      anon_sym_COMMA,
    ACTIONS(3273), 1,
      anon_sym_RPAREN2,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(2080), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62234] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(1620), 1,
      sym_text_interpolation,
    ACTIONS(3371), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62257] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1621), 1,
      sym_text_interpolation,
    ACTIONS(1606), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1604), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [62278] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1622), 1,
      sym_text_interpolation,
    ACTIONS(1644), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1642), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [62299] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1623), 1,
      sym_text_interpolation,
    ACTIONS(1636), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1634), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [62320] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1825), 1,
      sym_const_element,
    STATE(2538), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [62347] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1625), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3052), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [62370] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1626), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1465), 2,
      sym_property_hook_list,
      sym__semicolon,
  [62397] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3315), 1,
      anon_sym_DASH,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(2672), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3313), 2,
      sym_integer,
      sym_name,
    STATE(2756), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [62424] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(1628), 1,
      sym_text_interpolation,
    ACTIONS(3373), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62447] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1629), 1,
      sym_text_interpolation,
    ACTIONS(2610), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62468] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_LBRACE,
    STATE(1617), 1,
      aux_sym_base_clause_repeat1,
    STATE(1630), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1424), 2,
      sym_use_list,
      sym__semicolon,
  [62495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_BSLASHu,
    STATE(1631), 1,
      sym_text_interpolation,
    ACTIONS(1642), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62515] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3375), 1,
      anon_sym_SQUOTE,
    ACTIONS(3377), 1,
      aux_sym_string_token2,
    ACTIONS(3380), 1,
      aux_sym_string_content_token1,
    STATE(1935), 1,
      aux_sym_string_content_repeat1,
    STATE(2061), 1,
      sym_string_content,
    STATE(1632), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [62541] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1017), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3383), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3385), 1,
      aux_sym_else_clause_token1,
    STATE(1633), 1,
      sym_text_interpolation,
    STATE(1740), 1,
      aux_sym_if_statement_repeat1,
    STATE(2166), 1,
      sym_else_if_clause,
    STATE(2261), 1,
      sym_else_clause,
  [62569] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_BSLASHu,
    STATE(1634), 1,
      sym_text_interpolation,
    ACTIONS(3363), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_BSLASHu,
    STATE(1635), 1,
      sym_text_interpolation,
    ACTIONS(3343), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62609] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_BSLASHu,
    STATE(1636), 1,
      sym_text_interpolation,
    ACTIONS(3001), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1637), 1,
      sym_text_interpolation,
    ACTIONS(3321), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62649] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1638), 1,
      sym_text_interpolation,
    ACTIONS(3321), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62669] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_BSLASHu,
    STATE(1639), 1,
      sym_text_interpolation,
    ACTIONS(3319), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62689] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1760), 1,
      anon_sym_LPAREN2,
    STATE(655), 1,
      sym_arguments,
    STATE(1640), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62711] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3389), 1,
      anon_sym_SQUOTE,
    ACTIONS(3391), 1,
      aux_sym_string_token2,
    ACTIONS(3393), 1,
      aux_sym_string_content_token1,
    STATE(1632), 1,
      aux_sym_string_repeat1,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1935), 1,
      aux_sym_string_content_repeat1,
    STATE(2061), 1,
      sym_string_content,
  [62739] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    ACTIONS(3397), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3395), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [62763] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1819), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [62785] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    STATE(1644), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1812), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [62807] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1009), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3402), 1,
      aux_sym_else_clause_token1,
    STATE(1645), 1,
      sym_text_interpolation,
    STATE(1647), 1,
      aux_sym_if_statement_repeat1,
    STATE(2166), 1,
      sym_else_if_clause,
    STATE(2171), 1,
      sym_else_clause,
  [62835] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(958), 1,
      sym_declaration_list,
    STATE(1646), 1,
      sym_text_interpolation,
    STATE(1863), 1,
      sym_base_clause,
    STATE(2474), 1,
      sym_class_interface_clause,
  [62863] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1017), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3405), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3408), 1,
      aux_sym_else_clause_token1,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1740), 1,
      aux_sym_if_statement_repeat1,
    STATE(2166), 1,
      sym_else_if_clause,
    STATE(2261), 1,
      sym_else_clause,
  [62891] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1648), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62911] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_declaration_list,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(1921), 1,
      sym_base_clause,
    STATE(2425), 1,
      sym_class_interface_clause,
  [62939] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_declaration_list,
    STATE(1650), 1,
      sym_text_interpolation,
    STATE(1868), 1,
      sym_base_clause,
    STATE(2487), 1,
      sym_class_interface_clause,
  [62967] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(548), 1,
      sym_declaration_list,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      sym_base_clause,
    STATE(2438), 1,
      sym_class_interface_clause,
  [62995] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_BSLASHu,
    STATE(1652), 1,
      sym_text_interpolation,
    ACTIONS(1634), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63015] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1653), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_BSLASHu,
    STATE(1654), 1,
      sym_text_interpolation,
    ACTIONS(1642), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63055] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_BSLASHu,
    STATE(1655), 1,
      sym_text_interpolation,
    ACTIONS(1634), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_BSLASHu,
    STATE(1656), 1,
      sym_text_interpolation,
    ACTIONS(1638), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63095] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_BSLASHu,
    STATE(1657), 1,
      sym_text_interpolation,
    ACTIONS(1638), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63115] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3391), 1,
      aux_sym_string_token2,
    ACTIONS(3393), 1,
      aux_sym_string_content_token1,
    ACTIONS(3413), 1,
      anon_sym_SQUOTE,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(1663), 1,
      aux_sym_string_repeat1,
    STATE(1935), 1,
      aux_sym_string_content_repeat1,
    STATE(2061), 1,
      sym_string_content,
  [63143] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3415), 1,
      sym_name,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(603), 1,
      sym__simple_variable,
    STATE(1659), 1,
      sym_text_interpolation,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63169] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    STATE(605), 1,
      sym_arguments,
    STATE(1660), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63191] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(1870), 1,
      sym_base_clause,
    STATE(2236), 1,
      sym_declaration_list,
    STATE(2472), 1,
      sym_class_interface_clause,
  [63219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1662), 1,
      sym_text_interpolation,
    ACTIONS(3373), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63239] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3391), 1,
      aux_sym_string_token2,
    ACTIONS(3393), 1,
      aux_sym_string_content_token1,
    ACTIONS(3419), 1,
      anon_sym_SQUOTE,
    STATE(1632), 1,
      aux_sym_string_repeat1,
    STATE(1663), 1,
      sym_text_interpolation,
    STATE(1935), 1,
      aux_sym_string_content_repeat1,
    STATE(2061), 1,
      sym_string_content,
  [63267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1664), 1,
      sym_text_interpolation,
    ACTIONS(3373), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63287] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3423), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3425), 1,
      aux_sym_else_clause_token1,
    STATE(1665), 1,
      sym_text_interpolation,
    STATE(1671), 1,
      aux_sym_if_statement_repeat2,
    STATE(2153), 1,
      sym_else_if_clause_2,
    STATE(2740), 1,
      sym_else_clause_2,
  [63315] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_RBRACE,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    STATE(1666), 1,
      sym_text_interpolation,
    STATE(1672), 1,
      aux_sym_switch_block_repeat1,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [63341] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3433), 1,
      aux_sym_switch_block_token1,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(1673), 1,
      aux_sym_switch_block_repeat1,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [63367] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_declaration_list,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(1902), 1,
      sym_base_clause,
    STATE(2401), 1,
      sym_class_interface_clause,
  [63395] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1669), 1,
      sym_text_interpolation,
    STATE(1908), 1,
      sym_base_clause,
    STATE(2164), 1,
      sym_declaration_list,
    STATE(2467), 1,
      sym_class_interface_clause,
  [63423] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      sym_base_clause,
    STATE(2167), 1,
      sym_declaration_list,
    STATE(2478), 1,
      sym_class_interface_clause,
  [63451] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3425), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3435), 1,
      aux_sym_if_statement_token2,
    STATE(1671), 1,
      sym_text_interpolation,
    STATE(1753), 1,
      aux_sym_if_statement_repeat2,
    STATE(2153), 1,
      sym_else_if_clause_2,
    STATE(2639), 1,
      sym_else_clause_2,
  [63479] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3437), 1,
      anon_sym_RBRACE,
    STATE(1607), 1,
      aux_sym_switch_block_repeat1,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [63505] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3439), 1,
      aux_sym_switch_block_token1,
    STATE(1607), 1,
      aux_sym_switch_block_repeat1,
    STATE(1673), 1,
      sym_text_interpolation,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [63531] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_declaration_list,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1918), 1,
      sym_base_clause,
    STATE(2506), 1,
      sym_class_interface_clause,
  [63559] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(782), 1,
      sym_declaration_list,
    STATE(1675), 1,
      sym_text_interpolation,
    STATE(1923), 1,
      sym_base_clause,
    STATE(2504), 1,
      sym_class_interface_clause,
  [63587] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      sym_text_interpolation,
    STATE(1930), 1,
      sym_base_clause,
    STATE(1979), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_class_interface_clause,
  [63615] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(858), 1,
      sym_declaration_list,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(1934), 1,
      sym_base_clause,
    STATE(2338), 1,
      sym_class_interface_clause,
  [63643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_BSLASHu,
    STATE(1678), 1,
      sym_text_interpolation,
    ACTIONS(3319), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63663] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3287), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3441), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1679), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63685] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_LPAREN2,
    STATE(885), 1,
      sym_arguments,
    STATE(1680), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63707] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_BSLASHu,
    STATE(1681), 1,
      sym_text_interpolation,
    ACTIONS(3443), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63727] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    ACTIONS(3447), 1,
      sym_name,
    ACTIONS(3449), 1,
      anon_sym_LBRACE,
    STATE(982), 1,
      sym__simple_variable,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63753] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_LPAREN2,
    STATE(983), 1,
      sym_arguments,
    STATE(1683), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63775] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3425), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3451), 1,
      aux_sym_if_statement_token2,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(1753), 1,
      aux_sym_if_statement_repeat2,
    STATE(2153), 1,
      sym_else_if_clause_2,
    STATE(2767), 1,
      sym_else_clause_2,
  [63803] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3453), 1,
      sym_name,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(3457), 1,
      anon_sym_DOLLAR,
    STATE(1631), 1,
      sym__simple_variable,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(1648), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63829] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LPAREN2,
    STATE(751), 1,
      sym_arguments,
    STATE(1686), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63851] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_BSLASHu,
    STATE(1687), 1,
      sym_text_interpolation,
    ACTIONS(3359), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_BSLASHu,
    STATE(1688), 1,
      sym_text_interpolation,
    ACTIONS(3325), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63891] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3459), 1,
      sym_name,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    ACTIONS(3463), 1,
      anon_sym_DOLLAR,
    STATE(1654), 1,
      sym__simple_variable,
    STATE(1689), 1,
      sym_text_interpolation,
    STATE(1653), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63917] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_LPAREN2,
    STATE(777), 1,
      sym_arguments,
    STATE(1690), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63939] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3465), 1,
      anon_sym_RBRACE,
    STATE(1607), 1,
      aux_sym_switch_block_repeat1,
    STATE(1691), 1,
      sym_text_interpolation,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [63965] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3467), 1,
      aux_sym_switch_block_token1,
    STATE(1607), 1,
      aux_sym_switch_block_repeat1,
    STATE(1692), 1,
      sym_text_interpolation,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [63991] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3425), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3469), 1,
      aux_sym_if_statement_token2,
    STATE(1684), 1,
      aux_sym_if_statement_repeat2,
    STATE(1693), 1,
      sym_text_interpolation,
    STATE(2153), 1,
      sym_else_if_clause_2,
    STATE(2742), 1,
      sym_else_clause_2,
  [64019] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1694), 1,
      sym_text_interpolation,
    ACTIONS(3371), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64039] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3471), 1,
      sym_name,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(744), 1,
      sym__simple_variable,
    STATE(1695), 1,
      sym_text_interpolation,
    STATE(742), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64065] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    ACTIONS(3475), 1,
      sym_name,
    ACTIONS(3477), 1,
      anon_sym_LBRACE,
    STATE(824), 1,
      sym__simple_variable,
    STATE(1696), 1,
      sym_text_interpolation,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64091] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1697), 1,
      sym_text_interpolation,
    ACTIONS(3371), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64111] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(3457), 1,
      anon_sym_DOLLAR,
    ACTIONS(3479), 1,
      sym_name,
    STATE(1631), 1,
      sym__simple_variable,
    STATE(1698), 1,
      sym_text_interpolation,
    STATE(1648), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64137] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    ACTIONS(3463), 1,
      anon_sym_DOLLAR,
    ACTIONS(3481), 1,
      sym_name,
    STATE(1654), 1,
      sym__simple_variable,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(1653), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64163] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3483), 1,
      sym_name,
    ACTIONS(3485), 1,
      anon_sym_LBRACE,
    ACTIONS(3487), 1,
      anon_sym_DOLLAR,
    STATE(1622), 1,
      sym__simple_variable,
    STATE(1700), 1,
      sym_text_interpolation,
    STATE(1621), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64189] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_LBRACE,
    ACTIONS(3487), 1,
      anon_sym_DOLLAR,
    ACTIONS(3489), 1,
      sym_name,
    STATE(1622), 1,
      sym__simple_variable,
    STATE(1701), 1,
      sym_text_interpolation,
    STATE(1621), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64215] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    ACTIONS(3493), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1702), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3491), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [64239] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    STATE(1691), 1,
      aux_sym_switch_block_repeat1,
    STATE(1703), 1,
      sym_text_interpolation,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [64265] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3497), 1,
      aux_sym_switch_block_token1,
    STATE(1692), 1,
      aux_sym_switch_block_repeat1,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(1917), 2,
      sym_case_statement,
      sym_default_statement,
  [64291] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(944), 1,
      sym_declaration_list,
    STATE(1705), 1,
      sym_text_interpolation,
    STATE(1913), 1,
      sym_base_clause,
    STATE(2445), 1,
      sym_class_interface_clause,
  [64319] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(943), 1,
      sym_declaration_list,
    STATE(1706), 1,
      sym_text_interpolation,
    STATE(1926), 1,
      sym_base_clause,
    STATE(2434), 1,
      sym_class_interface_clause,
  [64347] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1006), 1,
      sym_declaration_list,
    STATE(1707), 1,
      sym_text_interpolation,
    STATE(1876), 1,
      sym_base_clause,
    STATE(2516), 1,
      sym_class_interface_clause,
  [64375] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_BSLASHu,
    STATE(1708), 1,
      sym_text_interpolation,
    ACTIONS(3359), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [64395] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_BSLASHu,
    STATE(1709), 1,
      sym_text_interpolation,
    ACTIONS(3363), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [64415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_BSLASHu,
    STATE(1710), 1,
      sym_text_interpolation,
    ACTIONS(3343), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [64435] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_DOLLAR,
    ACTIONS(3148), 1,
      anon_sym_PIPE,
    ACTIONS(3499), 1,
      anon_sym_AMP,
    STATE(1515), 1,
      aux_sym_union_type_repeat1,
    STATE(1518), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1711), 1,
      sym_text_interpolation,
    STATE(2219), 1,
      aux_sym_intersection_type_repeat1,
  [64463] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3505), 1,
      sym_php_tag,
    ACTIONS(3507), 1,
      aux_sym_text_token1,
    ACTIONS(3509), 1,
      aux_sym_text_token2,
    ACTIONS(3511), 1,
      sym__eof,
    STATE(1712), 1,
      sym_text_interpolation,
    STATE(1745), 1,
      aux_sym_text_repeat1,
    STATE(2462), 1,
      sym_text,
  [64491] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3391), 1,
      aux_sym_string_token2,
    ACTIONS(3393), 1,
      aux_sym_string_content_token1,
    ACTIONS(3513), 1,
      anon_sym_SQUOTE,
    STATE(1641), 1,
      aux_sym_string_repeat1,
    STATE(1713), 1,
      sym_text_interpolation,
    STATE(1935), 1,
      aux_sym_string_content_repeat1,
    STATE(2061), 1,
      sym_string_content,
  [64519] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1009), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3383), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3385), 1,
      aux_sym_else_clause_token1,
    STATE(1633), 1,
      aux_sym_if_statement_repeat1,
    STATE(1714), 1,
      sym_text_interpolation,
    STATE(2166), 1,
      sym_else_if_clause,
    STATE(2171), 1,
      sym_else_clause,
  [64547] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(585), 1,
      sym_declaration_list,
    STATE(1715), 1,
      sym_text_interpolation,
    STATE(1896), 1,
      sym_base_clause,
    STATE(2375), 1,
      sym_class_interface_clause,
  [64575] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_BSLASHu,
    STATE(1716), 1,
      sym_text_interpolation,
    ACTIONS(3325), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [64595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_BSLASHu,
    STATE(1717), 1,
      sym_text_interpolation,
    ACTIONS(3515), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [64615] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    STATE(720), 1,
      sym__reserved_identifier,
    STATE(1718), 1,
      sym_text_interpolation,
    STATE(2431), 1,
      sym__identifier,
    ACTIONS(1905), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [64639] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_name,
    ACTIONS(3521), 1,
      anon_sym_LBRACE,
    STATE(645), 1,
      sym__simple_variable,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(634), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64665] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3523), 1,
      anon_sym_BSLASHu,
    STATE(1720), 1,
      sym_text_interpolation,
    ACTIONS(2977), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [64685] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3525), 1,
      sym_name,
    ACTIONS(3527), 1,
      anon_sym_LBRACE,
    STATE(884), 1,
      sym__simple_variable,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(880), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64711] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1722), 1,
      sym_text_interpolation,
    ACTIONS(3529), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64728] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    ACTIONS(3533), 1,
      anon_sym_COLON,
    STATE(546), 1,
      sym_enum_declaration_list,
    STATE(1723), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_class_interface_clause,
  [64753] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1724), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1982), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64776] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1725), 1,
      sym_text_interpolation,
    ACTIONS(1050), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1048), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1726), 1,
      sym_text_interpolation,
    ACTIONS(1058), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1056), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64814] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    ACTIONS(3537), 1,
      anon_sym_COLON,
    STATE(472), 1,
      sym_enum_declaration_list,
    STATE(1727), 1,
      sym_text_interpolation,
    STATE(2403), 1,
      sym_class_interface_clause,
  [64839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1728), 1,
      sym_text_interpolation,
    ACTIONS(3539), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3541), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64858] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      sym__semicolon,
    STATE(1729), 1,
      sym_text_interpolation,
    STATE(1826), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64881] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    STATE(1730), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3241), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64902] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1731), 1,
      sym_text_interpolation,
    ACTIONS(3545), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3547), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1732), 1,
      sym_text_interpolation,
    ACTIONS(3549), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3551), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64940] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1733), 1,
      sym_text_interpolation,
    ACTIONS(3553), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3555), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64959] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(500), 1,
      sym__semicolon,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(1739), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64982] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1735), 1,
      sym_text_interpolation,
    STATE(1831), 1,
      sym_formal_parameters,
    STATE(2513), 1,
      sym_reference_modifier,
  [65007] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(3559), 1,
      anon_sym_EQ,
    STATE(1736), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_property_hook_list,
    ACTIONS(3557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65030] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1737), 1,
      sym_text_interpolation,
    STATE(2103), 1,
      sym_formal_parameters,
    STATE(2382), 1,
      sym_reference_modifier,
  [65055] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3561), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(2285), 1,
      sym_reference_modifier,
    STATE(2286), 1,
      sym_variable_name,
  [65080] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(549), 1,
      sym__semicolon,
    STATE(1739), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65103] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1041), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1043), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3563), 1,
      aux_sym_else_if_clause_token1,
    STATE(2166), 1,
      sym_else_if_clause,
    STATE(1740), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [65126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1741), 1,
      sym_text_interpolation,
    ACTIONS(3566), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3568), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65145] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3570), 1,
      sym_name,
    ACTIONS(3572), 1,
      anon_sym_BSLASH,
    STATE(1742), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      sym_namespace_name,
    STATE(2093), 1,
      sym_compound_statement,
  [65170] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      sym__semicolon,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65193] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(518), 1,
      sym__semicolon,
    STATE(1744), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65216] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3507), 1,
      aux_sym_text_token1,
    ACTIONS(3509), 1,
      aux_sym_text_token2,
    ACTIONS(3574), 1,
      sym_php_tag,
    ACTIONS(3576), 1,
      sym__eof,
    STATE(1745), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      aux_sym_text_repeat1,
  [65241] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_COMMA,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(1809), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2211), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65264] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_COMMA,
    STATE(1747), 1,
      sym_text_interpolation,
    STATE(1810), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2213), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65287] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1748), 1,
      sym_text_interpolation,
    STATE(2214), 1,
      sym_compound_statement,
    STATE(2217), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65310] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_COMMA,
    STATE(1749), 1,
      sym_text_interpolation,
    STATE(1812), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2220), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65333] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1750), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2230), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65356] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    ACTIONS(3586), 1,
      anon_sym_COLON,
    STATE(1751), 1,
      sym_text_interpolation,
    STATE(2235), 1,
      sym_enum_declaration_list,
    STATE(2463), 1,
      sym_class_interface_clause,
  [65381] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3299), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3301), 1,
      aux_sym_finally_clause_token1,
    STATE(1566), 1,
      aux_sym_try_statement_repeat1,
    STATE(1752), 1,
      sym_text_interpolation,
    STATE(1820), 2,
      sym_catch_clause,
      sym_finally_clause,
  [65404] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3588), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3590), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3593), 1,
      aux_sym_else_clause_token1,
    STATE(2153), 1,
      sym_else_if_clause_2,
    STATE(1753), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [65427] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3574), 1,
      sym_php_tag,
    ACTIONS(3576), 1,
      ts_builtin_sym_end,
    STATE(1754), 1,
      sym_text_interpolation,
    STATE(1762), 1,
      aux_sym_text_repeat1,
  [65452] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1437), 1,
      sym_compound_statement,
    STATE(1438), 1,
      sym__semicolon,
    STATE(1755), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65475] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1756), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2030), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65498] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1757), 1,
      sym_text_interpolation,
    ACTIONS(3595), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3599), 1,
      anon_sym_COMMA,
    STATE(1758), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3597), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65534] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_COLON,
    STATE(1759), 1,
      sym_text_interpolation,
    STATE(2163), 1,
      sym_enum_declaration_list,
    STATE(2446), 1,
      sym_class_interface_clause,
  [65559] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN2,
    STATE(1760), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [65578] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_COMMA,
    STATE(495), 1,
      sym__semicolon,
    STATE(1761), 1,
      sym_text_interpolation,
    STATE(1956), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65601] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3604), 1,
      ts_builtin_sym_end,
    ACTIONS(3606), 1,
      sym_php_tag,
    ACTIONS(3608), 1,
      aux_sym_text_token1,
    ACTIONS(3611), 1,
      aux_sym_text_token2,
    STATE(1762), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [65624] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3616), 1,
      anon_sym_LBRACE,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    STATE(1763), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      sym_anonymous_function_use_clause,
    STATE(2577), 1,
      sym__return_type,
  [65649] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1035), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1764), 1,
      sym_text_interpolation,
    ACTIONS(1033), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65668] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(3622), 1,
      anon_sym_EQ,
    STATE(1765), 1,
      sym_text_interpolation,
    STATE(2424), 1,
      sym_property_hook_list,
    ACTIONS(3620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65691] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_COMMA,
    STATE(496), 1,
      sym__semicolon,
    STATE(1766), 1,
      sym_text_interpolation,
    STATE(1877), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65714] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3604), 1,
      sym__eof,
    ACTIONS(3606), 1,
      sym_php_tag,
    ACTIONS(3624), 1,
      aux_sym_text_token1,
    ACTIONS(3627), 1,
      aux_sym_text_token2,
    STATE(1767), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [65737] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    ACTIONS(3630), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1768), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3491), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [65760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1039), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1769), 1,
      sym_text_interpolation,
    ACTIONS(1037), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65779] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1770), 1,
      sym_text_interpolation,
    ACTIONS(3184), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65796] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1771), 1,
      sym_text_interpolation,
    ACTIONS(3052), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65813] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1772), 1,
      sym_text_interpolation,
    ACTIONS(3176), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65830] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3570), 1,
      sym_name,
    ACTIONS(3572), 1,
      anon_sym_BSLASH,
    STATE(489), 1,
      sym_compound_statement,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(1785), 1,
      sym_namespace_name,
  [65855] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_finally_clause_token1,
    STATE(444), 1,
      aux_sym_try_statement_repeat1,
    STATE(1774), 1,
      sym_text_interpolation,
    STATE(454), 2,
      sym_catch_clause,
      sym_finally_clause,
  [65878] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1775), 1,
      sym_text_interpolation,
    ACTIONS(3636), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3638), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1776), 1,
      sym_text_interpolation,
    ACTIONS(3640), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3642), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65916] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1777), 1,
      sym_text_interpolation,
    ACTIONS(3644), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3646), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65935] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3648), 1,
      sym_name,
    STATE(1778), 1,
      sym_text_interpolation,
    STATE(2278), 1,
      sym_final_modifier,
    STATE(2670), 1,
      sym_reference_modifier,
  [65960] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1779), 1,
      sym_text_interpolation,
    ACTIONS(1282), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1280), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1780), 1,
      sym_text_interpolation,
    ACTIONS(3650), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3652), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65998] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_COMMA,
    STATE(458), 1,
      sym__semicolon,
    STATE(1761), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1781), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66021] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_COMMA,
    STATE(461), 1,
      sym__semicolon,
    STATE(1766), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1782), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66044] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_BSLASH,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(1796), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3654), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66065] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1784), 1,
      sym_text_interpolation,
    ACTIONS(3658), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3660), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66084] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(463), 1,
      sym_compound_statement,
    STATE(464), 1,
      sym__semicolon,
    STATE(1785), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66107] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3295), 1,
      anon_sym_AMP,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(1850), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3194), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66128] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3662), 1,
      sym_name,
    STATE(1787), 1,
      sym_text_interpolation,
    STATE(2270), 1,
      sym_visibility_modifier,
    ACTIONS(3664), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [66149] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_EQ,
    STATE(1788), 1,
      sym_text_interpolation,
    STATE(2477), 1,
      sym_property_hook_list,
    ACTIONS(3666), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [66172] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      anon_sym_EQ,
    STATE(1789), 1,
      sym_text_interpolation,
    STATE(2485), 1,
      sym_property_hook_list,
    ACTIONS(3670), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [66195] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_COMMA,
    STATE(498), 1,
      sym__semicolon,
    STATE(1790), 1,
      sym_text_interpolation,
    STATE(1905), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66218] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(467), 1,
      sym__semicolon,
    STATE(1743), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1791), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66241] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3674), 1,
      anon_sym_RPAREN2,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(2497), 2,
      sym_variable_name,
      sym_by_ref,
  [66264] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3676), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1793), 1,
      sym_text_interpolation,
    STATE(2000), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
  [66289] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1756), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1794), 1,
      sym_text_interpolation,
    STATE(1980), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66312] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1795), 1,
      sym_text_interpolation,
    ACTIONS(3678), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3680), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66331] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_BSLASH,
    STATE(1796), 1,
      sym_text_interpolation,
    STATE(1832), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3682), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66352] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3686), 1,
      anon_sym_COMMA,
    STATE(1797), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3684), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66371] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1798), 1,
      sym_text_interpolation,
    ACTIONS(3689), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3691), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66390] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1799), 1,
      sym_text_interpolation,
    ACTIONS(3693), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3695), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66409] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_COMMA,
    STATE(465), 1,
      sym__semicolon,
    STATE(1790), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1800), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66432] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1801), 1,
      sym_text_interpolation,
    ACTIONS(3697), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3699), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1062), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1802), 1,
      sym_text_interpolation,
    ACTIONS(1060), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66470] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1803), 1,
      sym_text_interpolation,
    ACTIONS(3701), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3703), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66489] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3705), 1,
      anon_sym_PIPE,
    STATE(1804), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3222), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [66508] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_PIPE,
    STATE(1805), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3232), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [66527] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PIPE,
    STATE(1805), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1806), 1,
      sym_text_interpolation,
    ACTIONS(3241), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [66548] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1807), 1,
      sym_text_interpolation,
    ACTIONS(3713), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3715), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66567] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN2,
    ACTIONS(3717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3719), 1,
      anon_sym_DASH_GT,
    ACTIONS(3721), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3723), 1,
      anon_sym_LBRACK,
    STATE(1808), 1,
      sym_text_interpolation,
  [66592] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_COMMA,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(1956), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2297), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66615] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(1877), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2298), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66638] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_BSLASH,
    ACTIONS(3725), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1811), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3395), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [66661] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_COMMA,
    STATE(1812), 1,
      sym_text_interpolation,
    STATE(1905), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2300), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66684] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1813), 1,
      sym_text_interpolation,
    ACTIONS(3727), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66701] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    STATE(1814), 1,
      sym_text_interpolation,
    STATE(2303), 1,
      sym__return_type,
    ACTIONS(3729), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66722] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1815), 1,
      sym_text_interpolation,
    ACTIONS(3180), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66739] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(1848), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2304), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66762] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_PIPE,
    STATE(1817), 1,
      sym_text_interpolation,
    STATE(1849), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3188), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66783] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    STATE(1818), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3198), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66804] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2310), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1054), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1820), 1,
      sym_text_interpolation,
    ACTIONS(1052), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66846] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3735), 1,
      anon_sym_LBRACE,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(2277), 1,
      sym_anonymous_function_use_clause,
    STATE(2667), 1,
      sym__return_type,
  [66871] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    STATE(1822), 1,
      sym_text_interpolation,
    STATE(2287), 1,
      sym_anonymous_function_use_clause,
    STATE(2713), 1,
      sym__return_type,
  [66896] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3739), 1,
      anon_sym_LBRACE,
    STATE(1823), 1,
      sym_text_interpolation,
    STATE(2272), 1,
      sym_anonymous_function_use_clause,
    STATE(2733), 1,
      sym__return_type,
  [66921] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3741), 1,
      anon_sym_LBRACE,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(2223), 1,
      sym_anonymous_function_use_clause,
    STATE(2553), 1,
      sym__return_type,
  [66946] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(474), 1,
      sym__semicolon,
    STATE(1744), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1825), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66969] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(539), 1,
      sym__semicolon,
    STATE(1826), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66992] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(2501), 1,
      sym_property_hook_list,
    ACTIONS(3743), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [67015] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(3749), 1,
      anon_sym_EQ,
    STATE(1828), 1,
      sym_text_interpolation,
    STATE(2528), 1,
      sym_property_hook_list,
    ACTIONS(3747), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [67038] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2012), 1,
      anon_sym_LPAREN2,
    STATE(1829), 1,
      sym_text_interpolation,
    ACTIONS(2014), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [67057] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1830), 1,
      sym_text_interpolation,
    ACTIONS(3751), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3753), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [67076] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3755), 1,
      anon_sym_LBRACE,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(2299), 1,
      sym_anonymous_function_use_clause,
    STATE(2759), 1,
      sym__return_type,
  [67101] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_BSLASH,
    STATE(1832), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3757), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67120] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1833), 1,
      sym_text_interpolation,
    ACTIONS(3762), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3764), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [67139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1834), 1,
      sym_text_interpolation,
    ACTIONS(3766), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3768), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [67158] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1835), 1,
      sym_text_interpolation,
    ACTIONS(1911), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [67175] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(3772), 1,
      anon_sym_EQ,
    STATE(1836), 1,
      sym_text_interpolation,
    STATE(2502), 1,
      sym_property_hook_list,
    ACTIONS(3770), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [67198] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    STATE(1837), 1,
      sym_text_interpolation,
    STATE(2005), 1,
      sym_anonymous_function_use_clause,
    STATE(2770), 1,
      sym__return_type,
  [67223] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(3778), 1,
      anon_sym_EQ,
    STATE(1838), 1,
      sym_text_interpolation,
    STATE(2321), 1,
      sym_property_hook_list,
    ACTIONS(3776), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [67246] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_PIPE,
    STATE(1804), 1,
      aux_sym_union_type_repeat1,
    STATE(1839), 1,
      sym_text_interpolation,
    ACTIONS(3188), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [67267] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PIPE,
    STATE(1805), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1840), 1,
      sym_text_interpolation,
    ACTIONS(3198), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [67288] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PIPE,
    STATE(1806), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1841), 1,
      sym_text_interpolation,
    ACTIONS(3204), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [67309] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3782), 1,
      anon_sym_RPAREN2,
    STATE(1842), 1,
      sym_text_interpolation,
    STATE(2497), 2,
      sym_variable_name,
      sym_by_ref,
  [67332] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1724), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1843), 1,
      sym_text_interpolation,
    STATE(2310), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67355] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1844), 1,
      sym_text_interpolation,
    ACTIONS(3784), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67372] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    STATE(1845), 1,
      sym_text_interpolation,
    STATE(2174), 1,
      sym__return_type,
    ACTIONS(3786), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67393] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    STATE(1730), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1846), 1,
      sym_text_interpolation,
    ACTIONS(3204), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67414] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1420), 1,
      sym__semicolon,
    STATE(1432), 1,
      sym_compound_statement,
    STATE(1847), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67437] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1848), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2179), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67460] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_PIPE,
    STATE(1849), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3222), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67479] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_AMP,
    STATE(1850), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3208), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_PIPE,
    STATE(1851), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3232), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67517] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1422), 1,
      sym_compound_statement,
    STATE(1423), 1,
      sym__semicolon,
    STATE(1852), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67540] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3799), 1,
      anon_sym_EQ,
    STATE(1853), 1,
      sym_text_interpolation,
    ACTIONS(3797), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [67559] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1417), 1,
      sym_compound_statement,
    STATE(1425), 1,
      sym__semicolon,
    STATE(1854), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67582] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3801), 1,
      anon_sym_LBRACE,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(2253), 1,
      sym_anonymous_function_use_clause,
    STATE(2602), 1,
      sym__return_type,
  [67607] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1856), 1,
      sym_text_interpolation,
    ACTIONS(3803), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3805), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [67626] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1857), 1,
      sym_text_interpolation,
    ACTIONS(3208), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [67642] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(2497), 2,
      sym_variable_name,
      sym_by_ref,
  [67662] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(595), 1,
      sym__simple_variable,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67682] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1860), 1,
      sym_text_interpolation,
    STATE(1836), 2,
      sym_variable_name,
      sym_by_ref,
  [67702] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_DOLLAR,
    STATE(780), 1,
      sym__simple_variable,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67722] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_COMMA,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3809), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [67742] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(964), 1,
      sym_declaration_list,
    STATE(1863), 1,
      sym_text_interpolation,
    STATE(2523), 1,
      sym_class_interface_clause,
  [67764] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3811), 1,
      sym_name,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(1865), 1,
      sym_qualified_name,
    STATE(2683), 1,
      sym_namespace_name,
  [67786] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3397), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1865), 1,
      sym_text_interpolation,
    ACTIONS(3395), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67804] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_EQ,
    STATE(1456), 1,
      sym__semicolon,
    STATE(1866), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67824] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_PIPE,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(1871), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3815), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [67844] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_declaration_list,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2498), 1,
      sym_class_interface_clause,
  [67866] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1869), 1,
      sym_text_interpolation,
    ACTIONS(3727), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67882] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2175), 1,
      sym_declaration_list,
    STATE(2381), 1,
      sym_class_interface_clause,
  [67904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_PIPE,
    ACTIONS(3819), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
    STATE(1871), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [67922] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1872), 1,
      sym_text_interpolation,
    ACTIONS(3218), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [67938] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1873), 1,
      sym_text_interpolation,
    ACTIONS(3597), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [67954] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1747), 1,
      sym__simple_variable,
    STATE(1874), 1,
      sym_text_interpolation,
    STATE(634), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67974] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_declaration_list,
    STATE(1875), 1,
      sym_text_interpolation,
    STATE(2401), 1,
      sym_class_interface_clause,
  [67996] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(943), 1,
      sym_declaration_list,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2434), 1,
      sym_class_interface_clause,
  [68018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_COMMA,
    ACTIONS(3824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1877), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [68036] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3831), 1,
      anon_sym_DASH_GT,
    ACTIONS(3833), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3835), 1,
      anon_sym_LBRACK,
    STATE(1878), 1,
      sym_text_interpolation,
  [68058] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_COMMA,
    STATE(1862), 1,
      aux_sym_base_clause_repeat1,
    STATE(1879), 1,
      sym_text_interpolation,
    ACTIONS(3837), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [68078] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(944), 1,
      sym_declaration_list,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(2445), 1,
      sym_class_interface_clause,
  [68100] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1881), 1,
      sym_text_interpolation,
    STATE(2750), 1,
      sym_declare_directive,
    ACTIONS(3839), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68118] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1855), 1,
      sym_formal_parameters,
    STATE(1882), 1,
      sym_text_interpolation,
    STATE(2337), 1,
      sym_reference_modifier,
  [68140] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3843), 1,
      sym__new_line,
    ACTIONS(3845), 1,
      sym_heredoc_end,
    STATE(1883), 1,
      sym_text_interpolation,
    STATE(2426), 1,
      sym_heredoc_body,
  [68162] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1884), 1,
      sym_text_interpolation,
    STATE(2156), 1,
      sym_declaration_list,
    STATE(2440), 1,
      sym_base_clause,
  [68184] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3811), 1,
      sym_name,
    STATE(1865), 1,
      sym_qualified_name,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(2607), 1,
      sym_namespace_name,
  [68206] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1006), 1,
      sym_declaration_list,
    STATE(1886), 1,
      sym_text_interpolation,
    STATE(2516), 1,
      sym_class_interface_clause,
  [68228] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1887), 1,
      sym_text_interpolation,
    ACTIONS(1829), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [68244] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3847), 1,
      anon_sym_LPAREN2,
    STATE(1888), 1,
      sym_text_interpolation,
    STATE(2129), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68264] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1831), 1,
      sym_formal_parameters,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(2513), 1,
      sym_reference_modifier,
  [68286] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3849), 1,
      anon_sym_AMP,
    ACTIONS(3208), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1890), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [68304] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3493), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1891), 1,
      sym_text_interpolation,
    ACTIONS(3491), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68322] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2572), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2845), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3852), 1,
      aux_sym__namespace_use_type_token1,
    STATE(1892), 1,
      sym_text_interpolation,
    STATE(2347), 1,
      sym_static_modifier,
  [68344] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    STATE(1893), 1,
      sym_text_interpolation,
    STATE(2205), 1,
      sym_enum_declaration_list,
    STATE(2481), 1,
      sym_class_interface_clause,
  [68366] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3856), 1,
      sym_nowdoc_string,
    STATE(1894), 1,
      sym_text_interpolation,
    STATE(1922), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3854), 2,
      sym_heredoc_end,
      sym__new_line,
  [68386] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1895), 1,
      sym_text_interpolation,
    ACTIONS(3858), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [68402] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_declaration_list,
    STATE(1896), 1,
      sym_text_interpolation,
    STATE(2412), 1,
      sym_class_interface_clause,
  [68424] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_COMMA,
    ACTIONS(3597), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1897), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [68442] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_PIPE,
    STATE(1867), 1,
      aux_sym_type_list_repeat1,
    STATE(1898), 1,
      sym_text_interpolation,
    ACTIONS(3863), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [68462] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(2312), 1,
      sym_formal_parameters,
    STATE(2518), 1,
      sym_reference_modifier,
  [68484] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(1983), 1,
      sym__simple_variable,
    STATE(634), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68504] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1901), 1,
      sym_text_interpolation,
    ACTIONS(3865), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3867), 2,
      sym__eof,
      aux_sym_text_token2,
  [68522] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(782), 1,
      sym_declaration_list,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(2504), 1,
      sym_class_interface_clause,
  [68544] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_declaration_list,
    STATE(1903), 1,
      sym_text_interpolation,
    STATE(2506), 1,
      sym_class_interface_clause,
  [68566] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1904), 1,
      sym_text_interpolation,
    ACTIONS(3232), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68582] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    ACTIONS(3869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1905), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [68600] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1906), 1,
      sym_text_interpolation,
    ACTIONS(3684), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [68616] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3874), 1,
      anon_sym_DASH_GT,
    ACTIONS(3876), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3878), 1,
      anon_sym_LBRACK,
    STATE(1907), 1,
      sym_text_interpolation,
  [68638] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1908), 1,
      sym_text_interpolation,
    STATE(1978), 1,
      sym_declaration_list,
    STATE(2529), 1,
      sym_class_interface_clause,
  [68660] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_AMP,
    STATE(1890), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1909), 1,
      sym_text_interpolation,
    ACTIONS(3194), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [68680] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1910), 1,
      sym_text_interpolation,
    STATE(2258), 1,
      sym_formal_parameters,
    STATE(2429), 1,
      sym_reference_modifier,
  [68702] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(1984), 1,
      sym_declaration_list,
    STATE(2325), 1,
      sym_class_interface_clause,
  [68724] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_EQ,
    ACTIONS(3885), 1,
      anon_sym_RPAREN2,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(2197), 1,
      aux_sym__list_destructing_repeat1,
  [68746] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(958), 1,
      sym_declaration_list,
    STATE(1913), 1,
      sym_text_interpolation,
    STATE(2474), 1,
      sym_class_interface_clause,
  [68768] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_enum_declaration_list,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(2392), 1,
      sym_class_interface_clause,
  [68790] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_declaration_list,
    STATE(1915), 1,
      sym_text_interpolation,
    STATE(2367), 1,
      sym_base_clause,
  [68812] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1916), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [68828] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1917), 1,
      sym_text_interpolation,
    ACTIONS(3887), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [68844] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(858), 1,
      sym_declaration_list,
    STATE(1918), 1,
      sym_text_interpolation,
    STATE(2338), 1,
      sym_class_interface_clause,
  [68866] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3889), 1,
      anon_sym_DASH_GT,
    ACTIONS(3891), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3893), 1,
      anon_sym_LBRACK,
    STATE(1919), 1,
      sym_text_interpolation,
  [68888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2590), 1,
      sym_declare_directive,
    ACTIONS(3839), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68906] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_declaration_list,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      sym_class_interface_clause,
  [68928] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3897), 1,
      sym_nowdoc_string,
    ACTIONS(3895), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1922), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [68946] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_declaration_list,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(2341), 1,
      sym_class_interface_clause,
  [68968] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3843), 1,
      sym__new_line,
    ACTIONS(3900), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3902), 1,
      sym_heredoc_end,
    STATE(1924), 1,
      sym_text_interpolation,
    STATE(2512), 1,
      sym_heredoc_body,
  [68990] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    STATE(1925), 1,
      sym_text_interpolation,
    STATE(2026), 1,
      sym_enum_declaration_list,
    STATE(2342), 1,
      sym_class_interface_clause,
  [69012] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    STATE(957), 1,
      sym_declaration_list,
    STATE(1926), 1,
      sym_text_interpolation,
    STATE(2496), 1,
      sym_class_interface_clause,
  [69034] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(579), 1,
      sym_declaration_list,
    STATE(1927), 1,
      sym_text_interpolation,
    STATE(2437), 1,
      sym_class_interface_clause,
  [69056] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1928), 1,
      sym_text_interpolation,
    ACTIONS(1620), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [69072] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1929), 1,
      sym_text_interpolation,
    STATE(1765), 2,
      sym_variable_name,
      sym_by_ref,
  [69092] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1930), 1,
      sym_text_interpolation,
    STATE(2028), 1,
      sym_declaration_list,
    STATE(2343), 1,
      sym_class_interface_clause,
  [69114] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1931), 1,
      sym_text_interpolation,
    ACTIONS(3784), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [69130] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(2492), 1,
      sym_arguments,
    ACTIONS(3904), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [69150] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1933), 1,
      sym_text_interpolation,
    ACTIONS(3529), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [69166] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(854), 1,
      sym_declaration_list,
    STATE(1934), 1,
      sym_text_interpolation,
    STATE(2348), 1,
      sym_class_interface_clause,
  [69188] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3393), 1,
      aux_sym_string_content_token1,
    STATE(1935), 1,
      sym_text_interpolation,
    STATE(1965), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3906), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [69208] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1936), 1,
      sym_text_interpolation,
    ACTIONS(3757), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [69224] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1782), 1,
      sym__simple_variable,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(634), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [69244] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1938), 1,
      sym_text_interpolation,
    ACTIONS(3908), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [69260] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_COMMA,
    ACTIONS(3910), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1939), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [69278] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1940), 1,
      sym_text_interpolation,
    STATE(2673), 1,
      sym_declare_directive,
    ACTIONS(3839), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [69296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    STATE(1941), 1,
      sym_text_interpolation,
    ACTIONS(2522), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [69314] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1942), 1,
      sym_text_interpolation,
    STATE(1828), 2,
      sym_variable_name,
      sym_by_ref,
  [69334] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1943), 1,
      sym_text_interpolation,
    STATE(2234), 1,
      sym_declaration_list,
    STATE(2320), 1,
      sym_base_clause,
  [69356] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3917), 1,
      anon_sym_DASH_GT,
    ACTIONS(3919), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3921), 1,
      anon_sym_LBRACK,
    STATE(1944), 1,
      sym_text_interpolation,
  [69378] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(1789), 2,
      sym_variable_name,
      sym_by_ref,
  [69398] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1823), 1,
      sym_formal_parameters,
    STATE(1946), 1,
      sym_text_interpolation,
    STATE(2427), 1,
      sym_reference_modifier,
  [69420] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3923), 1,
      anon_sym_DASH_GT,
    ACTIONS(3925), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3927), 1,
      anon_sym_LBRACK,
    STATE(1947), 1,
      sym_text_interpolation,
  [69442] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3835), 1,
      anon_sym_LBRACK,
    ACTIONS(3929), 1,
      anon_sym_DASH_GT,
    ACTIONS(3931), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1948), 1,
      sym_text_interpolation,
  [69464] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3933), 1,
      anon_sym_LPAREN2,
    STATE(525), 1,
      sym__semicolon,
    STATE(1949), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69484] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1950), 1,
      sym_text_interpolation,
    ACTIONS(3222), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [69500] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(1833), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [69516] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3935), 1,
      anon_sym_EQ,
    STATE(1445), 1,
      sym__semicolon,
    STATE(1952), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69536] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DOLLAR,
    STATE(985), 1,
      sym__simple_variable,
    STATE(1953), 1,
      sym_text_interpolation,
    STATE(976), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [69556] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(605), 1,
      anon_sym_BSLASH,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3937), 1,
      sym_name,
    STATE(1954), 1,
      sym_text_interpolation,
    STATE(2218), 1,
      sym_qualified_name,
    STATE(2636), 1,
      sym_namespace_name,
  [69578] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1955), 1,
      sym_text_interpolation,
    STATE(2103), 1,
      sym_formal_parameters,
    STATE(2382), 1,
      sym_reference_modifier,
  [69600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_COMMA,
    ACTIONS(3939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1956), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [69618] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_EQ,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(3944), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69636] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1958), 1,
      sym_text_interpolation,
    ACTIONS(3595), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [69652] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1763), 1,
      sym_formal_parameters,
    STATE(1959), 1,
      sym_text_interpolation,
    STATE(2374), 1,
      sym_reference_modifier,
  [69674] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3279), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_declaration_list,
    STATE(1960), 1,
      sym_text_interpolation,
    STATE(2419), 1,
      sym_base_clause,
  [69696] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(3213), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [69712] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3948), 1,
      anon_sym_DASH_GT,
    ACTIONS(3950), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3952), 1,
      anon_sym_LBRACK,
    STATE(1962), 1,
      sym_text_interpolation,
  [69734] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3843), 1,
      sym__new_line,
    ACTIONS(3954), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3956), 1,
      sym_heredoc_end,
    STATE(1963), 1,
      sym_text_interpolation,
    STATE(2353), 1,
      sym_heredoc_body,
  [69756] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_enum_declaration_list,
    STATE(1964), 1,
      sym_text_interpolation,
    STATE(2372), 1,
      sym_class_interface_clause,
  [69778] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3960), 1,
      aux_sym_string_content_token1,
    ACTIONS(3958), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
    STATE(1965), 2,
      sym_text_interpolation,
      aux_sym_string_content_repeat1,
  [69796] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1966), 1,
      sym_text_interpolation,
    STATE(2716), 1,
      sym_declare_directive,
    ACTIONS(3839), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [69814] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1967), 1,
      sym_text_interpolation,
    STATE(2024), 1,
      sym_formal_parameters,
    STATE(2376), 1,
      sym_reference_modifier,
  [69836] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1968), 1,
      sym_text_interpolation,
    STATE(2288), 2,
      sym_variable_name,
      sym_by_ref,
  [69856] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3843), 1,
      sym__new_line,
    ACTIONS(3963), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3965), 1,
      sym_heredoc_end,
    STATE(1969), 1,
      sym_text_interpolation,
    STATE(2368), 1,
      sym_heredoc_body,
  [69878] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(3865), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3867), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
  [69896] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(1823), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [69912] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_EQ_GT,
    ACTIONS(3967), 1,
      anon_sym_COMMA,
    STATE(1972), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [69929] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1973), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69946] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1974), 1,
      sym_text_interpolation,
    STATE(2241), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69963] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR,
    STATE(1609), 1,
      sym_property_element,
    STATE(1853), 1,
      sym_variable_name,
    STATE(1975), 1,
      sym_text_interpolation,
  [69982] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1976), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(1556), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1130), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1980), 1,
      sym_text_interpolation,
    ACTIONS(1128), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70067] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(3939), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70082] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1982), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70099] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(3824), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70114] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70131] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR,
    STATE(1853), 1,
      sym_variable_name,
    STATE(1906), 1,
      sym_property_element,
    STATE(1985), 1,
      sym_text_interpolation,
  [70150] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR,
    STATE(1957), 1,
      sym_variable_name,
    STATE(1981), 1,
      sym_static_variable_declaration,
    STATE(1986), 1,
      sym_text_interpolation,
  [70169] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3970), 1,
      sym_name,
    ACTIONS(3972), 1,
      anon_sym_LBRACE,
    STATE(1987), 1,
      sym_text_interpolation,
    STATE(2441), 1,
      sym_namespace_use_group,
  [70188] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(3974), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70203] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3976), 1,
      anon_sym_EQ_GT,
    STATE(1989), 1,
      sym_text_interpolation,
    STATE(2566), 1,
      sym__return_type,
  [70222] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1990), 1,
      sym_text_interpolation,
    ACTIONS(3869), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70237] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(2642), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [70252] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1992), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70269] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3978), 1,
      anon_sym_COMMA,
    ACTIONS(3980), 1,
      anon_sym_RPAREN2,
    STATE(1993), 1,
      sym_text_interpolation,
    STATE(2224), 1,
      aux_sym_arguments_repeat1,
  [70288] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70305] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_EQ,
    STATE(1995), 1,
      sym_text_interpolation,
    ACTIONS(3982), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [70322] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1996), 1,
      sym_text_interpolation,
    STATE(2034), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70339] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1997), 1,
      sym_text_interpolation,
    STATE(2035), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70356] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_RPAREN2,
    ACTIONS(3986), 1,
      anon_sym_COMMA,
    STATE(1998), 1,
      sym_text_interpolation,
    STATE(2269), 1,
      aux_sym_formal_parameters_repeat1,
  [70375] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70392] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3988), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2000), 1,
      sym_text_interpolation,
    STATE(2271), 1,
      sym_variable_name,
  [70411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3992), 1,
      anon_sym_EQ,
    STATE(2001), 1,
      sym_text_interpolation,
    ACTIONS(3990), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [70428] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3994), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2002), 1,
      sym_text_interpolation,
    STATE(2281), 1,
      sym_variable_name,
  [70447] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(3996), 1,
      anon_sym_RPAREN2,
    STATE(2003), 1,
      sym_text_interpolation,
    STATE(2736), 1,
      sym_variable_name,
  [70466] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_EQ,
    STATE(2004), 1,
      sym_text_interpolation,
    ACTIONS(3998), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [70483] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4002), 1,
      anon_sym_LBRACE,
    STATE(2005), 1,
      sym_text_interpolation,
    STATE(2704), 1,
      sym__return_type,
  [70502] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3786), 1,
      anon_sym_LBRACE,
    STATE(2006), 1,
      sym_text_interpolation,
    STATE(2705), 1,
      sym__return_type,
  [70521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(532), 1,
      sym__semicolon,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2008), 1,
      sym_text_interpolation,
    STATE(2252), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70555] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_RPAREN2,
    STATE(2009), 1,
      sym_text_interpolation,
    STATE(2188), 1,
      aux_sym__list_destructing_repeat1,
  [70574] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(533), 1,
      sym__semicolon,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70591] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_COMMA,
    ACTIONS(4008), 1,
      anon_sym_RBRACK,
    STATE(2011), 1,
      sym_text_interpolation,
    STATE(2289), 1,
      aux_sym_array_creation_expression_repeat1,
  [70610] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(534), 1,
      sym__semicolon,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70627] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(535), 1,
      sym__semicolon,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70644] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1078), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(1076), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70678] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1110), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2016), 1,
      sym_text_interpolation,
    ACTIONS(1108), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70695] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4010), 1,
      sym_name,
    ACTIONS(4012), 1,
      anon_sym_BSLASH,
    STATE(2017), 1,
      sym_text_interpolation,
    STATE(2644), 1,
      sym_namespace_name,
  [70714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2018), 1,
      sym_text_interpolation,
    STATE(2059), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70731] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_COMMA,
    ACTIONS(4016), 1,
      anon_sym_RBRACE,
    STATE(2019), 1,
      sym_text_interpolation,
    STATE(2301), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [70750] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2020), 1,
      sym_text_interpolation,
    ACTIONS(3597), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [70765] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2021), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70782] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(536), 1,
      sym__semicolon,
    STATE(2022), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70799] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(3910), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70814] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4018), 1,
      anon_sym_EQ_GT,
    STATE(2024), 1,
      sym_text_interpolation,
    STATE(2579), 1,
      sym__return_type,
  [70833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1550), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(1548), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1566), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(1564), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70884] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1066), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2028), 1,
      sym_text_interpolation,
    ACTIONS(1064), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70901] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2029), 1,
      sym_text_interpolation,
    STATE(2222), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70918] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2030), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70935] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_EQ,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(4020), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [70969] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_RPAREN2,
    STATE(2033), 1,
      sym_text_interpolation,
    STATE(2184), 1,
      aux_sym__list_destructing_repeat1,
  [70988] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2034), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2035), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    STATE(2068), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71039] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(4022), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [71054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2038), 1,
      sym_text_interpolation,
    STATE(2239), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2039), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2040), 1,
      sym_text_interpolation,
    STATE(2072), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71105] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_LBRACE,
    ACTIONS(4026), 1,
      anon_sym_COLON,
    STATE(2041), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_switch_block,
  [71124] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2042), 1,
      sym_text_interpolation,
    ACTIONS(4028), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [71139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2043), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71156] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2044), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71173] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(544), 1,
      sym__semicolon,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71190] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_COMMA,
    ACTIONS(4032), 1,
      anon_sym_RBRACK,
    STATE(2046), 1,
      sym_text_interpolation,
    STATE(2064), 1,
      aux_sym_array_creation_expression_repeat1,
  [71209] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_COMMA,
    ACTIONS(4036), 1,
      anon_sym_RBRACK,
    STATE(2047), 1,
      sym_text_interpolation,
    STATE(2066), 1,
      aux_sym_attribute_group_repeat1,
  [71228] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71262] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2050), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71296] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_RBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4038), 1,
      anon_sym_COMMA,
    STATE(2052), 1,
      sym_text_interpolation,
    STATE(2143), 1,
      aux_sym_match_block_repeat1,
  [71315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71332] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(560), 1,
      sym__semicolon,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71366] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_COMMA,
    ACTIONS(4042), 1,
      anon_sym_RPAREN2,
    STATE(2056), 1,
      sym_text_interpolation,
    STATE(2076), 1,
      aux_sym_formal_parameters_repeat1,
  [71385] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71402] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71419] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71436] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4046), 1,
      anon_sym_RPAREN2,
    STATE(2060), 1,
      sym_text_interpolation,
    STATE(2079), 1,
      aux_sym_array_creation_expression_repeat1,
  [71455] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4050), 1,
      aux_sym_string_content_token1,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(4048), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [71472] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_COMMA,
    ACTIONS(4054), 1,
      anon_sym_RBRACK,
    STATE(2062), 1,
      sym_text_interpolation,
    STATE(2290), 1,
      aux_sym__array_destructing_repeat1,
  [71491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71508] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(849), 1,
      anon_sym_RBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_COMMA,
    STATE(2064), 1,
      sym_text_interpolation,
    STATE(2207), 1,
      aux_sym_array_creation_expression_repeat1,
  [71527] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1074), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1072), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71544] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_RBRACK,
    ACTIONS(4058), 1,
      anon_sym_COMMA,
    STATE(2066), 1,
      sym_text_interpolation,
    STATE(2208), 1,
      aux_sym_attribute_group_repeat1,
  [71563] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3843), 1,
      sym__new_line,
    ACTIONS(4060), 1,
      sym_heredoc_end,
    STATE(2067), 1,
      sym_text_interpolation,
    STATE(2417), 1,
      sym_heredoc_body,
  [71582] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1086), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1084), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71599] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4062), 1,
      anon_sym_EQ_GT,
    STATE(2069), 1,
      sym_text_interpolation,
    STATE(2544), 1,
      sym__return_type,
  [71618] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_RPAREN2,
    STATE(2070), 1,
      sym_text_interpolation,
    STATE(2094), 1,
      aux_sym_arguments_repeat1,
  [71637] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2071), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71654] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1126), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(1124), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    STATE(2095), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71688] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2074), 1,
      sym_text_interpolation,
    STATE(2097), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71705] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    STATE(2099), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71722] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_RPAREN2,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    STATE(2076), 1,
      sym_text_interpolation,
    STATE(2269), 1,
      aux_sym_formal_parameters_repeat1,
  [71741] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    ACTIONS(4072), 1,
      anon_sym_RPAREN2,
    STATE(2077), 1,
      sym_text_interpolation,
    STATE(2117), 1,
      aux_sym_array_creation_expression_repeat1,
  [71760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2078), 1,
      sym_text_interpolation,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71777] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(841), 1,
      anon_sym_RPAREN2,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    STATE(2079), 1,
      sym_text_interpolation,
    STATE(2291), 1,
      aux_sym_array_creation_expression_repeat1,
  [71796] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_RPAREN2,
    ACTIONS(4076), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      sym_text_interpolation,
    STATE(2173), 1,
      aux_sym_unset_statement_repeat1,
  [71815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2081), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71832] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2082), 1,
      sym_text_interpolation,
    STATE(2106), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71849] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_COMMA,
    ACTIONS(4080), 1,
      anon_sym_RBRACE,
    STATE(2083), 1,
      sym_text_interpolation,
    STATE(2105), 1,
      aux_sym_match_block_repeat1,
  [71868] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2084), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71885] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2085), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71902] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(4082), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [71951] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2089), 1,
      sym_text_interpolation,
    STATE(2112), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71968] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(4084), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [71983] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3843), 1,
      sym__new_line,
    ACTIONS(4086), 1,
      sym_heredoc_end,
    STATE(2091), 1,
      sym_text_interpolation,
    STATE(2524), 1,
      sym_heredoc_body,
  [72002] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4088), 1,
      sym__new_line,
    ACTIONS(4090), 1,
      sym_heredoc_end,
    STATE(2092), 1,
      sym_text_interpolation,
    STATE(2526), 1,
      sym_nowdoc_body,
  [72021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2093), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72038] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(789), 1,
      anon_sym_RPAREN2,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    STATE(2094), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      aux_sym_arguments_repeat1,
  [72057] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2095), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3630), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(3491), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72091] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72108] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2098), 1,
      sym_text_interpolation,
    STATE(2114), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72142] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(507), 1,
      sym__semicolon,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    STATE(2115), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72176] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_COMMA,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    STATE(2102), 1,
      sym_text_interpolation,
    STATE(2308), 1,
      aux_sym_base_clause_repeat1,
  [72195] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4096), 1,
      anon_sym_EQ_GT,
    STATE(2103), 1,
      sym_text_interpolation,
    STATE(2611), 1,
      sym__return_type,
  [72214] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2104), 1,
      sym_text_interpolation,
    STATE(2116), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72231] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(855), 1,
      anon_sym_RBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_COMMA,
    STATE(2105), 1,
      sym_text_interpolation,
    STATE(2143), 1,
      aux_sym_match_block_repeat1,
  [72250] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2106), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    STATE(2121), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72284] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2108), 1,
      sym_text_interpolation,
    STATE(2126), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72301] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    STATE(2128), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72318] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72335] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72352] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2112), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72369] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(477), 1,
      sym__semicolon,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72386] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72403] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2115), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72420] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72437] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(835), 1,
      anon_sym_RPAREN2,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_COMMA,
    STATE(2117), 1,
      sym_text_interpolation,
    STATE(2291), 1,
      aux_sym_array_creation_expression_repeat1,
  [72456] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2118), 1,
      sym_text_interpolation,
    ACTIONS(3269), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [72471] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2119), 1,
      sym_text_interpolation,
    STATE(2138), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72488] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(555), 1,
      sym__semicolon,
    STATE(2120), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2121), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(556), 1,
      sym__semicolon,
    STATE(2122), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72539] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1776), 1,
      anon_sym_RPAREN2,
    ACTIONS(4102), 1,
      anon_sym_COMMA,
    STATE(2123), 1,
      sym_text_interpolation,
    STATE(2173), 1,
      aux_sym_unset_statement_repeat1,
  [72558] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    ACTIONS(4106), 1,
      anon_sym_RBRACK,
    STATE(2124), 1,
      sym_text_interpolation,
    STATE(2292), 1,
      aux_sym_attribute_group_repeat1,
  [72577] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4110), 1,
      aux_sym_else_clause_token1,
    STATE(2125), 1,
      sym_text_interpolation,
    ACTIONS(4108), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [72594] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2127), 1,
      sym_text_interpolation,
    STATE(2144), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72628] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72645] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72662] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2130), 1,
      sym_text_interpolation,
    STATE(2245), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(480), 1,
      sym__semicolon,
    STATE(2131), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72696] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(562), 1,
      sym__semicolon,
    STATE(2132), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72713] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4112), 1,
      sym_name,
    ACTIONS(4114), 1,
      anon_sym_BSLASH,
    STATE(2133), 1,
      sym_text_interpolation,
    STATE(2606), 1,
      sym_namespace_name,
  [72732] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(563), 1,
      sym__semicolon,
    STATE(2134), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72749] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(578), 1,
      sym__semicolon,
    STATE(2135), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72766] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2136), 1,
      sym_text_interpolation,
    STATE(2149), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2137), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2138), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2139), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72834] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2140), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72851] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2141), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72868] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COMMA,
    ACTIONS(4118), 1,
      anon_sym_RPAREN2,
    STATE(2142), 1,
      sym_text_interpolation,
    STATE(2145), 1,
      aux_sym_arguments_repeat1,
  [72887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_COMMA,
    ACTIONS(4123), 1,
      anon_sym_RBRACE,
    STATE(2143), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [72904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72921] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(799), 1,
      anon_sym_RPAREN2,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    STATE(2145), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      aux_sym_arguments_repeat1,
  [72940] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4127), 1,
      sym_name,
    ACTIONS(4129), 1,
      anon_sym_BSLASH,
    STATE(2146), 1,
      sym_text_interpolation,
    STATE(2697), 1,
      sym_namespace_name,
  [72959] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4131), 1,
      sym_name,
    ACTIONS(4133), 1,
      anon_sym_BSLASH,
    STATE(2147), 1,
      sym_text_interpolation,
    STATE(2689), 1,
      sym_namespace_name,
  [72978] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(582), 1,
      sym__semicolon,
    STATE(2148), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72995] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2149), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73012] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2150), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2151), 1,
      sym_text_interpolation,
    STATE(2152), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73046] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73063] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4137), 1,
      aux_sym_else_clause_token1,
    STATE(2153), 1,
      sym_text_interpolation,
    ACTIONS(4135), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [73080] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_COMMA,
    ACTIONS(4141), 1,
      anon_sym_RPAREN2,
    STATE(2154), 1,
      sym_text_interpolation,
    STATE(2157), 1,
      aux_sym_arguments_repeat1,
  [73099] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(969), 1,
      anon_sym_EQ_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COMMA,
    STATE(1972), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2155), 1,
      sym_text_interpolation,
  [73118] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2156), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73135] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(809), 1,
      anon_sym_RPAREN2,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_COMMA,
    STATE(2157), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      aux_sym_arguments_repeat1,
  [73154] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_COMMA,
    ACTIONS(4054), 1,
      anon_sym_RBRACK,
    STATE(2158), 1,
      sym_text_interpolation,
    STATE(2276), 1,
      aux_sym__array_destructing_repeat1,
  [73173] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym_name,
    ACTIONS(4149), 1,
      anon_sym_BSLASH,
    STATE(2159), 1,
      sym_text_interpolation,
    STATE(2698), 1,
      sym_namespace_name,
  [73192] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(4151), 1,
      sym_name,
    STATE(2160), 1,
      sym_text_interpolation,
    STATE(2784), 1,
      sym_reference_modifier,
  [73211] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4153), 1,
      anon_sym_COMMA,
    ACTIONS(4155), 1,
      anon_sym_RBRACE,
    STATE(2052), 1,
      aux_sym_match_block_repeat1,
    STATE(2161), 1,
      sym_text_interpolation,
  [73230] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4157), 1,
      anon_sym_COMMA,
    ACTIONS(4159), 1,
      anon_sym_RPAREN2,
    STATE(2162), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [73249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73266] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73283] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(813), 1,
      anon_sym_RPAREN2,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4161), 1,
      anon_sym_COMMA,
    STATE(2165), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      aux_sym_arguments_repeat1,
  [73302] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2166), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73336] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4165), 1,
      aux_sym_string_content_token1,
    STATE(2168), 1,
      sym_text_interpolation,
    ACTIONS(4163), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [73353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(584), 1,
      sym__semicolon,
    STATE(2169), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73370] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_RPAREN2,
    STATE(2170), 1,
      sym_text_interpolation,
    STATE(2172), 1,
      aux_sym_arguments_repeat1,
  [73389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2171), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73406] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(817), 1,
      anon_sym_RPAREN2,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_COMMA,
    STATE(2172), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      aux_sym_arguments_repeat1,
  [73425] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3321), 1,
      anon_sym_RPAREN2,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    STATE(2173), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [73442] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2174), 1,
      sym_text_interpolation,
    ACTIONS(4176), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [73457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2175), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73474] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(538), 1,
      sym__semicolon,
    STATE(2176), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(482), 1,
      sym__semicolon,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73508] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2178), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2179), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73542] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2180), 1,
      sym_text_interpolation,
    STATE(2263), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73559] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_DQUOTE,
    ACTIONS(4180), 1,
      anon_sym_SQUOTE,
    ACTIONS(4182), 1,
      sym_heredoc_start,
    STATE(2181), 1,
      sym_text_interpolation,
  [73578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2182), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73595] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2183), 1,
      sym_text_interpolation,
    ACTIONS(4184), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73610] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_RPAREN2,
    STATE(2184), 1,
      sym_text_interpolation,
    STATE(2198), 1,
      aux_sym__list_destructing_repeat1,
  [73629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(462), 1,
      sym__semicolon,
    STATE(2185), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2186), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73663] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2187), 1,
      sym_text_interpolation,
    ACTIONS(4188), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73678] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_RPAREN2,
    STATE(2188), 1,
      sym_text_interpolation,
    STATE(2198), 1,
      aux_sym__list_destructing_repeat1,
  [73697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_EQ,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(4192), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    STATE(2190), 1,
      sym_text_interpolation,
    ACTIONS(4194), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(493), 1,
      sym__semicolon,
    STATE(2191), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(497), 1,
      sym__semicolon,
    STATE(2192), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73765] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2193), 1,
      sym_text_interpolation,
    ACTIONS(4198), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73780] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_RPAREN2,
    STATE(2194), 1,
      sym_text_interpolation,
    STATE(2198), 1,
      aux_sym__list_destructing_repeat1,
  [73799] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(4202), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73814] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      anon_sym_RPAREN2,
    STATE(2196), 1,
      sym_text_interpolation,
    STATE(2734), 1,
      sym_variable_name,
  [73833] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_RPAREN2,
    STATE(2197), 1,
      sym_text_interpolation,
    STATE(2198), 1,
      aux_sym__list_destructing_repeat1,
  [73852] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_RPAREN2,
    ACTIONS(4208), 1,
      anon_sym_COMMA,
    STATE(2198), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [73869] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4211), 1,
      anon_sym_LBRACE,
    ACTIONS(4213), 1,
      anon_sym_COLON,
    STATE(487), 1,
      sym_switch_block,
    STATE(2199), 1,
      sym_text_interpolation,
  [73888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2200), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73905] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(4215), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [73920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_EQ,
    STATE(2202), 1,
      sym_text_interpolation,
    ACTIONS(4217), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73937] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2203), 1,
      sym_text_interpolation,
    ACTIONS(4219), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(499), 1,
      sym__semicolon,
    STATE(2204), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73986] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2206), 1,
      sym_text_interpolation,
    ACTIONS(4221), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [74001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_RBRACK,
    ACTIONS(4223), 1,
      anon_sym_COMMA,
    STATE(2207), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [74018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_COMMA,
    ACTIONS(4229), 1,
      anon_sym_RBRACK,
    STATE(2208), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [74035] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3970), 1,
      sym_name,
    ACTIONS(3972), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_text_interpolation,
    STATE(2404), 1,
      sym_namespace_use_group,
  [74054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(510), 1,
      sym__semicolon,
    STATE(2210), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1070), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2211), 1,
      sym_text_interpolation,
    ACTIONS(1068), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2212), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74105] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1082), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2213), 1,
      sym_text_interpolation,
    ACTIONS(1080), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2214), 1,
      sym_text_interpolation,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74139] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3843), 1,
      sym__new_line,
    ACTIONS(4231), 1,
      sym_heredoc_end,
    STATE(2215), 1,
      sym_text_interpolation,
    STATE(2458), 1,
      sym_heredoc_body,
  [74158] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4088), 1,
      sym__new_line,
    ACTIONS(4233), 1,
      sym_heredoc_end,
    STATE(2216), 1,
      sym_text_interpolation,
    STATE(2351), 1,
      sym_nowdoc_body,
  [74177] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1094), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(1092), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74194] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3725), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2218), 1,
      sym_text_interpolation,
    ACTIONS(3395), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74211] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_DOLLAR,
    ACTIONS(4235), 1,
      anon_sym_AMP,
    STATE(1524), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2219), 1,
      sym_text_interpolation,
  [74230] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1098), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(1096), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74247] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2221), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74264] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74281] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4238), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_text_interpolation,
    STATE(2777), 1,
      sym__return_type,
  [74300] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_RPAREN2,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    STATE(2224), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      aux_sym_arguments_repeat1,
  [74319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2225), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74336] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(4242), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1995), 1,
      sym_variable_name,
    STATE(2226), 1,
      sym_text_interpolation,
  [74355] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_COMMA,
    ACTIONS(4246), 1,
      anon_sym_RPAREN2,
    STATE(1998), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2227), 1,
      sym_text_interpolation,
  [74374] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1994), 1,
      sym__semicolon,
    STATE(2228), 1,
      sym_text_interpolation,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74391] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_RPAREN2,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    STATE(2229), 1,
      sym_text_interpolation,
    STATE(2295), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [74410] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1106), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2230), 1,
      sym_text_interpolation,
    ACTIONS(1104), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(521), 1,
      sym__semicolon,
    STATE(2231), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74444] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(466), 1,
      sym__semicolon,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74461] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74478] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1118), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(1116), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1122), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2235), 1,
      sym_text_interpolation,
    ACTIONS(1120), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74512] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2236), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74529] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2237), 1,
      sym_text_interpolation,
  [74548] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_COMMA,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    STATE(2198), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2238), 1,
      sym_text_interpolation,
  [74567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2239), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74584] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2240), 1,
      sym_text_interpolation,
    STATE(2311), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74601] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2241), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74618] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2242), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74635] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    STATE(2243), 1,
      sym_text_interpolation,
    STATE(2669), 1,
      sym__return_type,
  [74654] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4252), 1,
      anon_sym_EQ_GT,
    STATE(2244), 1,
      sym_text_interpolation,
    STATE(2674), 1,
      sym__return_type,
  [74673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2245), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2246), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74707] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2247), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2248), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74741] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2249), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74758] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2250), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2251), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74792] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2252), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74809] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4254), 1,
      anon_sym_LBRACE,
    STATE(2253), 1,
      sym_text_interpolation,
    STATE(2723), 1,
      sym__return_type,
  [74828] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2254), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74845] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2255), 1,
      sym_text_interpolation,
    ACTIONS(3819), 3,
      anon_sym_RPAREN2,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [74860] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4256), 1,
      anon_sym_EQ_GT,
    STATE(2256), 1,
      sym_text_interpolation,
    STATE(2568), 1,
      sym__return_type,
  [74879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2257), 1,
      sym_text_interpolation,
    STATE(2273), 1,
      sym__semicolon,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74896] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_EQ_GT,
    STATE(2258), 1,
      sym_text_interpolation,
    STATE(2649), 1,
      sym__return_type,
  [74915] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2259), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74932] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    ACTIONS(4263), 1,
      anon_sym_RPAREN2,
    STATE(2260), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [74949] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2261), 1,
      sym_text_interpolation,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74966] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3843), 1,
      sym__new_line,
    ACTIONS(4265), 1,
      sym_heredoc_end,
    STATE(2262), 1,
      sym_text_interpolation,
    STATE(2360), 1,
      sym_heredoc_body,
  [74985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75002] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4267), 1,
      anon_sym_DQUOTE,
    ACTIONS(4269), 1,
      anon_sym_SQUOTE,
    ACTIONS(4271), 1,
      sym_heredoc_start,
    STATE(2264), 1,
      sym_text_interpolation,
  [75021] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2265), 1,
      sym_text_interpolation,
    ACTIONS(4273), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [75036] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_COMMA,
    ACTIONS(4275), 1,
      anon_sym_RBRACE,
    STATE(2019), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2266), 1,
      sym_text_interpolation,
  [75055] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2015), 1,
      sym__semicolon,
    STATE(2267), 1,
      sym_text_interpolation,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75072] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2016), 1,
      sym__semicolon,
    STATE(2268), 1,
      sym_text_interpolation,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75089] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_COMMA,
    ACTIONS(4280), 1,
      anon_sym_RPAREN2,
    STATE(2269), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [75106] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4282), 1,
      sym_name,
    STATE(2270), 1,
      sym_text_interpolation,
    ACTIONS(4284), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75123] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_EQ,
    STATE(2271), 1,
      sym_text_interpolation,
    ACTIONS(4286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75140] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4290), 1,
      anon_sym_LBRACE,
    STATE(2272), 1,
      sym_text_interpolation,
    STATE(2554), 1,
      sym__return_type,
  [75159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1554), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2273), 1,
      sym_text_interpolation,
    ACTIONS(1552), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2021), 1,
      sym__semicolon,
    STATE(2274), 1,
      sym_text_interpolation,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    STATE(2275), 1,
      sym_text_interpolation,
    ACTIONS(4292), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75210] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RBRACK,
    STATE(2276), 1,
      sym_text_interpolation,
    STATE(2290), 1,
      aux_sym__array_destructing_repeat1,
  [75229] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4298), 1,
      anon_sym_LBRACE,
    STATE(2277), 1,
      sym_text_interpolation,
    STATE(2761), 1,
      sym__return_type,
  [75248] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(4300), 1,
      sym_name,
    STATE(2278), 1,
      sym_text_interpolation,
    STATE(2594), 1,
      sym_reference_modifier,
  [75267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(460), 1,
      sym__semicolon,
    STATE(2279), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75284] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(522), 1,
      sym__semicolon,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75301] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4304), 1,
      anon_sym_EQ,
    STATE(2281), 1,
      sym_text_interpolation,
    ACTIONS(4302), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75318] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(523), 1,
      sym__semicolon,
    STATE(2282), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75335] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(524), 1,
      sym__semicolon,
    STATE(2283), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75352] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(473), 1,
      sym__semicolon,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75369] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(4306), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2190), 1,
      sym_variable_name,
    STATE(2285), 1,
      sym_text_interpolation,
  [75388] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_EQ,
    STATE(2286), 1,
      sym_text_interpolation,
    ACTIONS(4308), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75405] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4312), 1,
      anon_sym_LBRACE,
    STATE(2287), 1,
      sym_text_interpolation,
    STATE(2764), 1,
      sym__return_type,
  [75424] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_COMMA,
    ACTIONS(4316), 1,
      anon_sym_RPAREN2,
    STATE(2229), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2288), 1,
      sym_text_interpolation,
  [75443] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(837), 1,
      anon_sym_RBRACK,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_COMMA,
    STATE(2207), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2289), 1,
      sym_text_interpolation,
  [75462] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_COMMA,
    ACTIONS(4323), 1,
      anon_sym_RBRACK,
    STATE(2290), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [75479] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_RPAREN2,
    ACTIONS(4325), 1,
      anon_sym_COMMA,
    STATE(2291), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [75496] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3006), 1,
      anon_sym_RBRACK,
    ACTIONS(4328), 1,
      anon_sym_COMMA,
    STATE(2208), 1,
      aux_sym_attribute_group_repeat1,
    STATE(2292), 1,
      sym_text_interpolation,
  [75515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2293), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75532] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(527), 1,
      sym__semicolon,
    STATE(2294), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_RPAREN2,
    STATE(2295), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [75566] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(528), 1,
      sym__semicolon,
    STATE(2296), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2297), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2298), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75617] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2299), 1,
      sym_text_interpolation,
    STATE(2572), 1,
      sym__return_type,
  [75636] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2300), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3869), 1,
      anon_sym_RBRACE,
    ACTIONS(4337), 1,
      anon_sym_COMMA,
    STATE(2301), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [75670] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2302), 1,
      sym_text_interpolation,
    ACTIONS(4340), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [75685] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2303), 1,
      sym_text_interpolation,
    ACTIONS(4342), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [75700] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2304), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75717] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN2,
    STATE(2305), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym_parenthesized_expression,
  [75736] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(529), 1,
      sym__semicolon,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75753] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(468), 1,
      sym__semicolon,
    STATE(2307), 1,
      sym_text_interpolation,
    ACTIONS(422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75770] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_COMMA,
    ACTIONS(4344), 1,
      anon_sym_LBRACE,
    STATE(1897), 1,
      aux_sym_base_clause_repeat1,
    STATE(2308), 1,
      sym_text_interpolation,
  [75789] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(3729), 1,
      anon_sym_LBRACE,
    STATE(2309), 1,
      sym_text_interpolation,
    STATE(2575), 1,
      sym__return_type,
  [75808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2310), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2311), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75842] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    ACTIONS(4346), 1,
      anon_sym_EQ_GT,
    STATE(2312), 1,
      sym_text_interpolation,
    STATE(2623), 1,
      sym__return_type,
  [75861] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR,
    STATE(1574), 1,
      sym_property_element,
    STATE(1853), 1,
      sym_variable_name,
    STATE(2313), 1,
      sym_text_interpolation,
  [75880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2314), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2225), 1,
      sym__semicolon,
    STATE(2315), 1,
      sym_text_interpolation,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75914] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_AMP,
    ACTIONS(4348), 1,
      anon_sym_RPAREN2,
    STATE(1517), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2316), 1,
      sym_text_interpolation,
  [75933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1400), 1,
      sym__semicolon,
    STATE(2317), 1,
      sym_text_interpolation,
    ACTIONS(408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75950] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2318), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2319), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [75984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2318), 1,
      sym_declaration_list,
    STATE(2320), 1,
      sym_text_interpolation,
  [76000] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2321), 1,
      sym_text_interpolation,
    ACTIONS(4350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76014] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2322), 1,
      sym_text_interpolation,
    ACTIONS(4352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76028] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2028), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_text_interpolation,
  [76044] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(2324), 1,
      sym_text_interpolation,
    STATE(2489), 1,
      sym_variable_name,
  [76060] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2031), 1,
      sym_declaration_list,
    STATE(2325), 1,
      sym_text_interpolation,
  [76076] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2326), 1,
      sym_text_interpolation,
    ACTIONS(4354), 2,
      anon_sym_string,
      anon_sym_int,
  [76090] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    STATE(1006), 1,
      sym_declaration_list,
    STATE(2327), 1,
      sym_text_interpolation,
  [76106] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(568), 1,
      sym_compound_statement,
    STATE(2328), 1,
      sym_text_interpolation,
  [76122] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2329), 1,
      sym_text_interpolation,
    ACTIONS(4340), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [76136] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3856), 1,
      sym_nowdoc_string,
    STATE(1894), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2330), 1,
      sym_text_interpolation,
  [76152] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    STATE(853), 1,
      sym_arguments,
    STATE(2331), 1,
      sym_text_interpolation,
  [76168] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1764), 1,
      sym_compound_statement,
    STATE(2332), 1,
      sym_text_interpolation,
  [76184] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2333), 1,
      sym_text_interpolation,
    ACTIONS(2498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76198] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2334), 1,
      sym_text_interpolation,
    ACTIONS(1805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76212] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4356), 1,
      anon_sym_LBRACE,
    STATE(1102), 1,
      sym_match_block,
    STATE(2335), 1,
      sym_text_interpolation,
  [76228] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(2336), 1,
      sym_text_interpolation,
    STATE(2455), 1,
      sym_variable_name,
  [76244] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1822), 1,
      sym_formal_parameters,
    STATE(2337), 1,
      sym_text_interpolation,
  [76260] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(854), 1,
      sym_declaration_list,
    STATE(2338), 1,
      sym_text_interpolation,
  [76276] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2339), 1,
      sym_text_interpolation,
    ACTIONS(4358), 2,
      anon_sym_string,
      anon_sym_int,
  [76290] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1774), 1,
      sym_compound_statement,
    STATE(2340), 1,
      sym_text_interpolation,
  [76306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(784), 1,
      sym_declaration_list,
    STATE(2341), 1,
      sym_text_interpolation,
  [76322] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    STATE(2063), 1,
      sym_enum_declaration_list,
    STATE(2342), 1,
      sym_text_interpolation,
  [76338] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2065), 1,
      sym_declaration_list,
    STATE(2343), 1,
      sym_text_interpolation,
  [76354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1769), 1,
      sym_compound_statement,
    STATE(2344), 1,
      sym_text_interpolation,
  [76370] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(63), 1,
      sym_parenthesized_expression,
    STATE(2345), 1,
      sym_text_interpolation,
  [76386] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN2,
    STATE(2199), 1,
      sym_parenthesized_expression,
    STATE(2346), 1,
      sym_text_interpolation,
  [76402] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3170), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3172), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2347), 1,
      sym_text_interpolation,
  [76418] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(808), 1,
      sym_declaration_list,
    STATE(2348), 1,
      sym_text_interpolation,
  [76434] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2349), 1,
      sym_text_interpolation,
    ACTIONS(4362), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76448] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2350), 1,
      sym_text_interpolation,
    ACTIONS(2502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76462] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4365), 1,
      sym__new_line,
    ACTIONS(4367), 1,
      sym_heredoc_end,
    STATE(2351), 1,
      sym_text_interpolation,
  [76478] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(75), 1,
      sym_parenthesized_expression,
    STATE(2352), 1,
      sym_text_interpolation,
  [76494] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4369), 1,
      sym__new_line,
    ACTIONS(4371), 1,
      sym_heredoc_end,
    STATE(2353), 1,
      sym_text_interpolation,
  [76510] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2354), 1,
      sym_text_interpolation,
    ACTIONS(4229), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76524] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2355), 1,
      sym_text_interpolation,
    ACTIONS(3883), 2,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [76538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(76), 1,
      sym_parenthesized_expression,
    STATE(2356), 1,
      sym_text_interpolation,
  [76554] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2357), 1,
      sym_text_interpolation,
    ACTIONS(4373), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76568] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN2,
    ACTIONS(3717), 1,
      anon_sym_COLON_COLON,
    STATE(2358), 1,
      sym_text_interpolation,
  [76584] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_LBRACE,
    STATE(1034), 1,
      sym_match_block,
    STATE(2359), 1,
      sym_text_interpolation,
  [76600] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4377), 1,
      sym__new_line,
    ACTIONS(4379), 1,
      sym_heredoc_end,
    STATE(2360), 1,
      sym_text_interpolation,
  [76616] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(543), 1,
      ts_builtin_sym_end,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4381), 1,
      sym_php_tag,
    STATE(2361), 1,
      sym_text_interpolation,
  [76632] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2362), 1,
      sym_text_interpolation,
    ACTIONS(3373), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    STATE(606), 1,
      sym_arguments,
    STATE(2363), 1,
      sym_text_interpolation,
  [76662] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2071), 1,
      sym_declaration_list,
    STATE(2364), 1,
      sym_text_interpolation,
  [76678] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1760), 1,
      anon_sym_LPAREN2,
    STATE(649), 1,
      sym_arguments,
    STATE(2365), 1,
      sym_text_interpolation,
  [76694] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(2366), 1,
      sym_text_interpolation,
    STATE(2443), 1,
      sym_variable_name,
  [76710] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_declaration_list,
    STATE(2367), 1,
      sym_text_interpolation,
  [76726] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4383), 1,
      sym__new_line,
    ACTIONS(4385), 1,
      sym_heredoc_end,
    STATE(2368), 1,
      sym_text_interpolation,
  [76742] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2369), 1,
      sym_text_interpolation,
    ACTIONS(2498), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [76756] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3150), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3152), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2370), 1,
      sym_text_interpolation,
  [76772] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(1103), 1,
      sym_compound_statement,
    STATE(2371), 1,
      sym_text_interpolation,
  [76788] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    STATE(581), 1,
      sym_enum_declaration_list,
    STATE(2372), 1,
      sym_text_interpolation,
  [76804] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2373), 1,
      sym_text_interpolation,
    ACTIONS(2610), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76818] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1821), 1,
      sym_formal_parameters,
    STATE(2374), 1,
      sym_text_interpolation,
  [76834] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_declaration_list,
    STATE(2375), 1,
      sym_text_interpolation,
  [76850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(2244), 1,
      sym_formal_parameters,
    STATE(2376), 1,
      sym_text_interpolation,
  [76866] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2377), 1,
      sym_text_interpolation,
    ACTIONS(4389), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(2357), 1,
      sym_variable_name,
    STATE(2378), 1,
      sym_text_interpolation,
  [76896] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2182), 1,
      sym_compound_statement,
    STATE(2379), 1,
      sym_text_interpolation,
  [76912] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(99), 1,
      sym_parenthesized_expression,
    STATE(2380), 1,
      sym_text_interpolation,
  [76928] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2212), 1,
      sym_declaration_list,
    STATE(2381), 1,
      sym_text_interpolation,
  [76944] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(2069), 1,
      sym_formal_parameters,
    STATE(2382), 1,
      sym_text_interpolation,
  [76960] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2383), 1,
      sym_text_interpolation,
    ACTIONS(4392), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [76974] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2384), 1,
      sym_text_interpolation,
    ACTIONS(4394), 2,
      anon_sym_string,
      anon_sym_int,
  [76988] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_LPAREN2,
    STATE(885), 1,
      sym_arguments,
    STATE(2385), 1,
      sym_text_interpolation,
  [77004] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1017), 1,
      sym_compound_statement,
    STATE(2386), 1,
      sym_text_interpolation,
  [77020] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4396), 1,
      sym_name,
    STATE(2387), 1,
      sym_text_interpolation,
    STATE(2612), 1,
      sym_namespace_name,
  [77036] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2388), 1,
      sym_text_interpolation,
    ACTIONS(4398), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(111), 1,
      sym_parenthesized_expression,
    STATE(2389), 1,
      sym_text_interpolation,
  [77066] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN2,
    STATE(605), 1,
      sym_arguments,
    STATE(2390), 1,
      sym_text_interpolation,
  [77082] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(110), 1,
      sym_parenthesized_expression,
    STATE(2391), 1,
      sym_text_interpolation,
  [77098] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_enum_declaration_list,
    STATE(2392), 1,
      sym_text_interpolation,
  [77114] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2393), 1,
      sym_text_interpolation,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [77128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_RPAREN2,
    ACTIONS(4400), 1,
      anon_sym_EQ,
    STATE(2394), 1,
      sym_text_interpolation,
  [77144] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(2395), 1,
      sym_text_interpolation,
    STATE(2473), 1,
      sym_variable_name,
  [77160] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_LPAREN2,
    STATE(891), 1,
      sym_arguments,
    STATE(2396), 1,
      sym_text_interpolation,
  [77176] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2397), 1,
      sym_text_interpolation,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77190] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2398), 1,
      sym_text_interpolation,
    ACTIONS(4402), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77204] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4404), 1,
      sym_name,
    STATE(2399), 1,
      sym_text_interpolation,
    STATE(2664), 1,
      sym_namespace_name,
  [77220] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2400), 1,
      sym_text_interpolation,
    ACTIONS(4406), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77234] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(782), 1,
      sym_declaration_list,
    STATE(2401), 1,
      sym_text_interpolation,
  [77250] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1760), 1,
      anon_sym_LPAREN2,
    STATE(655), 1,
      sym_arguments,
    STATE(2402), 1,
      sym_text_interpolation,
  [77266] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_enum_declaration_list,
    STATE(2403), 1,
      sym_text_interpolation,
  [77282] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2404), 1,
      sym_text_interpolation,
    ACTIONS(4408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_compound_statement,
    STATE(2405), 1,
      sym_text_interpolation,
  [77312] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_declaration_list,
    STATE(2406), 1,
      sym_text_interpolation,
  [77328] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(587), 1,
      sym_declaration_list,
    STATE(2407), 1,
      sym_text_interpolation,
  [77344] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2293), 1,
      sym_compound_statement,
    STATE(2408), 1,
      sym_text_interpolation,
  [77360] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(108), 1,
      sym_parenthesized_expression,
    STATE(2409), 1,
      sym_text_interpolation,
  [77376] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_LPAREN2,
    STATE(983), 1,
      sym_arguments,
    STATE(2410), 1,
      sym_text_interpolation,
  [77392] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_name,
    STATE(2411), 1,
      sym_text_interpolation,
    STATE(2692), 1,
      sym_namespace_name,
  [77408] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_declaration_list,
    STATE(2412), 1,
      sym_text_interpolation,
  [77424] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN2,
    STATE(2413), 1,
      sym_text_interpolation,
    STATE(2459), 1,
      sym_parenthesized_expression,
  [77440] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(62), 1,
      sym_parenthesized_expression,
    STATE(2414), 1,
      sym_text_interpolation,
  [77456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(374), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2415), 1,
      sym_text_interpolation,
    STATE(2675), 1,
      sym_colon_block,
  [77472] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2416), 1,
      sym_text_interpolation,
    ACTIONS(4217), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77486] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4414), 1,
      sym__new_line,
    ACTIONS(4416), 1,
      sym_heredoc_end,
    STATE(2417), 1,
      sym_text_interpolation,
  [77502] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2418), 1,
      sym_text_interpolation,
    ACTIONS(4263), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77516] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      sym_declaration_list,
    STATE(2419), 1,
      sym_text_interpolation,
  [77532] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2420), 1,
      sym_text_interpolation,
    ACTIONS(4418), 2,
      anon_sym_string,
      anon_sym_int,
  [77546] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2421), 1,
      sym_text_interpolation,
    ACTIONS(4420), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_enum_declaration_list,
    STATE(2422), 1,
      sym_text_interpolation,
  [77576] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_BSLASH,
    STATE(2423), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
  [77590] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2424), 1,
      sym_text_interpolation,
    ACTIONS(4425), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77604] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_declaration_list,
    STATE(2425), 1,
      sym_text_interpolation,
  [77620] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4427), 1,
      sym__new_line,
    ACTIONS(4429), 1,
      sym_heredoc_end,
    STATE(2426), 1,
      sym_text_interpolation,
  [77636] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1824), 1,
      sym_formal_parameters,
    STATE(2427), 1,
      sym_text_interpolation,
  [77652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_LPAREN2,
    STATE(995), 1,
      sym_arguments,
    STATE(2428), 1,
      sym_text_interpolation,
  [77668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1989), 1,
      sym_formal_parameters,
    STATE(2429), 1,
      sym_text_interpolation,
  [77684] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_BSLASH,
    STATE(2423), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2430), 1,
      sym_text_interpolation,
  [77700] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1845), 1,
      sym_formal_parameters,
    STATE(2431), 1,
      sym_text_interpolation,
  [77716] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2432), 1,
      sym_text_interpolation,
    ACTIONS(3068), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77730] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LPAREN2,
    STATE(1814), 1,
      sym_formal_parameters,
    STATE(2433), 1,
      sym_text_interpolation,
  [77746] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym_declaration_list,
    STATE(2434), 1,
      sym_text_interpolation,
  [77762] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_declaration_list,
    STATE(2435), 1,
      sym_text_interpolation,
  [77778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_declaration_list,
    STATE(2436), 1,
      sym_text_interpolation,
  [77794] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_declaration_list,
    STATE(2437), 1,
      sym_text_interpolation,
  [77810] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(579), 1,
      sym_declaration_list,
    STATE(2438), 1,
      sym_text_interpolation,
  [77826] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2439), 1,
      sym_text_interpolation,
    ACTIONS(4434), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77840] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1976), 1,
      sym_declaration_list,
    STATE(2440), 1,
      sym_text_interpolation,
  [77856] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2441), 1,
      sym_text_interpolation,
    ACTIONS(4436), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77870] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LPAREN2,
    STATE(751), 1,
      sym_arguments,
    STATE(2442), 1,
      sym_text_interpolation,
  [77886] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2443), 1,
      sym_text_interpolation,
    ACTIONS(4438), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77900] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4440), 1,
      sym_name,
    STATE(2444), 1,
      sym_text_interpolation,
    STATE(2700), 1,
      sym_namespace_name,
  [77916] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_declaration_list,
    STATE(2445), 1,
      sym_text_interpolation,
  [77932] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    STATE(1977), 1,
      sym_enum_declaration_list,
    STATE(2446), 1,
      sym_text_interpolation,
  [77948] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2447), 1,
      sym_text_interpolation,
    ACTIONS(4442), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77962] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2448), 1,
      sym_text_interpolation,
    ACTIONS(4444), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77976] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2449), 1,
      sym_text_interpolation,
    ACTIONS(4323), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77990] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2450), 1,
      sym_text_interpolation,
    ACTIONS(4446), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78004] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2451), 1,
      sym_text_interpolation,
    ACTIONS(4284), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [78018] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2452), 1,
      sym_text_interpolation,
    ACTIONS(4280), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78032] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2453), 1,
      sym_text_interpolation,
    ACTIONS(1798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [78046] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2454), 1,
      sym_text_interpolation,
    ACTIONS(4448), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78060] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2455), 1,
      sym_text_interpolation,
    ACTIONS(4450), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78074] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2456), 1,
      sym_text_interpolation,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(2457), 1,
      sym_text_interpolation,
    STATE(2493), 1,
      sym_variable_name,
  [78104] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4452), 1,
      sym__new_line,
    ACTIONS(4454), 1,
      sym_heredoc_end,
    STATE(2458), 1,
      sym_text_interpolation,
  [78120] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(507), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2125), 1,
      sym_colon_block,
    STATE(2459), 1,
      sym_text_interpolation,
  [78136] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_LPAREN2,
    STATE(2134), 1,
      sym_parenthesized_expression,
    STATE(2460), 1,
      sym_text_interpolation,
  [78152] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2461), 1,
      sym_text_interpolation,
    ACTIONS(4458), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [78166] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2462), 1,
      sym_text_interpolation,
    ACTIONS(4460), 2,
      sym__eof,
      sym_php_tag,
  [78180] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    STATE(2314), 1,
      sym_enum_declaration_list,
    STATE(2463), 1,
      sym_text_interpolation,
  [78196] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(2309), 1,
      sym_formal_parameters,
    STATE(2464), 1,
      sym_text_interpolation,
  [78212] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LPAREN2,
    STATE(733), 1,
      sym_arguments,
    STATE(2465), 1,
      sym_text_interpolation,
  [78228] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2466), 1,
      sym_text_interpolation,
    ACTIONS(4462), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78242] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1978), 1,
      sym_declaration_list,
    STATE(2467), 1,
      sym_text_interpolation,
  [78258] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_LPAREN2,
    ACTIONS(4466), 1,
      anon_sym_RPAREN2,
    STATE(2468), 1,
      sym_text_interpolation,
  [78274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2469), 1,
      sym_text_interpolation,
    ACTIONS(4468), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [78288] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2470), 1,
      sym_text_interpolation,
    ACTIONS(3084), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78302] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
    STATE(2471), 1,
      sym_text_interpolation,
  [78318] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2175), 1,
      sym_declaration_list,
    STATE(2472), 1,
      sym_text_interpolation,
  [78334] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2473), 1,
      sym_text_interpolation,
    ACTIONS(4470), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78348] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    STATE(964), 1,
      sym_declaration_list,
    STATE(2474), 1,
      sym_text_interpolation,
  [78364] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(2006), 1,
      sym_formal_parameters,
    STATE(2475), 1,
      sym_text_interpolation,
  [78380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(2476), 1,
      sym_text_interpolation,
    STATE(2507), 1,
      sym_variable_name,
  [78396] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2477), 1,
      sym_text_interpolation,
    ACTIONS(4472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78410] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1984), 1,
      sym_declaration_list,
    STATE(2478), 1,
      sym_text_interpolation,
  [78426] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_LPAREN2,
    STATE(777), 1,
      sym_arguments,
    STATE(2479), 1,
      sym_text_interpolation,
  [78442] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2480), 1,
      sym_text_interpolation,
    ACTIONS(4474), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [78456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    STATE(1992), 1,
      sym_enum_declaration_list,
    STATE(2481), 1,
      sym_text_interpolation,
  [78472] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(2322), 1,
      sym_variable_name,
    STATE(2482), 1,
      sym_text_interpolation,
  [78488] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_compound_statement,
    STATE(2483), 1,
      sym_text_interpolation,
  [78504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_BSLASH,
    STATE(2484), 1,
      sym_text_interpolation,
  [78520] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2485), 1,
      sym_text_interpolation,
    ACTIONS(4478), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78534] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2486), 1,
      sym_text_interpolation,
    ACTIONS(4273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [78548] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_declaration_list,
    STATE(2487), 1,
      sym_text_interpolation,
  [78564] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(107), 1,
      sym_parenthesized_expression,
    STATE(2488), 1,
      sym_text_interpolation,
  [78580] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2489), 1,
      sym_text_interpolation,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78594] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_LPAREN2,
    STATE(791), 1,
      sym_arguments,
    STATE(2490), 1,
      sym_text_interpolation,
  [78610] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1802), 1,
      sym_compound_statement,
    STATE(2491), 1,
      sym_text_interpolation,
  [78626] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2492), 1,
      sym_text_interpolation,
    ACTIONS(4482), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [78640] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2493), 1,
      sym_text_interpolation,
    ACTIONS(4484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78654] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2494), 1,
      sym_text_interpolation,
    ACTIONS(4486), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [78668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN2,
    STATE(2335), 1,
      sym_parenthesized_expression,
    STATE(2495), 1,
      sym_text_interpolation,
  [78684] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    STATE(965), 1,
      sym_declaration_list,
    STATE(2496), 1,
      sym_text_interpolation,
  [78700] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2497), 1,
      sym_text_interpolation,
    ACTIONS(4333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(553), 1,
      sym_declaration_list,
    STATE(2498), 1,
      sym_text_interpolation,
  [78730] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2499), 1,
      sym_text_interpolation,
    ACTIONS(4488), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_LPAREN2,
    STATE(2039), 1,
      sym_parenthesized_expression,
    STATE(2500), 1,
      sym_text_interpolation,
  [78760] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2501), 1,
      sym_text_interpolation,
    ACTIONS(4490), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78774] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2502), 1,
      sym_text_interpolation,
    ACTIONS(4492), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78788] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2503), 1,
      sym_text_interpolation,
    ACTIONS(3974), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [78802] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_declaration_list,
    STATE(2504), 1,
      sym_text_interpolation,
  [78818] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2505), 1,
      sym_text_interpolation,
    ACTIONS(3869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [78832] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(858), 1,
      sym_declaration_list,
    STATE(2506), 1,
      sym_text_interpolation,
  [78848] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2507), 1,
      sym_text_interpolation,
    ACTIONS(4494), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78862] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_COLON,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_LPAREN2,
    STATE(2508), 1,
      sym_text_interpolation,
  [78878] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_declaration_list,
    STATE(2509), 1,
      sym_text_interpolation,
  [78894] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2510), 1,
      sym_text_interpolation,
    ACTIONS(4496), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78908] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2511), 1,
      sym_text_interpolation,
    ACTIONS(3371), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78922] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4498), 1,
      sym__new_line,
    ACTIONS(4500), 1,
      sym_heredoc_end,
    STATE(2512), 1,
      sym_text_interpolation,
  [78938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1837), 1,
      sym_formal_parameters,
    STATE(2513), 1,
      sym_text_interpolation,
  [78954] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(494), 1,
      sym_compound_statement,
    STATE(2514), 1,
      sym_text_interpolation,
  [78970] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2515), 1,
      sym_text_interpolation,
    ACTIONS(4502), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [78984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_declaration_list,
    STATE(2516), 1,
      sym_text_interpolation,
  [79000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2233), 1,
      sym_declaration_list,
    STATE(2517), 1,
      sym_text_interpolation,
  [79016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(2256), 1,
      sym_formal_parameters,
    STATE(2518), 1,
      sym_text_interpolation,
  [79032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(1752), 1,
      sym_compound_statement,
    STATE(2519), 1,
      sym_text_interpolation,
  [79048] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_LPAREN2,
    STATE(80), 1,
      sym_parenthesized_expression,
    STATE(2520), 1,
      sym_text_interpolation,
  [79064] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN2,
    STATE(2359), 1,
      sym_parenthesized_expression,
    STATE(2521), 1,
      sym_text_interpolation,
  [79080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN2,
    STATE(2041), 1,
      sym_parenthesized_expression,
    STATE(2522), 1,
      sym_text_interpolation,
  [79096] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    STATE(970), 1,
      sym_declaration_list,
    STATE(2523), 1,
      sym_text_interpolation,
  [79112] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4504), 1,
      sym__new_line,
    ACTIONS(4506), 1,
      sym_heredoc_end,
    STATE(2524), 1,
      sym_text_interpolation,
  [79128] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2525), 1,
      sym_text_interpolation,
    ACTIONS(2502), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [79142] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4508), 1,
      sym__new_line,
    ACTIONS(4510), 1,
      sym_heredoc_end,
    STATE(2526), 1,
      sym_text_interpolation,
  [79158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_declaration_list,
    STATE(2527), 1,
      sym_text_interpolation,
  [79174] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2528), 1,
      sym_text_interpolation,
    ACTIONS(4512), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [79188] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_declaration_list,
    STATE(2529), 1,
      sym_text_interpolation,
  [79204] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    STATE(2530), 1,
      sym_text_interpolation,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [79218] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4514), 1,
      sym_name,
    STATE(2531), 1,
      sym_text_interpolation,
    STATE(2543), 1,
      sym_namespace_name,
  [79234] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_SEMI,
    STATE(2532), 1,
      sym_text_interpolation,
  [79247] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4518), 1,
      sym_heredoc_end,
    STATE(2533), 1,
      sym_text_interpolation,
  [79260] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_EQ_GT,
    STATE(2534), 1,
      sym_text_interpolation,
  [79273] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_EQ_GT,
    STATE(2535), 1,
      sym_text_interpolation,
  [79286] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4524), 1,
      sym_name,
    STATE(2536), 1,
      sym_text_interpolation,
  [79299] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4526), 1,
      sym_heredoc_end,
    STATE(2537), 1,
      sym_text_interpolation,
  [79312] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_EQ,
    STATE(2538), 1,
      sym_text_interpolation,
  [79325] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_RPAREN2,
    STATE(2539), 1,
      sym_text_interpolation,
  [79338] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_COLON_COLON,
    STATE(2540), 1,
      sym_text_interpolation,
  [79351] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4534), 1,
      sym_name,
    STATE(2541), 1,
      sym_text_interpolation,
  [79364] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4536), 1,
      sym_name,
    STATE(2542), 1,
      sym_text_interpolation,
  [79377] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_BSLASH,
    STATE(2543), 1,
      sym_text_interpolation,
  [79390] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4540), 1,
      anon_sym_EQ_GT,
    STATE(2544), 1,
      sym_text_interpolation,
  [79403] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4542), 1,
      sym_name,
    STATE(2545), 1,
      sym_text_interpolation,
  [79416] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4544), 1,
      aux_sym_while_statement_token2,
    STATE(2546), 1,
      sym_text_interpolation,
  [79429] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym_heredoc_start,
    STATE(2547), 1,
      sym_text_interpolation,
  [79442] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_RBRACK,
    STATE(2548), 1,
      sym_text_interpolation,
  [79455] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    STATE(2549), 1,
      sym_text_interpolation,
  [79468] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4550), 1,
      sym_name,
    STATE(2550), 1,
      sym_text_interpolation,
  [79481] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_RPAREN2,
    STATE(2551), 1,
      sym_text_interpolation,
  [79494] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_RPAREN2,
    STATE(2552), 1,
      sym_text_interpolation,
  [79507] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    STATE(2553), 1,
      sym_text_interpolation,
  [79520] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_LBRACE,
    STATE(2554), 1,
      sym_text_interpolation,
  [79533] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_RPAREN2,
    STATE(2555), 1,
      sym_text_interpolation,
  [79546] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4560), 1,
      aux_sym_foreach_statement_token2,
    STATE(2556), 1,
      sym_text_interpolation,
  [79559] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4562), 1,
      sym_name,
    STATE(2557), 1,
      sym_text_interpolation,
  [79572] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_RPAREN2,
    STATE(2558), 1,
      sym_text_interpolation,
  [79585] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4566), 1,
      sym_name,
    STATE(2559), 1,
      sym_text_interpolation,
  [79598] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4568), 1,
      sym_name,
    STATE(2560), 1,
      sym_text_interpolation,
  [79611] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3572), 1,
      anon_sym_BSLASH,
    STATE(2561), 1,
      sym_text_interpolation,
  [79624] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_RBRACK,
    STATE(2562), 1,
      sym_text_interpolation,
  [79637] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_BSLASH,
    STATE(2563), 1,
      sym_text_interpolation,
  [79650] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_SEMI,
    STATE(2564), 1,
      sym_text_interpolation,
  [79663] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4574), 1,
      sym_name,
    STATE(2565), 1,
      sym_text_interpolation,
  [79676] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_EQ_GT,
    STATE(2566), 1,
      sym_text_interpolation,
  [79689] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4578), 1,
      sym_heredoc_end,
    STATE(2567), 1,
      sym_text_interpolation,
  [79702] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_EQ_GT,
    STATE(2568), 1,
      sym_text_interpolation,
  [79715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4582), 1,
      sym_name,
    STATE(2569), 1,
      sym_text_interpolation,
  [79728] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym_name,
    STATE(2570), 1,
      sym_text_interpolation,
  [79741] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_COLON_COLON,
    STATE(2571), 1,
      sym_text_interpolation,
  [79754] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LBRACE,
    STATE(2572), 1,
      sym_text_interpolation,
  [79767] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_RBRACK,
    STATE(2573), 1,
      sym_text_interpolation,
  [79780] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4592), 1,
      sym_name,
    STATE(2574), 1,
      sym_text_interpolation,
  [79793] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4342), 1,
      anon_sym_LBRACE,
    STATE(2575), 1,
      sym_text_interpolation,
  [79806] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_SQUOTE2,
    STATE(2576), 1,
      sym_text_interpolation,
  [79819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_LBRACE,
    STATE(2577), 1,
      sym_text_interpolation,
  [79832] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_RPAREN2,
    STATE(2578), 1,
      sym_text_interpolation,
  [79845] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_EQ_GT,
    STATE(2579), 1,
      sym_text_interpolation,
  [79858] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3980), 1,
      anon_sym_RPAREN2,
    STATE(2580), 1,
      sym_text_interpolation,
  [79871] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4600), 1,
      sym_name,
    STATE(2581), 1,
      sym_text_interpolation,
  [79884] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_SEMI,
    STATE(2582), 1,
      sym_text_interpolation,
  [79897] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4604), 1,
      aux_sym_foreach_statement_token2,
    STATE(2583), 1,
      sym_text_interpolation,
  [79910] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4606), 1,
      aux_sym_while_statement_token1,
    STATE(2584), 1,
      sym_text_interpolation,
  [79923] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_EQ_GT,
    STATE(2585), 1,
      sym_text_interpolation,
  [79936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_EQ,
    STATE(2586), 1,
      sym_text_interpolation,
  [79949] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_RPAREN2,
    STATE(2587), 1,
      sym_text_interpolation,
  [79962] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_LPAREN2,
    STATE(2588), 1,
      sym_text_interpolation,
  [79975] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_RPAREN2,
    STATE(2589), 1,
      sym_text_interpolation,
  [79988] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_RPAREN2,
    STATE(2590), 1,
      sym_text_interpolation,
  [80001] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3970), 1,
      sym_name,
    STATE(2591), 1,
      sym_text_interpolation,
  [80014] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4620), 1,
      sym_name,
    STATE(2592), 1,
      sym_text_interpolation,
  [80027] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_RPAREN2,
    STATE(2593), 1,
      sym_text_interpolation,
  [80040] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4624), 1,
      sym_name,
    STATE(2594), 1,
      sym_text_interpolation,
  [80053] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_RPAREN2,
    STATE(2595), 1,
      sym_text_interpolation,
  [80066] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_RPAREN2,
    STATE(2596), 1,
      sym_text_interpolation,
  [80079] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_RPAREN2,
    STATE(2597), 1,
      sym_text_interpolation,
  [80092] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_RPAREN2,
    STATE(2598), 1,
      sym_text_interpolation,
  [80105] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym_name,
    STATE(2599), 1,
      sym_text_interpolation,
  [80118] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_RPAREN2,
    STATE(2600), 1,
      sym_text_interpolation,
  [80131] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_RPAREN2,
    STATE(2601), 1,
      sym_text_interpolation,
  [80144] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_LBRACE,
    STATE(2602), 1,
      sym_text_interpolation,
  [80157] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4114), 1,
      anon_sym_BSLASH,
    STATE(2603), 1,
      sym_text_interpolation,
  [80170] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_RPAREN2,
    STATE(2604), 1,
      sym_text_interpolation,
  [80183] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_BSLASH,
    STATE(2605), 1,
      sym_text_interpolation,
  [80196] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_BSLASH,
    STATE(2606), 1,
      sym_text_interpolation,
  [80209] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_BSLASH,
    STATE(2607), 1,
      sym_text_interpolation,
  [80222] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_RPAREN2,
    STATE(2608), 1,
      sym_text_interpolation,
  [80235] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_EQ_GT,
    STATE(2609), 1,
      sym_text_interpolation,
  [80248] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_COLON_COLON,
    STATE(2610), 1,
      sym_text_interpolation,
  [80261] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_EQ_GT,
    STATE(2611), 1,
      sym_text_interpolation,
  [80274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_BSLASH,
    STATE(2612), 1,
      sym_text_interpolation,
  [80287] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_COLON_COLON,
    STATE(2613), 1,
      sym_text_interpolation,
  [80300] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_RPAREN2,
    STATE(2614), 1,
      sym_text_interpolation,
  [80313] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4658), 1,
      sym_heredoc_start,
    STATE(2615), 1,
      sym_text_interpolation,
  [80326] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4660), 1,
      sym_name,
    STATE(2616), 1,
      sym_text_interpolation,
  [80339] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_SEMI,
    STATE(2617), 1,
      sym_text_interpolation,
  [80352] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_RPAREN2,
    STATE(2618), 1,
      sym_text_interpolation,
  [80365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_RPAREN2,
    STATE(2619), 1,
      sym_text_interpolation,
  [80378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_SEMI,
    STATE(2620), 1,
      sym_text_interpolation,
  [80391] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4670), 1,
      sym_name,
    STATE(2621), 1,
      sym_text_interpolation,
  [80404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4672), 1,
      sym_name,
    STATE(2622), 1,
      sym_text_interpolation,
  [80417] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_EQ_GT,
    STATE(2623), 1,
      sym_text_interpolation,
  [80430] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4676), 1,
      sym_name,
    STATE(2624), 1,
      sym_text_interpolation,
  [80443] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym_name,
    STATE(2625), 1,
      sym_text_interpolation,
  [80456] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_name,
    STATE(2626), 1,
      sym_text_interpolation,
  [80469] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_SEMI,
    STATE(2627), 1,
      sym_text_interpolation,
  [80482] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_LPAREN2,
    STATE(2628), 1,
      sym_text_interpolation,
  [80495] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_RPAREN2,
    STATE(2629), 1,
      sym_text_interpolation,
  [80508] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_RPAREN2,
    STATE(2630), 1,
      sym_text_interpolation,
  [80521] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4688), 1,
      sym_heredoc_end,
    STATE(2631), 1,
      sym_text_interpolation,
  [80534] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4690), 1,
      sym_name,
    STATE(2632), 1,
      sym_text_interpolation,
  [80547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_RPAREN2,
    STATE(2633), 1,
      sym_text_interpolation,
  [80560] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4694), 1,
      sym_name,
    STATE(2634), 1,
      sym_text_interpolation,
  [80573] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_RPAREN2,
    STATE(2635), 1,
      sym_text_interpolation,
  [80586] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4012), 1,
      anon_sym_BSLASH,
    STATE(2636), 1,
      sym_text_interpolation,
  [80599] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_COLON_COLON,
    STATE(2637), 1,
      sym_text_interpolation,
  [80612] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4700), 1,
      sym_name,
    STATE(2638), 1,
      sym_text_interpolation,
  [80625] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4702), 1,
      aux_sym_if_statement_token2,
    STATE(2639), 1,
      sym_text_interpolation,
  [80638] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_RPAREN2,
    STATE(2640), 1,
      sym_text_interpolation,
  [80651] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_BSLASH,
    STATE(2641), 1,
      sym_text_interpolation,
  [80664] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4706), 1,
      sym_name,
    STATE(2642), 1,
      sym_text_interpolation,
  [80677] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4708), 1,
      sym_name,
    STATE(2643), 1,
      sym_text_interpolation,
  [80690] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_BSLASH,
    STATE(2644), 1,
      sym_text_interpolation,
  [80703] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4712), 1,
      sym_name,
    STATE(2645), 1,
      sym_text_interpolation,
  [80716] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4714), 1,
      sym_name,
    STATE(2646), 1,
      sym_text_interpolation,
  [80729] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_EQ,
    STATE(2647), 1,
      sym_text_interpolation,
  [80742] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_RPAREN2,
    STATE(2648), 1,
      sym_text_interpolation,
  [80755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4716), 1,
      anon_sym_EQ_GT,
    STATE(2649), 1,
      sym_text_interpolation,
  [80768] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4718), 1,
      aux_sym_while_statement_token1,
    STATE(2650), 1,
      sym_text_interpolation,
  [80781] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4720), 1,
      sym_name,
    STATE(2651), 1,
      sym_text_interpolation,
  [80794] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_RPAREN2,
    STATE(2652), 1,
      sym_text_interpolation,
  [80807] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym_name,
    STATE(2653), 1,
      sym_text_interpolation,
  [80820] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4008), 1,
      anon_sym_RBRACK,
    STATE(2654), 1,
      sym_text_interpolation,
  [80833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym_heredoc_start,
    STATE(2655), 1,
      sym_text_interpolation,
  [80846] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4728), 1,
      sym_name,
    STATE(2656), 1,
      sym_text_interpolation,
  [80859] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4730), 1,
      sym_name,
    STATE(2657), 1,
      sym_text_interpolation,
  [80872] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4732), 1,
      sym_name,
    STATE(2658), 1,
      sym_text_interpolation,
  [80885] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym_name,
    STATE(2659), 1,
      sym_text_interpolation,
  [80898] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4736), 1,
      sym_name,
    STATE(2660), 1,
      sym_text_interpolation,
  [80911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_RPAREN2,
    STATE(2661), 1,
      sym_text_interpolation,
  [80924] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4738), 1,
      sym_name,
    STATE(2662), 1,
      sym_text_interpolation,
  [80937] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4740), 1,
      sym_name,
    STATE(2663), 1,
      sym_text_interpolation,
  [80950] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_BSLASH,
    STATE(2664), 1,
      sym_text_interpolation,
  [80963] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4744), 1,
      sym_name,
    STATE(2665), 1,
      sym_text_interpolation,
  [80976] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_RPAREN2,
    STATE(2666), 1,
      sym_text_interpolation,
  [80989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_LBRACE,
    STATE(2667), 1,
      sym_text_interpolation,
  [81002] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_heredoc_end,
    STATE(2668), 1,
      sym_text_interpolation,
  [81015] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    STATE(2669), 1,
      sym_text_interpolation,
  [81028] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4754), 1,
      sym_name,
    STATE(2670), 1,
      sym_text_interpolation,
  [81041] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      sym_text_interpolation,
  [81054] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_RBRACK,
    STATE(2672), 1,
      sym_text_interpolation,
  [81067] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_RPAREN2,
    STATE(2673), 1,
      sym_text_interpolation,
  [81080] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_EQ_GT,
    STATE(2674), 1,
      sym_text_interpolation,
  [81093] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4764), 1,
      aux_sym_if_statement_token2,
    STATE(2675), 1,
      sym_text_interpolation,
  [81106] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_RPAREN2,
    STATE(2676), 1,
      sym_text_interpolation,
  [81119] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_COLON_COLON,
    STATE(2677), 1,
      sym_text_interpolation,
  [81132] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4770), 1,
      sym_heredoc_end,
    STATE(2678), 1,
      sym_text_interpolation,
  [81145] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_SQUOTE2,
    STATE(2679), 1,
      sym_text_interpolation,
  [81158] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_EQ_GT,
    STATE(2680), 1,
      sym_text_interpolation,
  [81171] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_EQ,
    STATE(2681), 1,
      sym_text_interpolation,
  [81184] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_RPAREN2,
    STATE(2682), 1,
      sym_text_interpolation,
  [81197] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_BSLASH,
    STATE(2683), 1,
      sym_text_interpolation,
  [81210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4782), 1,
      sym_heredoc_end,
    STATE(2684), 1,
      sym_text_interpolation,
  [81223] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4784), 1,
      sym_name,
    STATE(2685), 1,
      sym_text_interpolation,
  [81236] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_BSLASH,
    STATE(2686), 1,
      sym_text_interpolation,
  [81249] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(2687), 1,
      sym_text_interpolation,
  [81262] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_BSLASH,
    STATE(2688), 1,
      sym_text_interpolation,
  [81275] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_BSLASH,
    STATE(2689), 1,
      sym_text_interpolation,
  [81288] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    STATE(2690), 1,
      sym_text_interpolation,
  [81301] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_heredoc_end,
    STATE(2691), 1,
      sym_text_interpolation,
  [81314] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_BSLASH,
    STATE(2692), 1,
      sym_text_interpolation,
  [81327] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_RPAREN2,
    STATE(2693), 1,
      sym_text_interpolation,
  [81340] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4798), 1,
      sym_name,
    STATE(2694), 1,
      sym_text_interpolation,
  [81353] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4800), 1,
      sym_name,
    STATE(2695), 1,
      sym_text_interpolation,
  [81366] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_BSLASH,
    STATE(2696), 1,
      sym_text_interpolation,
  [81379] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_BSLASH,
    STATE(2697), 1,
      sym_text_interpolation,
  [81392] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_BSLASH,
    STATE(2698), 1,
      sym_text_interpolation,
  [81405] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4806), 1,
      sym_name,
    STATE(2699), 1,
      sym_text_interpolation,
  [81418] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_BSLASH,
    STATE(2700), 1,
      sym_text_interpolation,
  [81431] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RPAREN2,
    STATE(2701), 1,
      sym_text_interpolation,
  [81444] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4812), 1,
      sym_name,
    STATE(2702), 1,
      sym_text_interpolation,
  [81457] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4814), 1,
      sym_heredoc_end,
    STATE(2703), 1,
      sym_text_interpolation,
  [81470] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_LBRACE,
    STATE(2704), 1,
      sym_text_interpolation,
  [81483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(2705), 1,
      sym_text_interpolation,
  [81496] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_SEMI,
    STATE(2706), 1,
      sym_text_interpolation,
  [81509] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    STATE(2707), 1,
      sym_text_interpolation,
  [81522] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4822), 1,
      anon_sym_LPAREN2,
    STATE(2708), 1,
      sym_text_interpolation,
  [81535] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_RPAREN,
    STATE(2709), 1,
      sym_text_interpolation,
  [81548] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_BSLASH,
    STATE(2710), 1,
      sym_text_interpolation,
  [81561] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_RPAREN2,
    STATE(2711), 1,
      sym_text_interpolation,
  [81574] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4826), 1,
      sym_heredoc_start,
    STATE(2712), 1,
      sym_text_interpolation,
  [81587] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_LBRACE,
    STATE(2713), 1,
      sym_text_interpolation,
  [81600] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_LPAREN2,
    STATE(2714), 1,
      sym_text_interpolation,
  [81613] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_LPAREN2,
    STATE(2715), 1,
      sym_text_interpolation,
  [81626] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RPAREN2,
    STATE(2716), 1,
      sym_text_interpolation,
  [81639] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_SEMI,
    STATE(2717), 1,
      sym_text_interpolation,
  [81652] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3415), 1,
      sym_name,
    STATE(2718), 1,
      sym_text_interpolation,
  [81665] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_COLON_COLON,
    STATE(2719), 1,
      sym_text_interpolation,
  [81678] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_LPAREN2,
    STATE(2720), 1,
      sym_text_interpolation,
  [81691] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4842), 1,
      sym_name,
    STATE(2721), 1,
      sym_text_interpolation,
  [81704] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_RPAREN2,
    STATE(2722), 1,
      sym_text_interpolation,
  [81717] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_LBRACE,
    STATE(2723), 1,
      sym_text_interpolation,
  [81730] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_RPAREN2,
    STATE(2724), 1,
      sym_text_interpolation,
  [81743] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_RPAREN2,
    STATE(2725), 1,
      sym_text_interpolation,
  [81756] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4852), 1,
      sym_name,
    STATE(2726), 1,
      sym_text_interpolation,
  [81769] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
    STATE(2727), 1,
      sym_text_interpolation,
  [81782] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_RPAREN2,
    STATE(2728), 1,
      sym_text_interpolation,
  [81795] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_RPAREN2,
    STATE(2729), 1,
      sym_text_interpolation,
  [81808] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_RPAREN2,
    STATE(2730), 1,
      sym_text_interpolation,
  [81821] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4862), 1,
      sym_name,
    STATE(2731), 1,
      sym_text_interpolation,
  [81834] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_RPAREN2,
    STATE(2732), 1,
      sym_text_interpolation,
  [81847] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    STATE(2733), 1,
      sym_text_interpolation,
  [81860] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_RPAREN2,
    STATE(2734), 1,
      sym_text_interpolation,
  [81873] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4870), 1,
      ts_builtin_sym_end,
    STATE(2735), 1,
      sym_text_interpolation,
  [81886] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_RPAREN2,
    STATE(2736), 1,
      sym_text_interpolation,
  [81899] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_RPAREN2,
    STATE(2737), 1,
      sym_text_interpolation,
  [81912] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_RPAREN,
    STATE(2738), 1,
      sym_text_interpolation,
  [81925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LPAREN2,
    STATE(2739), 1,
      sym_text_interpolation,
  [81938] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4878), 1,
      aux_sym_if_statement_token2,
    STATE(2740), 1,
      sym_text_interpolation,
  [81951] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4880), 1,
      sym_name,
    STATE(2741), 1,
      sym_text_interpolation,
  [81964] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4882), 1,
      aux_sym_if_statement_token2,
    STATE(2742), 1,
      sym_text_interpolation,
  [81977] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4884), 1,
      sym_name,
    STATE(2743), 1,
      sym_text_interpolation,
  [81990] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_LPAREN2,
    STATE(2744), 1,
      sym_text_interpolation,
  [82003] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4888), 1,
      sym_heredoc_end,
    STATE(2745), 1,
      sym_text_interpolation,
  [82016] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_SEMI,
    STATE(2746), 1,
      sym_text_interpolation,
  [82029] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_name,
    STATE(2747), 1,
      sym_text_interpolation,
  [82042] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_EQ,
    STATE(2748), 1,
      sym_text_interpolation,
  [82055] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_RPAREN2,
    STATE(2749), 1,
      sym_text_interpolation,
  [82068] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_RPAREN2,
    STATE(2750), 1,
      sym_text_interpolation,
  [82081] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4896), 1,
      anon_sym_RPAREN2,
    STATE(2751), 1,
      sym_text_interpolation,
  [82094] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_RPAREN2,
    STATE(2752), 1,
      sym_text_interpolation,
  [82107] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4900), 1,
      sym_name,
    STATE(2753), 1,
      sym_text_interpolation,
  [82120] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_LPAREN2,
    STATE(2754), 1,
      sym_text_interpolation,
  [82133] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_RPAREN2,
    STATE(2755), 1,
      sym_text_interpolation,
  [82146] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_RBRACK,
    STATE(2756), 1,
      sym_text_interpolation,
  [82159] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_RBRACE,
    STATE(2757), 1,
      sym_text_interpolation,
  [82172] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4906), 1,
      sym_name,
    STATE(2758), 1,
      sym_text_interpolation,
  [82185] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4908), 1,
      anon_sym_LBRACE,
    STATE(2759), 1,
      sym_text_interpolation,
  [82198] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4910), 1,
      sym_integer,
    STATE(2760), 1,
      sym_text_interpolation,
  [82211] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACE,
    STATE(2761), 1,
      sym_text_interpolation,
  [82224] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LPAREN2,
    STATE(2762), 1,
      sym_text_interpolation,
  [82237] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4916), 1,
      anon_sym_RBRACK,
    STATE(2763), 1,
      sym_text_interpolation,
  [82250] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4918), 1,
      anon_sym_LBRACE,
    STATE(2764), 1,
      sym_text_interpolation,
  [82263] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_RPAREN2,
    STATE(2765), 1,
      sym_text_interpolation,
  [82276] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_LPAREN2,
    STATE(2766), 1,
      sym_text_interpolation,
  [82289] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4924), 1,
      aux_sym_if_statement_token2,
    STATE(2767), 1,
      sym_text_interpolation,
  [82302] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4155), 1,
      anon_sym_RBRACE,
    STATE(2768), 1,
      sym_text_interpolation,
  [82315] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4926), 1,
      aux_sym_while_statement_token2,
    STATE(2769), 1,
      sym_text_interpolation,
  [82328] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_LBRACE,
    STATE(2770), 1,
      sym_text_interpolation,
  [82341] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4930), 1,
      anon_sym_SEMI,
    STATE(2771), 1,
      sym_text_interpolation,
  [82354] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_LPAREN2,
    STATE(2772), 1,
      sym_text_interpolation,
  [82367] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4934), 1,
      sym_name,
    STATE(2773), 1,
      sym_text_interpolation,
  [82380] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_LPAREN2,
    STATE(2774), 1,
      sym_text_interpolation,
  [82393] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_LPAREN2,
    STATE(2775), 1,
      sym_text_interpolation,
  [82406] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4940), 1,
      anon_sym_EQ_GT,
    STATE(2776), 1,
      sym_text_interpolation,
  [82419] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4942), 1,
      anon_sym_LBRACE,
    STATE(2777), 1,
      sym_text_interpolation,
  [82432] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_SEMI,
    STATE(2778), 1,
      sym_text_interpolation,
  [82445] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_BSLASH,
    STATE(2779), 1,
      sym_text_interpolation,
  [82458] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4948), 1,
      anon_sym_LPAREN2,
    STATE(2780), 1,
      sym_text_interpolation,
  [82471] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4950), 1,
      anon_sym_LPAREN2,
    STATE(2781), 1,
      sym_text_interpolation,
  [82484] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_RPAREN2,
    STATE(2782), 1,
      sym_text_interpolation,
  [82497] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_LPAREN2,
    STATE(2783), 1,
      sym_text_interpolation,
  [82510] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1576), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym_name,
    STATE(2784), 1,
      sym_text_interpolation,
  [82523] = 1,
    ACTIONS(4958), 1,
      ts_builtin_sym_end,
  [82527] = 1,
    ACTIONS(4960), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(593)] = 0,
  [SMALL_STATE(594)] = 79,
  [SMALL_STATE(595)] = 158,
  [SMALL_STATE(596)] = 232,
  [SMALL_STATE(597)] = 306,
  [SMALL_STATE(598)] = 380,
  [SMALL_STATE(599)] = 464,
  [SMALL_STATE(600)] = 538,
  [SMALL_STATE(601)] = 612,
  [SMALL_STATE(602)] = 686,
  [SMALL_STATE(603)] = 760,
  [SMALL_STATE(604)] = 834,
  [SMALL_STATE(605)] = 910,
  [SMALL_STATE(606)] = 984,
  [SMALL_STATE(607)] = 1058,
  [SMALL_STATE(608)] = 1132,
  [SMALL_STATE(609)] = 1206,
  [SMALL_STATE(610)] = 1280,
  [SMALL_STATE(611)] = 1356,
  [SMALL_STATE(612)] = 1430,
  [SMALL_STATE(613)] = 1504,
  [SMALL_STATE(614)] = 1578,
  [SMALL_STATE(615)] = 1652,
  [SMALL_STATE(616)] = 1726,
  [SMALL_STATE(617)] = 1800,
  [SMALL_STATE(618)] = 1874,
  [SMALL_STATE(619)] = 1948,
  [SMALL_STATE(620)] = 2022,
  [SMALL_STATE(621)] = 2096,
  [SMALL_STATE(622)] = 2170,
  [SMALL_STATE(623)] = 2251,
  [SMALL_STATE(624)] = 2332,
  [SMALL_STATE(625)] = 2472,
  [SMALL_STATE(626)] = 2618,
  [SMALL_STATE(627)] = 2760,
  [SMALL_STATE(628)] = 2906,
  [SMALL_STATE(629)] = 3048,
  [SMALL_STATE(630)] = 3123,
  [SMALL_STATE(631)] = 3204,
  [SMALL_STATE(632)] = 3279,
  [SMALL_STATE(633)] = 3422,
  [SMALL_STATE(634)] = 3502,
  [SMALL_STATE(635)] = 3572,
  [SMALL_STATE(636)] = 3644,
  [SMALL_STATE(637)] = 3724,
  [SMALL_STATE(638)] = 3794,
  [SMALL_STATE(639)] = 3864,
  [SMALL_STATE(640)] = 3936,
  [SMALL_STATE(641)] = 4006,
  [SMALL_STATE(642)] = 4076,
  [SMALL_STATE(643)] = 4156,
  [SMALL_STATE(644)] = 4226,
  [SMALL_STATE(645)] = 4296,
  [SMALL_STATE(646)] = 4366,
  [SMALL_STATE(647)] = 4436,
  [SMALL_STATE(648)] = 4506,
  [SMALL_STATE(649)] = 4576,
  [SMALL_STATE(650)] = 4646,
  [SMALL_STATE(651)] = 4716,
  [SMALL_STATE(652)] = 4786,
  [SMALL_STATE(653)] = 4856,
  [SMALL_STATE(654)] = 4934,
  [SMALL_STATE(655)] = 5012,
  [SMALL_STATE(656)] = 5082,
  [SMALL_STATE(657)] = 5152,
  [SMALL_STATE(658)] = 5222,
  [SMALL_STATE(659)] = 5292,
  [SMALL_STATE(660)] = 5429,
  [SMALL_STATE(661)] = 5498,
  [SMALL_STATE(662)] = 5567,
  [SMALL_STATE(663)] = 5636,
  [SMALL_STATE(664)] = 5713,
  [SMALL_STATE(665)] = 5790,
  [SMALL_STATE(666)] = 5927,
  [SMALL_STATE(667)] = 5996,
  [SMALL_STATE(668)] = 6065,
  [SMALL_STATE(669)] = 6144,
  [SMALL_STATE(670)] = 6281,
  [SMALL_STATE(671)] = 6358,
  [SMALL_STATE(672)] = 6427,
  [SMALL_STATE(673)] = 6496,
  [SMALL_STATE(674)] = 6565,
  [SMALL_STATE(675)] = 6634,
  [SMALL_STATE(676)] = 6713,
  [SMALL_STATE(677)] = 6790,
  [SMALL_STATE(678)] = 6867,
  [SMALL_STATE(679)] = 6944,
  [SMALL_STATE(680)] = 7081,
  [SMALL_STATE(681)] = 7166,
  [SMALL_STATE(682)] = 7248,
  [SMALL_STATE(683)] = 7324,
  [SMALL_STATE(684)] = 7400,
  [SMALL_STATE(685)] = 7534,
  [SMALL_STATE(686)] = 7668,
  [SMALL_STATE(687)] = 7802,
  [SMALL_STATE(688)] = 7936,
  [SMALL_STATE(689)] = 8070,
  [SMALL_STATE(690)] = 8204,
  [SMALL_STATE(691)] = 8338,
  [SMALL_STATE(692)] = 8472,
  [SMALL_STATE(693)] = 8552,
  [SMALL_STATE(694)] = 8686,
  [SMALL_STATE(695)] = 8820,
  [SMALL_STATE(696)] = 8900,
  [SMALL_STATE(697)] = 9034,
  [SMALL_STATE(698)] = 9114,
  [SMALL_STATE(699)] = 9190,
  [SMALL_STATE(700)] = 9266,
  [SMALL_STATE(701)] = 9400,
  [SMALL_STATE(702)] = 9482,
  [SMALL_STATE(703)] = 9616,
  [SMALL_STATE(704)] = 9693,
  [SMALL_STATE(705)] = 9770,
  [SMALL_STATE(706)] = 9847,
  [SMALL_STATE(707)] = 9924,
  [SMALL_STATE(708)] = 10003,
  [SMALL_STATE(709)] = 10080,
  [SMALL_STATE(710)] = 10157,
  [SMALL_STATE(711)] = 10233,
  [SMALL_STATE(712)] = 10303,
  [SMALL_STATE(713)] = 10373,
  [SMALL_STATE(714)] = 10449,
  [SMALL_STATE(715)] = 10513,
  [SMALL_STATE(716)] = 10579,
  [SMALL_STATE(717)] = 10643,
  [SMALL_STATE(718)] = 10707,
  [SMALL_STATE(719)] = 10820,
  [SMALL_STATE(720)] = 10933,
  [SMALL_STATE(721)] = 10994,
  [SMALL_STATE(722)] = 11059,
  [SMALL_STATE(723)] = 11124,
  [SMALL_STATE(724)] = 11189,
  [SMALL_STATE(725)] = 11250,
  [SMALL_STATE(726)] = 11311,
  [SMALL_STATE(727)] = 11371,
  [SMALL_STATE(728)] = 11431,
  [SMALL_STATE(729)] = 11493,
  [SMALL_STATE(730)] = 11553,
  [SMALL_STATE(731)] = 11615,
  [SMALL_STATE(732)] = 11675,
  [SMALL_STATE(733)] = 11735,
  [SMALL_STATE(734)] = 11795,
  [SMALL_STATE(735)] = 11855,
  [SMALL_STATE(736)] = 11915,
  [SMALL_STATE(737)] = 11975,
  [SMALL_STATE(738)] = 12035,
  [SMALL_STATE(739)] = 12095,
  [SMALL_STATE(740)] = 12155,
  [SMALL_STATE(741)] = 12263,
  [SMALL_STATE(742)] = 12329,
  [SMALL_STATE(743)] = 12389,
  [SMALL_STATE(744)] = 12449,
  [SMALL_STATE(745)] = 12509,
  [SMALL_STATE(746)] = 12569,
  [SMALL_STATE(747)] = 12629,
  [SMALL_STATE(748)] = 12689,
  [SMALL_STATE(749)] = 12755,
  [SMALL_STATE(750)] = 12817,
  [SMALL_STATE(751)] = 12879,
  [SMALL_STATE(752)] = 12939,
  [SMALL_STATE(753)] = 13047,
  [SMALL_STATE(754)] = 13109,
  [SMALL_STATE(755)] = 13169,
  [SMALL_STATE(756)] = 13228,
  [SMALL_STATE(757)] = 13333,
  [SMALL_STATE(758)] = 13392,
  [SMALL_STATE(759)] = 13497,
  [SMALL_STATE(760)] = 13556,
  [SMALL_STATE(761)] = 13615,
  [SMALL_STATE(762)] = 13674,
  [SMALL_STATE(763)] = 13779,
  [SMALL_STATE(764)] = 13838,
  [SMALL_STATE(765)] = 13943,
  [SMALL_STATE(766)] = 14002,
  [SMALL_STATE(767)] = 14065,
  [SMALL_STATE(768)] = 14128,
  [SMALL_STATE(769)] = 14191,
  [SMALL_STATE(770)] = 14254,
  [SMALL_STATE(771)] = 14315,
  [SMALL_STATE(772)] = 14374,
  [SMALL_STATE(773)] = 14435,
  [SMALL_STATE(774)] = 14498,
  [SMALL_STATE(775)] = 14557,
  [SMALL_STATE(776)] = 14677,
  [SMALL_STATE(777)] = 14737,
  [SMALL_STATE(778)] = 14795,
  [SMALL_STATE(779)] = 14853,
  [SMALL_STATE(780)] = 14911,
  [SMALL_STATE(781)] = 14969,
  [SMALL_STATE(782)] = 15029,
  [SMALL_STATE(783)] = 15087,
  [SMALL_STATE(784)] = 15145,
  [SMALL_STATE(785)] = 15203,
  [SMALL_STATE(786)] = 15261,
  [SMALL_STATE(787)] = 15319,
  [SMALL_STATE(788)] = 15377,
  [SMALL_STATE(789)] = 15435,
  [SMALL_STATE(790)] = 15495,
  [SMALL_STATE(791)] = 15553,
  [SMALL_STATE(792)] = 15611,
  [SMALL_STATE(793)] = 15669,
  [SMALL_STATE(794)] = 15727,
  [SMALL_STATE(795)] = 15785,
  [SMALL_STATE(796)] = 15843,
  [SMALL_STATE(797)] = 15901,
  [SMALL_STATE(798)] = 15959,
  [SMALL_STATE(799)] = 16017,
  [SMALL_STATE(800)] = 16075,
  [SMALL_STATE(801)] = 16133,
  [SMALL_STATE(802)] = 16191,
  [SMALL_STATE(803)] = 16249,
  [SMALL_STATE(804)] = 16315,
  [SMALL_STATE(805)] = 16377,
  [SMALL_STATE(806)] = 16479,
  [SMALL_STATE(807)] = 16541,
  [SMALL_STATE(808)] = 16599,
  [SMALL_STATE(809)] = 16657,
  [SMALL_STATE(810)] = 16715,
  [SMALL_STATE(811)] = 16773,
  [SMALL_STATE(812)] = 16831,
  [SMALL_STATE(813)] = 16889,
  [SMALL_STATE(814)] = 16947,
  [SMALL_STATE(815)] = 17005,
  [SMALL_STATE(816)] = 17063,
  [SMALL_STATE(817)] = 17121,
  [SMALL_STATE(818)] = 17179,
  [SMALL_STATE(819)] = 17239,
  [SMALL_STATE(820)] = 17301,
  [SMALL_STATE(821)] = 17359,
  [SMALL_STATE(822)] = 17421,
  [SMALL_STATE(823)] = 17479,
  [SMALL_STATE(824)] = 17537,
  [SMALL_STATE(825)] = 17595,
  [SMALL_STATE(826)] = 17653,
  [SMALL_STATE(827)] = 17711,
  [SMALL_STATE(828)] = 17769,
  [SMALL_STATE(829)] = 17827,
  [SMALL_STATE(830)] = 17885,
  [SMALL_STATE(831)] = 18005,
  [SMALL_STATE(832)] = 18063,
  [SMALL_STATE(833)] = 18183,
  [SMALL_STATE(834)] = 18241,
  [SMALL_STATE(835)] = 18299,
  [SMALL_STATE(836)] = 18357,
  [SMALL_STATE(837)] = 18415,
  [SMALL_STATE(838)] = 18473,
  [SMALL_STATE(839)] = 18531,
  [SMALL_STATE(840)] = 18589,
  [SMALL_STATE(841)] = 18647,
  [SMALL_STATE(842)] = 18705,
  [SMALL_STATE(843)] = 18763,
  [SMALL_STATE(844)] = 18821,
  [SMALL_STATE(845)] = 18879,
  [SMALL_STATE(846)] = 18937,
  [SMALL_STATE(847)] = 18995,
  [SMALL_STATE(848)] = 19053,
  [SMALL_STATE(849)] = 19111,
  [SMALL_STATE(850)] = 19173,
  [SMALL_STATE(851)] = 19233,
  [SMALL_STATE(852)] = 19293,
  [SMALL_STATE(853)] = 19351,
  [SMALL_STATE(854)] = 19409,
  [SMALL_STATE(855)] = 19467,
  [SMALL_STATE(856)] = 19525,
  [SMALL_STATE(857)] = 19583,
  [SMALL_STATE(858)] = 19641,
  [SMALL_STATE(859)] = 19699,
  [SMALL_STATE(860)] = 19757,
  [SMALL_STATE(861)] = 19817,
  [SMALL_STATE(862)] = 19878,
  [SMALL_STATE(863)] = 19939,
  [SMALL_STATE(864)] = 20000,
  [SMALL_STATE(865)] = 20061,
  [SMALL_STATE(866)] = 20120,
  [SMALL_STATE(867)] = 20181,
  [SMALL_STATE(868)] = 20240,
  [SMALL_STATE(869)] = 20299,
  [SMALL_STATE(870)] = 20356,
  [SMALL_STATE(871)] = 20417,
  [SMALL_STATE(872)] = 20476,
  [SMALL_STATE(873)] = 20533,
  [SMALL_STATE(874)] = 20592,
  [SMALL_STATE(875)] = 20648,
  [SMALL_STATE(876)] = 20710,
  [SMALL_STATE(877)] = 20770,
  [SMALL_STATE(878)] = 20830,
  [SMALL_STATE(879)] = 20892,
  [SMALL_STATE(880)] = 20948,
  [SMALL_STATE(881)] = 21004,
  [SMALL_STATE(882)] = 21062,
  [SMALL_STATE(883)] = 21122,
  [SMALL_STATE(884)] = 21178,
  [SMALL_STATE(885)] = 21234,
  [SMALL_STATE(886)] = 21290,
  [SMALL_STATE(887)] = 21346,
  [SMALL_STATE(888)] = 21402,
  [SMALL_STATE(889)] = 21458,
  [SMALL_STATE(890)] = 21514,
  [SMALL_STATE(891)] = 21570,
  [SMALL_STATE(892)] = 21626,
  [SMALL_STATE(893)] = 21682,
  [SMALL_STATE(894)] = 21738,
  [SMALL_STATE(895)] = 21794,
  [SMALL_STATE(896)] = 21850,
  [SMALL_STATE(897)] = 21906,
  [SMALL_STATE(898)] = 21962,
  [SMALL_STATE(899)] = 22018,
  [SMALL_STATE(900)] = 22074,
  [SMALL_STATE(901)] = 22132,
  [SMALL_STATE(902)] = 22189,
  [SMALL_STATE(903)] = 22244,
  [SMALL_STATE(904)] = 22299,
  [SMALL_STATE(905)] = 22354,
  [SMALL_STATE(906)] = 22411,
  [SMALL_STATE(907)] = 22466,
  [SMALL_STATE(908)] = 22521,
  [SMALL_STATE(909)] = 22580,
  [SMALL_STATE(910)] = 22635,
  [SMALL_STATE(911)] = 22690,
  [SMALL_STATE(912)] = 22745,
  [SMALL_STATE(913)] = 22800,
  [SMALL_STATE(914)] = 22855,
  [SMALL_STATE(915)] = 22910,
  [SMALL_STATE(916)] = 22969,
  [SMALL_STATE(917)] = 23028,
  [SMALL_STATE(918)] = 23085,
  [SMALL_STATE(919)] = 23140,
  [SMALL_STATE(920)] = 23195,
  [SMALL_STATE(921)] = 23250,
  [SMALL_STATE(922)] = 23305,
  [SMALL_STATE(923)] = 23360,
  [SMALL_STATE(924)] = 23419,
  [SMALL_STATE(925)] = 23478,
  [SMALL_STATE(926)] = 23535,
  [SMALL_STATE(927)] = 23597,
  [SMALL_STATE(928)] = 23655,
  [SMALL_STATE(929)] = 23709,
  [SMALL_STATE(930)] = 23763,
  [SMALL_STATE(931)] = 23825,
  [SMALL_STATE(932)] = 23879,
  [SMALL_STATE(933)] = 23933,
  [SMALL_STATE(934)] = 23987,
  [SMALL_STATE(935)] = 24041,
  [SMALL_STATE(936)] = 24099,
  [SMALL_STATE(937)] = 24153,
  [SMALL_STATE(938)] = 24207,
  [SMALL_STATE(939)] = 24261,
  [SMALL_STATE(940)] = 24315,
  [SMALL_STATE(941)] = 24369,
  [SMALL_STATE(942)] = 24427,
  [SMALL_STATE(943)] = 24489,
  [SMALL_STATE(944)] = 24543,
  [SMALL_STATE(945)] = 24597,
  [SMALL_STATE(946)] = 24651,
  [SMALL_STATE(947)] = 24705,
  [SMALL_STATE(948)] = 24759,
  [SMALL_STATE(949)] = 24813,
  [SMALL_STATE(950)] = 24867,
  [SMALL_STATE(951)] = 24921,
  [SMALL_STATE(952)] = 24977,
  [SMALL_STATE(953)] = 25031,
  [SMALL_STATE(954)] = 25087,
  [SMALL_STATE(955)] = 25141,
  [SMALL_STATE(956)] = 25199,
  [SMALL_STATE(957)] = 25257,
  [SMALL_STATE(958)] = 25311,
  [SMALL_STATE(959)] = 25365,
  [SMALL_STATE(960)] = 25419,
  [SMALL_STATE(961)] = 25473,
  [SMALL_STATE(962)] = 25527,
  [SMALL_STATE(963)] = 25583,
  [SMALL_STATE(964)] = 25637,
  [SMALL_STATE(965)] = 25691,
  [SMALL_STATE(966)] = 25745,
  [SMALL_STATE(967)] = 25799,
  [SMALL_STATE(968)] = 25853,
  [SMALL_STATE(969)] = 25907,
  [SMALL_STATE(970)] = 25963,
  [SMALL_STATE(971)] = 26017,
  [SMALL_STATE(972)] = 26071,
  [SMALL_STATE(973)] = 26125,
  [SMALL_STATE(974)] = 26179,
  [SMALL_STATE(975)] = 26233,
  [SMALL_STATE(976)] = 26287,
  [SMALL_STATE(977)] = 26341,
  [SMALL_STATE(978)] = 26397,
  [SMALL_STATE(979)] = 26451,
  [SMALL_STATE(980)] = 26507,
  [SMALL_STATE(981)] = 26563,
  [SMALL_STATE(982)] = 26617,
  [SMALL_STATE(983)] = 26671,
  [SMALL_STATE(984)] = 26725,
  [SMALL_STATE(985)] = 26779,
  [SMALL_STATE(986)] = 26833,
  [SMALL_STATE(987)] = 26889,
  [SMALL_STATE(988)] = 26943,
  [SMALL_STATE(989)] = 26997,
  [SMALL_STATE(990)] = 27051,
  [SMALL_STATE(991)] = 27105,
  [SMALL_STATE(992)] = 27159,
  [SMALL_STATE(993)] = 27213,
  [SMALL_STATE(994)] = 27267,
  [SMALL_STATE(995)] = 27321,
  [SMALL_STATE(996)] = 27375,
  [SMALL_STATE(997)] = 27429,
  [SMALL_STATE(998)] = 27483,
  [SMALL_STATE(999)] = 27537,
  [SMALL_STATE(1000)] = 27591,
  [SMALL_STATE(1001)] = 27645,
  [SMALL_STATE(1002)] = 27699,
  [SMALL_STATE(1003)] = 27753,
  [SMALL_STATE(1004)] = 27807,
  [SMALL_STATE(1005)] = 27869,
  [SMALL_STATE(1006)] = 27923,
  [SMALL_STATE(1007)] = 27977,
  [SMALL_STATE(1008)] = 28031,
  [SMALL_STATE(1009)] = 28085,
  [SMALL_STATE(1010)] = 28139,
  [SMALL_STATE(1011)] = 28193,
  [SMALL_STATE(1012)] = 28247,
  [SMALL_STATE(1013)] = 28301,
  [SMALL_STATE(1014)] = 28355,
  [SMALL_STATE(1015)] = 28409,
  [SMALL_STATE(1016)] = 28463,
  [SMALL_STATE(1017)] = 28517,
  [SMALL_STATE(1018)] = 28570,
  [SMALL_STATE(1019)] = 28623,
  [SMALL_STATE(1020)] = 28676,
  [SMALL_STATE(1021)] = 28729,
  [SMALL_STATE(1022)] = 28782,
  [SMALL_STATE(1023)] = 28835,
  [SMALL_STATE(1024)] = 28888,
  [SMALL_STATE(1025)] = 28941,
  [SMALL_STATE(1026)] = 28996,
  [SMALL_STATE(1027)] = 29049,
  [SMALL_STATE(1028)] = 29104,
  [SMALL_STATE(1029)] = 29157,
  [SMALL_STATE(1030)] = 29210,
  [SMALL_STATE(1031)] = 29263,
  [SMALL_STATE(1032)] = 29316,
  [SMALL_STATE(1033)] = 29369,
  [SMALL_STATE(1034)] = 29424,
  [SMALL_STATE(1035)] = 29477,
  [SMALL_STATE(1036)] = 29530,
  [SMALL_STATE(1037)] = 29587,
  [SMALL_STATE(1038)] = 29640,
  [SMALL_STATE(1039)] = 29693,
  [SMALL_STATE(1040)] = 29746,
  [SMALL_STATE(1041)] = 29801,
  [SMALL_STATE(1042)] = 29856,
  [SMALL_STATE(1043)] = 29909,
  [SMALL_STATE(1044)] = 29966,
  [SMALL_STATE(1045)] = 30021,
  [SMALL_STATE(1046)] = 30074,
  [SMALL_STATE(1047)] = 30127,
  [SMALL_STATE(1048)] = 30182,
  [SMALL_STATE(1049)] = 30239,
  [SMALL_STATE(1050)] = 30292,
  [SMALL_STATE(1051)] = 30349,
  [SMALL_STATE(1052)] = 30404,
  [SMALL_STATE(1053)] = 30457,
  [SMALL_STATE(1054)] = 30510,
  [SMALL_STATE(1055)] = 30561,
  [SMALL_STATE(1056)] = 30646,
  [SMALL_STATE(1057)] = 30697,
  [SMALL_STATE(1058)] = 30748,
  [SMALL_STATE(1059)] = 30799,
  [SMALL_STATE(1060)] = 30850,
  [SMALL_STATE(1061)] = 30901,
  [SMALL_STATE(1062)] = 30956,
  [SMALL_STATE(1063)] = 31006,
  [SMALL_STATE(1064)] = 31066,
  [SMALL_STATE(1065)] = 31118,
  [SMALL_STATE(1066)] = 31184,
  [SMALL_STATE(1067)] = 31266,
  [SMALL_STATE(1068)] = 31348,
  [SMALL_STATE(1069)] = 31430,
  [SMALL_STATE(1070)] = 31518,
  [SMALL_STATE(1071)] = 31606,
  [SMALL_STATE(1072)] = 31694,
  [SMALL_STATE(1073)] = 31746,
  [SMALL_STATE(1074)] = 31836,
  [SMALL_STATE(1075)] = 31918,
  [SMALL_STATE(1076)] = 31976,
  [SMALL_STATE(1077)] = 32062,
  [SMALL_STATE(1078)] = 32112,
  [SMALL_STATE(1079)] = 32200,
  [SMALL_STATE(1080)] = 32282,
  [SMALL_STATE(1081)] = 32366,
  [SMALL_STATE(1082)] = 32444,
  [SMALL_STATE(1083)] = 32532,
  [SMALL_STATE(1084)] = 32608,
  [SMALL_STATE(1085)] = 32696,
  [SMALL_STATE(1086)] = 32784,
  [SMALL_STATE(1087)] = 32856,
  [SMALL_STATE(1088)] = 32938,
  [SMALL_STATE(1089)] = 33004,
  [SMALL_STATE(1090)] = 33066,
  [SMALL_STATE(1091)] = 33136,
  [SMALL_STATE(1092)] = 33194,
  [SMALL_STATE(1093)] = 33268,
  [SMALL_STATE(1094)] = 33326,
  [SMALL_STATE(1095)] = 33414,
  [SMALL_STATE(1096)] = 33470,
  [SMALL_STATE(1097)] = 33558,
  [SMALL_STATE(1098)] = 33646,
  [SMALL_STATE(1099)] = 33728,
  [SMALL_STATE(1100)] = 33789,
  [SMALL_STATE(1101)] = 33876,
  [SMALL_STATE(1102)] = 33925,
  [SMALL_STATE(1103)] = 33974,
  [SMALL_STATE(1104)] = 34023,
  [SMALL_STATE(1105)] = 34072,
  [SMALL_STATE(1106)] = 34121,
  [SMALL_STATE(1107)] = 34208,
  [SMALL_STATE(1108)] = 34295,
  [SMALL_STATE(1109)] = 34346,
  [SMALL_STATE(1110)] = 34395,
  [SMALL_STATE(1111)] = 34444,
  [SMALL_STATE(1112)] = 34493,
  [SMALL_STATE(1113)] = 34542,
  [SMALL_STATE(1114)] = 34591,
  [SMALL_STATE(1115)] = 34678,
  [SMALL_STATE(1116)] = 34727,
  [SMALL_STATE(1117)] = 34814,
  [SMALL_STATE(1118)] = 34901,
  [SMALL_STATE(1119)] = 34970,
  [SMALL_STATE(1120)] = 35043,
  [SMALL_STATE(1121)] = 35098,
  [SMALL_STATE(1122)] = 35179,
  [SMALL_STATE(1123)] = 35230,
  [SMALL_STATE(1124)] = 35311,
  [SMALL_STATE(1125)] = 35396,
  [SMALL_STATE(1126)] = 35479,
  [SMALL_STATE(1127)] = 35556,
  [SMALL_STATE(1128)] = 35605,
  [SMALL_STATE(1129)] = 35680,
  [SMALL_STATE(1130)] = 35729,
  [SMALL_STATE(1131)] = 35800,
  [SMALL_STATE(1132)] = 35865,
  [SMALL_STATE(1133)] = 35914,
  [SMALL_STATE(1134)] = 35975,
  [SMALL_STATE(1135)] = 36032,
  [SMALL_STATE(1136)] = 36091,
  [SMALL_STATE(1137)] = 36142,
  [SMALL_STATE(1138)] = 36191,
  [SMALL_STATE(1139)] = 36272,
  [SMALL_STATE(1140)] = 36353,
  [SMALL_STATE(1141)] = 36434,
  [SMALL_STATE(1142)] = 36483,
  [SMALL_STATE(1143)] = 36532,
  [SMALL_STATE(1144)] = 36581,
  [SMALL_STATE(1145)] = 36668,
  [SMALL_STATE(1146)] = 36717,
  [SMALL_STATE(1147)] = 36806,
  [SMALL_STATE(1148)] = 36893,
  [SMALL_STATE(1149)] = 36942,
  [SMALL_STATE(1150)] = 37029,
  [SMALL_STATE(1151)] = 37078,
  [SMALL_STATE(1152)] = 37127,
  [SMALL_STATE(1153)] = 37176,
  [SMALL_STATE(1154)] = 37225,
  [SMALL_STATE(1155)] = 37274,
  [SMALL_STATE(1156)] = 37361,
  [SMALL_STATE(1157)] = 37448,
  [SMALL_STATE(1158)] = 37517,
  [SMALL_STATE(1159)] = 37590,
  [SMALL_STATE(1160)] = 37645,
  [SMALL_STATE(1161)] = 37726,
  [SMALL_STATE(1162)] = 37777,
  [SMALL_STATE(1163)] = 37858,
  [SMALL_STATE(1164)] = 37943,
  [SMALL_STATE(1165)] = 38026,
  [SMALL_STATE(1166)] = 38103,
  [SMALL_STATE(1167)] = 38178,
  [SMALL_STATE(1168)] = 38249,
  [SMALL_STATE(1169)] = 38314,
  [SMALL_STATE(1170)] = 38371,
  [SMALL_STATE(1171)] = 38430,
  [SMALL_STATE(1172)] = 38481,
  [SMALL_STATE(1173)] = 38568,
  [SMALL_STATE(1174)] = 38649,
  [SMALL_STATE(1175)] = 38730,
  [SMALL_STATE(1176)] = 38811,
  [SMALL_STATE(1177)] = 38892,
  [SMALL_STATE(1178)] = 38973,
  [SMALL_STATE(1179)] = 39054,
  [SMALL_STATE(1180)] = 39135,
  [SMALL_STATE(1181)] = 39222,
  [SMALL_STATE(1182)] = 39309,
  [SMALL_STATE(1183)] = 39396,
  [SMALL_STATE(1184)] = 39483,
  [SMALL_STATE(1185)] = 39572,
  [SMALL_STATE(1186)] = 39659,
  [SMALL_STATE(1187)] = 39746,
  [SMALL_STATE(1188)] = 39833,
  [SMALL_STATE(1189)] = 39920,
  [SMALL_STATE(1190)] = 39969,
  [SMALL_STATE(1191)] = 40049,
  [SMALL_STATE(1192)] = 40135,
  [SMALL_STATE(1193)] = 40213,
  [SMALL_STATE(1194)] = 40291,
  [SMALL_STATE(1195)] = 40367,
  [SMALL_STATE(1196)] = 40443,
  [SMALL_STATE(1197)] = 40519,
  [SMALL_STATE(1198)] = 40595,
  [SMALL_STATE(1199)] = 40681,
  [SMALL_STATE(1200)] = 40767,
  [SMALL_STATE(1201)] = 40835,
  [SMALL_STATE(1202)] = 40907,
  [SMALL_STATE(1203)] = 40961,
  [SMALL_STATE(1204)] = 41041,
  [SMALL_STATE(1205)] = 41091,
  [SMALL_STATE(1206)] = 41175,
  [SMALL_STATE(1207)] = 41261,
  [SMALL_STATE(1208)] = 41337,
  [SMALL_STATE(1209)] = 41411,
  [SMALL_STATE(1210)] = 41481,
  [SMALL_STATE(1211)] = 41545,
  [SMALL_STATE(1212)] = 41605,
  [SMALL_STATE(1213)] = 41661,
  [SMALL_STATE(1214)] = 41719,
  [SMALL_STATE(1215)] = 41769,
  [SMALL_STATE(1216)] = 41849,
  [SMALL_STATE(1217)] = 41929,
  [SMALL_STATE(1218)] = 42009,
  [SMALL_STATE(1219)] = 42089,
  [SMALL_STATE(1220)] = 42169,
  [SMALL_STATE(1221)] = 42255,
  [SMALL_STATE(1222)] = 42341,
  [SMALL_STATE(1223)] = 42427,
  [SMALL_STATE(1224)] = 42513,
  [SMALL_STATE(1225)] = 42601,
  [SMALL_STATE(1226)] = 42687,
  [SMALL_STATE(1227)] = 42773,
  [SMALL_STATE(1228)] = 42855,
  [SMALL_STATE(1229)] = 42944,
  [SMALL_STATE(1230)] = 43033,
  [SMALL_STATE(1231)] = 43122,
  [SMALL_STATE(1232)] = 43207,
  [SMALL_STATE(1233)] = 43296,
  [SMALL_STATE(1234)] = 43385,
  [SMALL_STATE(1235)] = 43474,
  [SMALL_STATE(1236)] = 43563,
  [SMALL_STATE(1237)] = 43612,
  [SMALL_STATE(1238)] = 43661,
  [SMALL_STATE(1239)] = 43750,
  [SMALL_STATE(1240)] = 43836,
  [SMALL_STATE(1241)] = 43922,
  [SMALL_STATE(1242)] = 44008,
  [SMALL_STATE(1243)] = 44094,
  [SMALL_STATE(1244)] = 44180,
  [SMALL_STATE(1245)] = 44266,
  [SMALL_STATE(1246)] = 44354,
  [SMALL_STATE(1247)] = 44440,
  [SMALL_STATE(1248)] = 44526,
  [SMALL_STATE(1249)] = 44612,
  [SMALL_STATE(1250)] = 44696,
  [SMALL_STATE(1251)] = 44768,
  [SMALL_STATE(1252)] = 44854,
  [SMALL_STATE(1253)] = 44940,
  [SMALL_STATE(1254)] = 45024,
  [SMALL_STATE(1255)] = 45110,
  [SMALL_STATE(1256)] = 45182,
  [SMALL_STATE(1257)] = 45268,
  [SMALL_STATE(1258)] = 45354,
  [SMALL_STATE(1259)] = 45440,
  [SMALL_STATE(1260)] = 45526,
  [SMALL_STATE(1261)] = 45573,
  [SMALL_STATE(1262)] = 45658,
  [SMALL_STATE(1263)] = 45741,
  [SMALL_STATE(1264)] = 45826,
  [SMALL_STATE(1265)] = 45913,
  [SMALL_STATE(1266)] = 45998,
  [SMALL_STATE(1267)] = 46081,
  [SMALL_STATE(1268)] = 46164,
  [SMALL_STATE(1269)] = 46249,
  [SMALL_STATE(1270)] = 46338,
  [SMALL_STATE(1271)] = 46421,
  [SMALL_STATE(1272)] = 46510,
  [SMALL_STATE(1273)] = 46593,
  [SMALL_STATE(1274)] = 46676,
  [SMALL_STATE(1275)] = 46759,
  [SMALL_STATE(1276)] = 46848,
  [SMALL_STATE(1277)] = 46931,
  [SMALL_STATE(1278)] = 47020,
  [SMALL_STATE(1279)] = 47103,
  [SMALL_STATE(1280)] = 47186,
  [SMALL_STATE(1281)] = 47269,
  [SMALL_STATE(1282)] = 47352,
  [SMALL_STATE(1283)] = 47435,
  [SMALL_STATE(1284)] = 47518,
  [SMALL_STATE(1285)] = 47601,
  [SMALL_STATE(1286)] = 47686,
  [SMALL_STATE(1287)] = 47769,
  [SMALL_STATE(1288)] = 47858,
  [SMALL_STATE(1289)] = 47947,
  [SMALL_STATE(1290)] = 48029,
  [SMALL_STATE(1291)] = 48111,
  [SMALL_STATE(1292)] = 48155,
  [SMALL_STATE(1293)] = 48237,
  [SMALL_STATE(1294)] = 48319,
  [SMALL_STATE(1295)] = 48401,
  [SMALL_STATE(1296)] = 48445,
  [SMALL_STATE(1297)] = 48527,
  [SMALL_STATE(1298)] = 48609,
  [SMALL_STATE(1299)] = 48691,
  [SMALL_STATE(1300)] = 48773,
  [SMALL_STATE(1301)] = 48855,
  [SMALL_STATE(1302)] = 48937,
  [SMALL_STATE(1303)] = 49019,
  [SMALL_STATE(1304)] = 49101,
  [SMALL_STATE(1305)] = 49183,
  [SMALL_STATE(1306)] = 49265,
  [SMALL_STATE(1307)] = 49347,
  [SMALL_STATE(1308)] = 49429,
  [SMALL_STATE(1309)] = 49511,
  [SMALL_STATE(1310)] = 49593,
  [SMALL_STATE(1311)] = 49675,
  [SMALL_STATE(1312)] = 49757,
  [SMALL_STATE(1313)] = 49839,
  [SMALL_STATE(1314)] = 49921,
  [SMALL_STATE(1315)] = 50003,
  [SMALL_STATE(1316)] = 50085,
  [SMALL_STATE(1317)] = 50167,
  [SMALL_STATE(1318)] = 50249,
  [SMALL_STATE(1319)] = 50331,
  [SMALL_STATE(1320)] = 50413,
  [SMALL_STATE(1321)] = 50495,
  [SMALL_STATE(1322)] = 50577,
  [SMALL_STATE(1323)] = 50659,
  [SMALL_STATE(1324)] = 50741,
  [SMALL_STATE(1325)] = 50823,
  [SMALL_STATE(1326)] = 50905,
  [SMALL_STATE(1327)] = 50949,
  [SMALL_STATE(1328)] = 51031,
  [SMALL_STATE(1329)] = 51113,
  [SMALL_STATE(1330)] = 51195,
  [SMALL_STATE(1331)] = 51277,
  [SMALL_STATE(1332)] = 51359,
  [SMALL_STATE(1333)] = 51441,
  [SMALL_STATE(1334)] = 51523,
  [SMALL_STATE(1335)] = 51605,
  [SMALL_STATE(1336)] = 51687,
  [SMALL_STATE(1337)] = 51731,
  [SMALL_STATE(1338)] = 51813,
  [SMALL_STATE(1339)] = 51895,
  [SMALL_STATE(1340)] = 51977,
  [SMALL_STATE(1341)] = 52059,
  [SMALL_STATE(1342)] = 52141,
  [SMALL_STATE(1343)] = 52223,
  [SMALL_STATE(1344)] = 52305,
  [SMALL_STATE(1345)] = 52348,
  [SMALL_STATE(1346)] = 52413,
  [SMALL_STATE(1347)] = 52494,
  [SMALL_STATE(1348)] = 52537,
  [SMALL_STATE(1349)] = 52602,
  [SMALL_STATE(1350)] = 52645,
  [SMALL_STATE(1351)] = 52726,
  [SMALL_STATE(1352)] = 52805,
  [SMALL_STATE(1353)] = 52886,
  [SMALL_STATE(1354)] = 52967,
  [SMALL_STATE(1355)] = 53011,
  [SMALL_STATE(1356)] = 53057,
  [SMALL_STATE(1357)] = 53111,
  [SMALL_STATE(1358)] = 53165,
  [SMALL_STATE(1359)] = 53203,
  [SMALL_STATE(1360)] = 53241,
  [SMALL_STATE(1361)] = 53311,
  [SMALL_STATE(1362)] = 53349,
  [SMALL_STATE(1363)] = 53403,
  [SMALL_STATE(1364)] = 53457,
  [SMALL_STATE(1365)] = 53527,
  [SMALL_STATE(1366)] = 53581,
  [SMALL_STATE(1367)] = 53635,
  [SMALL_STATE(1368)] = 53689,
  [SMALL_STATE(1369)] = 53743,
  [SMALL_STATE(1370)] = 53797,
  [SMALL_STATE(1371)] = 53835,
  [SMALL_STATE(1372)] = 53889,
  [SMALL_STATE(1373)] = 53943,
  [SMALL_STATE(1374)] = 53994,
  [SMALL_STATE(1375)] = 54045,
  [SMALL_STATE(1376)] = 54096,
  [SMALL_STATE(1377)] = 54147,
  [SMALL_STATE(1378)] = 54198,
  [SMALL_STATE(1379)] = 54249,
  [SMALL_STATE(1380)] = 54315,
  [SMALL_STATE(1381)] = 54381,
  [SMALL_STATE(1382)] = 54420,
  [SMALL_STATE(1383)] = 54461,
  [SMALL_STATE(1384)] = 54505,
  [SMALL_STATE(1385)] = 54549,
  [SMALL_STATE(1386)] = 54591,
  [SMALL_STATE(1387)] = 54633,
  [SMALL_STATE(1388)] = 54677,
  [SMALL_STATE(1389)] = 54711,
  [SMALL_STATE(1390)] = 54744,
  [SMALL_STATE(1391)] = 54777,
  [SMALL_STATE(1392)] = 54834,
  [SMALL_STATE(1393)] = 54867,
  [SMALL_STATE(1394)] = 54900,
  [SMALL_STATE(1395)] = 54952,
  [SMALL_STATE(1396)] = 55001,
  [SMALL_STATE(1397)] = 55050,
  [SMALL_STATE(1398)] = 55099,
  [SMALL_STATE(1399)] = 55146,
  [SMALL_STATE(1400)] = 55195,
  [SMALL_STATE(1401)] = 55226,
  [SMALL_STATE(1402)] = 55272,
  [SMALL_STATE(1403)] = 55322,
  [SMALL_STATE(1404)] = 55368,
  [SMALL_STATE(1405)] = 55414,
  [SMALL_STATE(1406)] = 55460,
  [SMALL_STATE(1407)] = 55506,
  [SMALL_STATE(1408)] = 55552,
  [SMALL_STATE(1409)] = 55604,
  [SMALL_STATE(1410)] = 55650,
  [SMALL_STATE(1411)] = 55696,
  [SMALL_STATE(1412)] = 55742,
  [SMALL_STATE(1413)] = 55787,
  [SMALL_STATE(1414)] = 55834,
  [SMALL_STATE(1415)] = 55883,
  [SMALL_STATE(1416)] = 55930,
  [SMALL_STATE(1417)] = 55976,
  [SMALL_STATE(1418)] = 56002,
  [SMALL_STATE(1419)] = 56048,
  [SMALL_STATE(1420)] = 56092,
  [SMALL_STATE(1421)] = 56118,
  [SMALL_STATE(1422)] = 56162,
  [SMALL_STATE(1423)] = 56188,
  [SMALL_STATE(1424)] = 56214,
  [SMALL_STATE(1425)] = 56240,
  [SMALL_STATE(1426)] = 56266,
  [SMALL_STATE(1427)] = 56312,
  [SMALL_STATE(1428)] = 56356,
  [SMALL_STATE(1429)] = 56400,
  [SMALL_STATE(1430)] = 56426,
  [SMALL_STATE(1431)] = 56472,
  [SMALL_STATE(1432)] = 56518,
  [SMALL_STATE(1433)] = 56544,
  [SMALL_STATE(1434)] = 56588,
  [SMALL_STATE(1435)] = 56634,
  [SMALL_STATE(1436)] = 56660,
  [SMALL_STATE(1437)] = 56706,
  [SMALL_STATE(1438)] = 56732,
  [SMALL_STATE(1439)] = 56758,
  [SMALL_STATE(1440)] = 56784,
  [SMALL_STATE(1441)] = 56828,
  [SMALL_STATE(1442)] = 56874,
  [SMALL_STATE(1443)] = 56899,
  [SMALL_STATE(1444)] = 56940,
  [SMALL_STATE(1445)] = 56981,
  [SMALL_STATE(1446)] = 57006,
  [SMALL_STATE(1447)] = 57031,
  [SMALL_STATE(1448)] = 57072,
  [SMALL_STATE(1449)] = 57097,
  [SMALL_STATE(1450)] = 57122,
  [SMALL_STATE(1451)] = 57165,
  [SMALL_STATE(1452)] = 57190,
  [SMALL_STATE(1453)] = 57221,
  [SMALL_STATE(1454)] = 57246,
  [SMALL_STATE(1455)] = 57271,
  [SMALL_STATE(1456)] = 57296,
  [SMALL_STATE(1457)] = 57321,
  [SMALL_STATE(1458)] = 57346,
  [SMALL_STATE(1459)] = 57371,
  [SMALL_STATE(1460)] = 57396,
  [SMALL_STATE(1461)] = 57421,
  [SMALL_STATE(1462)] = 57446,
  [SMALL_STATE(1463)] = 57471,
  [SMALL_STATE(1464)] = 57496,
  [SMALL_STATE(1465)] = 57521,
  [SMALL_STATE(1466)] = 57546,
  [SMALL_STATE(1467)] = 57571,
  [SMALL_STATE(1468)] = 57596,
  [SMALL_STATE(1469)] = 57621,
  [SMALL_STATE(1470)] = 57646,
  [SMALL_STATE(1471)] = 57692,
  [SMALL_STATE(1472)] = 57730,
  [SMALL_STATE(1473)] = 57768,
  [SMALL_STATE(1474)] = 57806,
  [SMALL_STATE(1475)] = 57844,
  [SMALL_STATE(1476)] = 57882,
  [SMALL_STATE(1477)] = 57928,
  [SMALL_STATE(1478)] = 57968,
  [SMALL_STATE(1479)] = 58006,
  [SMALL_STATE(1480)] = 58044,
  [SMALL_STATE(1481)] = 58082,
  [SMALL_STATE(1482)] = 58120,
  [SMALL_STATE(1483)] = 58164,
  [SMALL_STATE(1484)] = 58202,
  [SMALL_STATE(1485)] = 58240,
  [SMALL_STATE(1486)] = 58276,
  [SMALL_STATE(1487)] = 58314,
  [SMALL_STATE(1488)] = 58342,
  [SMALL_STATE(1489)] = 58380,
  [SMALL_STATE(1490)] = 58420,
  [SMALL_STATE(1491)] = 58460,
  [SMALL_STATE(1492)] = 58498,
  [SMALL_STATE(1493)] = 58538,
  [SMALL_STATE(1494)] = 58576,
  [SMALL_STATE(1495)] = 58622,
  [SMALL_STATE(1496)] = 58662,
  [SMALL_STATE(1497)] = 58700,
  [SMALL_STATE(1498)] = 58738,
  [SMALL_STATE(1499)] = 58776,
  [SMALL_STATE(1500)] = 58816,
  [SMALL_STATE(1501)] = 58862,
  [SMALL_STATE(1502)] = 58900,
  [SMALL_STATE(1503)] = 58938,
  [SMALL_STATE(1504)] = 58976,
  [SMALL_STATE(1505)] = 59014,
  [SMALL_STATE(1506)] = 59052,
  [SMALL_STATE(1507)] = 59092,
  [SMALL_STATE(1508)] = 59130,
  [SMALL_STATE(1509)] = 59168,
  [SMALL_STATE(1510)] = 59195,
  [SMALL_STATE(1511)] = 59220,
  [SMALL_STATE(1512)] = 59245,
  [SMALL_STATE(1513)] = 59270,
  [SMALL_STATE(1514)] = 59297,
  [SMALL_STATE(1515)] = 59322,
  [SMALL_STATE(1516)] = 59350,
  [SMALL_STATE(1517)] = 59378,
  [SMALL_STATE(1518)] = 59406,
  [SMALL_STATE(1519)] = 59434,
  [SMALL_STATE(1520)] = 59462,
  [SMALL_STATE(1521)] = 59486,
  [SMALL_STATE(1522)] = 59510,
  [SMALL_STATE(1523)] = 59534,
  [SMALL_STATE(1524)] = 59560,
  [SMALL_STATE(1525)] = 59586,
  [SMALL_STATE(1526)] = 59612,
  [SMALL_STATE(1527)] = 59648,
  [SMALL_STATE(1528)] = 59676,
  [SMALL_STATE(1529)] = 59700,
  [SMALL_STATE(1530)] = 59724,
  [SMALL_STATE(1531)] = 59760,
  [SMALL_STATE(1532)] = 59790,
  [SMALL_STATE(1533)] = 59814,
  [SMALL_STATE(1534)] = 59849,
  [SMALL_STATE(1535)] = 59878,
  [SMALL_STATE(1536)] = 59899,
  [SMALL_STATE(1537)] = 59924,
  [SMALL_STATE(1538)] = 59947,
  [SMALL_STATE(1539)] = 59982,
  [SMALL_STATE(1540)] = 60017,
  [SMALL_STATE(1541)] = 60052,
  [SMALL_STATE(1542)] = 60081,
  [SMALL_STATE(1543)] = 60116,
  [SMALL_STATE(1544)] = 60145,
  [SMALL_STATE(1545)] = 60168,
  [SMALL_STATE(1546)] = 60203,
  [SMALL_STATE(1547)] = 60238,
  [SMALL_STATE(1548)] = 60273,
  [SMALL_STATE(1549)] = 60296,
  [SMALL_STATE(1550)] = 60324,
  [SMALL_STATE(1551)] = 60352,
  [SMALL_STATE(1552)] = 60386,
  [SMALL_STATE(1553)] = 60418,
  [SMALL_STATE(1554)] = 60452,
  [SMALL_STATE(1555)] = 60484,
  [SMALL_STATE(1556)] = 60514,
  [SMALL_STATE(1557)] = 60540,
  [SMALL_STATE(1558)] = 60568,
  [SMALL_STATE(1559)] = 60602,
  [SMALL_STATE(1560)] = 60632,
  [SMALL_STATE(1561)] = 60662,
  [SMALL_STATE(1562)] = 60696,
  [SMALL_STATE(1563)] = 60728,
  [SMALL_STATE(1564)] = 60760,
  [SMALL_STATE(1565)] = 60790,
  [SMALL_STATE(1566)] = 60824,
  [SMALL_STATE(1567)] = 60854,
  [SMALL_STATE(1568)] = 60882,
  [SMALL_STATE(1569)] = 60906,
  [SMALL_STATE(1570)] = 60940,
  [SMALL_STATE(1571)] = 60974,
  [SMALL_STATE(1572)] = 61008,
  [SMALL_STATE(1573)] = 61035,
  [SMALL_STATE(1574)] = 61056,
  [SMALL_STATE(1575)] = 61083,
  [SMALL_STATE(1576)] = 61112,
  [SMALL_STATE(1577)] = 61139,
  [SMALL_STATE(1578)] = 61160,
  [SMALL_STATE(1579)] = 61189,
  [SMALL_STATE(1580)] = 61216,
  [SMALL_STATE(1581)] = 61243,
  [SMALL_STATE(1582)] = 61270,
  [SMALL_STATE(1583)] = 61291,
  [SMALL_STATE(1584)] = 61318,
  [SMALL_STATE(1585)] = 61339,
  [SMALL_STATE(1586)] = 61366,
  [SMALL_STATE(1587)] = 61389,
  [SMALL_STATE(1588)] = 61410,
  [SMALL_STATE(1589)] = 61439,
  [SMALL_STATE(1590)] = 61468,
  [SMALL_STATE(1591)] = 61489,
  [SMALL_STATE(1592)] = 61518,
  [SMALL_STATE(1593)] = 61543,
  [SMALL_STATE(1594)] = 61572,
  [SMALL_STATE(1595)] = 61593,
  [SMALL_STATE(1596)] = 61620,
  [SMALL_STATE(1597)] = 61645,
  [SMALL_STATE(1598)] = 61674,
  [SMALL_STATE(1599)] = 61695,
  [SMALL_STATE(1600)] = 61724,
  [SMALL_STATE(1601)] = 61745,
  [SMALL_STATE(1602)] = 61772,
  [SMALL_STATE(1603)] = 61801,
  [SMALL_STATE(1604)] = 61830,
  [SMALL_STATE(1605)] = 61857,
  [SMALL_STATE(1606)] = 61884,
  [SMALL_STATE(1607)] = 61913,
  [SMALL_STATE(1608)] = 61938,
  [SMALL_STATE(1609)] = 61959,
  [SMALL_STATE(1610)] = 61986,
  [SMALL_STATE(1611)] = 62015,
  [SMALL_STATE(1612)] = 62036,
  [SMALL_STATE(1613)] = 62057,
  [SMALL_STATE(1614)] = 62082,
  [SMALL_STATE(1615)] = 62103,
  [SMALL_STATE(1616)] = 62132,
  [SMALL_STATE(1617)] = 62157,
  [SMALL_STATE(1618)] = 62184,
  [SMALL_STATE(1619)] = 62209,
  [SMALL_STATE(1620)] = 62234,
  [SMALL_STATE(1621)] = 62257,
  [SMALL_STATE(1622)] = 62278,
  [SMALL_STATE(1623)] = 62299,
  [SMALL_STATE(1624)] = 62320,
  [SMALL_STATE(1625)] = 62347,
  [SMALL_STATE(1626)] = 62370,
  [SMALL_STATE(1627)] = 62397,
  [SMALL_STATE(1628)] = 62424,
  [SMALL_STATE(1629)] = 62447,
  [SMALL_STATE(1630)] = 62468,
  [SMALL_STATE(1631)] = 62495,
  [SMALL_STATE(1632)] = 62515,
  [SMALL_STATE(1633)] = 62541,
  [SMALL_STATE(1634)] = 62569,
  [SMALL_STATE(1635)] = 62589,
  [SMALL_STATE(1636)] = 62609,
  [SMALL_STATE(1637)] = 62629,
  [SMALL_STATE(1638)] = 62649,
  [SMALL_STATE(1639)] = 62669,
  [SMALL_STATE(1640)] = 62689,
  [SMALL_STATE(1641)] = 62711,
  [SMALL_STATE(1642)] = 62739,
  [SMALL_STATE(1643)] = 62763,
  [SMALL_STATE(1644)] = 62785,
  [SMALL_STATE(1645)] = 62807,
  [SMALL_STATE(1646)] = 62835,
  [SMALL_STATE(1647)] = 62863,
  [SMALL_STATE(1648)] = 62891,
  [SMALL_STATE(1649)] = 62911,
  [SMALL_STATE(1650)] = 62939,
  [SMALL_STATE(1651)] = 62967,
  [SMALL_STATE(1652)] = 62995,
  [SMALL_STATE(1653)] = 63015,
  [SMALL_STATE(1654)] = 63035,
  [SMALL_STATE(1655)] = 63055,
  [SMALL_STATE(1656)] = 63075,
  [SMALL_STATE(1657)] = 63095,
  [SMALL_STATE(1658)] = 63115,
  [SMALL_STATE(1659)] = 63143,
  [SMALL_STATE(1660)] = 63169,
  [SMALL_STATE(1661)] = 63191,
  [SMALL_STATE(1662)] = 63219,
  [SMALL_STATE(1663)] = 63239,
  [SMALL_STATE(1664)] = 63267,
  [SMALL_STATE(1665)] = 63287,
  [SMALL_STATE(1666)] = 63315,
  [SMALL_STATE(1667)] = 63341,
  [SMALL_STATE(1668)] = 63367,
  [SMALL_STATE(1669)] = 63395,
  [SMALL_STATE(1670)] = 63423,
  [SMALL_STATE(1671)] = 63451,
  [SMALL_STATE(1672)] = 63479,
  [SMALL_STATE(1673)] = 63505,
  [SMALL_STATE(1674)] = 63531,
  [SMALL_STATE(1675)] = 63559,
  [SMALL_STATE(1676)] = 63587,
  [SMALL_STATE(1677)] = 63615,
  [SMALL_STATE(1678)] = 63643,
  [SMALL_STATE(1679)] = 63663,
  [SMALL_STATE(1680)] = 63685,
  [SMALL_STATE(1681)] = 63707,
  [SMALL_STATE(1682)] = 63727,
  [SMALL_STATE(1683)] = 63753,
  [SMALL_STATE(1684)] = 63775,
  [SMALL_STATE(1685)] = 63803,
  [SMALL_STATE(1686)] = 63829,
  [SMALL_STATE(1687)] = 63851,
  [SMALL_STATE(1688)] = 63871,
  [SMALL_STATE(1689)] = 63891,
  [SMALL_STATE(1690)] = 63917,
  [SMALL_STATE(1691)] = 63939,
  [SMALL_STATE(1692)] = 63965,
  [SMALL_STATE(1693)] = 63991,
  [SMALL_STATE(1694)] = 64019,
  [SMALL_STATE(1695)] = 64039,
  [SMALL_STATE(1696)] = 64065,
  [SMALL_STATE(1697)] = 64091,
  [SMALL_STATE(1698)] = 64111,
  [SMALL_STATE(1699)] = 64137,
  [SMALL_STATE(1700)] = 64163,
  [SMALL_STATE(1701)] = 64189,
  [SMALL_STATE(1702)] = 64215,
  [SMALL_STATE(1703)] = 64239,
  [SMALL_STATE(1704)] = 64265,
  [SMALL_STATE(1705)] = 64291,
  [SMALL_STATE(1706)] = 64319,
  [SMALL_STATE(1707)] = 64347,
  [SMALL_STATE(1708)] = 64375,
  [SMALL_STATE(1709)] = 64395,
  [SMALL_STATE(1710)] = 64415,
  [SMALL_STATE(1711)] = 64435,
  [SMALL_STATE(1712)] = 64463,
  [SMALL_STATE(1713)] = 64491,
  [SMALL_STATE(1714)] = 64519,
  [SMALL_STATE(1715)] = 64547,
  [SMALL_STATE(1716)] = 64575,
  [SMALL_STATE(1717)] = 64595,
  [SMALL_STATE(1718)] = 64615,
  [SMALL_STATE(1719)] = 64639,
  [SMALL_STATE(1720)] = 64665,
  [SMALL_STATE(1721)] = 64685,
  [SMALL_STATE(1722)] = 64711,
  [SMALL_STATE(1723)] = 64728,
  [SMALL_STATE(1724)] = 64753,
  [SMALL_STATE(1725)] = 64776,
  [SMALL_STATE(1726)] = 64795,
  [SMALL_STATE(1727)] = 64814,
  [SMALL_STATE(1728)] = 64839,
  [SMALL_STATE(1729)] = 64858,
  [SMALL_STATE(1730)] = 64881,
  [SMALL_STATE(1731)] = 64902,
  [SMALL_STATE(1732)] = 64921,
  [SMALL_STATE(1733)] = 64940,
  [SMALL_STATE(1734)] = 64959,
  [SMALL_STATE(1735)] = 64982,
  [SMALL_STATE(1736)] = 65007,
  [SMALL_STATE(1737)] = 65030,
  [SMALL_STATE(1738)] = 65055,
  [SMALL_STATE(1739)] = 65080,
  [SMALL_STATE(1740)] = 65103,
  [SMALL_STATE(1741)] = 65126,
  [SMALL_STATE(1742)] = 65145,
  [SMALL_STATE(1743)] = 65170,
  [SMALL_STATE(1744)] = 65193,
  [SMALL_STATE(1745)] = 65216,
  [SMALL_STATE(1746)] = 65241,
  [SMALL_STATE(1747)] = 65264,
  [SMALL_STATE(1748)] = 65287,
  [SMALL_STATE(1749)] = 65310,
  [SMALL_STATE(1750)] = 65333,
  [SMALL_STATE(1751)] = 65356,
  [SMALL_STATE(1752)] = 65381,
  [SMALL_STATE(1753)] = 65404,
  [SMALL_STATE(1754)] = 65427,
  [SMALL_STATE(1755)] = 65452,
  [SMALL_STATE(1756)] = 65475,
  [SMALL_STATE(1757)] = 65498,
  [SMALL_STATE(1758)] = 65515,
  [SMALL_STATE(1759)] = 65534,
  [SMALL_STATE(1760)] = 65559,
  [SMALL_STATE(1761)] = 65578,
  [SMALL_STATE(1762)] = 65601,
  [SMALL_STATE(1763)] = 65624,
  [SMALL_STATE(1764)] = 65649,
  [SMALL_STATE(1765)] = 65668,
  [SMALL_STATE(1766)] = 65691,
  [SMALL_STATE(1767)] = 65714,
  [SMALL_STATE(1768)] = 65737,
  [SMALL_STATE(1769)] = 65760,
  [SMALL_STATE(1770)] = 65779,
  [SMALL_STATE(1771)] = 65796,
  [SMALL_STATE(1772)] = 65813,
  [SMALL_STATE(1773)] = 65830,
  [SMALL_STATE(1774)] = 65855,
  [SMALL_STATE(1775)] = 65878,
  [SMALL_STATE(1776)] = 65897,
  [SMALL_STATE(1777)] = 65916,
  [SMALL_STATE(1778)] = 65935,
  [SMALL_STATE(1779)] = 65960,
  [SMALL_STATE(1780)] = 65979,
  [SMALL_STATE(1781)] = 65998,
  [SMALL_STATE(1782)] = 66021,
  [SMALL_STATE(1783)] = 66044,
  [SMALL_STATE(1784)] = 66065,
  [SMALL_STATE(1785)] = 66084,
  [SMALL_STATE(1786)] = 66107,
  [SMALL_STATE(1787)] = 66128,
  [SMALL_STATE(1788)] = 66149,
  [SMALL_STATE(1789)] = 66172,
  [SMALL_STATE(1790)] = 66195,
  [SMALL_STATE(1791)] = 66218,
  [SMALL_STATE(1792)] = 66241,
  [SMALL_STATE(1793)] = 66264,
  [SMALL_STATE(1794)] = 66289,
  [SMALL_STATE(1795)] = 66312,
  [SMALL_STATE(1796)] = 66331,
  [SMALL_STATE(1797)] = 66352,
  [SMALL_STATE(1798)] = 66371,
  [SMALL_STATE(1799)] = 66390,
  [SMALL_STATE(1800)] = 66409,
  [SMALL_STATE(1801)] = 66432,
  [SMALL_STATE(1802)] = 66451,
  [SMALL_STATE(1803)] = 66470,
  [SMALL_STATE(1804)] = 66489,
  [SMALL_STATE(1805)] = 66508,
  [SMALL_STATE(1806)] = 66527,
  [SMALL_STATE(1807)] = 66548,
  [SMALL_STATE(1808)] = 66567,
  [SMALL_STATE(1809)] = 66592,
  [SMALL_STATE(1810)] = 66615,
  [SMALL_STATE(1811)] = 66638,
  [SMALL_STATE(1812)] = 66661,
  [SMALL_STATE(1813)] = 66684,
  [SMALL_STATE(1814)] = 66701,
  [SMALL_STATE(1815)] = 66722,
  [SMALL_STATE(1816)] = 66739,
  [SMALL_STATE(1817)] = 66762,
  [SMALL_STATE(1818)] = 66783,
  [SMALL_STATE(1819)] = 66804,
  [SMALL_STATE(1820)] = 66827,
  [SMALL_STATE(1821)] = 66846,
  [SMALL_STATE(1822)] = 66871,
  [SMALL_STATE(1823)] = 66896,
  [SMALL_STATE(1824)] = 66921,
  [SMALL_STATE(1825)] = 66946,
  [SMALL_STATE(1826)] = 66969,
  [SMALL_STATE(1827)] = 66992,
  [SMALL_STATE(1828)] = 67015,
  [SMALL_STATE(1829)] = 67038,
  [SMALL_STATE(1830)] = 67057,
  [SMALL_STATE(1831)] = 67076,
  [SMALL_STATE(1832)] = 67101,
  [SMALL_STATE(1833)] = 67120,
  [SMALL_STATE(1834)] = 67139,
  [SMALL_STATE(1835)] = 67158,
  [SMALL_STATE(1836)] = 67175,
  [SMALL_STATE(1837)] = 67198,
  [SMALL_STATE(1838)] = 67223,
  [SMALL_STATE(1839)] = 67246,
  [SMALL_STATE(1840)] = 67267,
  [SMALL_STATE(1841)] = 67288,
  [SMALL_STATE(1842)] = 67309,
  [SMALL_STATE(1843)] = 67332,
  [SMALL_STATE(1844)] = 67355,
  [SMALL_STATE(1845)] = 67372,
  [SMALL_STATE(1846)] = 67393,
  [SMALL_STATE(1847)] = 67414,
  [SMALL_STATE(1848)] = 67437,
  [SMALL_STATE(1849)] = 67460,
  [SMALL_STATE(1850)] = 67479,
  [SMALL_STATE(1851)] = 67498,
  [SMALL_STATE(1852)] = 67517,
  [SMALL_STATE(1853)] = 67540,
  [SMALL_STATE(1854)] = 67559,
  [SMALL_STATE(1855)] = 67582,
  [SMALL_STATE(1856)] = 67607,
  [SMALL_STATE(1857)] = 67626,
  [SMALL_STATE(1858)] = 67642,
  [SMALL_STATE(1859)] = 67662,
  [SMALL_STATE(1860)] = 67682,
  [SMALL_STATE(1861)] = 67702,
  [SMALL_STATE(1862)] = 67722,
  [SMALL_STATE(1863)] = 67742,
  [SMALL_STATE(1864)] = 67764,
  [SMALL_STATE(1865)] = 67786,
  [SMALL_STATE(1866)] = 67804,
  [SMALL_STATE(1867)] = 67824,
  [SMALL_STATE(1868)] = 67844,
  [SMALL_STATE(1869)] = 67866,
  [SMALL_STATE(1870)] = 67882,
  [SMALL_STATE(1871)] = 67904,
  [SMALL_STATE(1872)] = 67922,
  [SMALL_STATE(1873)] = 67938,
  [SMALL_STATE(1874)] = 67954,
  [SMALL_STATE(1875)] = 67974,
  [SMALL_STATE(1876)] = 67996,
  [SMALL_STATE(1877)] = 68018,
  [SMALL_STATE(1878)] = 68036,
  [SMALL_STATE(1879)] = 68058,
  [SMALL_STATE(1880)] = 68078,
  [SMALL_STATE(1881)] = 68100,
  [SMALL_STATE(1882)] = 68118,
  [SMALL_STATE(1883)] = 68140,
  [SMALL_STATE(1884)] = 68162,
  [SMALL_STATE(1885)] = 68184,
  [SMALL_STATE(1886)] = 68206,
  [SMALL_STATE(1887)] = 68228,
  [SMALL_STATE(1888)] = 68244,
  [SMALL_STATE(1889)] = 68264,
  [SMALL_STATE(1890)] = 68286,
  [SMALL_STATE(1891)] = 68304,
  [SMALL_STATE(1892)] = 68322,
  [SMALL_STATE(1893)] = 68344,
  [SMALL_STATE(1894)] = 68366,
  [SMALL_STATE(1895)] = 68386,
  [SMALL_STATE(1896)] = 68402,
  [SMALL_STATE(1897)] = 68424,
  [SMALL_STATE(1898)] = 68442,
  [SMALL_STATE(1899)] = 68462,
  [SMALL_STATE(1900)] = 68484,
  [SMALL_STATE(1901)] = 68504,
  [SMALL_STATE(1902)] = 68522,
  [SMALL_STATE(1903)] = 68544,
  [SMALL_STATE(1904)] = 68566,
  [SMALL_STATE(1905)] = 68582,
  [SMALL_STATE(1906)] = 68600,
  [SMALL_STATE(1907)] = 68616,
  [SMALL_STATE(1908)] = 68638,
  [SMALL_STATE(1909)] = 68660,
  [SMALL_STATE(1910)] = 68680,
  [SMALL_STATE(1911)] = 68702,
  [SMALL_STATE(1912)] = 68724,
  [SMALL_STATE(1913)] = 68746,
  [SMALL_STATE(1914)] = 68768,
  [SMALL_STATE(1915)] = 68790,
  [SMALL_STATE(1916)] = 68812,
  [SMALL_STATE(1917)] = 68828,
  [SMALL_STATE(1918)] = 68844,
  [SMALL_STATE(1919)] = 68866,
  [SMALL_STATE(1920)] = 68888,
  [SMALL_STATE(1921)] = 68906,
  [SMALL_STATE(1922)] = 68928,
  [SMALL_STATE(1923)] = 68946,
  [SMALL_STATE(1924)] = 68968,
  [SMALL_STATE(1925)] = 68990,
  [SMALL_STATE(1926)] = 69012,
  [SMALL_STATE(1927)] = 69034,
  [SMALL_STATE(1928)] = 69056,
  [SMALL_STATE(1929)] = 69072,
  [SMALL_STATE(1930)] = 69092,
  [SMALL_STATE(1931)] = 69114,
  [SMALL_STATE(1932)] = 69130,
  [SMALL_STATE(1933)] = 69150,
  [SMALL_STATE(1934)] = 69166,
  [SMALL_STATE(1935)] = 69188,
  [SMALL_STATE(1936)] = 69208,
  [SMALL_STATE(1937)] = 69224,
  [SMALL_STATE(1938)] = 69244,
  [SMALL_STATE(1939)] = 69260,
  [SMALL_STATE(1940)] = 69278,
  [SMALL_STATE(1941)] = 69296,
  [SMALL_STATE(1942)] = 69314,
  [SMALL_STATE(1943)] = 69334,
  [SMALL_STATE(1944)] = 69356,
  [SMALL_STATE(1945)] = 69378,
  [SMALL_STATE(1946)] = 69398,
  [SMALL_STATE(1947)] = 69420,
  [SMALL_STATE(1948)] = 69442,
  [SMALL_STATE(1949)] = 69464,
  [SMALL_STATE(1950)] = 69484,
  [SMALL_STATE(1951)] = 69500,
  [SMALL_STATE(1952)] = 69516,
  [SMALL_STATE(1953)] = 69536,
  [SMALL_STATE(1954)] = 69556,
  [SMALL_STATE(1955)] = 69578,
  [SMALL_STATE(1956)] = 69600,
  [SMALL_STATE(1957)] = 69618,
  [SMALL_STATE(1958)] = 69636,
  [SMALL_STATE(1959)] = 69652,
  [SMALL_STATE(1960)] = 69674,
  [SMALL_STATE(1961)] = 69696,
  [SMALL_STATE(1962)] = 69712,
  [SMALL_STATE(1963)] = 69734,
  [SMALL_STATE(1964)] = 69756,
  [SMALL_STATE(1965)] = 69778,
  [SMALL_STATE(1966)] = 69796,
  [SMALL_STATE(1967)] = 69814,
  [SMALL_STATE(1968)] = 69836,
  [SMALL_STATE(1969)] = 69856,
  [SMALL_STATE(1970)] = 69878,
  [SMALL_STATE(1971)] = 69896,
  [SMALL_STATE(1972)] = 69912,
  [SMALL_STATE(1973)] = 69929,
  [SMALL_STATE(1974)] = 69946,
  [SMALL_STATE(1975)] = 69963,
  [SMALL_STATE(1976)] = 69982,
  [SMALL_STATE(1977)] = 69999,
  [SMALL_STATE(1978)] = 70016,
  [SMALL_STATE(1979)] = 70033,
  [SMALL_STATE(1980)] = 70050,
  [SMALL_STATE(1981)] = 70067,
  [SMALL_STATE(1982)] = 70082,
  [SMALL_STATE(1983)] = 70099,
  [SMALL_STATE(1984)] = 70114,
  [SMALL_STATE(1985)] = 70131,
  [SMALL_STATE(1986)] = 70150,
  [SMALL_STATE(1987)] = 70169,
  [SMALL_STATE(1988)] = 70188,
  [SMALL_STATE(1989)] = 70203,
  [SMALL_STATE(1990)] = 70222,
  [SMALL_STATE(1991)] = 70237,
  [SMALL_STATE(1992)] = 70252,
  [SMALL_STATE(1993)] = 70269,
  [SMALL_STATE(1994)] = 70288,
  [SMALL_STATE(1995)] = 70305,
  [SMALL_STATE(1996)] = 70322,
  [SMALL_STATE(1997)] = 70339,
  [SMALL_STATE(1998)] = 70356,
  [SMALL_STATE(1999)] = 70375,
  [SMALL_STATE(2000)] = 70392,
  [SMALL_STATE(2001)] = 70411,
  [SMALL_STATE(2002)] = 70428,
  [SMALL_STATE(2003)] = 70447,
  [SMALL_STATE(2004)] = 70466,
  [SMALL_STATE(2005)] = 70483,
  [SMALL_STATE(2006)] = 70502,
  [SMALL_STATE(2007)] = 70521,
  [SMALL_STATE(2008)] = 70538,
  [SMALL_STATE(2009)] = 70555,
  [SMALL_STATE(2010)] = 70574,
  [SMALL_STATE(2011)] = 70591,
  [SMALL_STATE(2012)] = 70610,
  [SMALL_STATE(2013)] = 70627,
  [SMALL_STATE(2014)] = 70644,
  [SMALL_STATE(2015)] = 70661,
  [SMALL_STATE(2016)] = 70678,
  [SMALL_STATE(2017)] = 70695,
  [SMALL_STATE(2018)] = 70714,
  [SMALL_STATE(2019)] = 70731,
  [SMALL_STATE(2020)] = 70750,
  [SMALL_STATE(2021)] = 70765,
  [SMALL_STATE(2022)] = 70782,
  [SMALL_STATE(2023)] = 70799,
  [SMALL_STATE(2024)] = 70814,
  [SMALL_STATE(2025)] = 70833,
  [SMALL_STATE(2026)] = 70850,
  [SMALL_STATE(2027)] = 70867,
  [SMALL_STATE(2028)] = 70884,
  [SMALL_STATE(2029)] = 70901,
  [SMALL_STATE(2030)] = 70918,
  [SMALL_STATE(2031)] = 70935,
  [SMALL_STATE(2032)] = 70952,
  [SMALL_STATE(2033)] = 70969,
  [SMALL_STATE(2034)] = 70988,
  [SMALL_STATE(2035)] = 71005,
  [SMALL_STATE(2036)] = 71022,
  [SMALL_STATE(2037)] = 71039,
  [SMALL_STATE(2038)] = 71054,
  [SMALL_STATE(2039)] = 71071,
  [SMALL_STATE(2040)] = 71088,
  [SMALL_STATE(2041)] = 71105,
  [SMALL_STATE(2042)] = 71124,
  [SMALL_STATE(2043)] = 71139,
  [SMALL_STATE(2044)] = 71156,
  [SMALL_STATE(2045)] = 71173,
  [SMALL_STATE(2046)] = 71190,
  [SMALL_STATE(2047)] = 71209,
  [SMALL_STATE(2048)] = 71228,
  [SMALL_STATE(2049)] = 71245,
  [SMALL_STATE(2050)] = 71262,
  [SMALL_STATE(2051)] = 71279,
  [SMALL_STATE(2052)] = 71296,
  [SMALL_STATE(2053)] = 71315,
  [SMALL_STATE(2054)] = 71332,
  [SMALL_STATE(2055)] = 71349,
  [SMALL_STATE(2056)] = 71366,
  [SMALL_STATE(2057)] = 71385,
  [SMALL_STATE(2058)] = 71402,
  [SMALL_STATE(2059)] = 71419,
  [SMALL_STATE(2060)] = 71436,
  [SMALL_STATE(2061)] = 71455,
  [SMALL_STATE(2062)] = 71472,
  [SMALL_STATE(2063)] = 71491,
  [SMALL_STATE(2064)] = 71508,
  [SMALL_STATE(2065)] = 71527,
  [SMALL_STATE(2066)] = 71544,
  [SMALL_STATE(2067)] = 71563,
  [SMALL_STATE(2068)] = 71582,
  [SMALL_STATE(2069)] = 71599,
  [SMALL_STATE(2070)] = 71618,
  [SMALL_STATE(2071)] = 71637,
  [SMALL_STATE(2072)] = 71654,
  [SMALL_STATE(2073)] = 71671,
  [SMALL_STATE(2074)] = 71688,
  [SMALL_STATE(2075)] = 71705,
  [SMALL_STATE(2076)] = 71722,
  [SMALL_STATE(2077)] = 71741,
  [SMALL_STATE(2078)] = 71760,
  [SMALL_STATE(2079)] = 71777,
  [SMALL_STATE(2080)] = 71796,
  [SMALL_STATE(2081)] = 71815,
  [SMALL_STATE(2082)] = 71832,
  [SMALL_STATE(2083)] = 71849,
  [SMALL_STATE(2084)] = 71868,
  [SMALL_STATE(2085)] = 71885,
  [SMALL_STATE(2086)] = 71902,
  [SMALL_STATE(2087)] = 71919,
  [SMALL_STATE(2088)] = 71936,
  [SMALL_STATE(2089)] = 71951,
  [SMALL_STATE(2090)] = 71968,
  [SMALL_STATE(2091)] = 71983,
  [SMALL_STATE(2092)] = 72002,
  [SMALL_STATE(2093)] = 72021,
  [SMALL_STATE(2094)] = 72038,
  [SMALL_STATE(2095)] = 72057,
  [SMALL_STATE(2096)] = 72074,
  [SMALL_STATE(2097)] = 72091,
  [SMALL_STATE(2098)] = 72108,
  [SMALL_STATE(2099)] = 72125,
  [SMALL_STATE(2100)] = 72142,
  [SMALL_STATE(2101)] = 72159,
  [SMALL_STATE(2102)] = 72176,
  [SMALL_STATE(2103)] = 72195,
  [SMALL_STATE(2104)] = 72214,
  [SMALL_STATE(2105)] = 72231,
  [SMALL_STATE(2106)] = 72250,
  [SMALL_STATE(2107)] = 72267,
  [SMALL_STATE(2108)] = 72284,
  [SMALL_STATE(2109)] = 72301,
  [SMALL_STATE(2110)] = 72318,
  [SMALL_STATE(2111)] = 72335,
  [SMALL_STATE(2112)] = 72352,
  [SMALL_STATE(2113)] = 72369,
  [SMALL_STATE(2114)] = 72386,
  [SMALL_STATE(2115)] = 72403,
  [SMALL_STATE(2116)] = 72420,
  [SMALL_STATE(2117)] = 72437,
  [SMALL_STATE(2118)] = 72456,
  [SMALL_STATE(2119)] = 72471,
  [SMALL_STATE(2120)] = 72488,
  [SMALL_STATE(2121)] = 72505,
  [SMALL_STATE(2122)] = 72522,
  [SMALL_STATE(2123)] = 72539,
  [SMALL_STATE(2124)] = 72558,
  [SMALL_STATE(2125)] = 72577,
  [SMALL_STATE(2126)] = 72594,
  [SMALL_STATE(2127)] = 72611,
  [SMALL_STATE(2128)] = 72628,
  [SMALL_STATE(2129)] = 72645,
  [SMALL_STATE(2130)] = 72662,
  [SMALL_STATE(2131)] = 72679,
  [SMALL_STATE(2132)] = 72696,
  [SMALL_STATE(2133)] = 72713,
  [SMALL_STATE(2134)] = 72732,
  [SMALL_STATE(2135)] = 72749,
  [SMALL_STATE(2136)] = 72766,
  [SMALL_STATE(2137)] = 72783,
  [SMALL_STATE(2138)] = 72800,
  [SMALL_STATE(2139)] = 72817,
  [SMALL_STATE(2140)] = 72834,
  [SMALL_STATE(2141)] = 72851,
  [SMALL_STATE(2142)] = 72868,
  [SMALL_STATE(2143)] = 72887,
  [SMALL_STATE(2144)] = 72904,
  [SMALL_STATE(2145)] = 72921,
  [SMALL_STATE(2146)] = 72940,
  [SMALL_STATE(2147)] = 72959,
  [SMALL_STATE(2148)] = 72978,
  [SMALL_STATE(2149)] = 72995,
  [SMALL_STATE(2150)] = 73012,
  [SMALL_STATE(2151)] = 73029,
  [SMALL_STATE(2152)] = 73046,
  [SMALL_STATE(2153)] = 73063,
  [SMALL_STATE(2154)] = 73080,
  [SMALL_STATE(2155)] = 73099,
  [SMALL_STATE(2156)] = 73118,
  [SMALL_STATE(2157)] = 73135,
  [SMALL_STATE(2158)] = 73154,
  [SMALL_STATE(2159)] = 73173,
  [SMALL_STATE(2160)] = 73192,
  [SMALL_STATE(2161)] = 73211,
  [SMALL_STATE(2162)] = 73230,
  [SMALL_STATE(2163)] = 73249,
  [SMALL_STATE(2164)] = 73266,
  [SMALL_STATE(2165)] = 73283,
  [SMALL_STATE(2166)] = 73302,
  [SMALL_STATE(2167)] = 73319,
  [SMALL_STATE(2168)] = 73336,
  [SMALL_STATE(2169)] = 73353,
  [SMALL_STATE(2170)] = 73370,
  [SMALL_STATE(2171)] = 73389,
  [SMALL_STATE(2172)] = 73406,
  [SMALL_STATE(2173)] = 73425,
  [SMALL_STATE(2174)] = 73442,
  [SMALL_STATE(2175)] = 73457,
  [SMALL_STATE(2176)] = 73474,
  [SMALL_STATE(2177)] = 73491,
  [SMALL_STATE(2178)] = 73508,
  [SMALL_STATE(2179)] = 73525,
  [SMALL_STATE(2180)] = 73542,
  [SMALL_STATE(2181)] = 73559,
  [SMALL_STATE(2182)] = 73578,
  [SMALL_STATE(2183)] = 73595,
  [SMALL_STATE(2184)] = 73610,
  [SMALL_STATE(2185)] = 73629,
  [SMALL_STATE(2186)] = 73646,
  [SMALL_STATE(2187)] = 73663,
  [SMALL_STATE(2188)] = 73678,
  [SMALL_STATE(2189)] = 73697,
  [SMALL_STATE(2190)] = 73714,
  [SMALL_STATE(2191)] = 73731,
  [SMALL_STATE(2192)] = 73748,
  [SMALL_STATE(2193)] = 73765,
  [SMALL_STATE(2194)] = 73780,
  [SMALL_STATE(2195)] = 73799,
  [SMALL_STATE(2196)] = 73814,
  [SMALL_STATE(2197)] = 73833,
  [SMALL_STATE(2198)] = 73852,
  [SMALL_STATE(2199)] = 73869,
  [SMALL_STATE(2200)] = 73888,
  [SMALL_STATE(2201)] = 73905,
  [SMALL_STATE(2202)] = 73920,
  [SMALL_STATE(2203)] = 73937,
  [SMALL_STATE(2204)] = 73952,
  [SMALL_STATE(2205)] = 73969,
  [SMALL_STATE(2206)] = 73986,
  [SMALL_STATE(2207)] = 74001,
  [SMALL_STATE(2208)] = 74018,
  [SMALL_STATE(2209)] = 74035,
  [SMALL_STATE(2210)] = 74054,
  [SMALL_STATE(2211)] = 74071,
  [SMALL_STATE(2212)] = 74088,
  [SMALL_STATE(2213)] = 74105,
  [SMALL_STATE(2214)] = 74122,
  [SMALL_STATE(2215)] = 74139,
  [SMALL_STATE(2216)] = 74158,
  [SMALL_STATE(2217)] = 74177,
  [SMALL_STATE(2218)] = 74194,
  [SMALL_STATE(2219)] = 74211,
  [SMALL_STATE(2220)] = 74230,
  [SMALL_STATE(2221)] = 74247,
  [SMALL_STATE(2222)] = 74264,
  [SMALL_STATE(2223)] = 74281,
  [SMALL_STATE(2224)] = 74300,
  [SMALL_STATE(2225)] = 74319,
  [SMALL_STATE(2226)] = 74336,
  [SMALL_STATE(2227)] = 74355,
  [SMALL_STATE(2228)] = 74374,
  [SMALL_STATE(2229)] = 74391,
  [SMALL_STATE(2230)] = 74410,
  [SMALL_STATE(2231)] = 74427,
  [SMALL_STATE(2232)] = 74444,
  [SMALL_STATE(2233)] = 74461,
  [SMALL_STATE(2234)] = 74478,
  [SMALL_STATE(2235)] = 74495,
  [SMALL_STATE(2236)] = 74512,
  [SMALL_STATE(2237)] = 74529,
  [SMALL_STATE(2238)] = 74548,
  [SMALL_STATE(2239)] = 74567,
  [SMALL_STATE(2240)] = 74584,
  [SMALL_STATE(2241)] = 74601,
  [SMALL_STATE(2242)] = 74618,
  [SMALL_STATE(2243)] = 74635,
  [SMALL_STATE(2244)] = 74654,
  [SMALL_STATE(2245)] = 74673,
  [SMALL_STATE(2246)] = 74690,
  [SMALL_STATE(2247)] = 74707,
  [SMALL_STATE(2248)] = 74724,
  [SMALL_STATE(2249)] = 74741,
  [SMALL_STATE(2250)] = 74758,
  [SMALL_STATE(2251)] = 74775,
  [SMALL_STATE(2252)] = 74792,
  [SMALL_STATE(2253)] = 74809,
  [SMALL_STATE(2254)] = 74828,
  [SMALL_STATE(2255)] = 74845,
  [SMALL_STATE(2256)] = 74860,
  [SMALL_STATE(2257)] = 74879,
  [SMALL_STATE(2258)] = 74896,
  [SMALL_STATE(2259)] = 74915,
  [SMALL_STATE(2260)] = 74932,
  [SMALL_STATE(2261)] = 74949,
  [SMALL_STATE(2262)] = 74966,
  [SMALL_STATE(2263)] = 74985,
  [SMALL_STATE(2264)] = 75002,
  [SMALL_STATE(2265)] = 75021,
  [SMALL_STATE(2266)] = 75036,
  [SMALL_STATE(2267)] = 75055,
  [SMALL_STATE(2268)] = 75072,
  [SMALL_STATE(2269)] = 75089,
  [SMALL_STATE(2270)] = 75106,
  [SMALL_STATE(2271)] = 75123,
  [SMALL_STATE(2272)] = 75140,
  [SMALL_STATE(2273)] = 75159,
  [SMALL_STATE(2274)] = 75176,
  [SMALL_STATE(2275)] = 75193,
  [SMALL_STATE(2276)] = 75210,
  [SMALL_STATE(2277)] = 75229,
  [SMALL_STATE(2278)] = 75248,
  [SMALL_STATE(2279)] = 75267,
  [SMALL_STATE(2280)] = 75284,
  [SMALL_STATE(2281)] = 75301,
  [SMALL_STATE(2282)] = 75318,
  [SMALL_STATE(2283)] = 75335,
  [SMALL_STATE(2284)] = 75352,
  [SMALL_STATE(2285)] = 75369,
  [SMALL_STATE(2286)] = 75388,
  [SMALL_STATE(2287)] = 75405,
  [SMALL_STATE(2288)] = 75424,
  [SMALL_STATE(2289)] = 75443,
  [SMALL_STATE(2290)] = 75462,
  [SMALL_STATE(2291)] = 75479,
  [SMALL_STATE(2292)] = 75496,
  [SMALL_STATE(2293)] = 75515,
  [SMALL_STATE(2294)] = 75532,
  [SMALL_STATE(2295)] = 75549,
  [SMALL_STATE(2296)] = 75566,
  [SMALL_STATE(2297)] = 75583,
  [SMALL_STATE(2298)] = 75600,
  [SMALL_STATE(2299)] = 75617,
  [SMALL_STATE(2300)] = 75636,
  [SMALL_STATE(2301)] = 75653,
  [SMALL_STATE(2302)] = 75670,
  [SMALL_STATE(2303)] = 75685,
  [SMALL_STATE(2304)] = 75700,
  [SMALL_STATE(2305)] = 75717,
  [SMALL_STATE(2306)] = 75736,
  [SMALL_STATE(2307)] = 75753,
  [SMALL_STATE(2308)] = 75770,
  [SMALL_STATE(2309)] = 75789,
  [SMALL_STATE(2310)] = 75808,
  [SMALL_STATE(2311)] = 75825,
  [SMALL_STATE(2312)] = 75842,
  [SMALL_STATE(2313)] = 75861,
  [SMALL_STATE(2314)] = 75880,
  [SMALL_STATE(2315)] = 75897,
  [SMALL_STATE(2316)] = 75914,
  [SMALL_STATE(2317)] = 75933,
  [SMALL_STATE(2318)] = 75950,
  [SMALL_STATE(2319)] = 75967,
  [SMALL_STATE(2320)] = 75984,
  [SMALL_STATE(2321)] = 76000,
  [SMALL_STATE(2322)] = 76014,
  [SMALL_STATE(2323)] = 76028,
  [SMALL_STATE(2324)] = 76044,
  [SMALL_STATE(2325)] = 76060,
  [SMALL_STATE(2326)] = 76076,
  [SMALL_STATE(2327)] = 76090,
  [SMALL_STATE(2328)] = 76106,
  [SMALL_STATE(2329)] = 76122,
  [SMALL_STATE(2330)] = 76136,
  [SMALL_STATE(2331)] = 76152,
  [SMALL_STATE(2332)] = 76168,
  [SMALL_STATE(2333)] = 76184,
  [SMALL_STATE(2334)] = 76198,
  [SMALL_STATE(2335)] = 76212,
  [SMALL_STATE(2336)] = 76228,
  [SMALL_STATE(2337)] = 76244,
  [SMALL_STATE(2338)] = 76260,
  [SMALL_STATE(2339)] = 76276,
  [SMALL_STATE(2340)] = 76290,
  [SMALL_STATE(2341)] = 76306,
  [SMALL_STATE(2342)] = 76322,
  [SMALL_STATE(2343)] = 76338,
  [SMALL_STATE(2344)] = 76354,
  [SMALL_STATE(2345)] = 76370,
  [SMALL_STATE(2346)] = 76386,
  [SMALL_STATE(2347)] = 76402,
  [SMALL_STATE(2348)] = 76418,
  [SMALL_STATE(2349)] = 76434,
  [SMALL_STATE(2350)] = 76448,
  [SMALL_STATE(2351)] = 76462,
  [SMALL_STATE(2352)] = 76478,
  [SMALL_STATE(2353)] = 76494,
  [SMALL_STATE(2354)] = 76510,
  [SMALL_STATE(2355)] = 76524,
  [SMALL_STATE(2356)] = 76538,
  [SMALL_STATE(2357)] = 76554,
  [SMALL_STATE(2358)] = 76568,
  [SMALL_STATE(2359)] = 76584,
  [SMALL_STATE(2360)] = 76600,
  [SMALL_STATE(2361)] = 76616,
  [SMALL_STATE(2362)] = 76632,
  [SMALL_STATE(2363)] = 76646,
  [SMALL_STATE(2364)] = 76662,
  [SMALL_STATE(2365)] = 76678,
  [SMALL_STATE(2366)] = 76694,
  [SMALL_STATE(2367)] = 76710,
  [SMALL_STATE(2368)] = 76726,
  [SMALL_STATE(2369)] = 76742,
  [SMALL_STATE(2370)] = 76756,
  [SMALL_STATE(2371)] = 76772,
  [SMALL_STATE(2372)] = 76788,
  [SMALL_STATE(2373)] = 76804,
  [SMALL_STATE(2374)] = 76818,
  [SMALL_STATE(2375)] = 76834,
  [SMALL_STATE(2376)] = 76850,
  [SMALL_STATE(2377)] = 76866,
  [SMALL_STATE(2378)] = 76880,
  [SMALL_STATE(2379)] = 76896,
  [SMALL_STATE(2380)] = 76912,
  [SMALL_STATE(2381)] = 76928,
  [SMALL_STATE(2382)] = 76944,
  [SMALL_STATE(2383)] = 76960,
  [SMALL_STATE(2384)] = 76974,
  [SMALL_STATE(2385)] = 76988,
  [SMALL_STATE(2386)] = 77004,
  [SMALL_STATE(2387)] = 77020,
  [SMALL_STATE(2388)] = 77036,
  [SMALL_STATE(2389)] = 77050,
  [SMALL_STATE(2390)] = 77066,
  [SMALL_STATE(2391)] = 77082,
  [SMALL_STATE(2392)] = 77098,
  [SMALL_STATE(2393)] = 77114,
  [SMALL_STATE(2394)] = 77128,
  [SMALL_STATE(2395)] = 77144,
  [SMALL_STATE(2396)] = 77160,
  [SMALL_STATE(2397)] = 77176,
  [SMALL_STATE(2398)] = 77190,
  [SMALL_STATE(2399)] = 77204,
  [SMALL_STATE(2400)] = 77220,
  [SMALL_STATE(2401)] = 77234,
  [SMALL_STATE(2402)] = 77250,
  [SMALL_STATE(2403)] = 77266,
  [SMALL_STATE(2404)] = 77282,
  [SMALL_STATE(2405)] = 77296,
  [SMALL_STATE(2406)] = 77312,
  [SMALL_STATE(2407)] = 77328,
  [SMALL_STATE(2408)] = 77344,
  [SMALL_STATE(2409)] = 77360,
  [SMALL_STATE(2410)] = 77376,
  [SMALL_STATE(2411)] = 77392,
  [SMALL_STATE(2412)] = 77408,
  [SMALL_STATE(2413)] = 77424,
  [SMALL_STATE(2414)] = 77440,
  [SMALL_STATE(2415)] = 77456,
  [SMALL_STATE(2416)] = 77472,
  [SMALL_STATE(2417)] = 77486,
  [SMALL_STATE(2418)] = 77502,
  [SMALL_STATE(2419)] = 77516,
  [SMALL_STATE(2420)] = 77532,
  [SMALL_STATE(2421)] = 77546,
  [SMALL_STATE(2422)] = 77560,
  [SMALL_STATE(2423)] = 77576,
  [SMALL_STATE(2424)] = 77590,
  [SMALL_STATE(2425)] = 77604,
  [SMALL_STATE(2426)] = 77620,
  [SMALL_STATE(2427)] = 77636,
  [SMALL_STATE(2428)] = 77652,
  [SMALL_STATE(2429)] = 77668,
  [SMALL_STATE(2430)] = 77684,
  [SMALL_STATE(2431)] = 77700,
  [SMALL_STATE(2432)] = 77716,
  [SMALL_STATE(2433)] = 77730,
  [SMALL_STATE(2434)] = 77746,
  [SMALL_STATE(2435)] = 77762,
  [SMALL_STATE(2436)] = 77778,
  [SMALL_STATE(2437)] = 77794,
  [SMALL_STATE(2438)] = 77810,
  [SMALL_STATE(2439)] = 77826,
  [SMALL_STATE(2440)] = 77840,
  [SMALL_STATE(2441)] = 77856,
  [SMALL_STATE(2442)] = 77870,
  [SMALL_STATE(2443)] = 77886,
  [SMALL_STATE(2444)] = 77900,
  [SMALL_STATE(2445)] = 77916,
  [SMALL_STATE(2446)] = 77932,
  [SMALL_STATE(2447)] = 77948,
  [SMALL_STATE(2448)] = 77962,
  [SMALL_STATE(2449)] = 77976,
  [SMALL_STATE(2450)] = 77990,
  [SMALL_STATE(2451)] = 78004,
  [SMALL_STATE(2452)] = 78018,
  [SMALL_STATE(2453)] = 78032,
  [SMALL_STATE(2454)] = 78046,
  [SMALL_STATE(2455)] = 78060,
  [SMALL_STATE(2456)] = 78074,
  [SMALL_STATE(2457)] = 78088,
  [SMALL_STATE(2458)] = 78104,
  [SMALL_STATE(2459)] = 78120,
  [SMALL_STATE(2460)] = 78136,
  [SMALL_STATE(2461)] = 78152,
  [SMALL_STATE(2462)] = 78166,
  [SMALL_STATE(2463)] = 78180,
  [SMALL_STATE(2464)] = 78196,
  [SMALL_STATE(2465)] = 78212,
  [SMALL_STATE(2466)] = 78228,
  [SMALL_STATE(2467)] = 78242,
  [SMALL_STATE(2468)] = 78258,
  [SMALL_STATE(2469)] = 78274,
  [SMALL_STATE(2470)] = 78288,
  [SMALL_STATE(2471)] = 78302,
  [SMALL_STATE(2472)] = 78318,
  [SMALL_STATE(2473)] = 78334,
  [SMALL_STATE(2474)] = 78348,
  [SMALL_STATE(2475)] = 78364,
  [SMALL_STATE(2476)] = 78380,
  [SMALL_STATE(2477)] = 78396,
  [SMALL_STATE(2478)] = 78410,
  [SMALL_STATE(2479)] = 78426,
  [SMALL_STATE(2480)] = 78442,
  [SMALL_STATE(2481)] = 78456,
  [SMALL_STATE(2482)] = 78472,
  [SMALL_STATE(2483)] = 78488,
  [SMALL_STATE(2484)] = 78504,
  [SMALL_STATE(2485)] = 78520,
  [SMALL_STATE(2486)] = 78534,
  [SMALL_STATE(2487)] = 78548,
  [SMALL_STATE(2488)] = 78564,
  [SMALL_STATE(2489)] = 78580,
  [SMALL_STATE(2490)] = 78594,
  [SMALL_STATE(2491)] = 78610,
  [SMALL_STATE(2492)] = 78626,
  [SMALL_STATE(2493)] = 78640,
  [SMALL_STATE(2494)] = 78654,
  [SMALL_STATE(2495)] = 78668,
  [SMALL_STATE(2496)] = 78684,
  [SMALL_STATE(2497)] = 78700,
  [SMALL_STATE(2498)] = 78714,
  [SMALL_STATE(2499)] = 78730,
  [SMALL_STATE(2500)] = 78744,
  [SMALL_STATE(2501)] = 78760,
  [SMALL_STATE(2502)] = 78774,
  [SMALL_STATE(2503)] = 78788,
  [SMALL_STATE(2504)] = 78802,
  [SMALL_STATE(2505)] = 78818,
  [SMALL_STATE(2506)] = 78832,
  [SMALL_STATE(2507)] = 78848,
  [SMALL_STATE(2508)] = 78862,
  [SMALL_STATE(2509)] = 78878,
  [SMALL_STATE(2510)] = 78894,
  [SMALL_STATE(2511)] = 78908,
  [SMALL_STATE(2512)] = 78922,
  [SMALL_STATE(2513)] = 78938,
  [SMALL_STATE(2514)] = 78954,
  [SMALL_STATE(2515)] = 78970,
  [SMALL_STATE(2516)] = 78984,
  [SMALL_STATE(2517)] = 79000,
  [SMALL_STATE(2518)] = 79016,
  [SMALL_STATE(2519)] = 79032,
  [SMALL_STATE(2520)] = 79048,
  [SMALL_STATE(2521)] = 79064,
  [SMALL_STATE(2522)] = 79080,
  [SMALL_STATE(2523)] = 79096,
  [SMALL_STATE(2524)] = 79112,
  [SMALL_STATE(2525)] = 79128,
  [SMALL_STATE(2526)] = 79142,
  [SMALL_STATE(2527)] = 79158,
  [SMALL_STATE(2528)] = 79174,
  [SMALL_STATE(2529)] = 79188,
  [SMALL_STATE(2530)] = 79204,
  [SMALL_STATE(2531)] = 79218,
  [SMALL_STATE(2532)] = 79234,
  [SMALL_STATE(2533)] = 79247,
  [SMALL_STATE(2534)] = 79260,
  [SMALL_STATE(2535)] = 79273,
  [SMALL_STATE(2536)] = 79286,
  [SMALL_STATE(2537)] = 79299,
  [SMALL_STATE(2538)] = 79312,
  [SMALL_STATE(2539)] = 79325,
  [SMALL_STATE(2540)] = 79338,
  [SMALL_STATE(2541)] = 79351,
  [SMALL_STATE(2542)] = 79364,
  [SMALL_STATE(2543)] = 79377,
  [SMALL_STATE(2544)] = 79390,
  [SMALL_STATE(2545)] = 79403,
  [SMALL_STATE(2546)] = 79416,
  [SMALL_STATE(2547)] = 79429,
  [SMALL_STATE(2548)] = 79442,
  [SMALL_STATE(2549)] = 79455,
  [SMALL_STATE(2550)] = 79468,
  [SMALL_STATE(2551)] = 79481,
  [SMALL_STATE(2552)] = 79494,
  [SMALL_STATE(2553)] = 79507,
  [SMALL_STATE(2554)] = 79520,
  [SMALL_STATE(2555)] = 79533,
  [SMALL_STATE(2556)] = 79546,
  [SMALL_STATE(2557)] = 79559,
  [SMALL_STATE(2558)] = 79572,
  [SMALL_STATE(2559)] = 79585,
  [SMALL_STATE(2560)] = 79598,
  [SMALL_STATE(2561)] = 79611,
  [SMALL_STATE(2562)] = 79624,
  [SMALL_STATE(2563)] = 79637,
  [SMALL_STATE(2564)] = 79650,
  [SMALL_STATE(2565)] = 79663,
  [SMALL_STATE(2566)] = 79676,
  [SMALL_STATE(2567)] = 79689,
  [SMALL_STATE(2568)] = 79702,
  [SMALL_STATE(2569)] = 79715,
  [SMALL_STATE(2570)] = 79728,
  [SMALL_STATE(2571)] = 79741,
  [SMALL_STATE(2572)] = 79754,
  [SMALL_STATE(2573)] = 79767,
  [SMALL_STATE(2574)] = 79780,
  [SMALL_STATE(2575)] = 79793,
  [SMALL_STATE(2576)] = 79806,
  [SMALL_STATE(2577)] = 79819,
  [SMALL_STATE(2578)] = 79832,
  [SMALL_STATE(2579)] = 79845,
  [SMALL_STATE(2580)] = 79858,
  [SMALL_STATE(2581)] = 79871,
  [SMALL_STATE(2582)] = 79884,
  [SMALL_STATE(2583)] = 79897,
  [SMALL_STATE(2584)] = 79910,
  [SMALL_STATE(2585)] = 79923,
  [SMALL_STATE(2586)] = 79936,
  [SMALL_STATE(2587)] = 79949,
  [SMALL_STATE(2588)] = 79962,
  [SMALL_STATE(2589)] = 79975,
  [SMALL_STATE(2590)] = 79988,
  [SMALL_STATE(2591)] = 80001,
  [SMALL_STATE(2592)] = 80014,
  [SMALL_STATE(2593)] = 80027,
  [SMALL_STATE(2594)] = 80040,
  [SMALL_STATE(2595)] = 80053,
  [SMALL_STATE(2596)] = 80066,
  [SMALL_STATE(2597)] = 80079,
  [SMALL_STATE(2598)] = 80092,
  [SMALL_STATE(2599)] = 80105,
  [SMALL_STATE(2600)] = 80118,
  [SMALL_STATE(2601)] = 80131,
  [SMALL_STATE(2602)] = 80144,
  [SMALL_STATE(2603)] = 80157,
  [SMALL_STATE(2604)] = 80170,
  [SMALL_STATE(2605)] = 80183,
  [SMALL_STATE(2606)] = 80196,
  [SMALL_STATE(2607)] = 80209,
  [SMALL_STATE(2608)] = 80222,
  [SMALL_STATE(2609)] = 80235,
  [SMALL_STATE(2610)] = 80248,
  [SMALL_STATE(2611)] = 80261,
  [SMALL_STATE(2612)] = 80274,
  [SMALL_STATE(2613)] = 80287,
  [SMALL_STATE(2614)] = 80300,
  [SMALL_STATE(2615)] = 80313,
  [SMALL_STATE(2616)] = 80326,
  [SMALL_STATE(2617)] = 80339,
  [SMALL_STATE(2618)] = 80352,
  [SMALL_STATE(2619)] = 80365,
  [SMALL_STATE(2620)] = 80378,
  [SMALL_STATE(2621)] = 80391,
  [SMALL_STATE(2622)] = 80404,
  [SMALL_STATE(2623)] = 80417,
  [SMALL_STATE(2624)] = 80430,
  [SMALL_STATE(2625)] = 80443,
  [SMALL_STATE(2626)] = 80456,
  [SMALL_STATE(2627)] = 80469,
  [SMALL_STATE(2628)] = 80482,
  [SMALL_STATE(2629)] = 80495,
  [SMALL_STATE(2630)] = 80508,
  [SMALL_STATE(2631)] = 80521,
  [SMALL_STATE(2632)] = 80534,
  [SMALL_STATE(2633)] = 80547,
  [SMALL_STATE(2634)] = 80560,
  [SMALL_STATE(2635)] = 80573,
  [SMALL_STATE(2636)] = 80586,
  [SMALL_STATE(2637)] = 80599,
  [SMALL_STATE(2638)] = 80612,
  [SMALL_STATE(2639)] = 80625,
  [SMALL_STATE(2640)] = 80638,
  [SMALL_STATE(2641)] = 80651,
  [SMALL_STATE(2642)] = 80664,
  [SMALL_STATE(2643)] = 80677,
  [SMALL_STATE(2644)] = 80690,
  [SMALL_STATE(2645)] = 80703,
  [SMALL_STATE(2646)] = 80716,
  [SMALL_STATE(2647)] = 80729,
  [SMALL_STATE(2648)] = 80742,
  [SMALL_STATE(2649)] = 80755,
  [SMALL_STATE(2650)] = 80768,
  [SMALL_STATE(2651)] = 80781,
  [SMALL_STATE(2652)] = 80794,
  [SMALL_STATE(2653)] = 80807,
  [SMALL_STATE(2654)] = 80820,
  [SMALL_STATE(2655)] = 80833,
  [SMALL_STATE(2656)] = 80846,
  [SMALL_STATE(2657)] = 80859,
  [SMALL_STATE(2658)] = 80872,
  [SMALL_STATE(2659)] = 80885,
  [SMALL_STATE(2660)] = 80898,
  [SMALL_STATE(2661)] = 80911,
  [SMALL_STATE(2662)] = 80924,
  [SMALL_STATE(2663)] = 80937,
  [SMALL_STATE(2664)] = 80950,
  [SMALL_STATE(2665)] = 80963,
  [SMALL_STATE(2666)] = 80976,
  [SMALL_STATE(2667)] = 80989,
  [SMALL_STATE(2668)] = 81002,
  [SMALL_STATE(2669)] = 81015,
  [SMALL_STATE(2670)] = 81028,
  [SMALL_STATE(2671)] = 81041,
  [SMALL_STATE(2672)] = 81054,
  [SMALL_STATE(2673)] = 81067,
  [SMALL_STATE(2674)] = 81080,
  [SMALL_STATE(2675)] = 81093,
  [SMALL_STATE(2676)] = 81106,
  [SMALL_STATE(2677)] = 81119,
  [SMALL_STATE(2678)] = 81132,
  [SMALL_STATE(2679)] = 81145,
  [SMALL_STATE(2680)] = 81158,
  [SMALL_STATE(2681)] = 81171,
  [SMALL_STATE(2682)] = 81184,
  [SMALL_STATE(2683)] = 81197,
  [SMALL_STATE(2684)] = 81210,
  [SMALL_STATE(2685)] = 81223,
  [SMALL_STATE(2686)] = 81236,
  [SMALL_STATE(2687)] = 81249,
  [SMALL_STATE(2688)] = 81262,
  [SMALL_STATE(2689)] = 81275,
  [SMALL_STATE(2690)] = 81288,
  [SMALL_STATE(2691)] = 81301,
  [SMALL_STATE(2692)] = 81314,
  [SMALL_STATE(2693)] = 81327,
  [SMALL_STATE(2694)] = 81340,
  [SMALL_STATE(2695)] = 81353,
  [SMALL_STATE(2696)] = 81366,
  [SMALL_STATE(2697)] = 81379,
  [SMALL_STATE(2698)] = 81392,
  [SMALL_STATE(2699)] = 81405,
  [SMALL_STATE(2700)] = 81418,
  [SMALL_STATE(2701)] = 81431,
  [SMALL_STATE(2702)] = 81444,
  [SMALL_STATE(2703)] = 81457,
  [SMALL_STATE(2704)] = 81470,
  [SMALL_STATE(2705)] = 81483,
  [SMALL_STATE(2706)] = 81496,
  [SMALL_STATE(2707)] = 81509,
  [SMALL_STATE(2708)] = 81522,
  [SMALL_STATE(2709)] = 81535,
  [SMALL_STATE(2710)] = 81548,
  [SMALL_STATE(2711)] = 81561,
  [SMALL_STATE(2712)] = 81574,
  [SMALL_STATE(2713)] = 81587,
  [SMALL_STATE(2714)] = 81600,
  [SMALL_STATE(2715)] = 81613,
  [SMALL_STATE(2716)] = 81626,
  [SMALL_STATE(2717)] = 81639,
  [SMALL_STATE(2718)] = 81652,
  [SMALL_STATE(2719)] = 81665,
  [SMALL_STATE(2720)] = 81678,
  [SMALL_STATE(2721)] = 81691,
  [SMALL_STATE(2722)] = 81704,
  [SMALL_STATE(2723)] = 81717,
  [SMALL_STATE(2724)] = 81730,
  [SMALL_STATE(2725)] = 81743,
  [SMALL_STATE(2726)] = 81756,
  [SMALL_STATE(2727)] = 81769,
  [SMALL_STATE(2728)] = 81782,
  [SMALL_STATE(2729)] = 81795,
  [SMALL_STATE(2730)] = 81808,
  [SMALL_STATE(2731)] = 81821,
  [SMALL_STATE(2732)] = 81834,
  [SMALL_STATE(2733)] = 81847,
  [SMALL_STATE(2734)] = 81860,
  [SMALL_STATE(2735)] = 81873,
  [SMALL_STATE(2736)] = 81886,
  [SMALL_STATE(2737)] = 81899,
  [SMALL_STATE(2738)] = 81912,
  [SMALL_STATE(2739)] = 81925,
  [SMALL_STATE(2740)] = 81938,
  [SMALL_STATE(2741)] = 81951,
  [SMALL_STATE(2742)] = 81964,
  [SMALL_STATE(2743)] = 81977,
  [SMALL_STATE(2744)] = 81990,
  [SMALL_STATE(2745)] = 82003,
  [SMALL_STATE(2746)] = 82016,
  [SMALL_STATE(2747)] = 82029,
  [SMALL_STATE(2748)] = 82042,
  [SMALL_STATE(2749)] = 82055,
  [SMALL_STATE(2750)] = 82068,
  [SMALL_STATE(2751)] = 82081,
  [SMALL_STATE(2752)] = 82094,
  [SMALL_STATE(2753)] = 82107,
  [SMALL_STATE(2754)] = 82120,
  [SMALL_STATE(2755)] = 82133,
  [SMALL_STATE(2756)] = 82146,
  [SMALL_STATE(2757)] = 82159,
  [SMALL_STATE(2758)] = 82172,
  [SMALL_STATE(2759)] = 82185,
  [SMALL_STATE(2760)] = 82198,
  [SMALL_STATE(2761)] = 82211,
  [SMALL_STATE(2762)] = 82224,
  [SMALL_STATE(2763)] = 82237,
  [SMALL_STATE(2764)] = 82250,
  [SMALL_STATE(2765)] = 82263,
  [SMALL_STATE(2766)] = 82276,
  [SMALL_STATE(2767)] = 82289,
  [SMALL_STATE(2768)] = 82302,
  [SMALL_STATE(2769)] = 82315,
  [SMALL_STATE(2770)] = 82328,
  [SMALL_STATE(2771)] = 82341,
  [SMALL_STATE(2772)] = 82354,
  [SMALL_STATE(2773)] = 82367,
  [SMALL_STATE(2774)] = 82380,
  [SMALL_STATE(2775)] = 82393,
  [SMALL_STATE(2776)] = 82406,
  [SMALL_STATE(2777)] = 82419,
  [SMALL_STATE(2778)] = 82432,
  [SMALL_STATE(2779)] = 82445,
  [SMALL_STATE(2780)] = 82458,
  [SMALL_STATE(2781)] = 82471,
  [SMALL_STATE(2782)] = 82484,
  [SMALL_STATE(2783)] = 82497,
  [SMALL_STATE(2784)] = 82510,
  [SMALL_STATE(2785)] = 82523,
  [SMALL_STATE(2786)] = 82527,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(583),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1386),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1937),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1773),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1562),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1530),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1195),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2146),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2651),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2741),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2721),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1955),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2739),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(233),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2754),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2588),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2634),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(416),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2414),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2715),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2345),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2346),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(336),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(511),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(693),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2549),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1577),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1418),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2264),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1441),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1719),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(434),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(435),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(270),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 137),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 137),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 137),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 137),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2774),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2488),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2781),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2783),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2520),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(857),
  [876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(934),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2687),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2405),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 54),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 54),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 54), SHIFT(2391),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 54), SHIFT(113),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24), SHIFT(2391),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24), SHIFT(113),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 166),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 166),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 98),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 98),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 98), SHIFT_REPEAT(2391),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 151),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 151),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 178),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 178),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 17),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 17),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 19),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 19),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 54),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 54),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 16),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 16),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 16),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 16),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 16),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 16),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 116),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 116),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 16),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 16),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 133),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 133),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 24),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 24),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 24),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 24),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 173),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 173),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 49),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 49),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 49),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 49),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 49),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 49),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 147),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 147),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 112),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 112),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 52),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 52),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 116),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 116),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 205),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 205),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 206),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 206),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 173),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 173),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 212),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 212),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 213),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 213),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 195),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 195),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 152),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 152),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 216),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 216),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 217),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 217),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 218),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 218),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 73),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 73),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 134),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 134),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 73),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 73),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 73),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 73),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 75),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 75),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 94),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 94),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 95),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 95),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 24),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 24),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 96),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 96),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 173),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 173),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 97),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 97),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 97),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 97),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 117),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 117),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 24),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 24),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 176),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 176),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 24),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 24),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 112),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 112),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 26),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 26),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 51),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 51),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 69),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 69),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 70),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 70),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 26),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 26),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 17),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 17),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 70),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 70),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1577),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2710),
  [1719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2017),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(124),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2628),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(775),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [1736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [1739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [1742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2181),
  [1745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_name, 3, 0, 15),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_name, 3, 0, 15),
  [1814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2695),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 4, 0, 47),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 4, 0, 47),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 15),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 15),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_name, 5, 0, 76),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_name, 5, 0, 76),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 109),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 109),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 61),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 61),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 99),
  [1919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 99),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 134),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 134),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 143),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 143),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 60),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 60),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 144),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 144),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 143),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 143),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 196),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 196),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 100),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 100),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 142),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 142),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [2010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 103),
  [2026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 103),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 104),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 104),
  [2032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 103),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 103),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 138),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 138),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 55),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 55),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 23),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 23),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 23),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 23),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 23),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 23),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 23),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 23),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 174),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 174),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 25),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 25),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 139),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 139),
  [2122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 62),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 62),
  [2132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 0),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 51),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 51),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 24),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 24),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 108),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 108),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 68),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 67),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 67),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 184),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 153),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 154),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 88),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 185),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 203),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 160),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 120),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 179),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1486),
  [2540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1559),
  [2543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1195),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [2551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [2554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [2557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [2560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [2563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 64),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 118),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 157),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 128),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 162),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 105),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 186),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 63),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 88),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 135),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 136),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 122),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 50),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 50),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [2768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1486),
  [2774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1559),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2731),
  [2782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [2794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [2797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [2811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [2855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [2883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1608),
  [2886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1608),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1450),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [2924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(387),
  [2927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1608),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1608),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1700),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 164),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 130),
  [2968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(272),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1681),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1681),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [2979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1685),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 131),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 132),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 165),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(346),
  [2995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1717),
  [2998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1717),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1689),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 92),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 84),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 163),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 187),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 188),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 163),
  [3050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 187),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 204),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 17),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 129),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 48),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 91),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 93),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1545),
  [3125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1590),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [3133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [3136] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3143] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1377),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [3230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [3303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2766),
  [3306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2491),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3327] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1373),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 58),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 58),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(343),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2469),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2061),
  [3380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2168),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 18),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24), SHIFT(2389),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24), SHIFT(115),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 54), SHIFT(2389),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 54), SHIFT(115),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [3499] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1376),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [3539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 209),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 209),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 210),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 210),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [3563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 98), SHIFT_REPEAT(2389),
  [3566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 214),
  [3568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 214),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [3574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 98),
  [3590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 98), SHIFT_REPEAT(2413),
  [3593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 98),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1970),
  [3611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1970),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [3616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 119),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1901),
  [3627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1901),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [3636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [3650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 182),
  [3652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 182),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [3658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 183),
  [3660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 183),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [3666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 124),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 125),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1985),
  [3689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 201),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 201),
  [3705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1375),
  [3708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 202),
  [3715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 202),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [3727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 22),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 65),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 71),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 74),
  [3741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 113),
  [3743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 80),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 81),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 155),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 155),
  [3755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [3762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 156),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 156),
  [3766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 159),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 86),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [3784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1378),
  [3794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1578),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1900),
  [3829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1373),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1474),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1615),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1373),
  [3883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2201),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1986),
  [3944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2168),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [3976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 113),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 20),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 57),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 141),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 24),
  [4110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 24),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 52),
  [4137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 52),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 90),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 141),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [4192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 56),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 127),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 57),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 57),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1376),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 113),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 71),
  [4258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 74),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 77),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(805),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 83),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 74),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 65),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 87),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 71),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [4323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [4330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [4333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1603),
  [4340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [4344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 86),
  [4352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 126),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 17),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 179),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [4406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 203),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [4425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 119),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2695),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 120),
  [4436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 78),
  [4438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 79),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 184),
  [4444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 185),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 153),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 82),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [4462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 154),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 84),
  [4472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 124),
  [4474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 125),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 161),
  [4482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 121),
  [4486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 140),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 80),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 159),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 123),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 160),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 81),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 149),
  [4556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 150),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 149),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [4596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 66),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 66),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 72),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 21),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 72),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [4716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 114),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 106),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 107),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 106),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 89),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [4828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 110),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 114),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [4870] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 21),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 145),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 146),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 177),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
